/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (yyin)
		fclose(yyin);
	if (yyout)
		fclose(yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALLED = 385,
    CASCADE = 386,
    CASCADED = 387,
    CASE = 388,
    CAST = 389,
    CATALOG_P = 390,
    CHAIN = 391,
    CHAR_P = 392,
    CHARACTER = 393,
    CHARACTERISTICS = 394,
    CHECK = 395,
    CHECKPOINT = 396,
    CLASS = 397,
    CLOSE = 398,
    CLUSTER = 399,
    COALESCE = 400,
    COLLATE = 401,
    COLLATION = 402,
    COLUMN = 403,
    COMMENT = 404,
    COMMENTS = 405,
    COMMIT = 406,
    COMMITTED = 407,
    CONCURRENTLY = 408,
    CONFIGURATION = 409,
    CONFLICT = 410,
    CONNECTION = 411,
    CONSTRAINT = 412,
    CONSTRAINTS = 413,
    CONTENT_P = 414,
    CONTINUE_P = 415,
    CONVERSION_P = 416,
    COPY = 417,
    COST = 418,
    CREATE = 419,
    CROSS = 420,
    CSV = 421,
    CUBE = 422,
    CURRENT_P = 423,
    CURRENT_CATALOG = 424,
    CURRENT_DATE = 425,
    CURRENT_ROLE = 426,
    CURRENT_SCHEMA = 427,
    CURRENT_TIME = 428,
    CURRENT_TIMESTAMP = 429,
    CURRENT_USER = 430,
    CURSOR = 431,
    CYCLE = 432,
    DATA_P = 433,
    DATABASE = 434,
    DAY_P = 435,
    DEALLOCATE = 436,
    DEC = 437,
    DECIMAL_P = 438,
    DECLARE = 439,
    DEFAULT = 440,
    DEFAULTS = 441,
    DEFERRABLE = 442,
    DEFERRED = 443,
    DEFINER = 444,
    DELETE_P = 445,
    DELIMITER = 446,
    DELIMITERS = 447,
    DESC = 448,
    DICTIONARY = 449,
    DISABLE_P = 450,
    DISCARD = 451,
    DISTINCT = 452,
    DO = 453,
    DOCUMENT_P = 454,
    DOMAIN_P = 455,
    DOUBLE_P = 456,
    DROP = 457,
    EACH = 458,
    ELSE = 459,
    ENABLE_P = 460,
    ENCODING = 461,
    ENCRYPTED = 462,
    END_P = 463,
    ENUM_P = 464,
    ESCAPE = 465,
    EVENT = 466,
    EXCEPT = 467,
    EXCLUDE = 468,
    EXCLUDING = 469,
    EXCLUSIVE = 470,
    EXECUTE = 471,
    EXISTS = 472,
    EXPLAIN = 473,
    EXTENSION = 474,
    EXTERNAL = 475,
    EXTRACT = 476,
    FALSE_P = 477,
    FAMILY = 478,
    FETCH = 479,
    FILTER = 480,
    FIRST_P = 481,
    FLOAT_P = 482,
    FOLLOWING = 483,
    FOR = 484,
    FORCE = 485,
    FOREIGN = 486,
    FORWARD = 487,
    FREEZE = 488,
    FROM = 489,
    FULL = 490,
    FUNCTION = 491,
    FUNCTIONS = 492,
    GLOBAL = 493,
    GRANT = 494,
    GRANTED = 495,
    GREATEST = 496,
    GROUP_P = 497,
    GROUPING = 498,
    HANDLER = 499,
    HAVING = 500,
    HEADER_P = 501,
    HOLD = 502,
    HOUR_P = 503,
    IDENTITY_P = 504,
    IF_P = 505,
    ILIKE = 506,
    IMMEDIATE = 507,
    IMMUTABLE = 508,
    IMPLICIT_P = 509,
    IMPORT_P = 510,
    IN_P = 511,
    INCLUDING = 512,
    INCREMENT = 513,
    INDEX = 514,
    INDEXES = 515,
    INHERIT = 516,
    INHERITS = 517,
    INITIALLY = 518,
    INLINE_P = 519,
    INNER_P = 520,
    INOUT = 521,
    INPUT_P = 522,
    INSENSITIVE = 523,
    INSERT = 524,
    INSTEAD = 525,
    INT_P = 526,
    INTEGER = 527,
    INTERSECT = 528,
    INTERVAL = 529,
    INTO = 530,
    INVOKER = 531,
    IS = 532,
    ISNULL = 533,
    ISOLATION = 534,
    JOIN = 535,
    KEY = 536,
    LABEL = 537,
    LANGUAGE = 538,
    LARGE_P = 539,
    LAST_P = 540,
    LATERAL_P = 541,
    LEADING = 542,
    LEAKPROOF = 543,
    LEAST = 544,
    LEFT = 545,
    LEVEL = 546,
    LIKE = 547,
    LIMIT = 548,
    LISTEN = 549,
    LOAD = 550,
    LOCAL = 551,
    LOCALTIME = 552,
    LOCALTIMESTAMP = 553,
    LOCATION = 554,
    LOCK_P = 555,
    LOCKED = 556,
    LOGGED = 557,
    MAPPING = 558,
    MATCH = 559,
    MATERIALIZED = 560,
    MAXVALUE = 561,
    MINUTE_P = 562,
    MINVALUE = 563,
    MODE = 564,
    MONTH_P = 565,
    MOVE = 566,
    NAME_P = 567,
    NAMES = 568,
    NATIONAL = 569,
    NATURAL = 570,
    NCHAR = 571,
    NEXT = 572,
    NO = 573,
    NONE = 574,
    NOT = 575,
    NOTHING = 576,
    NOTIFY = 577,
    NOTNULL = 578,
    NOWAIT = 579,
    NULL_P = 580,
    NULLIF = 581,
    NULLS_P = 582,
    NUMERIC = 583,
    OBJECT_P = 584,
    OF = 585,
    OFF = 586,
    OFFSET = 587,
    OIDS = 588,
    ON = 589,
    ONLY = 590,
    OPERATOR = 591,
    OPTION = 592,
    OPTIONS = 593,
    OR = 594,
    ORDER = 595,
    ORDINALITY = 596,
    OUT_P = 597,
    OUTER_P = 598,
    OVER = 599,
    OVERLAPS = 600,
    OVERLAY = 601,
    OWNED = 602,
    OWNER = 603,
    PARSER = 604,
    PARTIAL = 605,
    PARTITION = 606,
    PASSING = 607,
    PASSWORD = 608,
    PLACING = 609,
    PLANS = 610,
    POLICY = 611,
    POSITION = 612,
    PRECEDING = 613,
    PRECISION = 614,
    PRESERVE = 615,
    PREPARE = 616,
    PREPARED = 617,
    PRIMARY = 618,
    PRIOR = 619,
    PRIVILEGES = 620,
    PROCEDURAL = 621,
    PROCEDURE = 622,
    PROGRAM = 623,
    QUOTE = 624,
    RANGE = 625,
    READ = 626,
    REAL = 627,
    REASSIGN = 628,
    RECHECK = 629,
    RECURSIVE = 630,
    REF = 631,
    REFERENCES = 632,
    REFRESH = 633,
    REINDEX = 634,
    RELATIVE_P = 635,
    RELEASE = 636,
    RENAME = 637,
    REPEATABLE = 638,
    REPLACE = 639,
    REPLICA = 640,
    RESET = 641,
    RESTART = 642,
    RESTRICT = 643,
    RETURNING = 644,
    RETURNS = 645,
    REVOKE = 646,
    RIGHT = 647,
    ROLE = 648,
    ROLLBACK = 649,
    ROLLUP = 650,
    ROW = 651,
    ROWS = 652,
    RULE = 653,
    SAVEPOINT = 654,
    SCHEMA = 655,
    SCROLL = 656,
    SEARCH = 657,
    SECOND_P = 658,
    SECURITY = 659,
    SELECT = 660,
    SEQUENCE = 661,
    SEQUENCES = 662,
    SERIALIZABLE = 663,
    SERVER = 664,
    SESSION = 665,
    SESSION_USER = 666,
    SET = 667,
    SETS = 668,
    SETOF = 669,
    SHARE = 670,
    SHOW = 671,
    SIMILAR = 672,
    SIMPLE = 673,
    SKIP = 674,
    SMALLINT = 675,
    SNAPSHOT = 676,
    SOME = 677,
    SQL_P = 678,
    STABLE = 679,
    STANDALONE_P = 680,
    START = 681,
    STATEMENT = 682,
    STATISTICS = 683,
    STDIN = 684,
    STDOUT = 685,
    STORAGE = 686,
    STRICT_P = 687,
    STRIP_P = 688,
    SUBSTRING = 689,
    SYMMETRIC = 690,
    SYSID = 691,
    SYSTEM_P = 692,
    TABLE = 693,
    TABLES = 694,
    TABLESAMPLE = 695,
    TABLESPACE = 696,
    TEMP = 697,
    TEMPLATE = 698,
    TEMPORARY = 699,
    TEXT_P = 700,
    THEN = 701,
    TIME = 702,
    TIMESTAMP = 703,
    TO = 704,
    TRAILING = 705,
    TRANSACTION = 706,
    TRANSFORM = 707,
    TREAT = 708,
    TRIGGER = 709,
    TRIM = 710,
    TRUE_P = 711,
    TRUNCATE = 712,
    TRUSTED = 713,
    TYPE_P = 714,
    TYPES_P = 715,
    UNBOUNDED = 716,
    UNCOMMITTED = 717,
    UNENCRYPTED = 718,
    UNION = 719,
    UNIQUE = 720,
    UNKNOWN = 721,
    UNLISTEN = 722,
    UNLOGGED = 723,
    UNTIL = 724,
    UPDATE = 725,
    USER = 726,
    USING = 727,
    VACUUM = 728,
    VALID = 729,
    VALIDATE = 730,
    VALIDATOR = 731,
    VALUE_P = 732,
    VALUES = 733,
    VARCHAR = 734,
    VARIADIC = 735,
    VARYING = 736,
    VERBOSE = 737,
    VERSION_P = 738,
    VIEW = 739,
    VIEWS = 740,
    VOLATILE = 741,
    WHEN = 742,
    WHERE = 743,
    WHITESPACE_P = 744,
    WINDOW = 745,
    WITH = 746,
    WITHIN = 747,
    WITHOUT = 748,
    WORK = 749,
    WRAPPER = 750,
    WRITE = 751,
    XML_P = 752,
    XMLATTRIBUTES = 753,
    XMLCONCAT = 754,
    XMLELEMENT = 755,
    XMLEXISTS = 756,
    XMLFOREST = 757,
    XMLPARSE = 758,
    XMLPI = 759,
    XMLROOT = 760,
    XMLSERIALIZE = 761,
    YEAR_P = 762,
    YES_P = 763,
    ZONE = 764,
    NOT_LA = 765,
    NULLS_LA = 766,
    WITH_LA = 767,
    POSTFIXOP = 768,
    UMINUS = 769
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1217 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1246 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   124624

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  534
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  754
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2959
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5568

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   769

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   521,     2,     2,
     526,   527,   519,   517,   529,   518,   528,   520,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   531,   530,
     513,   515,   514,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   524,     2,   525,   522,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   532,     2,   533,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   516,   523
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1554,  1554,  1557,  1559,  1561,  1563,  1565,  1567,  1569,
    1571,  1573,  1575,  1577,  1579,  1581,  1583,  1585,  1587,  1589,
    1591,  1593,  1595,  1597,  1599,  1601,  1603,  1605,  1607,  1609,
    1611,  1613,  1615,  1617,  1635,  1637,  1639,  1641,  1643,  1645,
    1647,  1649,  1651,  1653,  1655,  1657,  1659,  1661,  1663,  1665,
    1667,  1669,  1671,  1673,  1675,  1677,  1679,  1681,  1683,  1685,
    1687,  1689,  1691,  1693,  1695,  1697,  1699,  1703,  1705,  1707,
    1709,  1711,  1713,  1715,  1717,  1719,  1721,  1723,  1725,  1727,
    1729,  1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,
    1749,  1751,  1753,  1755,  1757,  1759,  1761,  1763,  1765,  1767,
    1769,  1771,  1773,  1775,  1777,  1784,  1786,  1788,  1790,  1792,
    1794,  1796,  1798,  1800,  1802,  1804,  1806,  1812,  1814,  1816,
    1818,  1820,  1822,  1824,  1826,  1828,  1834,  1844,  1848,  1854,
    1858,  1868,  1878,  1879,  1893,  1900,  1906,  1917,  1923,  1932,
    1939,  1945,  1954,  1961,  1969,  1974,  1982,  1986,  1991,  1997,
    2002,  2008,  2013,  2019,  2023,  2027,  2031,  2035,  2039,  2043,
    2047,  2051,  2059,  2063,  2067,  2071,  2075,  2079,  2087,  2095,
    2104,  2106,  2114,  2118,  2126,  2134,  2142,  2146,  2154,  2158,
    2166,  2174,  2182,  2186,  2194,  2198,  2206,  2210,  2214,  2219,
    2228,  2233,  2239,  2244,  2250,  2254,  2258,  2262,  2266,  2270,
    2278,  2282,  2286,  2294,  2298,  2302,  2310,  2314,  2318,  2322,
    2323,  2327,  2331,  2335,  2340,  2344,  2348,  2352,  2356,  2360,
    2364,  2372,  2376,  2384,  2388,  2396,  2400,  2414,  2418,  2422,
    2426,  2434,  2438,  2442,  2446,  2454,  2458,  2462,  2466,  2470,
    2474,  2478,  2486,  2490,  2495,  2501,  2505,  2513,  2521,  2525,
    2529,  2533,  2541,  2545,  2553,  2557,  2565,  2569,  2577,  2581,
    2585,  2589,  2593,  2602,  2610,  2614,  2622,  2626,  2634,  2642,
    2646,  2650,  2654,  2658,  2666,  2670,  2674,  2678,  2682,  2686,
    2690,  2694,  2698,  2702,  2706,  2710,  2714,  2718,  2722,  2726,
    2734,  2738,  2746,  2750,  2754,  2758,  2762,  2766,  2770,  2774,
    2778,  2782,  2786,  2790,  2794,  2798,  2802,  2806,  2810,  2814,
    2818,  2822,  2826,  2830,  2834,  2838,  2842,  2846,  2850,  2854,
    2858,  2862,  2866,  2870,  2874,  2878,  2882,  2886,  2890,  2894,
    2898,  2902,  2906,  2910,  2914,  2918,  2922,  2926,  2930,  2934,
    2938,  2942,  2950,  2954,  2962,  2966,  2971,  2977,  2982,  2988,
    2993,  2999,  3003,  3007,  3011,  3019,  3027,  3032,  3038,  3042,
    3050,  3054,  3058,  3062,  3070,  3078,  3082,  3090,  3094,  3098,
    3102,  3110,  3115,  3123,  3131,  3139,  3143,  3151,  3156,  3162,
    3166,  3170,  3178,  3182,  3190,  3195,  3201,  3205,  3209,  3213,
    3217,  3221,  3225,  3229,  3233,  3237,  3241,  3245,  3249,  3253,
    3261,  3266,  3272,  3277,  3283,  3288,  3294,  3299,  3305,  3309,
    3317,  3325,  3329,  3333,  3337,  3342,  3348,  3352,  3360,  3368,
    3372,  3376,  3380,  3388,  3392,  3396,  3400,  3404,  3408,  3412,
    3417,  3423,  3428,  3434,  3439,  3445,  3449,  3457,  3461,  3469,
    3473,  3477,  3485,  3489,  3497,  3505,  3513,  3518,  3524,  3528,
    3532,  3536,  3544,  3548,  3552,  3556,  3560,  3564,  3568,  3576,
    3580,  3584,  3588,  3596,  3604,  3608,  3613,  3619,  3623,  3627,
    3631,  3635,  3639,  3647,  3651,  3659,  3663,  3667,  3671,  3675,
    3679,  3683,  3691,  3696,  3702,  3707,  3713,  3717,  3725,  3733,
    3737,  3742,  3747,  3753,  3757,  3765,  3769,  3777,  3782,  3788,
    3792,  3796,  3800,  3805,  3811,  3819,  3827,  3831,  3835,  3839,
    3843,  3851,  3856,  3862,  3866,  3870,  3875,  3881,  3885,  3889,
    3894,  3900,  3905,  3911,  3916,  3922,  3930,  3938,  3942,  3947,
    3953,  3957,  3965,  3973,  3978,  3984,  3992,  3996,  4004,  4008,
    4016,  4021,  4027,  4031,  4039,  4043,  4047,  4051,  4055,  4059,
    4063,  4067,  4071,  4075,  4079,  4083,  4091,  4096,  4102,  4106,
    4110,  4118,  4122,  4130,  4134,  4142,  4147,  4153,  4157,  4165,
    4170,  4176,  4180,  4188,  4193,  4199,  4203,  4211,  4216,  4222,
    4230,  4235,  4241,  4245,  4253,  4257,  4265,  4270,  4276,  4280,
    4284,  4292,  4300,  4305,  4311,  4319,  4323,  4327,  4331,  4335,
    4339,  4343,  4347,  4351,  4355,  4359,  4363,  4367,  4371,  4375,
    4379,  4383,  4387,  4391,  4395,  4399,  4403,  4407,  4411,  4415,
    4423,  4431,  4435,  4439,  4443,  4451,  4455,  4463,  4468,  4474,
    4478,  4486,  4490,  4498,  4503,  4509,  4513,  4521,  4529,  4533,
    4541,  4545,  4549,  4553,  4561,  4569,  4577,  4585,  4593,  4598,
    4604,  4608,  4616,  4621,  4627,  4631,  4639,  4643,  4647,  4655,
    4659,  4667,  4671,  4679,  4687,  4691,  4699,  4704,  4710,  4718,
    4722,  4730,  4734,  4742,  4750,  4758,  4766,  4770,  4778,  4783,
    4789,  4794,  4800,  4805,  4811,  4816,  4822,  4827,  4833,  4837,
    4841,  4845,  4849,  4857,  4861,  4869,  4873,  4877,  4885,  4889,
    4897,  4901,  4905,  4909,  4913,  4921,  4926,  4932,  4937,  4943,
    4947,  4955,  4960,  4966,  4970,  4975,  4981,  4985,  4989,  4993,
    5001,  5006,  5013,  5015,  5023,  5027,  5031,  5035,  5039,  5043,
    5051,  5055,  5063,  5067,  5075,  5079,  5087,  5095,  5099,  5107,
    5115,  5119,  5123,  5127,  5135,  5144,  5153,  5157,  5161,  5165,
    5169,  5173,  5177,  5181,  5185,  5189,  5193,  5197,  5201,  5205,
    5213,  5221,  5225,  5233,  5237,  5245,  5249,  5253,  5257,  5261,
    5269,  5277,  5281,  5289,  5297,  5302,  5308,  5312,  5320,  5324,
    5328,  5336,  5341,  5347,  5355,  5359,  5367,  5371,  5375,  5379,
    5383,  5391,  5396,  5402,  5407,  5413,  5417,  5422,  5428,  5434,
    5440,  5448,  5452,  5460,  5464,  5472,  5476,  5484,  5488,  5496,
    5500,  5508,  5516,  5524,  5528,  5532,  5536,  5540,  5544,  5548,
    5552,  5560,  5564,  5568,  5572,  5576,  5580,  5584,  5588,  5592,
    5596,  5600,  5604,  5608,  5612,  5616,  5624,  5628,  5636,  5640,
    5648,  5652,  5660,  5664,  5665,  5673,  5677,  5682,  5688,  5692,
    5696,  5700,  5704,  5708,  5712,  5716,  5720,  5724,  5728,  5732,
    5736,  5740,  5744,  5748,  5752,  5756,  5764,  5768,  5772,  5776,
    5780,  5784,  5788,  5792,  5796,  5800,  5804,  5808,  5812,  5816,
    5820,  5824,  5828,  5832,  5836,  5840,  5844,  5852,  5856,  5864,
    5868,  5872,  5876,  5880,  5884,  5888,  5896,  5901,  5907,  5911,
    5915,  5919,  5923,  5927,  5931,  5935,  5939,  5943,  5947,  5955,
    5959,  5967,  5971,  5975,  5979,  5985,  5991,  5997,  6003,  6009,
    6015,  6021,  6031,  6042,  6053,  6064,  6075,  6086,  6097,  6113,
    6129,  6145,  6156,  6172,  6183,  6199,  6214,  6218,  6226,  6231,
    6237,  6245,  6249,  6257,  6261,  6265,  6269,  6273,  6281,  6285,
    6293,  6297,  6301,  6305,  6313,  6317,  6321,  6325,  6329,  6333,
    6337,  6341,  6345,  6349,  6353,  6357,  6361,  6365,  6369,  6373,
    6381,  6385,  6393,  6397,  6405,  6410,  6416,  6420,  6428,  6436,
    6444,  6448,  6456,  6461,  6467,  6472,  6478,  6486,  6491,  6497,
    6501,  6505,  6513,  6517,  6521,  6529,  6533,  6537,  6541,  6549,
    6553,  6561,  6566,  6572,  6577,  6583,  6588,  6594,  6599,  6605,
    6609,  6617,  6621,  6625,  6633,  6638,  6644,  6648,  6653,  6659,
    6663,  6668,  6674,  6678,  6683,  6689,  6693,  6697,  6705,  6710,
    6716,  6720,  6728,  6732,  6740,  6744,  6752,  6756,  6764,  6768,
    6772,  6776,  6780,  6788,  6792,  6796,  6800,  6804,  6812,  6820,
    6828,  6832,  6836,  6844,  6848,  6852,  6860,  6869,  6873,  6877,
    6881,  6889,  6893,  6901,  6905,  6913,  6917,  6921,  6925,  6929,
    6933,  6937,  6941,  6945,  6949,  6953,  6957,  6961,  6965,  6969,
    6977,  6981,  6985,  6989,  6993,  7001,  7005,  7013,  7017,  7025,
    7030,  7036,  7044,  7048,  7056,  7064,  7068,  7076,  7081,  7087,
    7091,  7099,  7103,  7111,  7115,  7123,  7127,  7131,  7135,  7143,
    7147,  7155,  7163,  7167,  7175,  7179,  7187,  7191,  7195,  7203,
    7207,  7212,  7218,  7226,  7231,  7237,  7245,  7249,  7253,  7257,
    7265,  7273,  7277,  7281,  7285,  7293,  7297,  7305,  7309,  7313,
    7321,  7325,  7333,  7341,  7345,  7353,  7357,  7361,  7365,  7369,
    7373,  7377,  7381,  7385,  7389,  7393,  7397,  7401,  7405,  7409,
    7413,  7417,  7421,  7425,  7429,  7433,  7437,  7441,  7445,  7449,
    7453,  7457,  7461,  7465,  7469,  7473,  7477,  7481,  7485,  7489,
    7493,  7497,  7501,  7505,  7509,  7513,  7517,  7521,  7525,  7529,
    7533,  7537,  7541,  7549,  7554,  7560,  7565,  7571,  7575,  7579,
    7583,  7587,  7591,  7595,  7599,  7603,  7607,  7611,  7615,  7619,
    7623,  7627,  7631,  7635,  7639,  7643,  7647,  7651,  7655,  7659,
    7663,  7671,  7675,  7679,  7683,  7687,  7691,  7695,  7699,  7703,
    7707,  7711,  7715,  7719,  7723,  7727,  7731,  7735,  7739,  7743,
    7751,  7759,  7763,  7767,  7775,  7779,  7787,  7791,  7795,  7799,
    7803,  7811,  7816,  7822,  7826,  7830,  7834,  7842,  7846,  7851,
    7857,  7861,  7869,  7877,  7882,  7888,  7896,  7900,  7908,  7912,
    7916,  7920,  7924,  7928,  7932,  7936,  7940,  7944,  7948,  7952,
    7956,  7960,  7968,  7972,  7977,  7983,  7987,  7991,  7995,  7999,
    8007,  8011,  8015,  8023,  8028,  8034,  8038,  8042,  8047,  8056,
    8060,  8064,  8069,  8075,  8083,  8091,  8096,  8102,  8106,  8114,
    8118,  8122,  8130,  8134,  8138,  8142,  8146,  8150,  8154,  8162,
    8167,  8173,  8177,  8181,  8189,  8197,  8201,  8209,  8213,  8221,
    8229,  8233,  8237,  8241,  8245,  8249,  8253,  8261,  8266,  8272,
    8280,  8284,  8288,  8292,  8296,  8300,  8308,  8312,  8320,  8328,
    8332,  8336,  8344,  8349,  8355,  8359,  8363,  8367,  8371,  8379,
    8383,  8391,  8395,  8399,  8403,  8411,  8415,  8423,  8427,  8435,
    8440,  8446,  8451,  8457,  8462,  8468,  8473,  8479,  8483,  8487,
    8491,  8499,  8503,  8507,  8511,  8515,  8519,  8523,  8527,  8531,
    8539,  8543,  8551,  8559,  8563,  8571,  8575,  8580,  8586,  8592,
    8602,  8607,  8613,  8617,  8621,  8625,  8633,  8635,  8643,  8648,
    8654,  8662,  8666,  8674,  8678,  8682,  8690,  8694,  8702,  8710,
    8714,  8719,  8725,  8729,  8734,  8740,  8745,  8751,  8759,  8764,
    8770,  8778,  8783,  8789,  8793,  8797,  8801,  8805,  8809,  8813,
    8817,  8825,  8830,  8836,  8840,  8845,  8851,  8859,  8863,  8871,
    8875,  8883,  8891,  8895,  8903,  8911,  8915,  8923,  8976,  8980,
    8993,  8995,  8999,  9003,  9007,  9016,  9022,  9026,  9034,  9038,
    9046,  9050,  9058,  9062,  9066,  9070,  9074,  9078,  9082,  9086,
    9094,  9098,  9106,  9110,  9114,  9118,  9122,  9126,  9130,  9138,
    9142,  9146,  9154,  9158,  9166,  9174,  9179,  9185,  9190,  9192,
    9198,  9202,  9206,  9210,  9214,  9218,  9222,  9226,  9230,  9238,
    9243,  9249,  9253,  9258,  9264,  9268,  9276,  9281,  9287,  9292,
    9298,  9306,  9310,  9318,  9322,  9330,  9334,  9338,  9342,  9350,
    9355,  9361,  9365,  9370,  9378,  9382,  9390,  9394,  9402,  9410,
    9414,  9419,  9425,  9433,  9437,  9445,  9449,  9457,  9462,  9468,
    9472,  9480,  9484,  9488,  9492,  9496,  9504,  9512,  9520,  9528,
    9536,  9541,  9547,  9551,  9559,  9564,  9570,  9574,  9582,  9590,
    9594,  9598,  9602,  9610,  9615,  9621,  9625,  9633,  9638,  9644,
    9648,  9656,  9660,  9664,  9668,  9672,  9679,  9686,  9690,  9698,
    9702,  9706,  9710,  9714,  9718,  9726,  9730,  9734,  9738,  9746,
    9751,  9757,  9761,  9765,  9769,  9774,  9780,  9784,  9788,  9792,
    9800,  9805,  9811,  9815,  9823,  9827,  9831,  9835,  9843,  9847,
    9855,  9859,  9863,  9871,  9879,  9884,  9890,  9894,  9902,  9910,
    9914,  9922,  9927,  9933,  9938,  9944,  9949,  9955,  9959,  9965,
    9971,  9976,  9982,  9986,  9994, 10002, 10004, 10006, 10010, 10014,
   10018, 10026, 10036, 10047, 10056, 10060, 10064, 10068, 10072, 10076,
   10080, 10088, 10092, 10096, 10100, 10108, 10112, 10120, 10125, 10131,
   10135, 10139, 10143, 10147, 10151, 10155, 10159, 10163, 10167, 10171,
   10179, 10184, 10190, 10194, 10202, 10206, 10214, 10222, 10230, 10234,
   10242, 10246, 10254, 10262, 10270, 10274, 10278, 10282, 10286, 10290,
   10298, 10303, 10309, 10314, 10320, 10324, 10328, 10332, 10340, 10348,
   10352, 10357, 10363, 10367, 10371, 10375, 10379, 10383, 10387, 10391,
   10395, 10399, 10403, 10407, 10411, 10416, 10422, 10426, 10434, 10438,
   10442, 10446, 10450, 10454, 10458, 10462, 10466, 10470, 10474, 10478,
   10482, 10486, 10490, 10494, 10498, 10502, 10506, 10510, 10514, 10518,
   10522, 10526, 10530, 10534, 10538, 10542, 10546, 10550, 10554, 10558,
   10562, 10566, 10570, 10574, 10578, 10582, 10586, 10590, 10594, 10598,
   10602, 10606, 10610, 10614, 10618, 10622, 10626, 10630, 10634, 10638,
   10642, 10646, 10650, 10654, 10658, 10662, 10666, 10670, 10674, 10679,
   10683, 10691, 10695, 10699, 10703, 10707, 10711, 10715, 10719, 10723,
   10727, 10731, 10735, 10739, 10743, 10747, 10751, 10755, 10759, 10763,
   10767, 10771, 10775, 10779, 10783, 10787, 10795, 10799, 10803, 10807,
   10811, 10815, 10819, 10823, 10827, 10831, 10835, 10839, 10843, 10847,
   10855, 10859, 10863, 10867, 10871, 10875, 10879, 10887, 10891, 10899,
   10903, 10911, 10915, 10919, 10923, 10927, 10931, 10935, 10939, 10943,
   10947, 10951, 10955, 10959, 10963, 10967, 10971, 10975, 10979, 10983,
   10987, 10991, 10995, 10999, 11003, 11007, 11011, 11015, 11019, 11023,
   11027, 11031, 11035, 11039, 11043, 11047, 11051, 11055, 11059, 11063,
   11067, 11071, 11075, 11083, 11087, 11095, 11099, 11103, 11108, 11114,
   11122, 11126, 11134, 11138, 11146, 11150, 11158, 11162, 11167, 11173,
   11177, 11181, 11185, 11193, 11198, 11204, 11209, 11215, 11220, 11226,
   11230, 11238, 11246, 11250, 11255, 11261, 11269, 11273, 11280, 11285,
   11291, 11296, 11301, 11307, 11311, 11319, 11323, 11327, 11331, 11335,
   11343, 11347, 11351, 11359, 11363, 11371, 11379, 11383, 11387, 11395,
   11399, 11407, 11411, 11415, 11419, 11423, 11427, 11431, 11435, 11439,
   11443, 11447, 11451, 11459, 11463, 11471, 11475, 11483, 11487, 11491,
   11495, 11499, 11503, 11511, 11515, 11523, 11527, 11535, 11539, 11543,
   11551, 11555, 11563, 11567, 11571, 11579, 11583, 11591, 11596, 11602,
   11606, 11610, 11614, 11618, 11622, 11626, 11630, 11638, 11642, 11650,
   11658, 11663, 11669, 11673, 11677, 11681, 11685, 11690, 11696, 11704,
   11712, 11716, 11720, 11728, 11732, 11740, 11748, 11752, 11760, 11768,
   11773, 11779, 11784, 11790, 11794, 11802, 11806, 11810, 11814, 11822,
   11826, 11835, 11837, 11845, 11850, 11856, 11860, 11868, 11872, 11880,
   11888, 11893, 11899, 11903, 11911, 11915, 11919, 11923, 11931, 11935,
   11943, 11947, 11955, 11959, 11967, 11975, 11983, 11991, 11999, 12007,
   12015, 12019, 12027, 12031, 12035, 12039, 12043, 12047, 12051, 12055,
   12059, 12063, 12067, 12071, 12075, 12079, 12080, 12085, 12091, 12095,
   12096, 12100, 12108, 12116, 12120, 12124, 12132, 12136, 12144, 12148,
   12152, 12156, 12164, 12168, 12172, 12176, 12180, 12184, 12188, 12192,
   12196, 12200, 12204, 12208, 12212, 12216, 12220, 12224, 12228, 12232,
   12236, 12240, 12244, 12248, 12252, 12256, 12260, 12264, 12268, 12272,
   12276, 12280, 12284, 12288, 12292, 12296, 12300, 12304, 12308, 12312,
   12316, 12320, 12324, 12328, 12332, 12336, 12340, 12344, 12348, 12352,
   12356, 12360, 12364, 12368, 12372, 12376, 12380, 12384, 12388, 12392,
   12396, 12400, 12404, 12408, 12412, 12416, 12420, 12424, 12428, 12432,
   12436, 12440, 12444, 12448, 12452, 12456, 12460, 12464, 12468, 12472,
   12476, 12480, 12484, 12488, 12492, 12496, 12500, 12504, 12508, 12512,
   12516, 12520, 12524, 12528, 12532, 12536, 12540, 12544, 12548, 12552,
   12556, 12560, 12564, 12568, 12572, 12576, 12580, 12584, 12588, 12592,
   12596, 12600, 12604, 12608, 12612, 12616, 12620, 12624, 12628, 12632,
   12636, 12640, 12644, 12648, 12652, 12656, 12660, 12664, 12668, 12672,
   12676, 12680, 12684, 12688, 12692, 12696, 12700, 12704, 12708, 12712,
   12716, 12720, 12724, 12728, 12732, 12736, 12740, 12744, 12748, 12752,
   12756, 12760, 12764, 12768, 12772, 12776, 12780, 12784, 12788, 12792,
   12796, 12800, 12804, 12808, 12812, 12816, 12820, 12824, 12828, 12832,
   12836, 12840, 12844, 12848, 12852, 12856, 12860, 12864, 12868, 12872,
   12876, 12880, 12884, 12888, 12892, 12896, 12900, 12904, 12908, 12912,
   12916, 12920, 12924, 12928, 12932, 12936, 12940, 12944, 12948, 12952,
   12956, 12960, 12964, 12968, 12972, 12976, 12980, 12984, 12988, 12992,
   12996, 13000, 13004, 13008, 13012, 13016, 13020, 13024, 13028, 13032,
   13036, 13040, 13044, 13048, 13052, 13056, 13060, 13064, 13068, 13072,
   13076, 13080, 13084, 13088, 13092, 13096, 13100, 13104, 13108, 13112,
   13116, 13120, 13124, 13128, 13132, 13136, 13140, 13144, 13148, 13152,
   13156, 13160, 13164, 13168, 13172, 13176, 13180, 13184, 13188, 13192,
   13196, 13204, 13208, 13212, 13216, 13220, 13224, 13228, 13232, 13236,
   13240, 13244, 13248, 13252, 13256, 13260, 13264, 13268, 13272, 13276,
   13280, 13284, 13288, 13292, 13296, 13300, 13304, 13308, 13312, 13316,
   13320, 13324, 13328, 13332, 13336, 13340, 13344, 13348, 13352, 13356,
   13360, 13364, 13368, 13372, 13376, 13380, 13388, 13392, 13396, 13400,
   13404, 13408, 13412, 13416, 13420, 13424, 13428, 13432, 13436, 13440,
   13444, 13448, 13452, 13456, 13460, 13464, 13468, 13472, 13476, 13484,
   13488, 13492, 13496, 13500, 13504, 13508, 13512, 13516, 13520, 13524,
   13528, 13532, 13536, 13540, 13544, 13548, 13552, 13556, 13560, 13564,
   13568, 13572, 13576, 13580, 13584, 13588, 13592, 13596, 13600, 13604,
   13608, 13612, 13616, 13620, 13624, 13628, 13632, 13636, 13640, 13644,
   13648, 13652, 13656, 13660, 13664, 13668, 13672, 13676, 13680, 13684,
   13688, 13692, 13696, 13700, 13704, 13708, 13712, 13716, 13720, 13724,
   13728, 13732, 13736, 13740, 13744, 13748, 13752, 13756, 13760, 13764,
   13768, 13772, 13776, 13780, 13790, 13791, 13794, 13795, 13796, 13802,
   13803, 13804, 13805, 13806, 13819, 13819, 13828, 13843, 13845, 13848,
   13850, 13854, 13866, 13882, 13886, 13897, 13898, 13901, 13913, 13922,
   13923, 13926, 13927, 13928, 13931, 13932, 13935, 13936, 13939, 13940,
   13943, 13945, 13947, 13949, 13953, 13960, 13967, 13983, 14017, 14027,
   14030, 14034, 14047, 14048, 14050, 14052, 14056, 14070, 14077, 14138,
   14147, 14149, 14150, 14153, 14155, 14156, 14159, 14160, 14161, 14162,
   14163, 14170, 14169, 14179, 14181, 14183, 14184, 14187, 14188, 14189,
   14190, 14193, 14194, 14198, 14197, 14214, 14212, 14228, 14227, 14241,
   14247, 14248, 14251, 14253, 14254, 14257, 14258, 14259, 14260, 14263,
   14264, 14267, 14275, 14292, 14300, 14323, 14429, 14463, 14465, 14467,
   14471, 14475, 14474, 14525, 14527, 14526, 14541, 14547, 14554, 14559,
   14565, 14566, 14569, 14570, 14571, 14572, 14573, 14574, 14575, 14583,
   14591, 14594, 14595, 14596, 14597, 14598, 14599, 14607, 14615, 14616,
   14617, 14620, 14621, 14624, 14626, 14635, 14723, 14724, 14731, 14732,
   14733, 14739, 14748, 14751, 14752, 14753, 14754, 14757, 14758, 14759,
   14762, 14764, 14772, 14773, 14779, 14787, 14788, 14791, 14792, 14795,
   14800, 14807, 14812, 14819, 14826, 14826, 14828, 14835, 14836, 14839,
   14840, 14841, 14842, 14843, 14844, 14845, 14846, 14847, 14853, 14860,
   14872, 14878, 14885, 14893, 14894, 14906, 14917, 14928, 14932, 14933,
   14936, 14941, 14945, 14946, 14949, 14955, 14963, 14969, 14976, 14980,
   14981, 14984, 14987, 14991, 14992, 14995, 15001, 15010, 15015, 15025,
   15035, 15047, 15048, 15049, 15050, 15051, 15052, 15053, 15054, 15055,
   15056, 15057, 15058, 15059, 15060, 15061, 15068, 15069, 15072, 15073,
   15080, 15081, 15082, 15089, 15088, 15105, 15106, 15113, 15112, 15182,
   15188, 15194, 15202, 15208, 15214, 15220, 15226, 15232, 15238, 15244,
   15250, 15261, 15262, 15265, 15266, 15267, 15268, 15269, 15270, 15271,
   15272, 15273, 15274, 15275, 15276, 15277, 15278, 15279, 15280, 15281,
   15282, 15283, 15284, 15285, 15286, 15287, 15290, 15291, 15292, 15293,
   15294, 15295, 15299, 15300, 15301, 15302, 15303, 15304, 15305, 15308,
   15311, 15312, 15313, 15314, 15315, 15316, 15317, 15318, 15331, 15332,
   15333, 15334, 15335, 15336, 15337, 15342, 15343, 15344, 15345, 15346,
   15347, 15353, 15354, 15355, 15356, 15357, 15358, 15359, 15360, 15361,
   15362, 15363, 15366, 15367, 15368, 15369, 15370, 15373, 15374, 15375,
   15376, 15379, 15380, 15381, 15382, 15383, 15384, 15385, 15402, 15403,
   15404, 15407, 15408, 15409, 15410, 15411, 15412, 15416, 15416, 15419,
   15425, 15426, 15429, 15431, 15436, 15446, 15457, 15464, 15465, 15466,
   15469, 15502, 15504, 15506, 15509, 15519, 15529, 15539, 15540, 15543,
   15545, 15546, 15547, 15550, 15552, 15560, 15561, 15562, 15566, 15567,
   15571, 15572, 15575, 15576, 15579, 15580, 15581, 15582, 15583, 15586,
   15587, 15588, 15589, 15590, 15591, 15592, 15593, 15594, 15595, 15596,
   15597, 15598, 15599, 15600, 15601, 15602, 15603, 15604, 15605, 15606,
   15607, 15608, 15609, 15610, 15611, 15612, 15613, 15614, 15615, 15616,
   15617, 15618, 15619, 15620, 15621, 15622, 15623, 15624, 15625, 15626,
   15627, 15628, 15629, 15630, 15631, 15632, 15633, 15634, 15635, 15636,
   15637, 15638, 15639, 15640, 15641, 15644, 15645, 15646, 15647, 15650,
   15651, 15652, 15653, 15654, 15655, 15656, 15657, 15658, 15659, 15666,
   15667, 15668, 15669, 15670, 15673, 15674, 15677, 15678, 15689, 15690
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY",
  "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT",
  "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF",
  "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OWNED", "OWNER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PLACING", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP",
  "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED",
  "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN",
  "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC",
  "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN",
  "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateTrigStmt", "TriggerActionTime",
  "TriggerEvents", "TriggerOneEvent", "TriggerForSpec",
  "TriggerForOptEach", "TriggerForType", "TriggerWhen", "TriggerFuncArgs",
  "TriggerFuncArg", "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "type_name_list", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectSchemaStmt", "AlterOwnerStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "DropRuleStmt",
  "NotifyStmt", "notify_payload", "ListenStmt", "UnlistenStmt",
  "TransactionStmt", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty", "ViewStmt",
  "opt_check_option", "LoadStmt", "CreatedbStmt", "createdb_opt_list",
  "createdb_opt_items", "createdb_opt_item", "createdb_opt_name",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "indirection", "opt_indirection", "opt_asymmetric", "ctext_expr",
  "ctext_expr_list", "ctext_row", "opt_target_list", "target_list",
  "target_el", "qualified_name_list", "qualified_name", "name_list",
  "name", "database_name", "access_method", "attr_name", "index_name",
  "file_name", "func_name", "AexprConst", "Iconst", "SignedIconst",
  "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,    60,    62,    61,   768,    43,    45,    42,
      47,    37,    94,   769,    91,    93,    40,    41,    46,    44,
      59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4744

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4744)))

#define YYTABLE_NINF -2800

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2800)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4744,   433, 11052, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, 31351, -4744,
   -4744, -4744, -4744, -4744,112459,   522, -4744, -4744, -4744,117557,
   -4744, -4744, -4744,   938, 77179, -4744, 80203,  1306, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, 84235, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, 64564,  1268, -4744,   957,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744,  1597,  8728, -4744,
   -4744, 80707, -4744,   217, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, 81211,   966, -4744, -4744,  1227,  1329, -4744,   133,  8278,
   -4744, -4744, 73651, 78187, -4744, -4744, 84739,   671,  1875, 16788,
    1597, 32119, 85243, -4744,  1972, -4744, 60992, -4744, -4744, -4744,
   77683, -4744, -4744, -4744,  1354, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, 91291,  2639,  1326, 61505, -4744,
   -4744, -4744, -4744, 91291, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, 85747, -4744,  1428,  1538,   956, 91795, 92299,
   75163, -4744,  1472, -4744, 91291,  1622,  1449, 63554, -4744, 92803,
   -4744, -4744,  1468, -4744, 86251, -4744, -4744, -4744, -4744, -4744,
    1326, -4744, 64564, 59982,    49,  1401, -4744, -4744, 93307, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, 91291,  1961,
    1551, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744,   966, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744,   795, -4744,  1093,  1088,  1437,   810,  1669, -4744,
   -4744, -4744, 29834, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
  113962,   371, -4744, -4744, -4744,  1708, -4744,  1684, -4744, -4744,
   -4744,  2164, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,   430,
   -4744, -4744, -4744, -4744,  2218,112960, 84235, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, 73147, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744,   198, -4744, -4744,
   -4744, -4744, -4744, 84235, 84235, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, 84235,  1800, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744,   887,  2038, -4744, -4744, 64564,  2523,  2523,
    2321,113962, -4744, -4744, -4744, 66079, 91291, 91291, 91291,  2020,
   91291,  1950, 91291,   346, 66079,121493, 86755,  2115,  2010, 55352,
   93811, -4744,120182, 91291, 91291, 94315, 91291,   583, 81715, 91291,
    2034, 91291, 91291,121930, 94819,  2199, -4744,  2473,  1427, -4744,
   -4744, -4744, 91291, 17874,  2639, -4744, -4744, 91291,  2054, 66079,
   91291,  2002, 91291,  2059, 91291, -4744, 91291,  2084, 95323,   658,
    1663,121493,  1984, 55869,  2170, 91291,121493, 95827, 91291, 91291,
   -4744, -4744,  2156, 91291, 91291, -4744,  2264,122367,  1527,  2294,
    2464,  2347,   972, -4744, -4744,  2496,  2102, -4744, -4744,  2566,
   84235, -4744, 82219, -4744, -4744, -4744,  2236, -4744, -4744, -4744,
   -4744, -4744, -4744,119308,  1875, -4744, -4744, 66584, 91291,  2394,
   -4744, -4744, 96331, 69614,  2211, -4744,   687, 67089,122804,  2513,
    2186, 56386,  2545, 96835,123241, 97339, -4744, -4744, 97843, -4744,
   98347,  2272,  2394, 98851, 70119,123678, -4744,  2395, 99355, -4744,
    9546, -4744,  2145,  2092,  2175,  1965, 84235, 84235,  1841,115337,
   -4744, -4744,   966, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744,   164,  1925, 62018,  1090, 62531, -4744, -4744,  1256,  1413,
    1423,   164,  2597,  2597,   534, 84235, -4744, -4744,  1925, -4744,
    1017,   881,  2179,  2179,  2179,  2352,  1163, -4744,  2179,  2306,
   -4744, -4744, -4744, -4744, 86251, 62018, 62531, -4744,  2180,  2639,
     163,  2591,  2234, -4744, -4744, -4744, -4744, -4744,  2246, 91291,
   91291, 91291, -4744, -4744, -4744,  2606,  2226,  2468, -4744,  2215,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  2411,
    2427,  2420,    66,  2639,  2323, -4744,  2544, -4744,  2452, 38354,
   38354,   474, 84235,  2639, 63044, 87259,109435,   289,119308,  2639,
   99859,  2289,  1587,  2457, -4744, -4744, -4744,   653, -4744,  2683,
    2296,  2557,   608,  1427, 52803, -4744,  2320,  1580, 86251,114463,
   -4744, -4744, -4744, -4744,   262,  2612, 38876, -4744, 91291,  2326,
   -4744,  2334,  2326,  2325,  2336,  1437, -4744, 91291,  1519,  1519,
    2721,  1519,  2047,  2147, -4744,  2168, -4744,  2630,  2596, 86251,
    1401,  1597,  2346, -4744, -4744, -4744,  2358, -4744,  2361,  2362,
   -4744,   901,  2619, -4744, -4744, -4744, -4744,  2454,  2462,  2463,
    2467,  2397,  2480,   323, -4744, -4744, -4744, -4744,  2718, -4744,
   -4744, -4744, -4744, -4744, -4744,  2795,  2804,117997,117997,   689,
     842,   216,   277, -4744, -4744, -4744,  2666, -4744, -4744,  2656,
   91291,  2498, 91291, -4744, -4744, -4744,100363, -4744, -4744,  2523,
    2358,  2424, -4744,   179, -4744,  1580, -4744,   204,   309,   391,
    1829,  2429,  1872,  1033, -4744,   768, 91291,  2549,   177,   975,
    2476, 87763,  2711,  2436,  2599,  1403,  2728,  2770,  6752,   323,
   88267, -4744, -4744, -4744, -4744, 91291, 91291, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744,  2485, -4744, -4744,  2474,
    2778,  2669,  2751,  2636,  1308,  2687,    74,  2807,  8837,  1477,
  100867,109939,  2769,  2811,  7987,  1685,   926,  2704,   965,  2818,
    2671,  1882,  2841,  8435, 91291,  2541, -4744,  2781,  2893,  1054,
   -4744,   194, -4744,  2611,  2745,   604, 66079,  2562, -4744, -4744,
   91291, -4744, -4744, 70624,  2641, -4744,   706, 66079, -4744,  2771,
    2615, 56903, 91291, -4744, 91291, -4744, -4744, -4744, -4744, -4744,
    2723,  2884, 91291, 70624, -4744,  2835, 91291, -4744,  2179,  2762,
    2616,  2993, 70624,   219, 91291,  1512,  3030, 91291,  2830,  1512,
    2675,101371, -4744, -4744,  1512, -4744, -4744, 91291, 91291,  2638,
    1651,  2842,  1512,  2870,  3075,  3080,  2740,  2857,  1218,  1223,
     159,  2979,  1512,  2731,101875,102379, 91291,  2738, 91291,  3097,
   66079, 91291,  3027, -4744,  2905, 88771, -4744,  2749,  2496, -4744,
   -4744, -4744, -4744, -4744,   873, -4744, -4744, -4744, -4744,  3064,
    2424,   672,  3073,  2768,  3088, -4744, -4744,  2827, -4744,  2827,
    2827,  2783,  2783,  2956,  2793,  3109, -4744, -4744, -4744,  2067,
    2827,  2783, -4744, 71634, -4744,  1930,  1939, -4744,   210, -4744,
    3218, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,   138,
   -4744,  1023, -4744,  1955, -4744, -4744, -4744, -4744,  2834, -4744,
    3114,  2436,  3115, -4744,  2805,102883, -4744,103387,103891,  3122,
    2485,121493,  3123,  3008,  3127,  2805,  3130,  3014,  3132,   672,
    3139, -4744,  1327,  3129,  3142,  3026,  3144,   210,  3146,  1921,
    2805,119745,  3147,   224, -4744, 13021,  9546, -4744, 17779,   444,
   -4744, -4744, -4744, -4744, -4744, -4744, 42530,   910,  2927, -4744,
   -4744, -4744,  2046, -4744,116667, -4744,  1841,  1925, -4744, 84235,
    1925, 84235,   534,  1925, 84235,  1925, 84235,   534,  1925, 84235,
   84235, 84235,  1925, -4744, -4744,   269,   226, -4744, -4744, -4744,
   -4744, -4744, 84235,  2840, 91291, 91291, -4744, -4744, -4744, 78691,
  121493, 79195, -4744, 91291, -4744,    63, 84235, -4744, 84235, -4744,
    2639, -4744, -4744,  2092, 70624,  3256,121493,  3097, -4744,  2052,
   -4744, -4744, -4744, -4744, -4744, -4744,  3078, 91291,  3141,  3148,
   78691,121493, -4744,104395,119308,  3037,  2849, -4744, -4744, -4744,
   -4744,  2062,  2694,   222,  2808, 42530,  2850,   424,   424,  2852,
    3151, -4744, -4744, -4744,   436,  2858,  2860, -4744,   261,   261,
    2862,  2868, -4744,   343,  2869,  2871,  2824,   465,  2872,  2873,
    2874,  2067,   424, 42530, -4744,  2876,   261,  2877,  2878,  2880,
    2892,  2881, -4744,  3071,  2883,   454,   532,  2885,  2889, -4744,
    2862, -4744,   234,  2890,  2891,  2894,  2897,  2900,  2901,  2902,
    2904, 42530, 42530, 42530, -4744, 36788,  1580,  2639, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744,   541,  4344, -4744,  2918,
   -4744, -4744,  3038, -4744, -4744, 42530, -4744, -4744,    41, -4744,
     549, -4744, -4744,  1580, -4744, -4744,  2019, -4744, -4744, -4744,
   -4744,  3121,  2907,  1905,  1905,   214, -4744, 80707, 80707, -4744,
   -4744,  1517,  2911, -4744,  1220, -4744, -4744, -4744, -4744, -4744,
   -4744,118871,  3307, -4744,  2864,  2639,   194,   255,  3263,115777,
  116222,  3166,  3166,  3152, -4744, -4744, 91291, -4744, -4744, 42530,
   58972, -4744,  1580,   117,  3170, -4744, -4744, -4744,  2107, -4744,
   -4744, -4744,   966, -4744, 17226, -4744,  2123,  2326, 91291, 91291,
    3337, -4744, -4744,  2334, -4744, -4744,  1437,  1437, 42530,  1437,
     725,  1278, 39398, 42530,  3221,  3120,   748,  1339,  3224, -4744,
    3124,  2047,  2147, 86251, 91291,104899,  3043, -4744, -4744,  2358,
    2940,  1866, -4744, 72643,113461,113461,  3190, -4744, -4744,   148,
    1249,  3059,  3153,  2597,  1631,  2417, -4744, -4744,  2938, -4744,
    3284, 80707,  2998,117997, -4744, -4744, 91291, -4744, -4744, 89275,
   -4744, -4744, -4744,  1943,  2941, -4744,  2958, 91291, -4744,  3457,
    2417,  2417, -4744, -4744,  2945, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744,113962,  2949, 91291, -4744,  2953,  2954, -4744,
  114463, 59477,  1986,  1580,  3032,  3035,  3085, 64564,  2962,  3045,
    3046,  3086,  3203, -4744, -4744,  3050,  3051,110443, -4744, -4744,
    1674, -4744, -4744, -4744,  1674, -4744,  2986, -4744,  1431,  1132,
     920,  3054,   319,   751,  3347, -4744,  1491,  3105, -4744, -4744,
   -4744,  4251, 91291,  3289,  8998,  3173,   323,  3107, -4744, -4744,
    3225,  3063,  3065,  3191,   323,  1469,110947, -4744, -4744, -4744,
   -4744, -4744, -4744,  4856, 35248, -4744,  3066,  3047,  3081, 91291,
   74155,  1755,  3185,  1686,  2064,   631,  3128, 91291,  1506,  3193,
   91291,  2999,  3079,  3083,  3278,  3003,  2135,  3373,  3006, -4744,
   -4744,  3188,  3281,  3323,  9442,  3070,  3076, 68604,  1476, 57420,
   91291, 91291,  3364,  1630,  3101, -4744, -4744, -4744,  1630, 91291,
    3102,  3103, 91291,   323, -4744,  3426,   323,   323,  1762,  3428,
    3110,   331,  2091,  1512,  3006,  2390, -4744,  3112,  3116,  1854,
   -4744,  3226, -4744, -4744,  1359,  3125, 86251,   395,  2109,  3006,
    3118,  3119,  3003,  3003, 91291, 91291, 91291, 91291, 91291,   150,
    3452,  3453,  3126,   172,  3171,  3044, -4744,120619,  3133,109435,
   -4744, -4744, 91291,  3134,  2285,  3006,  1746, -4744,  1998, -4744,
   -4744, -4744,  1427, -4744, 91291, -4744, 91291,  2424, 70624,  3238,
    3297, -4744,  3089, -4744,  2436,   323, -4744, 91291, 91291,  2485,
    3242,  1716,  1333, 70624,  3244,  3308, 91291,  3309,  3098, -4744,
    1151, 59477, -4744,  2638,  3062,  3479, 91291, 64564, -4744,  3491,
    1674, -4744, 70624,  3258,  3377, -4744, 91291,  3275,  3074, -4744,
    3411,  3131, -4744, -4744,   559, 91291, -4744,  3384,121493,  1045,
    2639,  3135,121493,  3303, 91291, 91291, 91291, 91291, -4744, -4744,
    3274,   894,   297, -4744,120619, -4744, 91291,  3285,  2390,  3286,
    3496,   614,  2179,105403,  3379, -4744,105907,  3084,  3498, 70624,
    3328, -4744, -4744,  3091,  2597, -4744,  2749, -4744,  2127, -4744,
    3215, -4744, 66079,   672, -4744, -4744, -4744, -4744, 70624, 91291,
   -4744,  3094, -4744, -4744, 42530, -4744, -4744, -4744,  2597, -4744,
   70624,  2827,  2827, -4744, -4744,  3507,  3174,  3176,  2597, -4744,
    2597, -4744, 70624, -4744,  3100,  3104,  3214,  2597, -4744,  3178,
   -4744,  3180,  2597, -4744,  2136, -4744,106411, 66079,   672,121493,
  121493,  3414,   224,  3415,  3165,  3421,  3167, 57420,   672,   243,
   91291, 91291,121493, 91291, 91291, 91291, -4744, 91291, -4744, -4744,
   -4744, -4744, 70624, 91291, 91291, 70624, -4744,121493,120619,  3423,
    3424,   672, 91291, 91291, -4744, -4744, 16688,  1828, -4744,  9546,
   -4744, 17226,  2142,  3166, -4744,  1800, 91291,  1608,  1841,124115,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, 84235, -4744,
   84235,   534, -4744, -4744, 84235, -4744, 84235,   534, -4744, 84235,
   -4744, -4744, -4744, 84235, 91291,  3628,  3117, -4744,  2019, -4744,
   91291,  2160, -4744, -4744,  2166,  1121, 91291, 91291,   738, 66079,
   91291,  3315, 91291, 91291, 91291, 91291, 91291,  3196,  2911,  1109,
   -4744,  1514,   317, 86251,  3324, -4744, -4744, -4744, -4744, -4744,
    2198,  1961,  1280, 91291,  1524,  2246, -4744, -4744, 79195, 77683,
    3416,   281, 91291, -4744, -4744,  4238, 42530, 37832, -4744, -4744,
   17226,  3162, 42530, 42530,  3136,  2597,  2597, -4744,   934, 42530,
   42530, 42530,  2597,  2597, 10264, 42530, 57420, 42530, 45140, 33679,
   42530, 42530, 37310, -4744, 42530,  3339, 46184, 42530,   255,  3340,
   42530,   255, 10264,  3566,  3566,  1401,  2690,  5606,  3138,  1580,
   -4744,  2597,  1168,   360, 70624, 42530, 42530, 42530, 42530, 64564,
    3207,   203, 91291, 42530,  3137,  1935, -4744, 42530, -4744,  3149,
   42530,  3206,   973, 42530, 42530, 42530, 42530, 42530, 42530, 42530,
   42530, 42530, -4744, 47200,   361, -4744,  3418,  3432,   -47,   155,
   79699, 38354,  3427, -4744, 32633, -4744,   353, 84235, -4744, -4744,
    1580,  3427, -4744, -4744, -4744, -4744, -4744,  1943,  3143, -4744,
    3150, -4744, -4744, -4744, -4744, -4744, 91291,  3307, -4744, -4744,
    3213, -4744, -4744, -4744, -4744,   560, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  3145, -4744, -4744, -4744, -4744,  3145,
   -4744, -4744,  3166,  3158,  4621, -4744, -4744, -4744, -4744,  3409,
    3419,   672,113962, 91291,   262, 82723, -4744, 38876, -4744,  2212,
   -4744,  3154, -4744,  3397, -4744,  3159, -4744, 12421,  3397, -4744,
   -4744,   162,  3261,  3396,  3343, -4744, -4744, -4744,  3168, 17226,
   -4744,  2128, 17226,  2197, -4744, -4744, -4744, -4744, -4744, -4744,
    1230, -4744, 91291,  1343,  3221,  1339,  3219,  1422,  3568, 91291,
   -4744, 53311,  2033, -4744,  2358, -4744, -4744, 16158, -4744, 19532,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  3160,
   -4744, -4744, -4744, -4744,   323,  3169,  3659, -4744,117997, -4744,
   -4744, -4744,  3628, -4744,  2566, -4744,  2566,  3684, -4744, 84235,
   -4744, -4744, -4744, -4744,  1136, -4744,  9546, -4744,  9546, -4744,
    3356, -4744,  3572, -4744, 71634, -4744,  3175, -4744, 71129, 67594,
   -4744, -4744,   981, -4744,   847,  3254,  3255,  3306,121493, 91291,
   91291, -4744, 64564,121493, 91291, 91291, -4744,121493, 91291, 91291,
   -4744, -4744, -4744, -4744, -4744,117112,   528, 77683,  3310, 75667,
   -4744, -4744,  3181, 91291,  3237,  3437,  3438,  1523, -4744, -4744,
  106915, -4744,  3395,121493, 91291, 91291, 42530,  3398, 91291, 91291,
   -4744,   183,  3273,  3277, -4744, 91291,  3280, 66079,  3198, 91291,
   91291, 70624,  3276,   708, 66079,  3243, 57937, 91291, 91291, 91291,
   91291,  3330,  3504, 70624, 91291,  3451,   806, 86251,   303,  2288,
    3006,  3410, -4744,  1485, -4744,121493, 91291,  3402, -4744, -4744,
   -4744, 76171,  3620,  3318, -4744, -4744,111451, -4744, -4744, -4744,
    2253, -4744,121493,121493, 91291,  9562, 91291,  1535, -4744, -4744,
   70624, -4744, 91291, 91291, 91291,  3449, 91291, 83227,107419,107923,
    1287,  1619,  3455, 91291, 83731,  3458, -4744,  3346, 91291, -4744,
   -4744, 65069,121493, 91291,  1083, 64564, -4744, -4744, 91291, -4744,
    3417,  1155, -4744, 91291,  3007,  3295,  3316, 91291,   344,  2317,
    3006, 91291, 91291,  3222,  2260,  3321,  3358, -4744,  3440,   946,
   91291, -4744,121493,  1556, -4744,  3393,121493, 91291,  9052, -4744,
   -4744,   323, -4744, -4744, -4744, -4744, -4744, 91291, 91291,   323,
   91291,   323,  1158, -4744,121493, 91291, -4744, -4744, -4744, 91291,
   11716, 91291, 91291, 91291, 91291,121493, 91291, -4744, -4744,  1035,
    1367,    28,  1482,  3394, 91291,  3528, 91291,108427,121493, 91291,
   91291, 91291,   291, -4744,  3370, -4744,121493,  1556, 11860, 91291,
   91291,  3331,  3332,   170,  3412, -4744, -4744, -4744, -4744, -4744,
   -4744,  3508,  3673,108931,  1901, -4744,  3510,  3512,  3319,  3320,
    3517, 91291,  1901, 91291, -4744, -4744, -4744, -4744,  3513, 91291,
    1901,  3518,  1901,  3466,    96, -4744, -4744,  1512, -4744,  2268,
   -4744,  3287, -4744, 42530, 70624, -4744,  2275, -4744,  3290,   894,
   -4744, -4744, 64564, 91291,   624,   812,  3583, 74659,  2577,  3575,
   91291,  3322, 91291,  3578,  2577, 91291, -4744,  1741, 77683, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  3577, -4744,
    2639,  2638,  2638,  2638,  2638, -4744, -4744, -4744, -4744,  3483,
    2171, -4744,  3283,  2638, 91291,  3405,  2577,  3291,  3606, -4744,
    2390,  3607,  3609, 91291, 74659,  2322,  3335,  3509,  3717,  2179,
    2639,  3511,  3499, -4744, 35757,  6867,  3500,  3547,119308, 88771,
   -4744,  3325,  3589,  3593,  3612, -4744,  2424, -4744,  3735, -4744,
   42530,  2308,  3326,   210, -4744, -4744,  3336,  3104,  3338,  3345,
    3329,  3341, -4744,  2597, 50771, 91291,  3342,  1270,  3539,  3349,
   -4744,  3635,   672,  2436, -4744,  2805, -4744, 91291, -4744, 91291,
   91291, 91291, 91291,  2485, -4744, -4744,  3521,   672,  2805,  3530,
     672,   672, -4744,  3579,  3532,   672,   210,  2805,  3461,  3643,
  119308, -4744,   224, -4744, -4744, -4744, -4744, -4744, 42530, -4744,
   -4744,  2179,  2127, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, 84235,  2566, -4744,  2319, -4744, 91291,
   -4744,  3618,  3621,  3622,  3350,  3351,  3386, 91291,  3353, -4744,
    3350,   323,  3350,  2911,  2911,  3350,  3351,121056,  3785,  3645,
   -4744,  3439,  3360,  3655,   129, -4744,   734,    16,  3581, -4744,
   -4744, -4744, -4744, 70624, -4744, -4744, -4744, -4744, -4744,121493,
    3400, 91291, 91291, -4744,    70,  3558,  3365,121056,  3767,   672,
   -4744, 66079, -4744, -4744, 70624,  3442,  3460, 66079,  3571,  3425,
   -4744, -4744, -4744, -4744, -4744, 70624, -4744,  3627, 91291,  2324,
   -4744,  1835, -4744,  1887, 42530,   169, -4744, 14453,  2329, 42530,
    3374,  3376, -4744, -4744, -4744, -4744, -4744, -4744,  3378,  3677,
   -4744, -4744,  2341,  2359,  2380,  3385,  3388,  3815,  3389, 14503,
    3391,  3387, 45140, 45140, 36788,  1073, -4744, 45140,  3392,  3576,
    2388, 13180,  3399,  3408, 15049, 39920, 42530, 39920, 39920, 15202,
    3399,  3413,  2393, 64564,  3570, 15500,  2419, -4744, 42530, 64564,
    5549, 42530, -4744, 42530,  3420, -4744, -4744,  3751,  3751,  3751,
   10264, -4744,  3430, -4744, 45140, 45140, -4744,  3195, 36788, -4744,
   -4744,  3686, -4744, -4744,  1952, -4744,  3401, -4744, -4744,  3433,
   57420,  6098, 42530,   252, 42530,  3137, 42530,  3475,  3751,  3751,
    3751,   655,   655,   149,   149,   149,  2313,   155, -4744, -4744,
   -4744,  3406,  3431,  3434,  3582,  3443, 42530, -4744,  2398,  2516,
   91291, 10999, 12965, 13874, -4744, -4744, -4744, 48230,  3454, 42530,
   42530, 42530,  3422, -4744,  2564, 17226,   936, -4744,  2568, -4744,
   -4744, -4744,  3454,   555,  3684,  1943, -4744,  1427,  2597,  1168,
  116667, -4744, -4744, -4744, 42530, -4744, -4744, -4744, -4744,  2334,
   -4744, -4744, -4744, -4744, -4744, 91291,  1961, 42530, -4744, -4744,
    1710,  3435, 42530,  2128, -4744, -4744,  3471, -4744, 42530, -4744,
   -4744, -4744,  2911, -4744,  3624, -4744, -4744, -4744, 48230,  3456,
    3467, 52295,  3629, -4744, 91291, -4744, 91291,   241, -4744, -4744,
   -4744,  3441, -4744, -4744, -4744,  1761, -4744, -4744, -4744, -4744,
   -4744, -4744,  3445, -4744,  3429, -4744,  3450, -4744, -4744, -4744,
   -4744,   201,  3444,  3447,  3446,  1858, -4744, 67594,  1955, -4744,
   71129, -4744, 71129, -4744,  1955,  3836, -4744, 67594,  1790,121493,
   91291, 91291, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744,121493,121493,  3636, 91291,  3641,
    3648, 42530,  1166, 91291,  3459,  3462,  1559,  3720, 91291, -4744,
    3769,   672, -4744, -4744,  3535, -4744, 17226, -4744, -4744, -4744,
   -4744, -4744,121493, 91291, -4744,119308, -4744,  2424, 70624, -4744,
   -4744, -4744, 91291,  3492, 91291, -4744, 91291, 91291, 91291,  2485,
   -4744, -4744, -4744, -4744,  1346, 70624, -4744, -4744, 91291, 91291,
      58,  3541,  3542, 91291, -4744,   564,  3226, 11935, 91291, 91291,
   91291,  3725, -4744, -4744, -4744, -4744,  3668, -4744, -4744, 67594,
   -4744,  2805,  1297,  3545,  3006, -4744,  3657, -4744,  1236, -4744,
    3592, -4744, -4744, -4744, -4744,  3781,   672,  3783,   672, 91291,
   91291, 91291, 91291,  3597, -4744, -4744, -4744, -4744,  3599,  3713,
   -4744, 64564, 64564, 64564,  2445, -4744, -4744,  2639, -4744, -4744,
   -4744, -4744, -4744, -4744,  3747, -4744,  2450, -4744,  1102, -4744,
   -4744, -4744, -4744, -4744, -4744,121493, 91291, 12387, 91291, 91291,
   91291,  2073, -4744,  1196, 70624, -4744, 69109,121493, 91291, 91291,
    3559,121493,  3543, -4744, -4744,  3718,  3664, -4744,  1978,  3665,
  121493,  3550, -4744, -4744,  3574, -4744, -4744,  3584,  2366,  3006,
    2390, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  1435,
     643,  2552,  3006,  3585, -4744,  3586, -4744, -4744, -4744,  3722,
    3723,  3727,  3588,  3590,  3631,  3591,  3595,  3642, -4744,  3596,
    3646,  3598,  3649,  3601,   672, 70624,  3700,  2639,  3640,  3824,
     672, -4744,  3604, -4744, -4744,  3931, -4744, 91291, -4744,  3605,
    2559,  3006, -4744, -4744,121493, 91291, -4744, -4744, -4744,  1901,
   70624, 91291,  3778, -4744, -4744, -4744,  1901,  1901, 91291, 91291,
    1901,  3779, -4744,  3780, 91291,  3782, -4744,  1901, -4744, -4744,
   -4744, -4744,  2762,  3534, -4744,  2236, 54835,  5657,  3531, -4744,
   64564, 54835,  2172,  2232,   113,  1512,119308, 91291,119308, -4744,
     812,  3657, 91291, 91291,  3536,  3533, -4744, -4744, -4744, -4744,
  121493,  1149,121493,  2597, -4744, -4744,  3602, -4744, 91291,  2179,
     400,  3615,  3947,  3080,  1045,  3685,  1807,  3890,  3335, -4744,
   -4744, -4744, -4744, 91291, 91291,   894,  2639, -4744,  3546,  3549,
   -4744, 91291, 91291, 91291, 91291, 91291,  1961,  3548,  3552, 70624,
     630,  3739,  3741,  3003,  3970,  3865,  1961,  3335,  3634,  3867,
   91291, -4744,  2453,   136, -4744,  2639,119308, 68099,  3856, -4744,
    6563, -4744, -4744,   830, 91291,  3842, -4744, 91291, -4744, -4744,
   51787,   672, 70624,  2469, -4744, -4744, -4744,  2597, -4744, -4744,
    1599,  1599,  3564, -4744, 51279, -4744,  3565, -4744,  2242, -4744,
    3952, -4744, 91291, -4744,   672,   224,  3623,   672,  3626,   672,
     672, 91291, -4744, 91291, -4744, -4744, 91291, 91291, -4744, -4744,
   91291,120619,   672, -4744, 17226,  3872, -4744, -4744, -4744, -4744,
    3694,  3696,  3703, 91291,  3350, 66079, -4744,  3594,121493,  1636,
   -4744, -4744,  3773, -4744, -4744, 86251,  3697, -4744, -4744, -4744,
   -4744,  3896,  3897, -4744, -4744, -4744,   215, -4744, -4744, -4744,
  121493, 78691,   273,121493, -4744,  2424,  3838, -4744, -4744,  2436,
     323, -4744,  3841, 91291,  3843, -4744, -4744, -4744,  3603, 15641,
   42530, -4744,  3905, 70624, -4744,  5910, -4744, -4744, -4744, 42530,
   -4744, -4744, -4744, -4744, -4744, 42530, -4744, 42530,  3885, -4744,
   34202,  4034,  4034,  3608, 70624, 45140, 45140, 45140, 45140,  1664,
    2877, 45140, 45140, 45140, 45140, 45140, 45140, 45140, 45140, 45140,
   45662,   680, -4744,  3777, 42530, 42530,  3899,  3885, -4744, 70624,
    3613,  3399,  3614,  3616, 42530, -4744, -4744,  2477, 46692,  3617,
   64564, -4744, 42530, 13279,  2481,  3647, 16560,  1580,  6546,  2639,
   42530,  3875,  4990, 42530,  2487, 42530,  3891, -4744, -4744, -4744,
    3610, -4744, -4744, 70624, 42530,  3619,  3983, 45140, 45140,  4261,
   -4744,  4971, 42530, 36788, -4744,  3791,  3644, 53819, -4744, 34725,
    3630,  1326,  1326,  1326,  1326, -4744, 91291, 91291, 91291, 48738,
    3900, 47722, 89779,  3632,  2475, -4744, 89779, 90283, -4744,  3633,
   -4744,  3650,  1580, 42530,  3893,   967,   967,  3791, -4744, 42530,
   42530, 40442,  3651, -4744,  3893, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
    3638, -4744,  3654, -4744, -4744,   194,  3652, -4744, -4744, 11705,
     201, -4744, -4744,  3653, -4744,  3656, -4744,  3435,  1511, -4744,
    6663,  3798, -4744, -4744, -4744,  3632, 40964,  3753, -4744,  2490,
   -4744, -4744,  3993,  3753, -4744, -4744,  2506, 53311,  3456, 38876,
    1580,  2597,  3658, -4744,  2566,   555, -4744, -4744, -4744, -4744,
   -4744,  2507,  1936, -4744, -4744, 67594, -4744,  3690, -4744, -4744,
   -4744,  2805,  2805,  1217,  3350,  3921,  1217,  7128, -4744, -4744,
   49246, 91291, 91291, -4744, 91291,  2512,  1547, 91291, -4744, 91291,
   -4744, -4744, -4744, -4744,  4042, -4744, 91291, -4744, -4744,  3683,
    3688, -4744, 91291, 91291, 91291, 91291,  3873, -4744, -4744,  2429,
   -4744, -4744,121493, 91291, -4744, -4744, -4744,   426,  2810,  3006,
   -4744,  3708, -4744, -4744,  3903, -4744,  4030,  3730, 91291,  3660,
   -4744,  1547,  1221,  3003,   870, -4744, -4744,  3715, -4744, 91291,
   -4744, 91291, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  3768,
   -4744, -4744, -4744, -4744, 65069, -4744, -4744, 91291, -4744, 64564,
   54835, 64564, -4744,  1569,   579,  2946,  3006, -4744,  3732, -4744,
    3742,  3745,  3788,   886,  1330,  3749,  3750,  3790,  3674,  3675,
    3676, -4744, -4744,  3818, 91291,  2805,  3679,  3716,   164,  2639,
   -4744, -4744,  2639,  2805,  2639, 91291, 91291, 91291,  4078,  3771,
   91291, 91291, 91291, 91291, 91291, 91291,  3979,    98,  1993,121493,
   91291, 91291,121493, 91291, 91291, 91291, 91291, 91291, 91291, 91291,
   -4744,  4063,  3996,   325,  4032,  3758, 91291, -4744, 91291,  3226,
   91291, 91291, -4744, -4744, -4744,  3691,  3944,  1901, -4744, -4744,
    3945,  3946, -4744,  1901,  1901,  3948,  1901, -4744,  1151, 64564,
   -4744,  2974, -4744,  3287,  3656,  2597,  2417, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  2553, -4744, -4744, 91291,  3698, 91291,
   91291, 45140, -4744,  1702,   244, -4744,  3949, 91291,  3736, -4744,
   -4744, -4744,  3859, 91291, -4744, -4744, -4744, -4744, -4744,  3705,
   -4744,  3971, 74659,  2805,121493,121493,  2805, -4744, 70624,  3709,
    3335, -4744, -4744, -4744, -4744, -4744, -4744,121493,  3543,121493,
    1045,  1805,102379,  3743, -4744,  3707,  4008, -4744,  3714,  3711,
   -4744, -4744, 91291,  3657,  2527,  2390,   716,  2175,  3400, 76675,
    2322,  3971, -4744, -4744, -4744,  4091,  3802, -4744,  1961, 91291,
    3400,  3802,  2639, 91291,  3237, -4744, 67594, 42530, 42530, -4744,
    3719, -4744,  3721,  7408, -4744,  3786,  3724,  2638, -4744, -4744,
   -4744, -4744, -4744, -4744,  3795,  3726, 91291,  4165, -4744, -4744,
   -4744,  3728, -4744,  3729, -4744, -4744, -4744,  1949,113962, 51279,
   51279, 51279, 51279, 51279, -4744, -4744,   672, -4744, -4744, 91291,
   -4744, 91291, -4744, -4744,   672,   672,   672,   672, -4744,  3847,
   -4744,  1961, 91291, 91291, 91291,  3350, -4744,   323, -4744,  4011,
  121056, -4744, -4744,  2528, 91291, -4744, -4744, -4744,  4073,   281,
    4024, -4744, -4744,  3982,  2176,  3985,  3986,  2176,  3999,  2176,
   -4744, 42530, 17226, -4744,  3733, -4744, 17226,  7441, 17226,  3899,
   -4744,  2539, 42530, -4744,  4490,  4490,  4490,  1336,  4043, -4744,
    1672,  3754,  4490,  4490,  4490,   237,   237,   161,   161,   161,
    4034,   680, 17226, 17226, -4744, -4744,  3755, -4744, -4744, -4744,
    3399, -4744, 43052,  3907,  4153, -4744, -4744, -4744,  3796,  3800,
    3763, -4744, 42530, 43574,  3762, 71634,  3950, -4744,  1791, 42530,
   42530,  5631, -4744, 10408, 42530, 70624,  2540,  5631,   394, 42530,
    5302,  5315, 42530, 42530,  6241,  7653,  3765, 42530,111955, -4744,
   -4744, -4744,  2555, 42530, 91291, 91291, 91291, 91291, -4744, -4744,
   -4744, 89779, 90283,  3770, 50262,  2475,  3766, 91291, -4744, -4744,
    3774, 48230,  4014,  3954, -4744, 48230,  3954,  1823,  3954,  4021,
    3863, 54327, -4744, -4744,  3787,  3964, -4744, 32633,  2117, 17226,
    4179,  4064, 42530,  3784,  3789,  3793, 17226, 17226, 42530, -4744,
    2639,  4064,   555,   367,  2639, -4744, -4744, -4744, 57420, -4744,
   -4744, -4744, -4744, -4744,  3978, 17226, 38354, -4744,  1961, 91291,
    1580,    12, -4744,  3797, 91291, -4744,  3753, -4744, -4744,  9546,
   -4744, -4744, -4744, -4744,  3855,  2565, -4744, -4744, -4744, -4744,
   -4744,  3866, 77683,  4084, -4744, 42530,  2580, -4744,  3830,  4176,
     120,  2587,  2590,  1547, -4744,  3736, -4744,  1822,  4062,    99,
   -4744,   672, -4744, 70624, -4744, 91291, 91291, -4744, -4744, -4744,
   -4744, 91291,  2962, -4744, -4744, 91291, 91291, 91291, 91291, -4744,
  121493, 91291, -4744, 64564,  2232,  4001, -4744, -4744,  4002,   164,
   91291, -4744, 70624,   672,   672, -4744, -4744, -4744, -4744, -4744,
    3809,  4210,  3901, 91291, 91291, 91291, 91291,121493, 91291, 91291,
    2597,  2597, 70624,  3812, -4744,  2597,  2597,  3817, -4744,121493,
   91291, 91291, -4744, -4744, -4744,  3906, -4744, 42530,  4209, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744,121493, 91291,  3911,
   -4744,  3912, -4744, -4744, -4744, 91291, 91291, 91291, 91291,  4137,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, 91291, -4744, -4744,  2639,  2639, 70624,   672,   672, -4744,
   -4744, -4744,  4079,  1901, -4744,  1901,  1901, -4744, -4744,  1901,
   -4744,   582,  2602, -4744,114900, -4744, -4744,  3030,  2639,  3030,
    1987, -4744, -4744,  3030, -4744,  3030, -4744,  1547,  1655,  4128,
    4131, 42530, -4744,  1418,  1336, -4744, -4744, -4744, -4744,  3736,
    2179,  3904, 66079,   860, -4744,  4112,   624, 74659,  1869,  3852,
    3960, -4744,  2805,  2805,  3908, 91291,  4262,  2805,  3716, -4744,
     771, 91291,  4181,  3892, -4744,  2639, -4744, -4744,  3335, -4744,
   91291, 74659,  3400, -4744,  2607, -4744, -4744, -4744,  3910,  3741,
    2322,  1302, 91291, -4744,  3913,  4271, -4744, -4744,  4168,  4053,
    3880, -4744, 17226, 17226,  2639, 72139,  6563, 70624,  4182, -4744,
   91291,   111,  4144, 91291, -4744,   672, -4744, -4744,  3889,  1809,
    1809, -4744, -4744, -4744, -4744,   672,   672, -4744, -4744, -4744,
   -4744, 91291,  3350,  3350,  3350, -4744,  4082, -4744, -4744,  4146,
   -4744,   672,121056,  2176, -4744, -4744, -4744,  2176,  2176, -4744,
    2176, -4744, 17226, -4744, -4744, -4744, -4744,  7761, 45140,  4190,
   -4744,  3914, 70624, -4744,  3915,  2610,  2634, 46184,  4051, -4744,
   -4744, -4744,  8272,  3953, 17226,  4004,  3916,  3918,  5631,  5631,
   10408,  2644, -4744,  5631, 42530, 42530,  5631,  5631, 42530, -4744,
   -4744,  8723,  4081, -4744, -4744,  9401, -4744, -4744, -4744, -4744,
   -4744, -4744, 65574, 89779,  3920, 91291,  2475, 48230, -4744, -4744,
    1424, -4744, 48230,  4154, -4744, 48230, 66079, -4744, 91291,  3922,
   91291, -4744,   936, 44096, 42530,  3943, -4744, -4744, -4744,  3791,
   -4744,  3943, -4744,  2417, -4744, -4744, -4744, -4744, -4744,  3923,
   84235,   633, -4744, -4744,  4282, 49246,  4244,  3927, -4744, -4744,
   -4744, -4744, -4744,121056,  4113,121056,  1547,  9880,  3736, 49246,
   58454, 91291, 90787, 90787,  4086,  3736,  3904, -4744, -4744, -4744,
   -4744, -4744, -4744,  3929, -4744, -4744, -4744, -4744,  4009, -4744,
   -4744,   -35,  3324,  2650, -4744, -4744, -4744, -4744, -4744,  4063,
   -4744, -4744, 54835,121493, 91291, -4744,  4010, -4744, -4744, -4744,
   -4744, -4744, 49754, 57420, -4744,   886,  3935,  3938,  1330, -4744,
   -4744, -4744, 91291,  9992,  3939,   -20,  3324, 91291, 91291,  1893,
    1107,  1771,  3350,  4239, -4744, -4744, -4744,  4063, -4744, -4744,
    1901, -4744, -4744, -4744, -4744, -4744,  1512,  4275, -4744, 64564,
   -4744,118434, -4744, -4744, -4744,  2639, -4744,  2639,  4145, 91291,
   60487,  2639,  2639, 66079,  4361,  4361, 91291, -4744, 10330,  4150,
   -4744,  3904,  4173,  4219, -4744,  3955, 91291,  4116,  3958,  3959,
     333,   333, 91291, 91291, 91291,  2654,  1961, -4744,  1045, 74659,
    3657, -4744,  1593,  3962,  4263, -4744,  4374,  3548,  3965, -4744,
   -4744, 76675,  4151,  3802,  3741,  4098, -4744,  4099, -4744,   813,
   -4744,  1961, 91291, 91291, 49246, -4744, 71129, -4744,  2658, -4744,
   -4744, -4744,  4038,  3454,  4075,  4076,  3980, 91291,  1067, -4744,
    3991, -4744, -4744, -4744, -4744, -4744, -4744, 91291, -4744,   273,
   -4744, -4744, -4744, -4744, -4744,  4647, 45140, 70624,  2659, 42530,
   -4744, 42530, -4744,  4381, -4744, -4744, -4744,   685, -4744, -4744,
   -4744,  5631,  5631,  5631, -4744,  4382,  3791, -4744, -4744,  2662,
    4402, -4744, 91291,  2667, -4744, 42530,  3988, -4744, -4744, 48230,
    1424,  3989,  2684, 91291,  2692, 70624,  3992,  3990,  1124,  3995,
   33156,  3994, -4744, -4744, -4744, -4744, -4744, 17226, 17226, 91291,
   -4744,  3997, -4744, -4744, -4744, -4744, -4744, -4744, 91291,  2698,
   -4744,   948, 36266, -4744, -4744,  1636,  1217,   273,  4176,  3904,
   -4744,  4000, -4744, -4744, 91291, -4744,  1653,  1653, 91291,  3904,
   -4744, -4744, 91291,  4077, -4744, -4744, 64564,  4055, -4744,    -7,
    3324, 91291, 70624,  2436,   102, -4744, 70624, 70624, -4744, -4744,
   -4744, 42530,  4087, -4744, -4744, -4744, -4744, -4744, 91291, 91291,
   91291, 91291, 91291,   672, -4744,  3534,  2639, -4744, -4744,  2699,
   -4744, -4744, -4744, 91291,  3707, -4744,  3707, -4744, -4744,  4361,
     236, -4744, -4744, -4744,  1915,  4207, -4744,  1117,  4195,  4089,
    4005, -4744, 66079,  4450,  3971, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744,  2702,  3657,  4310,  3335,  3913, -4744, -4744,
   -4744, -4744, 42530,  4167,  1961,  2322,  3971, -4744, -4744, -4744,
    3802, -4744, -4744,  4396,  4200,  4398,  3400, -4744,  3237,  2703,
   -4744,  7408, 72139, 70624,  4341,  4054,  4057, -4744, -4744,  4066,
   91291, -4744, -4744,  2526,  4460,  3657, -4744,  4647,  2706, -4744,
    2707,  2712,  4170,  4072, -4744, 42530,  1509,  3633, 65574,  4025,
   -4744,  2713, -4744, 17226, 91291, -4744, -4744, 42530, -4744,  2716,
   -4744, -4744, 42530,  4028, 42530, -4744, 44096,  4029, -4744,  4439,
   -4744, -4744,  3454, 49246, -4744,  4147, -4744,  4323, -4744, 90787,
    4074, 57420, -4744,  3435,  3435,  2179, -4744,  1547, -4744, 91291,
   -4744, 42530, -4744,  4120, -4744, -4744,  2717, -4744,  1266,  4189,
    4335,  2720,  2730, 10348, 91291,  3351,  1771,  3351, -4744,  3350,
   -4744, -4744, -4744, -4744,118434,  3707, -4744, -4744, -4744,  4363,
    4306, -4744, -4744, -4744, -4744,   678, -4744,  4235,  4237, 91291,
   -4744,  4046, -4744,  2734,  4164, -4744, -4744, 91291,  4464,  4465,
   -4744, 11086, 66079,  3913,  3741,  2322,  2232, -4744,  4241, -4744,
    4242, -4744,  4058,  3335,  6563, -4744, -4744,   882,  4349,  4352,
   -4744, -4744, -4744, -4744, -4744, 91291, -4744, -4744, -4744, -4744,
   -4744, -4744,  3399, 41486, 41486,  4065, -4744, -4744, 91291, -4744,
    2735,  2743, -4744,  2748, 44096,  2758, -4744, 91291,  4067, -4744,
   -4744, 53311,121056,  1653,  4070, -4744,  4080, -4744, -4744,  4173,
    1547,  3324, 17226, 91291, 66079,  4452, -4744, -4744, -4744,  4189,
   -4744, -4744, -4744,  3324, 91291, -4744,  4193, -4744,   782,   782,
    4400, -4744,  4121, -4744, -4744,  4083, -4744,  4518, 91291, -4744,
     886,  1961, -4744,  4085, -4744,  3802,  3741, -4744, -4744, 49246,
    3802, -4744, -4744, -4744,  2551, 66079, 66079, -4744, 44618,  4205,
    1091, 13903, -4744, -4744, -4744, -4744,  2759, -4744,  4220, -4744,
    2764, -4744, -4744, -4744,  1665,   273,  3435, 42530,  1547, -4744,
    4195, -4744,  3324,  2436, 91291, -4744, -4744, -4744,  3892, -4744,
    4505, -4744,  1100, -4744, -4744, -4744, -4744,  3657,  3812,  3913,
   64059, -4744,  3802,  2773,  3454, -4744,  2930, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744,  4090,  4094,  4497, -4744, -4744, -4744,
   -4744, -4744, -4744,  4088, -4744, -4744, -4744, -4744, -4744, 11123,
   -4744, -4744, -4744, -4744,  4390, -4744, -4744, -4744, -4744, -4744,
    2777, -4744, -4744, -4744, -4744, -4744, -4744,  3335, -4744,  2017,
   -4744, -4744,  2080,  2336,  4159,  4375, 42008, 42530, -4744,  1547,
    4246, -4744, 64059,  3802, -4744,  2930,  4192,  4197, -4744, 11420,
   66079, -4744,  3454, -4744,  4125,  4133, -4744,  4100, -4744,  4389,
    4391, 64059, 66079, 66079,  2785, -4744, -4744, -4744
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2484,     0,     2,     1,  2913,  2917,  2921,  2922,  2839,  2923,
    2924,  2889,  2890,  2891,  2892,  2893,  2894,  2895,  2896,  2897,
    2898,  2899,  2900,  2902,  2901,  2903,  2904,  2905,  2906,  2907,
    2908,  2909,  2910,  2912,  2911,  2861,  2491,  2858,  2855,  2856,
    2857,  2862,  2860,  2853,  2854,  2067,  2926,  2914,  2927,  2915,
    2916,  2918,  2919,  2888,  2920,  2928,  2929,  2930,  2925,  2933,
    2884,  2885,  2883,  2886,  2887,  2931,  2932,  2875,  2876,  2877,
    2878,  2934,  2492,  2493,  2880,  2485,  2489,  2551,  2622,  2881,
    2882,  2879,  2490,  2874,  2622,     0,  2743,  2744,  2745,     0,
    2746,  2747,  2748,  2674,  2636,  2749,     0,     0,  2750,  2751,
    2752,  2753,  2754,  2755,  2756,  2757,     0,  2758,  2759,  2760,
    2761,  2621,  2762,  2763,  2764,  2765,  2598,  2604,  2727,     0,
    2578,  2579,  2575,  2577,  2576,  2580,  2563,  1284,   578,  1368,
    1367,     0,  2386,  1284,  2341,  2342,  2387,  2343,  2344,  2345,
     268,     0,  1370,  2346,  2388,     0,  1284,  2389,   401,  1029,
    2390,  2391,  2506,     0,  2347,  2348,     0,     0,     0,   578,
    1284,     0,     0,  2349,  1496,  2350,     0,  2351,  2392,  2393,
       0,  2352,  2353,  2394,     0,  2395,  2354,  2355,  2356,  2396,
    2397,  2398,  2357,  2399,  2400,     0,     0,  1510,     0,  2358,
    2401,  2359,  2360,     0,  2402,  2361,  2362,  2363,  2403,  2404,
    2364,  2365,  2366,     0,  2367,     0,     0,     0,     0,     0,
       0,  2405,  1284,  2368,     0,     0,  1517,     0,  2369,     0,
    2406,  2370,     0,  2371,     0,  2407,  2372,  2373,  2374,  2375,
    1510,  2723,  2599,     0,  1372,     0,  2376,  2408,     0,  2377,
    2378,  2379,  2380,  2381,  2382,  2383,  2384,  2385,     0,     0,
       0,    62,    63,    25,    24,    30,    29,    87,    88,    48,
      15,    76,    55,   122,   121,   123,    36,    32,    70,    21,
      23,    33,    37,    57,    49,   100,    56,    19,    54,    81,
      58,    84,    43,     9,    10,    44,    74,    11,    45,    75,
      12,    46,    13,    96,    64,    89,    28,    53,    18,    80,
      60,    86,    61,     3,    39,    72,    68,     8,    50,    51,
      52,    77,    78,    79,   105,    83,   117,    35,   114,    93,
      94,   111,    95,   112,     6,    97,    47,    14,   108,   107,
     109,    71,    40,    73,    59,    85,   106,    22,   110,    16,
      17,   113,    82,   103,    99,   118,   116,   124,   101,    65,
       4,     5,    90,    20,    42,     7,    27,    26,    41,    34,
     120,    31,  1370,    92,   104,    91,    98,    69,   102,   119,
      67,   115,  1481,  1468,  1519,  1480,  1495,     0,  1484,  2818,
    2819,    38,  1496,   126,   127,   132,  2488,  2540,  2541,  2542,
    2622,  2573,  2574,  2567,  2583,  2593,  2582,  2586,  2594,  2581,
    2600,     0,   129,   131,   133,   136,   130,   125,   128,   135,
     140,   134,   139,   137,   138,   141,   142,   143,  2820,  1725,
    2817,    66,  2558,  2557,     0,  2622,     0,  2850,  2082,  2083,
    2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,
    2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,
    2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,
    2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,
    2124,  2125,  2074,  2126,  2127,  2128,  2129,  2130,  2131,  2132,
    2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,
    2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,
    2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,
    2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,
    2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,
    2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,
    2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,
    2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,
    2233,  2234,  2235,  2236,  2237,  2240,  2238,  2239,  2241,  2242,
    2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,
    2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,
    2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,
    2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2075,  2281,
    2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,  2291,
    2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,
    2302,  2303,  2304,  2305,  2306,  2506,  2307,  2308,  2309,  2310,
    2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,
    2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,
    2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,
    2524,  2072,  2073,  2079,  2080,  2081,  2499,  2520,  2526,  2846,
    2525,  2078,  2673,     0,     0,  2766,  2767,  2768,  2769,  2770,
    2771,  2821,  2822,  2823,  2824,  2825,  2827,  2826,  2635,  2793,
    2830,  2634,  2831,  2638,  2832,  2833,  2834,  2835,  2794,  2836,
    2637,  2828,  2790,  2639,  2632,  2633,  2791,  2741,  2742,  2045,
    2792,  2789,  2829,  2527,  2788,  2643,  2642,  1458,  2845,  2044,
    1459,     0,  2645,  2772,  2773,  2774,  2775,  2777,  2776,  2778,
    2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,
    2419,  2420,  2803,  2421,  2422,  2423,  2816,  2424,  2425,  2804,
    2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,
    2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,
    2446,  2447,  2448,  2449,  2805,  2806,  2450,  2451,  2452,  2453,
    2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,
    2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,
    2807,  2474,  2475,  2808,  2476,  2477,  2478,  2809,  2479,  2480,
    2481,  2482,  2483,  2813,  2814,  2815,  2802,  2596,  2779,  2801,
    2812,  2810,  2811,  2606,  2602,  2610,  2605,     0,     0,     0,
       0,  2622,  1283,  1282,  1268,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2496,     0,  1294,   372,
     371,  1369,  1350,   578,     0,  1271,   400,     0,     0,     0,
       0,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,     0,     0,
     424,   423,     0,     0,     0,  1001,   429,     0,     0,     0,
       0,     0,   566,  2505,  2500,  2510,     0,  2503,  2504,  2788,
       0,  2937,  2238,  2536,  2537,  2935,  2292,  1460,   269,   272,
     273,   270,   271,     0,  1111,  1112,  1114,     0,     0,  1124,
     828,   829,     0,     0,     0,   831,     0,     0,     0,   825,
       0,     0,     0,     0,     0,     0,   830,   822,     0,   821,
       0,     0,  1124,     0,     0,     0,   823,     0,     0,  1272,
       0,  2588,  2589,  2174,  1409,   430,     0,     0,  1496,     0,
    1387,  1388,  1370,  1377,  1389,  1382,  1384,  1383,  1385,  1381,
    1386,  2083,   939,  2097,   939,  2164,   936,   937,   939,   939,
     939,  2255,     0,     0,   911,     0,   922,  2068,   939,  2069,
    2846,   944,   485,   485,   485,     0,   943,   948,   485,     0,
    1265,  1303,  2049,  1509,     0,  2097,  2164,   912,  1264,  2307,
    1401,     0,     0,  1139,  1135,  1137,  1138,  1136,     0,     0,
       0,  2271,  1276,   253,  2786,  2280,  2372,  2307,  2787,   252,
     247,   248,  2781,  2782,  2784,   221,  2785,  2783,  2780,  2087,
       0,     0,   943,     0,  1273,  1274,   897,  1516,  1514,     0,
    2031,     0,     0,  2105,     0,  2118,  2199,   244,  2266,  2272,
    2280,  2372,  2307,  2338,   200,   210,   205,     0,   262,  2280,
    2372,  2307,     0,  1294,     0,  1485,  1614,  2040,     0,     0,
    2597,  1267,  1266,  1371,     0,  1374,     0,  1575,  2251,  1489,
    1492,  1376,  1490,  1481,     0,     0,  2487,  1365,  1513,  1513,
       0,  1513,     0,  1473,  1481,  1476,  1480,     0,     0,     0,
       0,  1284,     0,  2565,  2593,  2572,  2628,  2569,     0,     0,
    2618,  2614,  2611,  2619,  2620,  2613,  2601,  1714,  1715,  1716,
    1713,  1726,  1712,     0,  2546,  1717,  2585,  2552,     0,  2560,
    2559,  2863,  2864,  2675,  2498,  2517,     0,     0,     0,     0,
       0,     0,     0,  2644,  2646,  2648,  2608,  2607,  2603,     0,
       0,     0,     0,  2733,  2734,  2732,     0,  2729,  2731,     0,
    2628,     0,  2797,  2791,  2800,     0,  2050,  2792,  2789,  2788,
       0,   838,     0,  1306,   988,     0,     0,     0,     0,  2044,
       0,     0,     0,     0,     0,  2072,     0,  2173,     0,     0,
       0,  1939,  1950,  1951,  1952,  2109,  2159,  1947,  1948,  1949,
    1941,  1942,  1943,  1944,  1945,  1946,     0,  1109,  1940,     0,
    2173,     0,   170,     0,   148,     0,     0,  2173,     0,     0,
       0,     0,     0,  2173,     0,     0,     0,     0,     0,  2204,
       0,   148,  2173,     0,     0,     0,  1288,     0,     0,     0,
    1290,  1293,  1269,  1353,     0,  2040,     0,     0,   874,   866,
       0,   875,   867,     0,     0,   877,     0,     0,   869,     0,
       0,     0,     0,   878,     0,   868,   870,   880,   871,   876,
       0,     0,     0,     0,   872,     0,     0,  1280,   485,   378,
       0,     0,     0,     0,     0,   148,  1338,     0,  2173,   148,
       0,     0,   428,   427,   148,   426,   425,  2109,  2159,     0,
    1028,     0,   148,  2173,     0,   193,   649,   581,     0,     0,
     750,  2204,   148,     0,     0,     0,     0,     0,     0,  1004,
       0,     0,     0,   565,   578,     0,  2509,  2515,     0,  2507,
    2676,  2938,  2936,  2631,     0,  1115,   245,   246,  1113,  2173,
       0,   346,     0,     0,  2173,  1325,  1672,  1701,  1679,  1701,
    1701,  1668,  1668,  2143,  1681,  2173,  1669,  1670,  1708,     0,
    1701,  1668,  1673,     0,  1671,  1711,  1711,  1696,   346,   842,
    1653,  1654,  1655,  1656,  1682,  1683,  1657,  1688,  1689,  1703,
    1658,  1725,  2798,  1668,  2799,  2796,  2795,   827,     0,   826,
    2173,     0,  2173,  2076,   184,     0,   824,  2109,  2159,  2173,
       0,     0,  2173,     0,  2173,   176,  2173,     0,  2173,   346,
    2173,   582,     0,     0,  2173,     0,  2173,   346,  2173,  2204,
     178,     0,  2173,   346,   836,     0,     0,  2868,  2872,     0,
    2870,  2865,  2587,  2641,  2640,  2539,     0,  2949,     0,  1460,
    1379,  1394,     0,  1390,  1397,  1393,  1496,   939,   938,     0,
     939,     0,  2958,   939,     0,   939,     0,  2958,   939,     0,
       0,     0,   939,  2070,  2071,     0,     0,  2957,  2955,  2956,
     913,   923,     0,   945,     0,     0,   952,   951,   950,     0,
       0,     0,   953,     0,  1618,  1432,     0,   920,     0,   918,
       0,  1262,  1279,     0,     0,     0,     0,  1004,  1142,     0,
    1140,  1131,  1132,  1275,   251,   249,     0,     0,     0,     0,
       0,     0,  1281,     0,     0,     0,     0,  2852,  2056,  1953,
    2851,     0,  2342,  2343,  2344,  2012,     0,  2793,  2345,  2346,
    2388,  1855,  1842,  1851,  1856,  1843,  1845,  1852,  2347,  2348,
    2349,  2350,  2063,  2351,  2352,  2353,  2355,  2356,  2357,  1847,
    1849,  2358,  2359,     0,  2064,  2361,  2362,  2223,  2364,  2365,
    2367,  2368,  1853,  2370,  2371,  2372,  2373,  2374,  2375,  2062,
       0,  1854,  2376,  2378,  2379,  2380,  2381,  2382,  2383,  2384,
    2385,     0,     0,     0,  2037,     0,  1822,     0,  1661,  1662,
    1684,  1685,  1663,  1690,  1691,  1664,     0,  2036,  1728,  1904,
    1821,  1838,     0,  1827,  1828,     0,  1820,  1816,  1499,  2032,
       0,  1817,  2052,  2013,  2066,  2065,  2846,  2021,  2055,  2053,
    2054,  1499,  2030,     0,     0,     0,   213,     0,     0,  2722,
     264,     0,   265,  2038,  2280,   201,   243,   215,   242,   216,
     214,     0,  2107,   202,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,   258,  1270,     0,  1616,  1615,     0,
       0,  2019,  2041,   847,     0,  1363,  1364,  1362,     0,  1359,
    1361,  1373,  1370,  2026,  2025,  2027,     0,  1491,     0,     0,
       0,  1471,  1470,  1376,  1511,  1512,     0,     0,     0,     0,
       0,     0,     0,     0,  1565,  1527,  1528,  1530,  1562,  1566,
    1574,     0,  1477,     0,     0,  1620,     0,  1576,  2486,  2628,
    2629,     0,  2623,     0,  2622,  2622,  2616,  2615,  2612,     0,
       0,     0,     0,     0,     0,     0,  2543,   560,  2545,   558,
       0,     0,  2519,     0,  2523,  2521,     0,  2668,  2671,     0,
    2669,  2670,  2672,     0,  2677,  2678,     0,     0,  2859,     0,
       0,     0,  2659,  2647,  2654,  2656,  2658,  2657,  2666,  2662,
    2665,  2667,  2609,  2622,  2740,     0,  2735,  2738,     0,  2730,
       0,     0,     0,  2051,     0,     0,     0,     0,   839,     0,
       0,     0,     0,  1314,  1315,  1316,     0,     0,  1317,  1318,
    1306,   255,  1324,  1322,  1305,  1307,  1320,  1312,     0,     0,
       0,     0,     0,     0,     0,  1330,     0,     0,   182,   183,
     593,   578,     0,  2173,     0,     0,     0,     0,  1068,  1075,
       0,     0,     0,     0,     0,     0,     0,  1069,  1067,  1070,
     257,  1079,  1095,  1098,     0,   978,     0,     0,     0,     0,
       0,  1194,     0,     0,  1194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   278,   290,
     341,     0,     0,  2173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   146,   147,   152,     0,     0,
       0,     0,     0,     0,   545,   557,     0,     0,     0,     0,
       0,   554,     0,   148,   282,   538,   542,     0,     0,     0,
     658,   657,  1328,  1327,     0,     0,     0,  1194,     0,   274,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   364,   365,     0,     0,     0,
     152,   175,     0,     0,     0,   284,     0,  2553,     0,  1289,
    1286,  1287,     0,  1292,     0,  1349,     0,     0,     0,     0,
       0,   882,     0,   879,     0,     0,   873,  2109,  2159,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   403,   377,
       0,     0,   747,     0,     0,     0,     0,     0,   758,     0,
    1306,  1337,     0,     0,     0,   587,     0,  2173,     0,   150,
     792,     0,   748,   429,     0,     0,   150,     0,     0,   187,
       0,   653,     0,     0,     0,     0,     0,     0,   696,   695,
       0,     0,     0,   749,     0,   150,     0,  2173,   541,  2173,
       0,   485,   485,     0,     0,  1003,  1006,     0,     0,     0,
       0,  2513,  2508,  2511,     0,  2501,  2515,  1463,  1465,  1464,
       0,  1462,     0,   346,   344,   345,   745,  1123,     0,     0,
    1700,  1687,  1695,  1694,     0,  1677,  1676,  1675,     0,  1674,
       0,  1701,  1701,  1699,  1678,  1653,     0,     0,     0,  1707,
       0,  1705,     0,   817,  1649,  1645,     0,     0,  1693,  1714,
    1713,  1712,     0,  1659,  1668,  1665,     0,     0,   346,     0,
       0,  2173,   346,  2173,     0,  2173,     0,     0,   346,   346,
       0,     0,     0,     0,     0,     0,   654,     0,   835,   833,
     832,   834,     0,     0,     0,     0,   815,     0,     0,     0,
    2173,   346,     0,     0,   814,  2866,     0,     0,  2869,     0,
    2590,  1963,     0,  2952,  1406,  2953,     0,     0,  1496,     0,
     232,   233,   231,  1395,   234,  1396,  1392,  1378,     0,   931,
       0,  2958,  2959,   916,     0,   926,     0,  2958,   914,     0,
     927,   924,   925,     0,     0,     0,  2954,  2837,  2843,   930,
       0,     0,   486,   488,     0,     0,  2129,  2142,     0,  2165,
    2192,  2193,  2272,  2276,     0,  2302,  2312,     0,   954,   983,
     949,   667,     0,     0,  1442,   921,   919,  1263,  1399,  1970,
       0,  1496,     0,     0,     0,     0,   250,   222,     0,     0,
       0,   985,  2271,  1278,   896,   578,     0,     0,  1825,  1826,
    2011,     0,     0,     0,     0,     0,     0,  1824,  1978,     0,
       0,     0,     0,     0,  1751,     0,     0,     0,  1991,     0,
    1997,     0,     0,  1788,     0,     0,     0,     0,     0,     0,
       0,     0,  1752,  1732,  1733,  2794,  1822,  1963,     0,  1823,
    2059,     0,  1725,  1953,     0,  1950,  1951,  1952,     0,     0,
       0,  2024,     0,  1961,     0,     0,  1766,  1959,  1768,     0,
       0,     0,     0,  1947,  1948,  1949,  1941,  1942,  1943,  1944,
    1945,  1946,  1957,  1748,     0,  2035,     0,  1906,     0,  1747,
       0,     0,  1578,  1498,     0,  2057,  2014,     0,  2844,  2847,
    1818,  1578,  2719,  2718,  2717,  2716,  2687,     0,  2681,  2682,
       0,  2720,  2721,   266,   267,   263,     0,     0,   218,   217,
       0,   240,   241,   212,   239,     0,   235,   236,   220,  1895,
    1894,   219,   211,   208,   206,   223,   225,   226,   209,   207,
     261,   259,     0,     0,     0,  2016,  2015,  2047,  2020,     0,
       0,   346,  2622,  1357,     0,  1354,  2029,     0,  1493,     0,
    2042,     0,  1366,  1488,  1487,  1520,  1521,  1021,  1486,  1545,
    1546,  1541,     0,     0,     0,  1571,  1569,  1537,  1531,  1536,
    1534,     0,  1538,  1728,  1564,  1475,  1525,  1526,  1529,  1474,
       0,  1567,     0,  1445,  1565,  1530,  1429,     0,  1411,     0,
    1621,     0,     0,  2630,  2628,  2568,  1653,  2622,  2561,  2622,
    2617,  2549,  1719,  1720,  1721,  1722,  1723,  1724,  2550,     0,
    2547,  1718,  2548,   559,     0,     0,     0,  2516,     0,  2497,
    2522,  2653,  2288,  2685,     0,  2686,     0,     0,  2650,     0,
    2660,  2663,  2661,  2664,     0,  1653,  2840,  2736,  2840,  1653,
    1043,  1045,     0,  1044,     0,  1047,     0,  1056,     0,     0,
    1042,  1061,     0,  1050,  1048,     0,     0,     0,     0,     0,
       0,   840,     0,     0,     0,     0,  1313,     0,     0,  2302,
     254,  1316,  1321,  1308,  1319,     0,     0,     0,     0,     0,
     987,   986,     0,     0,  1008,     0,     0,     0,  1333,   474,
       0,   343,     0,     0,     0,     0,     0,     0,     0,     0,
     743,   740,     0,     0,   739,     0,   591,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   628,     0,  1194,     0,
     661,     0,  1077,     0,  1076,     0,     0,     0,  1078,  1073,
    1074,  2272,  2280,  2307,   256,  1097,     0,  1096,  1094,  1031,
       0,  1032,     0,     0,     0,     0,     0,  2152,   292,   305,
       0,  1193,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   328,     0,     0,   331,
     330,     0,     0,     0,     0,     0,   335,   314,     0,   315,
       0,     0,   334,     0,     0,     0,     0,     0,  1194,     0,
     286,     0,     0,     0,     0,     0,     0,  1110,     0,   685,
       0,   173,     0,   169,   172,     0,     0,     0,     0,   544,
     556,     0,   548,   549,   546,   550,   551,     0,     0,     0,
       0,     0,     0,   543,     0,     0,   651,   650,   656,     0,
       0,     0,     0,     0,     0,     0,     0,  1144,  1143,     0,
       0,     0,     0,     0,     0,   782,     0,     0,     0,     0,
       0,     0,     0,   670,     0,   669,     0,   174,     0,     0,
       0,     0,     0,     0,     0,   230,  1285,  1291,  1352,  2048,
    1351,     0,     0,     0,     0,   881,     0,     0,     0,     0,
       0,     0,     0,     0,   883,   884,   885,   886,     0,     0,
       0,     0,     0,     0,     0,   380,   381,   148,   379,     0,
     771,  2795,   746,     0,     0,   759,     0,   761,   764,     0,
    1304,   447,     0,     0,   584,   628,     0,   432,   180,     0,
       0,     0,     0,   687,   145,   191,   193,   430,     0,   192,
     194,   196,   197,   198,   195,   199,   648,   652,     0,   580,
       0,     0,     0,     0,     0,   697,   701,   700,   704,   702,
       0,   698,     0,     0,  1641,     0,   168,     0,     0,   536,
     540,     0,  2494,     0,   432,   516,   357,  2173,     0,   485,
       0,  2173,     0,  1005,     0,     0,     0,     0,     0,     0,
    2514,     0,     0,     0,     0,  1461,     0,  1101,     0,  1326,
       0,     0,     0,   346,  1698,  1697,  1650,  1646,     0,     0,
       0,     0,   843,     0,     0,     0,     0,     0,     0,     0,
    1666,  2173,   346,     0,  1099,   185,  2077,     0,   819,     0,
       0,     0,     0,     0,  1103,   811,     0,   346,   177,     0,
     346,   346,   583,     0,     0,   346,   346,   179,     0,     0,
       0,   575,   346,   837,  2867,  2873,  2871,  1408,     0,  2950,
    2951,   485,  1465,  1380,  1391,   928,   935,   917,   934,   933,
     915,   932,   929,  2652,     0,     0,  2842,     0,   946,     0,
     484,     0,     0,     0,   960,   961,     0,     0,   959,   976,
     962,     0,   964,   956,   955,   965,   966,     0,     0,   985,
     665,     0,     0,     0,     0,  1439,     0,  1437,     0,  1619,
    1441,  1430,  1400,     0,  1398,  1403,  1405,  1404,  1402,     0,
     529,     0,     0,  1141,     0,     0,   943,     0,     0,   346,
    1277,     0,   898,   899,     0,     0,     0,     0,     0,     0,
     905,   902,   903,   904,   906,     0,   907,     0,     0,     0,
    1974,     0,  1975,     0,     0,  2010,  2006,     0,     0,     0,
       0,     0,  1982,  1983,  1984,  1981,  1985,  1980,     0,     0,
    1986,  1979,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2368,     0,     0,     0,     0,  1791,     0,     0,  1934,
       0,  1963,  1996,     0,     0,     0,     0,     0,     0,  1963,
    2002,     0,     0,     0,     0,  1893,     0,  1890,     0,     0,
       0,     0,  2021,     0,     0,  2060,  1729,  1743,  1744,  1745,
    1749,  2034,     0,  2023,     0,     0,  1730,  1757,     0,  2003,
    1784,     0,  1789,  1772,     0,  1765,     0,  1770,  1774,  1753,
       0,  1750,     0,  2024,  1962,     0,  1960,     0,  1740,  1741,
    1742,  1734,  1735,  1736,  1737,  1738,  1739,  1746,  1938,  1936,
    1937,     0,     0,     0,  1914,     0,     0,  1769,  2167,  2199,
       0,  1510,  1510,  1510,  1497,  1508,  2033,     0,  1636,     0,
       0,     0,     0,  1830,     0,  1967,  1519,  1965,  2050,  2849,
    2848,  2022,  1636,     0,     0,     0,  2039,     0,     0,  1725,
       0,   260,  1617,  2017,     0,   845,   846,   844,  1653,  1376,
    1360,  1356,  1355,  2028,  1375,     0,  1496,     0,  1019,  1020,
       0,  1024,     0,     0,  1539,  1572,     0,  1563,     0,  1543,
    1544,  1535,  1573,  1443,     0,  1568,  1479,  1478,     0,  1639,
       0,     0,  1421,  1413,     0,  1622,     0,  1578,  1447,  1449,
    1450,     0,  2021,  2566,  2624,  2571,  2592,  2562,  2595,  1727,
    2544,  2584,     0,  2518,  2688,  2689,     0,  2679,  2680,  2649,
    2655,  2726,     0,  2841,     0,     0,  1046,     0,  1668,  1057,
       0,  1041,     0,  1040,  1668,     0,  1058,     0,  1668,     0,
       0,     0,  1222,  1146,  1198,   841,  1223,  1147,  1199,  1224,
    1148,  1323,  1311,  1310,  1309,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   722,
    2173,   346,  1331,  1225,     0,  1149,   342,  1332,  1200,  1336,
     742,   741,     0,     0,  1201,     0,   592,     0,     0,   597,
     598,   599,     0,     0,     0,   600,     0,  2109,  2159,     0,
     605,   612,   617,   607,     0,     0,   619,   613,     0,     0,
       0,     0,     0,     0,   625,   627,     0,     0,     0,     0,
       0,     0,  1071,  1072,  1226,  1152,     0,  1202,  1030,     0,
    1153,   181,     0,     0,   279,   293,   634,   722,  1196,   312,
       0,   327,   322,   323,   321,  2173,   346,  2173,   346,     0,
       0,     0,     0,     0,   324,   319,   320,   316,     0,     0,
     329,  2086,  2144,  2281,     0,   638,   640,     0,   645,   332,
    1169,   353,   352,   351,     0,   336,     0,   358,   361,   333,
     310,   313,   311,   307,   291,     0,     0,     0,     0,     0,
       0,     0,  2046,     0,     0,  1105,     0,     0,     0,     0,
       0,     0,   679,   171,  1184,     0,     0,   157,     0,     0,
       0,     0,   151,   161,     0,  1232,  1159,     0,     0,   283,
     539,   547,   552,  1163,   555,  1212,   553,  1238,  1160,     0,
    1194,     0,   275,     0,  1161,     0,  1206,  1234,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1339,     0,
       0,     0,     0,     0,   346,     0,     0,     0,  1196,  2173,
     346,  1233,     0,  1191,  1220,     0,   366,     0,  1185,     0,
       0,   285,  1165,  1214,     0,     0,   228,   227,   229,     0,
       0,  2142,     0,   888,   850,   887,     0,     0,     0,     0,
       0,     0,   858,     0,     0,     0,   849,     0,   848,   402,
     375,   376,   378,   385,   770,     0,     0,     0,     0,   760,
       0,     0,     0,  1329,     0,   148,     0,     0,     0,   586,
     627,   634,     0,     0,     0,   431,   435,   439,   440,   441,
       0,     0,     0,     0,   162,   149,     0,   800,     0,   485,
       0,   683,     0,   193,   186,     0,     0,     0,   357,   757,
     755,   754,   756,     0,     0,     0,   775,   753,     0,  1640,
    1642,     0,     0,     0,     0,     0,     0,   434,     0,   488,
       0,     0,   520,     0,     0,     0,     0,   357,     0,     0,
       0,  1035,     0,  1053,  1036,     0,     0,     0,     0,  1083,
    1090,  1084,  1063,     0,     0,   563,  2512,  2506,  1466,  1467,
       0,   346,     0,     0,  1667,  1680,   818,     0,  1710,  1709,
    1711,  1711,     0,  1651,     0,  2939,  2947,  2946,     0,  1702,
    1703,  1660,     0,   629,   346,   346,     0,   346,     0,   346,
     346,     0,   676,     0,  1260,   655,     0,     0,   730,   816,
       0,     0,   346,   813,  1964,     0,  2651,  2838,   947,   487,
       0,     0,     0,     0,   958,     0,   561,   963,     0,   975,
     970,   972,     0,   979,   664,     0,     0,  1440,  1433,  1435,
    1434,     0,     0,  1431,  1971,   812,     0,   535,  1133,  1134,
       0,     0,   346,     0,   980,     0,     0,   900,   901,     0,
       0,   908,     0,     0,     0,  1515,  1972,  1973,     0,     0,
       0,  2007,     0,     0,  1868,     0,  1844,  1846,  1858,     0,
    1869,  1829,  1870,  1848,  1850,     0,  1954,     0,     0,  1859,
       0,  1793,  1794,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1808,  1860,  1933,     0,     0,  1994,  1995,  1861,     0,
       0,  2001,     0,     0,     0,  1866,  1871,     0,     0,     0,
       0,  1877,     0,  1898,     0,     0,     0,  1819,  1964,     0,
       0,     0,     0,     0,     0,     0,     0,  1790,  1773,  1767,
       0,  1771,  1775,     0,     0,     0,  1761,     0,     0,  1759,
    1785,  1755,     0,     0,  1786,     0,     0,     0,  1837,     0,
       0,  1510,  1510,  1510,  1510,  1507,     0,     0,     0,     0,
    2269,     0,  1600,  1577,  1579,  1587,  1600,  1605,  1839,  1634,
    1840,     0,  2040,     0,  1548,  1519,  1519,  1519,  1836,     0,
       0,     0,     0,  1518,  1548,  2701,  2703,  2704,  2705,  2706,
    2707,  2709,  2710,  2712,  2713,  2714,  2702,  2708,  2711,  2715,
    2692,  2693,     0,  2683,  2684,   204,     0,   237,   224,     0,
    2726,  1358,  2043,     0,  1522,     0,  1955,  1024,     0,  1524,
       0,     0,  1570,  1532,  1444,  1428,     0,  1426,  1415,     0,
    1416,  2021,     0,  1426,  1412,  1455,     0,     0,  1639,     0,
    1454,     0,  2626,  2554,     0,     0,  2725,  2728,  2739,  2737,
    2564,     0,  1668,  1038,  1039,     0,  1062,     0,  1221,  1145,
    1197,   990,   991,     0,   989,     0,     0,     0,   473,  1007,
       0,     0,     0,   722,     0,     0,   477,     0,  1334,     0,
    1239,  1183,   594,   595,     0,   606,     0,   615,   614,     0,
       0,   602,     0,     0,     0,     0,     0,   601,   621,   567,
     622,   624,     0,     0,   623,   626,   631,  1194,     0,   662,
    1171,     0,  1218,  1065,     0,  1033,     0,     0,     0,     0,
     447,   306,     0,     0,     0,   294,   304,     0,   338,     0,
     309,     0,   302,   325,   317,   326,   318,   337,   339,     0,
     642,   643,   641,   637,     0,   644,   646,     0,   355,     0,
       0,     0,  1228,     0,  1194,     0,   287,  1167,     0,  1216,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1229,  1203,     0,     0,   684,     0,   681,     0,     0,
     154,   153,     0,   160,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     367,   348,     0,   778,     0,     0,     0,   369,     0,     0,
       0,     0,  1227,  1154,   851,     0,     0,     0,   852,   863,
       0,     0,   853,     0,     0,     0,     0,   865,     0,     0,
     374,   382,   772,     0,  2223,  1941,  1942,   768,   773,   765,
     767,   766,   769,   722,     0,   762,   763,     0,     0,     0,
       0,     0,   459,     0,     0,   453,     0,     0,  1090,   446,
     449,   450,     0,     0,   587,   590,   588,   589,   620,     0,
     466,   512,     0,   164,     0,     0,   165,   163,     0,     0,
     357,   688,   692,   690,   689,   691,   686,     0,   679,     0,
     189,   430,     0,     0,   579,   703,   706,   699,     0,   774,
     776,   751,     0,   634,     0,   541,     0,  1409,   529,     0,
     516,   512,   514,   513,   515,     0,   522,   356,     0,     0,
     529,   522,     0,     0,  1008,  1034,     0,     0,     0,  1080,
    1085,  1081,     0,     0,  1049,     0,  1082,     0,  1064,  1027,
    1255,  1256,  1253,  1254,     0,     0,     0,  2529,  1457,  2538,
    1102,     0,  1686,     0,  1706,  1704,  1647,     0,  2622,     0,
       0,     0,     0,     0,  1652,  1692,   346,  1100,   820,     0,
     807,     0,   809,  1104,   346,   346,   346,   346,   671,     0,
     576,     0,     0,     0,     0,   957,   977,     0,   973,     0,
       0,   940,   982,     0,     0,  1438,  1436,   527,     0,   985,
       0,   941,   984,     0,     0,     0,     0,     0,     0,     0,
    1976,     0,  2009,  2005,     0,  1841,  1977,     0,  1989,  1988,
    1934,     0,     0,  1792,  1804,  1805,  1806,  1990,     0,  1814,
       0,     0,  1801,  1802,  1803,  1795,  1796,  1797,  1798,  1799,
    1800,  1807,  1999,  1998,  1992,  1993,     0,  1863,  1864,  1865,
    2000,  1872,     0,  2100,  1899,  1876,  1892,  1891,     0,     0,
       0,  1879,     0,     0,  1888,     0,  1935,  2061,  1731,     0,
       0,  1758,  2004,  1776,     0,     0,     0,  1754,  1954,     0,
       0,     0,     0,     0,  1763,     0,     0,     0,  1917,  1912,
    1913,  1931,     0,     0,     0,     0,     0,     0,  1501,  1500,
    1506,  1600,  1605,     0,  1481,     0,  1587,     0,  1599,  1585,
    1598,     0,     0,  1611,  1609,     0,  1611,     0,  1611,     0,
    1581,     0,  1601,  1583,  1598,     0,  1626,     0,  2041,  1635,
       0,  1561,     0,     0,     0,     0,  1968,  1969,     0,  1966,
    1831,  1561,     0,     0,     0,  2018,  2724,  1494,     0,  1523,
    1022,  1023,  1540,  1533,     0,  1637,     0,  1427,     0,     0,
    1418,  1424,  1410,     0,     0,  1448,  1426,  1451,  2570,     0,
    2625,  2690,  2691,  1059,     0,     0,  1051,   996,   997,   995,
     998,     0,     0,     0,   722,     0,     0,   493,     0,  1015,
    1015,     0,     0,   479,   525,  1090,   725,     0,     0,     0,
     723,   346,  1150,     0,   616,     0,     0,   611,   609,   608,
     610,     0,   568,  1237,  1151,     0,     0,     0,     0,  1066,
       0,     0,  1170,     0,   444,     0,   299,  1195,     0,     0,
       0,   298,     0,   346,   346,   340,   639,   354,   359,   360,
     363,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   801,   784,     0,     0,   802,   803,     0,
       0,     0,  1107,  1108,  1106,     0,  1157,     0,     0,   675,
     158,   155,   156,   159,  1181,  1164,  1213,     0,     0,     0,
    1162,     0,  1207,  1177,  1173,     0,     0,     0,     0,     0,
    1236,  1190,  1211,  1235,  1188,  1209,  1187,  1208,  1189,  1210,
    1182,     0,  1644,   781,     0,     0,     0,   346,   346,   673,
    1166,  1215,     0,     0,   854,     0,     0,   856,   857,     0,
     860,   405,     0,   408,   415,   386,   391,  1338,     0,  1338,
       0,   388,   392,  1338,   387,  1338,   384,   744,     0,     0,
     721,     0,   451,     0,   457,   461,   462,   460,   452,  1090,
     485,   524,     0,     0,   734,     0,   585,   432,   463,     0,
       0,   436,   167,   166,     0,     0,     0,   682,   681,   193,
       0,     0,   708,   712,   752,     0,  1643,   668,   357,   537,
       0,   432,   529,  2495,     0,   437,   442,   443,     0,   520,
     516,     0,     0,   526,  1302,     0,   530,   532,     0,     0,
       0,  1037,  1054,  1055,     0,     0,  1090,     0,     0,  1089,
       0,     0,   570,     0,  2502,   346,  1648,  2940,     0,  2941,
    2942,  2943,  2944,  2945,   630,   346,   346,   677,  1261,  1130,
     731,     0,   969,   968,   967,   562,     0,   971,   666,     0,
     528,   346,     0,     0,   910,   891,   909,     0,     0,   890,
       0,   889,  2008,  1857,  1867,  1987,  1933,  1964,     0,     0,
    1815,     0,     0,  1862,  2377,     0,     0,     0,     0,  1896,
    1897,  1878,     0,  2214,  1883,     0,     0,     0,  1782,  1780,
    1777,     0,  1778,  1762,     0,     0,  1760,  1756,     0,  1787,
    1903,     0,  1919,  1916,  1930,  1964,  1505,  1504,  1503,  1502,
    1586,  1584,     0,  1589,  1596,     0,  1580,     0,  1610,  1606,
       0,  1607,     0,     0,  1608,     0,     0,  1582,     0,  1596,
       0,  1633,  1519,     0,     0,  1908,  1834,  1835,  1832,  1519,
    2058,  1908,  2694,     0,  2697,  2695,  2696,  2700,   238,     0,
       0,     0,  1414,  1417,     0,     0,     0,     0,  1456,  1446,
    2627,  1052,  1060,     0,     0,     0,   475,     0,  1090,     0,
       0,     0,  1018,  1018,     0,  1090,   524,   727,   726,   729,
     724,   728,  1335,     0,   603,   604,   618,  1172,     0,  1219,
    1179,     0,  1442,     0,   635,   295,   296,   297,   300,   348,
     308,   301,     0,     0,     0,  1168,     0,  1217,  1175,  1230,
    1155,  1204,     0,     0,   790,     0,     0,     0,     0,  1231,
    1156,  1205,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,  1344,     0,   347,   780,   779,   348,   368,  1192,
       0,   855,   861,   862,   859,   406,   148,     0,   383,     0,
     413,     0,   411,   410,   412,     0,   399,     0,     0,     0,
       0,     0,     0,     0,  1121,  1121,     0,   722,     0,     0,
     448,   524,   492,     0,   454,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,   188,   432,
     634,   707,     0,     0,     0,   777,     0,   434,     0,  1407,
     433,     0,     0,   522,   520,     0,   517,     0,   521,     0,
    1295,     0,     0,     0,     0,  1086,     0,  1092,     0,  1048,
    1025,  1087,     0,  1636,     0,     0,     0,     0,   574,  2528,
    2532,  1122,  2948,   808,   810,   672,   974,     0,   981,   346,
     892,   893,   894,   895,  1935,  1810,     0,     0,     0,     0,
    1873,     0,  1874,  1901,  1900,  1880,  1884,     0,  1881,  1882,
    1779,  1783,  1781,  1764,  1905,     0,  1519,  1932,  1629,     0,
    1632,  1588,     0,     0,  1590,     0,     0,  1592,  1594,     0,
       0,     0,     0,     0,     0,  2044,     0,  2125,  2353,  2268,
       0,  1547,  1549,  1552,  1554,  1553,  1555,  1551,  1560,     0,
    1483,     0,  1482,  2699,  2698,  1956,  1638,  1425,     0,     0,
    1009,     0,     0,  1453,  1452,   975,     0,   346,  1015,   524,
     494,  2223,   495,  1014,     0,  1016,  1021,  1021,     0,   524,
     722,   596,     0,     0,   280,   633,     0,   350,   362,     0,
    1442,     0,     0,     0,   797,   785,     0,     0,   804,  1158,
     678,     0,     0,   276,  1178,  1174,  1346,  1347,     0,     0,
       0,     0,     0,   346,   864,   385,     0,   409,   418,     0,
     416,   389,   394,     0,   398,   396,   395,   390,   393,  1121,
       0,  1118,  1117,   720,     0,   483,   455,     0,   503,     0,
       0,   735,     0,     0,   512,   472,   471,   468,   467,   469,
     470,   465,   464,     0,   634,   794,   357,  1302,   647,   709,
     710,   705,     0,     0,     0,   516,   512,   438,   447,   421,
     522,   518,   519,     0,     0,     0,   529,  1348,  1008,     0,
    1091,     0,     0,     0,     0,     0,     0,  1125,   569,     0,
       0,   573,   564,     0,  2530,   634,   942,  1811,     0,  1812,
       0,     0,     0,  1886,  1885,     0,  1922,  1634,     0,     0,
    1628,     0,  1597,  1613,     0,  1593,  1591,     0,  1602,     0,
    1604,  1831,     0,     0,     0,  1556,     0,  1907,  1909,     0,
    1833,  1423,  1636,     0,  1420,     0,   992,     0,   993,  1018,
     498,     0,  1017,  1024,  1024,   485,   722,   476,  1180,     0,
     636,     0,   303,     0,   288,  1176,     0,   788,     0,   799,
     797,     0,     0,     0,     0,  1340,     0,  1341,  1342,  1345,
     370,   373,   404,   414,     0,   397,  1116,  1120,  1119,     0,
       0,   456,   489,   490,   491,     0,   458,   499,   500,     0,
     732,     0,   737,     0,     0,   511,   659,     0,     0,     0,
    1296,     0,     0,  1302,   520,   516,   445,   419,     0,  1299,
       0,   531,     0,   357,  1090,  1093,  1088,  1259,     0,     0,
     572,   571,  2533,  2535,  2534,     0,   663,  1813,  1889,  1875,
    1902,  1887,  1918,     0,     0,     0,  1627,  1630,     0,  1595,
       0,     0,  1603,     0,     0,     0,  1550,     0,     0,  1422,
    1010,     0,     0,  1021,     0,   722,     0,  1012,  1011,   492,
     478,  1442,   349,     0,     0,     0,   795,   798,   786,   799,
     806,   805,   680,  1442,     0,   417,     0,   482,     0,     0,
       0,   501,     0,   502,   523,     0,   736,     0,     0,   793,
       0,     0,   711,     0,  1297,   522,   520,  1300,  1301,     0,
     522,  1026,  1258,  1257,  1496,     0,     0,  2531,  2341,     0,
    2314,     0,  1920,  1923,  1921,  1915,     0,  1612,  1625,  1558,
       0,  1557,  1910,  1911,  1636,   346,  1024,     0,   480,   496,
     503,   281,  1442,     0,     0,   787,   277,  1343,   712,   508,
       0,   507,     0,   505,   504,   733,   738,   634,   783,  1302,
     715,   422,   522,     0,  1636,  1241,  1496,  1240,  1242,  1250,
    1247,  1249,  1248,  1246,  1128,  1129,     0,  1927,  1926,  1925,
    1929,  1928,  1631,     0,  1623,  1559,  1419,   994,  1013,     0,
     722,   289,   789,   796,     0,   506,   510,   509,   660,  1298,
       0,   713,   716,   719,   717,   718,   420,   357,   999,     0,
    1251,  1245,  1481,  1468,     0,     0,     0,     0,   497,   481,
       0,   693,     0,   522,  1243,  1496,     0,     0,  1924,     0,
       0,   714,  1636,  1244,     0,     0,  1624,     0,  1000,     0,
       0,   715,     0,     0,     0,  1126,  1127,   694
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4744, -4744,  4248, -4744, -1255,   105,  2642,  -595, -4744, -4744,
   -4744,  3354, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  3436,
   -4744, -4744,  1818, -2748, -4744, -4744,   -36,  3361, -1701,   -17,
    2924,  1457, -4744, -1482, -4744, -4744,  -867,    50, -4744,  3359,
   -1077, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -1175,
    1967,  1275,  4810, -3139, -4744, -4744, -1803, -3462, -4744,   616,
   -4744, -4744,  1904, -4744, -4744, -4744,  1115,   535,  -490, -4744,
   -4744, -4744, -4744, -4744, -4744, -4744,  -271, -4744, -4744,  -645,
     302,  -106, -2702,  -316, -4744, -4744,   500,  -318, -1714, -4744,
   -3859, -4744,    31, -4744, -4744, -4744,  -296, -1809,  1374, -4744,
   -1018, -1506,  1711,  -720, -4744,  -178, -4744,  -788,  -644,  -642,
    -736, -4037, -4040, -4495, -4081, -3376,  1381, -4744, -4020,   379,
     476, -4744,   393,   399, -4744,   489, -1152, -1849, -4744,  -924,
   -4744, -4744, -4744, -3250, -4744, -4744, -4744, -4744,   -58, -4744,
   -4744, -4744, -4744,   536, -4744, -4744, -4744, -4744, -4744, -4744,
   -3002,  1881,  1886, -4744, -4744, -3465, -4744, -1230, -4744,   663,
   -3280,  1300, -4744, -4744, -4744,  2633, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -1974, -4744, -4744, -4744, -4744,
   -4744,   520,    42, -4744, -4744, -4744, -4744,   407, -4744,  1900,
    1116, -4744, -4744, -4744,  -766,  -857,  -836, -4744, -3296, -4744,
   -4744, -4744, -4744,  -249, -4744, -4744, -4744, -4744, -4744, -4744,
   -1317, -4744,  1169, -3410, -4744, -4744,  1176, -4744, -4744, -4744,
   -4744, -4744,  -705,  -179,  2673, -4744,  -573,  -680, -4744, -4744,
   -4744,  -177, -4744, -4744, -4744, -4744, -4744, -4744, -1439,  8171,
   -1396,  -839, -4744, -4744, -4744, -4744, -2117, -4744, -4744, -4744,
   -4036, -4744,  4536,    34,  -801,   429, -4744,  -205,   -78,  3184,
   -1515, -2944,   446,  -368, -4744, -2212, -4744, -4744, -4744, -2839,
   -4744, -4744, -4744, -4744, -3788,   442, -4744,  3179, -4744, -4035,
   -4743, -3812, -4285, -4615, -4591, -3776, -4744, -4744, -1450, -4744,
   -4744, -4744, -1846,  2203, -2308, -4744, -2448,   512,  1466, -1266,
   -3061, -4058, -1043, -3525, -4744, -4744, -3977,  -471, -4744, -4744,
   -4744, -4744, -4744, -4744, -4744, -1443,  -912, -4744, -4744,  3792,
   -4744, -4612, -4744,  3752, -4744, -4744, -4744, -4744,  2478,  2483,
   -4744,  2484, -4744, -4744, -1832,  1260, -4744, -4744, -4744, -4744,
   -4744,  -683,  -793, -4744, -4744, -4744,   449, -4744, -4744, -4744,
   -4744,  2344, -1256, -1034,  3637,   475, -4568, -4744, -4744,  -820,
   -4744,  2903, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
   -2145, -4744, -4744, -4638, -4744, -4744, -4744, -4744, -4744,  2330,
    2333,  -103,  -233, -4744, -4744, -1624, -4744,  -856, -4744,  2560,
   -4744, -4744, -4744, -4744,  1566,   478,   566,   -70, -4744, -4744,
   -4744,   315, -4744, -4744, -3701,   -69, -4744, -4744, -4744, -4744,
   -4656, -4744,   -68,  -615,   851, -4744, -4744, -3099, -4744,   533,
     -77,  3270,  1832,   -43,  5290,  -243,  -227,  -213,   -75,   -66,
    3039, -4744,  3108, -4744,  -198,  2169, -4744, -4744, -1153,  -337,
   -4744,  1573,  -942,  2310,  3028,  3031, -4744,  1577, -4744, -4744,
    1585, -4744,   927,  -582,  -463, -4744, -4744, -4744, -4744,   363,
    -941,  2332, -4744,  3040, -4744, -4744, -4744, -2191,  1579, -3679,
     958, -3672, -3637,   409,   398, -1084,  -258,  -154, -1087,  3052,
   -4744, -4744,   968,  -432, -4744, -4744,  -429, -3121,   891, -4744,
   -4605, -2624,  5501, -1958, -1379, -4744, -4744, -1354, 21794, -4744,
   -4744, -4744, 23447, 24471, -4744, -4744, 25021, 25230, -4744, -1212,
    1160, 25846, 10794, -1374, -1339, -1607, 23159, -2508,  -938, -2237,
   -4744, -3802, -1884, -4744, -4744, -4744,  -216,  1024,     9, -4744,
   -4744, -4744, -4744,    -4, -4744,  -559, -4744,  -558, -4744, -4744,
   -4744,  -545, -4224,  2465, -4744, -4744, -4744,  -861, -4744, 26663,
    1621, -4744, -1238, -3006, -3014, -3670, -2152, -4744, -4744, -4744,
   -4744, -4744, -4744, -4744, -2793, -3558,  -544,  1697, -4744, -4744,
    1789, -4744, -4744, -4744, -1676, -1185, -2909,  1705, -2303, -4744,
   -1145, -4744, -1061,  2470, -1101, 13267, -1651, 19272,  -118, -2578,
   -1644, -1950, -4744,  -518, -4744,  3164,  -128,  -760,  4019,  -911,
    -932,  7143,  4830,  5337, -3397, -4744, -4744,   561, -4744, -4744,
   -4744,  4174,  1198, -4744,  3448, -4744,  1963,  2739, -4744, -4744,
    2339,  -972,   284, -4744,  -525, -4744,  -120, -4744, -4744, -4744,
     180, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,
    3067, -4744, -4744, -1587, -4744, -4744, -4744, -4744, -4744,  4447,
    -383, -4744,  3837,  -377, -4744, -4744, -4744, -4744, -4744, -4744,
   -4744, -4744, -4744,  3077,  2371, -4744,  3662, -4744, -4744, -4744,
     -23,  3298, -4744, -4744, -4744, -1306,  -596,  3667,  3669,  2338,
   -4744, -4744, -4744, -4744, -4744, -4744, -4744, -4744,  2342, -4744,
   -4744,  1666, -2279,  2343, -4744, -4744,   929, -4744, -4744,   423,
   -4744,   931, -4744,  3186, -4744, -4744, -4744,   970, -4744, -4744,
   -4744,  -553, 16328,   -19,   -95,    85,  1783, -4744, 10093, 19165,
       7,  3106,   -64, 13766, 22105,    73, -4744,  4451,  2353,  1923,
   -1056, -4744,  4599,  2655, 21200, -4744, -1051,    21,  1788, -4744,
      -2,  -676, -1282,  3403,  -757, -2104, -4744,  4882, -4744, -3423,
   -4744, -1110,  3851, -1323
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1937,  2808,  2693,  3564,  3565,   252,
     253,  1933,   254,   255,   256,   257,   258,   259,   260,  1871,
     261,   262,  1364,  2059,  2819,   263,  2550,  1115,  1116,  1117,
    2404,  2405,  2756,  2406,  2393,  1697,  2204,  1890,  1080,  1081,
    1852,  1891,   265,   266,  1691,  2385,   267,   268,   269,  1918,
    1919,  1865,  2106,  4592,  5282,  3405,  2672,  3604,  3406,  3407,
     270,  1985,  1986,   271,   272,  3532,  2030,  2787,  4120,  4121,
    4626,   907,  2784,  4926,  4927,  4612,  4613,  4933,  5149,  5150,
    2820,  2054,  3598,  4200,  3555,  4674,  3556,  4675,  3557,  4676,
    3543,  4149,  4150,  4151,  3558,  4648,  5181,  3559,  2569,  5311,
    2855,  2234,  2232,  5168,  4476,  4477,  5385,  5316,  5317,  5318,
    5473,  4650,  3602,  4206,  4683,  4954,  3299,  2080,  3707,  1010,
    2858,   939,  1011,  2821,   277,  2849,  2850,  1956,  2701,  4127,
    3687,   278,  1384,  3978,  5008,  5221,  5222,   279,   895,   280,
    2063,   281,   282,  2804,  3549,   283,  2586,  3316,   284,   285,
    3344,  3345,  3346,   286,   287,  4000,  4873,  1920,  3394,  3395,
    3396,  3397,  4025,   288,  2061,  1961,  2828,   289,   290,   291,
     292,   293,  2982,  2983,   294,  2744,   295,   296,   297,   298,
     299,  4057,  4559,  4178,  3432,  3571,  4176,  2822,  2071,  2840,
    2841,  4663,  4972,  5191,  4974,  5520,  5521,  4947,  3956,  4490,
     301,   302,  4643,  4644,  5323,   303,  2584,   304,   305,   306,
    2038,  2796,  2797,  4128,  2032,  2789,  2790,  4188,  4189,   307,
    3487,   308,  4543,  4544,   940,  5328,  5289,  5398,   309,   310,
    4547,  4548,   311,   312,   313,   314,   315,   998,  1483,  1484,
    1838,  1428,   316,  2421,   317,  1336,  3514,   318,  1575,  3028,
    4735,   319,  1034,  1508,  1509,  2823,   321,  1045,  3006,  1047,
    2247,  3689,  3690,  4281,  2968,  1242,   322,   323,  2979,  3009,
     324,  1858,  2560,  2561,  4471,  2824,   941,  2086,  2862,  3294,
    5089,  5090,  4852,  5106,  3201,  3899,   326,   942,  1895,  2630,
    2865,  3612,  2527,  2528,  2529,  4223,  2530,  3614,  2531,  1832,
    2532,  3620,  3621,  3622,  4219,  4226,  4229,  4997,  4998,   327,
    1893,  2628,   328,   329,   330,  1928,  1266,   331,   964,   965,
     332,  5161,   333,  1403,   334,  5006,   335,   336,  1069,  1070,
    1559,  1560,   337,   338,  2643,  4007,   339,   340,   341,  5487,
    5529,  5530,  5531,  4234,  5434,   342,  5489,  1551,   344,   345,
     346,   898,  1300,  1301,  1302,  2825,  4990,   348,   349,  1853,
    1854,  1855,  1856,  2555,   350,   351,   352,   353,   354,   355,
    2042,   356,   357,  5138,   358,   359,  2005,   360,  1728,  1729,
     361,   362,   902,  1135,  1732,  1740,   363,  1013,  1502,  1503,
    1504,  2206,   364,  1555,  2994,  1014,  1497,  1015,  2467,  3222,
    3909,  3910,  3913,  4836,  4447,  1016,  3219,   368,  2254,  2988,
    2991,  3215,  1017,  3227,  3228,  3229,  3230,  3231,  3916,  1018,
    1036,  1394,  2874,  1019,  1646,   373,   374,   375,  1145,  1139,
    1140,   377,  2362,  3154,  1054,  1746,  1099,  1100,  1152,  3863,
    2435,  2436,  2458,  2459,  1755,  1756,  2448,  2450,  3203,  2451,
    3211,  2441,  4421,  5071,  5072,  5073,  5074,  5075,  5076,  4815,
    2454,  2455,  1758,  1759,  1760,  2463,   378,  3158,  3843,  3844,
    3845,  4398,  4399,  4413,  4409,  4799,  5057,  3846,  1545,  1766,
    4807,  5504,  3847,  5048,  5049,  5240,  4416,  3854,  3907,  3588,
    3589,  3590,  2533,  2135,  1430,  1647,  1431,  2145,  1648,  2119,
    1433,  1649,  1650,  1651,  1436,  1652,  1653,  1654,  1439,  2111,
    2138,  1655,  1656,  2129,  1184,  1185,  2191,  3065,  1658,  1659,
    1660,  3849,  1661,  4354,  4766,  4755,  3086,  3087,  2401,  4350,
    3789,  2357,  3144,  5080,  5257,  5258,  3828,  4379,  4782,  5046,
    5365,  5442,  5443,  1662,  1663,  1664,  3141,  2352,  1268,  1665,
    4130,  2354,  3080,  3166,  3167,  2260,  2279,  3033,  3048,  3049,
    3060,  3748,  3068,  3073,  3776,  3777,  3081,  3110,  1666,  3035,
    3036,  3732,  2281,  1667,  1721,  1722,  2370,  3105,  1735,  1736,
    1137,  1681,  1668,  1669,  2248,  1126,  5053,   747,   730,  3421,
    2416,  1304,  1051,  1670,  1671,  1672,  1787,   690,  1453,  1454,
     692,   731,   732,  1222,   844,     2,    75,  1020,  3596,   382,
     383,   944,   945,   946,  1386,  1387,  2092,  2095,  1792,  2499,
     696,   697,   748,  4704,  5009,  5224,  1004,   384,   385,   386,
     387,  1788,  2495,  1186,    76,    84,    77,  1187,   424,   425,
    2477,   388,   861,   389,  1769,  1166,  3922,   390,   391,   392,
     393,   394,  1001,   395,  1168,   396,  1169,   397,   398,   399,
     400,  1176,   401,  1771,  1772,  4460,  1773,   402,   403,   734,
     735,  1495,   404,   405,  1203,  1204,  1527,  1528,  1798,  1813,
    1814,  1815,   406,   704,   407,   408,   409,  1804,  1805,   410,
    2378,  2379,  2504,  2380,   411,  3244,  3245,   412,  3880,  3881,
    4825,  3882,   413,  2374,   414,   415,  1129,  3927,   416,   857,
     417,  1217,   736,   737,   738,  1224,   847,  1085,   749,  1226,
    3398,   849,   850,   740,   741,   742,  2226,    78,  3252,  2227,
    1674,   750,  1675,  2368,  1676,  1677,  1678,  1679,  1680,  1821,
     744,  1193,  1487,  1488,  3253,  1490,    82,  1491,   421,  3648,
    2194,  1529,  2212,  2213
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  2148,  1761,   376,  1692,  1091,  1144,  1163,   366,   367,
     369,  1359,  1714,  1164,   419,  1767,  2152,  2158,  1267,   746,
     419,   845,  2203,    79,  1536,  1537,  1538,  2969,  2231,   752,
    1542,  1396,  1128,   955,   943,   371,  1990,  1153,  1038,  1682,
    1833,  1723,  2052,   938,  2125,  2003,  2418,  2144,  2631,  1960,
    2568,  3864,  2131,  2073,  2758,  2270,  3164,  2115,  2116,   418,
    1038,  1012,  1267,  3712,   900,   418,   845,  2124,  3574,  1460,
    1125,  4001,  2649,  1465,  2033,  1201,   420,  1505,  1706,   957,
    3261,  3263,   420,  1060,  1480,  2936,  4158,   701,  2429,   376,
    2040,  2639,  1046,  3984,  2045,  4228,  1395,   418,  3173,  2049,
    2845,   997,  2143,  1954,  3423,  3554,  2713,  2056,   896,  1969,
    3484,  4020,  2666,  4022,   420,  1244,  4184,  2075,  1995,  2432,
    1267,  4439,  1273,   848,  3193,  3032,  1955,  3915,   264,  1147,
    4687,  4136,  1092,  1290,  2103,  2723,  2863,   845,  4478,  4131,
    3693,  4514,   418,  4366,  4131,  4211,  1816,  3857,  4479,  1155,
     949,  1818,  1500,  3855,  3856,  1477,  1205,  2418,  4473,   420,
    4679,  1354,  4395,  1156,  4680,  4696,  1362,  2887,   848,  2727,
    2728,  4641,  2484,  2486,  2487,  4412,  1396,  1372,  4673,  4690,
    3172,  1114,  1142,  3797,  4983,  2624,  2638,  2478,  2478,   852,
    4686,  2193,  1079,  2541,  2218,  4853,  3931,  2112,  2113,  1892,
    1035,   846,  1122,  5062,  2928,  5064,  2188,  1088,  2123,  4410,
    1754,  1757,  4452,   418,  1991,  1088,  5114,  1088,  4334,  1196,
    3260,  4247,  1035,  1514,  2376,  1794,  1795,  1519,  1520,  1521,
     420,  3926,  3567,   427,   852,   427,  2324,  1532,  5107,   848,
    1807,  1699,  2324,  1489,  2115,  2116,   846,    45,  3754,    45,
    5133,  5209,  2131, -2798, -2798, -2798, -2798,   906,  2192,  1786,
   -2798,  4739,  2124,  4741,   423,  2330,  4851,  2734, -2798, -2798,
    2072,  2330,  5140,  5141,  1390,  1868,  2136,  2419, -2799, -2799,
   -2799, -2799,  1087,  2224,  1133, -2799,  4860,   427,  3310,  2739,
    1087,  1807,  1087, -2799, -2799,  2332, -1701, -1701, -1701, -1701,
    1571,  2332,  3980, -1701,  3710,   852,  1218,   376, -1696, -1696,
   -1696, -1696,   366,   367,   369, -1696,  2360,   846,  3103,  2252,
    2028,  4217,  3506,  3920,  3754,  1921,   419,  4576,  2481,  4152,
    3530,  5288,  3657,  5162,  3659, -1668, -1668, -1668, -1668,   371,
     427,  2104, -1668,  3985,  3697,  5004,  4834,  1221,   427,  3145,
    5307,    37,    38,    39,    40,  2104,  1243,    43,    44,  1577,
    1808,   419,    45,    37,    38,    39,    40,  3103,   129,   130,
      44,   418, -1696,  3730,  2104,  2112,  2113,  5113,   733,  1869,
     273,  1296,  3325, -2796, -2796, -2796, -2796,  2195,   420,  3495,
   -2796,  1340,  5132,  4287,   427,  1980,  2482,  1553, -2796, -2796,
    2123,   897,  -148,    43,  2104,  5283,   418,  2318,    45,  2019,
    3479,  -148,  3701,  2984,  2399,   733,  -148, -1681, -1681, -1681,
   -1681,   121,  1940,   420, -1681,  4594,  1685, -2051, -2051, -2051,
   -2051,  4637,   264,     3, -2051,  5175,   947,   954,   427,   125,
    3480,    37,    38,    39,    40,  4595,   954,    43,    44,  1400,
    2003,  2641,    45,  2036,  2400,  2483,  1941,   274,  5249,  1451,
    1267,  2319, -1939,  3138,  5284, -2795, -2795, -2795, -2795, -1939,
    3139,   275, -2795,  1297,  1696,  3157,  2574,   276,  1220,  3146,
   -2795, -2795,  4577,  5176,  1164,   300,  3702,   954,  2366,  5200,
    5308,  5177,  2641,  1981,  2150,  1725, -1958,  1726, -1701, -1701,
   -1701, -1701,  4171, -1958,  2420, -1701,  2842,   320,  4856,  2150,
   -2391, -2391, -2391, -2391,  1298,  5273,  5274, -2391,  3235,  5178,
     325,  3008,  2150, -2212,  1240, -2391, -2391,   343, -1711, -1711,
   -1711, -1711,  2985,  4288,  3981, -1711,   426,   943,  4835, -1708,
   -1708, -1708, -1708,  2641,  3698,  3531, -1708,  5306,  3985,  1396,
    2159,  1181,  2721,   347,  3751,  3752,   365,  3251,  2363,  3771,
    5005,  3255, -1701,  3865,  2766,  1299,  3866,  3867,  3311,  4638,
    2361,  2363,  1396,  4861,  2641,  1134,  2770,  3868,  3869,  3870,
    2205,  3871,  3872,  1199,  1200,  2964,  3873,  3874,  3875,  2970,
    4172,  2972,  2253,  5179,  2975,  1541,  3801,  3802,  2105,  1541,
    4153,  2410,  2411,  1797,  1800,  1190, -1711, -1711, -1711, -1711,
    1177,   370,  2105, -1711,  2181,    37,    38,    39,    40,  5330,
    4529,  2740,    44,    37,    38,    39,    40,  2735,  1927,  2249,
      44,  2105,  3507,  4131,    37,    38,    39,    40,  3104,   381,
    4984,    44,  1396,  2418,  1719,  2262,  2253,  1870,  1720,  1809,
    2207,  4218,  4979,   949,  5383,  3522,  3034,  4483,  5404,   249,
    2271,  2105,  4951,  3526,  2137,  3528,  1829,  2843,   862,  4173,
    1197,  2351,  2346,  2347,  2348,  2349,  2350,  2351,  1178,  1032,
    1033,  1032,  1033,  3769,   273,  2037,  5483,  3817,  3202,  1554,
    2418,  2377,  2225,  1803,  3171,  4771,  2709,  5020,  2711,  2610,
    1809,  5021,  5022,  2110,  5023, -2798,  2208,  2274,  4656,  2210,
    1192,   863,  2214,  2986,  2216,  3949,  2792,  2219,  1198,  5000,
    4412,  2223,  4796,  2002,  2957,  2894,  4800,  2641,  4667,  2187,
   -2799,  2718,  2987,  3876,  1284,  5461,  2650,  1179, -2212,  2132,
    1180,  2761,  2324,  2932,  1727,  2037,  2757,  5466, -1701,  2680,
    1233,  4745,  3348,  2183,  4790,  4839,  3766,  3767,  3768,  3769,
   -1696,   274,   845,  5446,  5180,  5424,  1144,  3754,  2575,  1396,
    3917,  2330,  2150,   958,  -407,   275,  3349,  1396,  1396,  1506,
    2394,   276, -1939,  3140,  1241,  2407,  2407,  2114,  2007,   300,
    2900,  2641,  5456,  3418,  1810,  1811,  1345,   419,  2965,  2014,
    4070,  2332,  4280,  2104, -2212,  4174,  5511,  2976,  3339,  1525,
    2150,   320,  3933,  5269,  3934,  2453, -1958, -2212,  1762,  2464,
    2465,  2500,  1935,  2844,   325,  4180,  4709,  4710,  4711,  4712,
    4713,   343,  1392,  1181,  2389, -2796,  1350,  4627,   418,  5425,
    1032,  1785,   418,  1936,  2722,  1335,  3419,  4429,  -148,  -148,
    2627,  3164,  3164,  3164,  1405,   420,  2691,   347,  3546,   420,
     365,  2694,  2087,  1229,  1209,  1448,  1859,  3877,  5408,  2118,
    4175,  5099,  1229,   701,  4465,  4505,  2881,  1719,  5109, -2051,
     701,  1720,  3340,  1525,  2012,  4823,  3323,  1708,  2947,  2940,
    3237,   701,  3237,  1507,  2950,  1513,  3884,  1518,  3275,  1498,
    1544,  1205,  5199,  1522,  2188,  2110,  1501,  1229,  1525,  2884,
    2885,  5519,  1206,  5469,  3878,   370,  2966, -2795,  1155,   701,
    3848,  3285,  3365,  1683,   701,  2624,  1776,  1513,  1518,  1499,
     852,  5482,  1156,   376,  2811,   701,  2576,  1182, -2048,   947,
    4110,  4111,   846,   381,  2853,  5203,  1512,  2126,  1517,  3699,
   -1701,  2439,  2612,  5204,  1393,  4309,  1183, -1668,  1531, -1469,
    2618,   701, -2391,  4202,  1796,  1229,  2127,   702,  4956,  1280,
    1860,  1446,  1750,  2189,  1544,  1229,   701,  2190,  1547,  1549,
    2128,  3848,   701,  3095,  4335,  5432,  4702,   954,   954,  1684,
    5050, -1708,  1446,   701,   858,  1281,   859,  2097,    81,  3286,
    1157,  2713,  4450,  5233,    35,  1765,  1526,   701,    37,    38,
      39,    40,    41,    42,  3879,    44,  2651,  2687,  3613,  2699,
    4230,    79,  2702,  2703,  3547,  2126,   959,  2652,  4533,  2653,
    2552,  1730, -1668,  4479, -1469,  1192,  3918,  4478,  3029,  3031,
    3343,  1752,  2440,  2812,  2127,  3038,  4670,  4479,  4517,  2098,
    3339,  3052,  3053,  3054,  4925,  2576,  3339,  1511,  2130,  1516,
    2105,  3070,  3072,  1979,  2856,  1724,  3082,  2321,  1267,  1980,
    1695,  2577,  1737,  3283,  1703,  2364,  4957,  2570,   960,  1158,
    1974,  1689,  5028,  2939,  2836,  2654,  3178,  1874,  4129,  1546,
    1548,  2767,  4071,  4129,  -632,  3123,  1351,  1229,  1229,  4231,
    5470,  2853,  1709,    35,  1088,  2571,   701,  3548,  1088,  5205,
     418,    41,    42,   961,  3042,   962,  1861,  1799,  5054,  5337,
    1975,  5051,  4540,  5058,  3340,  1449,  5060,   420,  1719, -1469,
    3340,  2319,  1720,  3469,  1229,  1063,  1567,  5324,  3268,  3470,
    2854,  2099,  2973,  2974,  2013,  2125,  3324,  2967,  5409,  3700,
    1862,  2578,  5433,  5344,  3341,  5334,  2665,  1579,  1207,  5335,
    3754,  1526,  2361,  2837,  3755,  3756,  3757,  1981,  1710,  4224,
    5471,  4228,  1777,  5342,  2348,  2349,  2350,  2351,  4846,  1087,
    1863,  1567,  3043,  1087, -1469,  1525,  5341, -1668,  3342,  1842,
    4518,  2100,  4479,  5234,  5472,   701,   701,  3764,  3765,  3766,
    3767,  3768,  3769,  2139,  1789,   703,  4976,   427,  1380,  2817,
      37,    38,    39,    40,  5496,  1064,    43,    44,  1577,  1808,
    2800,    45,  4541,  1819,  3124,    37,    38,    39,    40,  3125,
    3890,  1857,    44,  4874,  1192,  4232,   954,  3471,  2905,  1843,
    2572,  3044,  4671,  1864,  3045,  2913,  1533,  4314,  4315,  4316,
    4317,  2918, -1472,  4322,  4323,  4324,  4325,  4326,  4327,  4328,
    4329,  4330,  4331,  1079,  1964,  3126,  2927,  1505,  3401,  5264,
    1789,  1178,  2562,  3850,  2101,  1976,  1150,   860,  1088,  1088,
    1159,  2883,  3343,  1851,  2818,  5516, -1469,  1494,  3343,  2563,
    2484,   954, -2527,   853,  4043,  5426,  1267,  4969,  4519,  3411,
    4233,  4520,  3181,   854,  1229,  1148,  2562,  1150,  5267,  4370,
    4371,  1446,  5548,  1982,  1526,  1229,  3684,  4542,  3402,  5498,
     751,  3265, -1469,  2068,  1026, -1469,  2090, -1472,  3430,  3758,
    1179,  1446,  1844,  2140,  3850,  2704,  2926,  3046,  1701,  5336,
    1446,  1851,  2943,  2069,  5481,  2564,  1027,  1983,  2139,  5484,
    3759,  2838,  5312,  1087,  1087,  4838,  1065,  5228,  2961,  2387,
    3066,  3212, -1668,  2565,  2839, -2161,  1149,  5431,  3084,  1977,
    1381, -1668,  2064,  2114, -1668,  1837, -1668,  1984,  1229,  2564,
    5245,  1845,  1202,  3472,  3058,  5219,  1192,  -838,   733,  2000,
    3127,  4164,  4104,  1066,  1067,  3431,  2665,  2565,  4044,  4108,
    4109,  5526,  1144,  4112,  3403,   855,  2571,  1534,  4429,  3760,
    4117,  4812,  2065,  3478,  4819,  1846,  1178,  3473,  5265,   209,
    1579,  1446, -1472,  3754,  1382,  5517,  1181,  3755,  3756,  3757,
    1383,   376,  2209,  1150,  2211,  1267,  5050,  2215,  4002,  2217,
    2515,  3047,  2220,  2221,  2222,  1847,  1164,  3474,   901,  5499,
    4731,  5380,  5286,  3654,  4467,  2229,  5291,  5292,  1816,   701,
    3364,  4479,  5552,  1818,  2705,  3861,  2706,  5313,  3655,  2255,
    3660,  2256,  5118,  4276,  1848,  1179,  1849, -1472,  2140,   701,
    5110,  2168,  1068,    81,    81,  4131,    81,  2774,  3412, -2527,
    1026,  5139,  4985,  2070,  1229,  2566,  4422,  5387,  5388,  2425,
    3972,  1868,   701,  1837,  4986,  5188,    79,    79,  3266,    79,
    3267,  2442,  1027,  3995,  3579,  3580,  3581,  3582,  2482,  2433,
    2434,  2169,  2438,  3449,  1850,  1789,  3587,  2775,  2962,  2566,
    2141, -2194,  3533,  1156,  1156,  5314,  1156,  5253,   701,   856,
    3973,  4515,  4165,  5220,  4045,  3462,  3450, -2527,  2443,  2142,
    2001,  1097,  1446,  3164,   701,  3404,  2485,  1151,  4138,  2442,
    2963,   903, -2161,  1750,  1932,  3891,  4545,  2066,  4666,   701,
    3240,  1181,   701,  3501,  1911,  5166,  4300,  2483,  4046, -1472,
    2785,  2786,  4129,  1229,  2876,  1049,  3761,  3762,  3763,  4402,
    3764,  3765,  3766,  3767,  3768,  3769,  2443,  2567,  5136,  1205,
    2978,  2713,  3848,  4141,  3848,  1869,  5395,  3220,  4047,  1765,
    3631,  1229,  1540,  3759,  1296, -1472,  4457,  4030, -1472,  5137,
   -2161,  1744,  4003,  1396,  4468,   845,    35,  4479,  4072,  2903,
    4031,  2567,  1752,  4634,    41,    42,  3195,  3944,  2150,  1229,
    1229,  1229,  3633,  1229,  3996,  2445,  1098,  1026,  4004,  2444,
    2290,  5164,  1181,  1810,  1811,  2355,  4469,  1026,  2619,  4403,
    2556,  2067,  4987,  1229,  2381,  2382,  4546,  3213,  5396,  1027,
    2557,  1753,  3760,  1181,  3352,  2141,  2170,  4470,   845,  1027,
    5508,  4715,  2776,  4716,  3329,  3379,  2580,  2558, -2213,  4404,
   -2072,   904,  1541,  2445,  -170,  3974,  2581,  4269, -2241,   701,
    2446,   418,  2397,  1063,  4405,  2383,  1297,   701,   701,  3997,
     419,   419,  3435,  3848,  4406,  3475,  1745,  1229,   420,  5326,
    -170,  1243,  3361,  5270,  5329,  1789,  2980,  2417, -2194,  2999,
    1789,  1789,  2097,  5276,  4486,  1267,  2657,  4440,  4949,  4407,
    5117,  3380,   845,  4145,    35,  2620,  1229,  1298,  2446,  3476,
    1229,  1229,    41,    42,   418,   418,   418,  5218,  5055,   419,
    5356,  3353,  3214,  3436,  1053,  3198,  2519,  2658,  2497,  2384,
    2171,   420,   420,   420,  1296,  1061,  2777,  3451,  5143,  3477,
     862,  4146,  4068,  1064,  2942,  3454, -2194,  3456,  5019,  3975,
      80,   701,  3955,   852,  1251,  4147,  4441,  4203,  1299,  1935,
    4207,  1252,  1253,  1254,   418,   846,  2493,  2981,  1709,  2150,
    4487,   418,  2720,  2605,  5277,  1911,  4408,  3437,   418,  4228,
    1936,   420,  2559,   863,  2685,  1957,  3753,   216,   420,  1446,
    1842,  2511,  2513,  3249,  1093,   420,  5280,  1494,  3781,  2582,
    3887,  3607,   216,  1062,  2417,  1088,  3199,  4069,  1857,  3761,
    3762,  3763,  1857,  3764,  3765,  3766,  3767,  3768,  3769,  1958,
     224,  4318,  3932,  4319,  3481,  4488,  1297,  4489,  3268,  4749,
    3804,  4750,  3360,  2583,  1710,   224,  2099,   700,  2324,  5363,
    1843,  5430,  5214,  4148,  1088, -2213,  3971,  1567,  2686,   920,
    4635,  4943,  1446,  2037,  3482, -2241,  5056,  1789,   913,  5095,
     235,  5097,  1373,  2641,  1096,  1789,  5364,  1298,  3830,  3438,
     852,  4968,  2642,   238,  2900,   235,  4531,  4864,  4865,  1123,
    1087,  4944,   846,   862,  1065,  1446,  2100,  1136,    37,    38,
      39,    40,  3434,  1374,   248,    44,  1396,  2332,  2490,  2704,
     948,  2491,   845, -2213,  1002,  4959,   966,   922,  3221,    37,
      38,    39,    40, -2241,  4636,  3850,    44,  3850,  1299,  1087,
    1959,  1066,  1067,   249,  1789,  1375,   863,  1789,  1789,  4978,
    5351,   733,   733,  1844,  1052,    37,    38,    39,    40,   920,
    5390,  4532,    44,  1851,  4320,   701,  3498,  1088,  1851,  5189,
    4604,  2879,  2657,  2772,  4321,  3297,  4607,  4608,  1396,  4610,
   -1002,  3625,  4751,  1935,  4484,  1005,  1446,  3293,  1705,  2101,
    4857,  1376,  5518,  3862,   427,  1130,   209,  3381,   418,  3439,
    5190,  1446,  2551,  2658,  1936,  1006,  -430,  3440,    45,  2791,
    3441,  3297,  4275,  1970,  2492,   420,  1789,   922,  1857,  3188,
    1446,  2367,  1989,   920,  2798,  1164,  3895,  3686,   862,  3298,
    2773,  3963,    37,    38,    39,    40,   701,  1007,  4403,    44,
     701, -1008,  1087,  3672,  3005,  5543,  3850,  1971,  2705,  3317,
    2706,  1972,   701,  3382,  4858,   733,  1243,  4185,   129,   130,
    3575,  1146,  2645,  4960,  2646,  3952,  4194,  1446,  4404,  5458,
     427,   863,  2126,   930,  2751,   931,  1501,  1973,  3442,  2989,
    1229,   922,  4486,  4802,  1719,  1352,  1446,  1353,  1720,  3164,
     852,  2127,  1229,  4406,  3164,  1848,  3986,  1849,  1446,  2053,
    3164,  3171,   846,   376,  3066,  3066,  4961,  4279,  2752,  3066,
    1446,  2945,  3111,  2946,  3112,  -430,  1005,  2948,  4006,  2949,
    2647,  5379,  2951,  3885,  5309,  1229,  2952,   701,   701,  3806,
    2178,  3807,  3442,  3853,  4824,  4506,  1006,  3113,   963,  1026,
     701,  2814,  1493,   427,  3848,  4280,  3066,  3066,  3848,  1170,
    1446,  2179,  3989,  1446,  3808,   701,   701,  1834,  4487,  2716,
    2846,  1027,  1373,   930,    81,   931,   376,    81,  1007,  1171,
    3004,  2995,  2996,  2997,  3917,   933,  4290,   701,  1160,  1172,
    4516,  4521,  4534,   920,  2121,  2122,   935,    79,  3815,  2053,
      79,  1835,  2641,  1374,  5539,  4408, -2591,  3027,  2998,   206,
    1839,  2648,  4578,  1257,  1258,  1259,  3513,  1260,  1261,  1262,
    1263,  1264,  1265,  4488,   845,  4489,  2372,  1229,  1167,  2373,
    5025,  1836,  4036,  4579,  3171,  4182,   216,   930,  1396,   931,
      37,    38,    39,    40,  1840,  3114,  2407,    44,     8,  1267,
    3115,   922,  5136,  4689, -2072,  3116,  4244,  4245,   209,  4295,
    -534,  1750,  1202,  2053,  1229,  1229,  1751,  3809,  3676,   224,
    1229,  1229,  3810,  5137,  1841,  2894,  3051,  1229,  1229,  1229,
    4154,  1376,  3921,  1229,  1989,  1229,  1229,  1229,  1229,  1229,
    1229,  1173,  1229,  4060,  1229,  1229,    35,  4938,  1229,  1208,
     418,  3937,  4939,  3204,    41,    42,  2114,  3088,  2542,   235,
    3091,  1730,  1446,  1229,  1229,  1229,  1229,   420,  4251,  4252,
    4253,  1229,   238,  5506,  2535,  1229,  3101,  1219,  1229,  3896,
    1752,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,
     206,  1229,  3287,   248,  3290,  4840,  4940,  2189,   419,  1229,
    3726,  2935,  1229,  5528,  2938,  1174,   216,   249,  2536,  2753,
    3613, -1518,  4138,  1935,  3941,  3942, -1518,   216,  4139,  1753,
    1148,  2754,  2894,  1396,  5136,  1234,  5185,  4996,  3930,  4140,
    4677,  3117, -1519,  2667,  1936,  2474,  2475, -1519,  2537,   224,
    2324,  3118,   852,   418,  1236,  5137,  2755,   930,  3811,   931,
     224,  2667,  3727,   419,   846,   419,  3728,  4141,  3812,  4142,
     420,  4040,  3195,  2126,  3223,  1229,  1355,  3284,  1356,  2330,
    3280,  5558,  2126,   936,  4129,  1175,  1286,  2667,  5455,   235,
   -1518,  1149,  2127,   948,  1249,  4481,  4482,   845,  3962,  4293,
     235,  2127,   238,  3347,  1008,  4041,  2128,  4464,   418,  2332,
     418, -1519,  2114,   238,  2542,  2130,  4249,  4250,  4251,  4252,
    4253,   864,  4935,   248,  4937,   420,  4707,   420,  4941, -1518,
    4942,  2114,  1294,  1837,   248,  4042,  4921,   249,  4922,  4923,
     905,  2710,  4924,  3715,  1250,  4143,   701,    43,  1009,  3719,
   -1519,  4734,    45,  1339,   999,  3584,  4137,  1295,  1150,  2724,
    3585,  3585,  4311,  1344,    81,  1789,    81,  3850,  5227,  1943,
    4055,  3850,  1446,   418,  3209,  3210,  1446,  1446,  1342,  4063,
    1210,  3780,  2668,  3782,  3783,  1819,   701,    79,  1347,    79,
     420,   701,  1211,  1212,  5544,   701,  4340,  5545,  5210,  2417,
    2668,  4170,  4144,   701,  1360,  3848,  1094,  4145,  1368,  2669,
    3848,  1213,  2474,  3233,  1214,  3848,   845,  1944,  3848,  -533,
     845,   701,  3433,  2198,  1229,  2199,  2668,  2669,  2900,  2264,
    1385,  2265,  2670,  4502,  2671,  1229,  2277,  2667,   249,  1446,
    2667,  4382,  1229, -1542, -1542,  4146,    35,   427,  3848,  1377,
    2670,  1446,  2671,  2669,    41,    42,  1379,  1741,  4283,  4147,
   -1469,    45,  3848,   701,  1396,   852,  1396,  2665,  2872,  2667,
    2873,  4722,  4723,  4724,  1088,  1378,  2670,   846,  2671,  2003,
     701,   701,  1151,  1388,  2423,  2665,  2424,   427,  1446,  3851,
    4402,  1719,   418, -2051,  1402,  1720,   418,    35,  1945,  4163,
    2426,  4166,  2427,  3859,  3860,    41,    42, -1048, -1048,   420,
     701,  2665,  2114,   420,  2542,  1447,  1455,  4418,  2667,  2937,
    1456,  2938,  3408,  1461,  1472,  3896,  3560,  1000,  1481,  4155,
    3896,  4157,    45,  1215,  1396,  2750,  1539,  2958,  3350,  2959,
     701,  3443,  1337,  2960,   701,  2959,  1946,  4148,  1947,  1087,
    3851,  1496,  4423,  4424,  4425,  1535,  1543,   845,  2712,  1550,
    4403,  3576,   701,    37,    38,    39,    40,  3420,  1557,  1556,
      44,  1216,  1789,   701,  1564,  2992,  2668,  2993,  1558,  2668,
    1789,  5159,  1789,  3435,   852,  1565,   701,  1949,   852,  3194,
    4404,  3195,  2418,  1567,   701,  3443,   846,  1566,  1568,  4221,
     846,  1397,   966,  2669,  1570,  4405,  2669,  3848,  2668,  4249,
    4250,  4251,  4252,  4253,  1569,  4406,  4067,  4254, -1672, -1672,
   -1672, -1672,  1573,  1574,  3171, -1672,  2670,  1951,  2671,  2670,
    3358,  2671,  3359,   418,  3436,  2669,  1576,  3425,    80,  3426,
    4407,  1229,  1446,  1192,  1707,  3534,  4296,  3535,  1704,  4289,
     420,  1711,  3539,  5144,  3540,  1712,  3443,  2668,  2670,  3544,
    2671,  2665,  3443,  3600,  2665,  3601,  1953,  3066,  3066,  3066,
    3066,  1144,  3848,  3066,  3066,  3066,  3066,  3066,  3066,  3066,
    3066,  3066,  3066,  3561,  2669,  3634,  1713,  2938,  3437,  1718,
    3831,  1875,  3832,  2665,  3443,  1731,  3678,  1552,  2959,  1748,
    4344,  3725,  1741,  2938,  2667,  1738,  3734,  2670,  2938,  2671,
    1739,  2667,  1446,  1742,  1763,  1144,   701,  4408,  3740,  4599,
    2938,  1764,  5485,   193,  1876,   852,  1768,  1770,  1229,  3066,
    3066,  1572, -1679, -1679, -1679, -1679,  3741,   846,  2938, -1679,
    1778,  1686,  2665,  1774,  1775,  1698,  1397,  1700, -1670, -1670,
   -1670, -1670, -1481,  1779,  4996, -1670,  1791,  3742,  3850,  2938,
    4699,  1780,  1781,  3850, -1481,  3773,  1782,  2938,  3850, -1481,
    3786,  3850,  2938,  1783,  4909,  4910,  1790,  4912,   701,  1784,
    3438,  1877,  1793,  1823,    35,   427,  1229,  1822,    37,    38,
      39,    40,    41,    42,    43,    44,  3791,  1825,  3792,    45,
    1831,  3850,  4073,  3836,  3837,  3838,   216,  1837,  3833,  4101,
    3834,  1867,  1894, -1481,  1878,  3850, -1673, -1673, -1673, -1673,
    3562,  1872,  4023, -1673,  4024,   701,  4767,  4028,  1144,  4029,
    4215,  1896,  4216, -1481,  1898,   700,   700,  1899,   845,   224,
    1820,  1446,  1789,  2668,   845,  1930,  4242,   701,  2938,  1879,
    2668,  3848,  1929,  1931,  4341,   701,  4342,  1932,  4351,  1229,
    4352,  1927,  1446,  3563,  4362,  1229,  2938,  4448,  1934,  4449,
    2669,  1939, -1481,  1446,  1942,  1965,  3848,  2669,  1966,   235,
   -1481,  1880,  1229,  4453,  4463,  4454,  3267,  1229,  1978,  4485,
    3439,  2959,   238,  2670,  4628,  2671,  4629,  1987,  3440,  2391,
    2670,  3441,  2671,  1988,  4668,  4728,  2959,  2253,  1992,  1881,
    1229,  1229,  1229,   248,   418,  1229,  4746,  4772,  2938,  2993,
     418,  1997,  1998,  1229,  1229,  1229,  1229,  5486,  2665,  2006,
    1999,   420,  4784,  2004,  2938,  2665,  1229,   420,  2008,  1229,
    3787,  1229,  4842,  1882,  3267,  2011,  3794,   209,  4615,  2016,
    2015,  1883,  1229,  1229,  4756,  1900,  1229,  4848,  1884,  4849,
    3850,  1901,  2667,  2023,  4854,  1885,  2959,  4855,  2026,  2959,
    1229,   376,  1229,  1886,  1229,  2022,  2995,  2996,  2997,  4928,
    2029,  4929,  4932,  2034,  4980,  1887,  4981,  5030,  1418,  5031,
    4616,  2041,  2031,  1888,  1229, -1671, -1671, -1671, -1671,  4965,
    2044,  1902, -1671,  2998, -1481,  1229,   852,  1229,  1229,  1229,
    2392,  5032,   852,  2938,  2037,  4617,    74,  1243,   846,  3896,
    2046,  5040,  4677,  2993,   846,  3850,  2055,  5115,   701,  5116,
    4618,  5186,  1229,  2959,  4619,  5211,  5229,  5212,  2993,  5237,
    2057,  5238,  3848,  2058,  5242,  1229,  3195,  1889,  -190,  2060,
    1229,  1789,  1903,  3066,  4620,  2062,  1229,  4621,  2074,  1904,
    4507,  5248,  1905,  4192,  1719,  2076,  1229,  1741,  1720,  5250,
    4622,  4192,  2083,  5494,  5495,  5262,  5303,  5263,  5304,  5325,
    5343,  2386,  5263,  5357,  5358,  2993,  3792,  1906,  1192,  5359,
    5369,  2938,  3195,  5372,  5394,  4192,  2993,  5400,  2667,  2993,
    2085,  2668,   193,  4652,  4653,  1446,  2089,  5401,  1446,  2993,
    1446,  5416,  5447,  5417,  3195,  1446,  4657,   701,  1907,  1397,
    5448,   881,  2938,    80,    80,  5449,    80,  2938,  2669,  2323,
    2094,  2102,  2324,   701,   701,  5451,  5502,  2938,  4192,  1229,
    2107,  5505,  1397,  5256,  2108,  1833,   845,   845,   845,  4623,
    5527,  2670,  5263,  2671,  5541,  2109,  5542,  4624,  2110,  2114,
     701,  2330,  5567,   701,  5542,  2117,  1446, -2800,  1747,  2118,
    1749,  3851,  4801,  3851,  4804,  1908,  2120,  1909,  2134,  2146,
    1037,  2147,  2149,  1446,  2150,   216,  2665,  1910,  2257,  2157,
    2160,  2332,  2161,  4625,  2162,  1911,  4535,  2163,  2164,  2165,
    5565,  5566,  1037,  4725,  3850,  1912,  2167,  1446,  2172,  2173,
    2174,  2175,  1397,  2177,  2182,  2196,  2230,  2261,   224,  2266,
    2268,  2275,   418,   418,   418,  2276,  2282,  2269,  2283,  3850,
    2284,  1032,  1785,  2358,  2285,  4831,  2286,  2668,   249,   420,
     420,   420,  1914,  1915,  2288,  2289,  2360,  2290,  2291,  2292,
    2293,  5241,  2295,  2296,  2297,  3803,  2298,  2299,   235,  2300,
    2356,  2301,  5241,   701,  2669,  2302,  2304,  2305,  2390,  1916,
    2306,   238,  1446,  2307,  1446,   701,  2308,  2309,  2310,   701,
    2311,  2402,  3851,  5154,  5156,  2320,  2361,  2670,   701,  2671,
    2386,  1525,   248,  2412,  2322,   845, -2800,  2422,  2431,  5148,
    1751, -2800,  1753,  2460,  2462,  2471,   249, -1252,  2365,  2473,
   -1252,  2480,  1181,  2488,   852,   852,   852,  2494,  2496,  2498,
    2506,  2509,  2665,  2507,  2514,  2516,   846,   846,   846, -2743,
    2518,  2538,  1917,  1446,  2539,  2540,  2545, -2800,  4376,  1397,
    2542,  5299,  2396,  2398,  2543,  2544,  2546,  1397,  1397,  2547,
    2548,  2554,   701,  2573,  2579,  2585,  2607,  2611,  1446,   943,
    4239,  2613,  2615,  2614,  2616,  2632,  2617,  2323,  2633,  2644,
    2324,   418,  2634,  2659,  2655,  2661,  4829,  2664,  2662,  2665,
    2673,  2339,  2663,  4123,  1446,  2674,  2675,  2676,   420,  1446,
    2677,  1544,  2681,  2690,   701,  3850,   701,  2798,  2682,  2330,
    2692,  2696,  2697,  4198,  2700, -2800,  2707,  1789,   701,  2708,
     701,  2714,  1789,  4210,  1911,  2715,  2719,  2725,  2726,  2736,
    2737,  2741,  2763,  2742,  2764,  2738,  2771,  1267,  2779,  2332,
    1144,   700,  2746,  2749,  2765,  2780,  2782,  4238,  2793,  2783,
    2794,  2799,  2802,  5370,  2803,  2806,   915,  1446,  1144,  4871,
    2807,  2815,  2830,  2810,  2835,  2848,  2851,  2852,  2860,  2866,
    2864,  2868, -2800,   852,   701,  1446,  2875,  2886,  1959,  2869,
    2880,  2888,  4952,  2889,  2893,   846,  2895,  2897,  2894,  2898,
    1446,  2907,  2909,  4384,  4385,  4386,  4387,  2910,  2911,  2912,
    2929,  2930,  2954,  3814,  2971,  2977,  2955,  5305,  2990,  3034,
    3007,  3083,  3089,  2324,  3102,  3122,  4905,  3143,  3185,  5066,
    3142,  3157,  3039,  3108,  3177,  3175,  5081,  3093,  3186,   701,
    1149,  5145,  3174,  5287,  3180,  3120,  3205,  3206,  3207,  3224,
    3196,  5290,  1396,  1229, -2800,  3182,   701,  3239,  3197, -2800,
    4934,  3218,  5094,  3242,  2376,   845,  3241,  3208,  3256,  5295,
    3257,  5297,  3259,  3269,  3270, -2800,  3271,  3291,   701,  3293,
    3288,   701,  2346,  2347,  2348,  2349,  2350,  2351,  3295,  3296,
    3302,  5087,  3312,  3307,  3318, -2800,  3313,  3326,  1229,  3315,
    3322,  1446,  3334,  3335,  3338,  3351,  3356,  1229,  1701,  1705,
    3370,  1789,  3389,  1229,  3415,  1229,  3383,  2717,  1229,  3388,
    3410,  3424,  1446,  1229,  1229,  1229,  1229,  3416,  3428,  1229,
    1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  1229,  2339,
    3427,   418,  1229,  1229,  3429,  3444,  3483,  1446,  3486,  3497,
    3504,  3505,  1229,  3508,  3510,  3509,  1229,  3516,   420,  3517,
    1229,  3518,  3519,  5231,  3520,  3527,  3524,  4346,  1229,  3529,
    3552,  1229,  3536,  1229,  3566,  3541,  3568,  3570,  3577,  3586,
    3066,  1446,  1229,  3583,  3591,  1229,  1229,  3592,  2788,  5033,
    1229,  1229,  5148,  3593,  3594,  3595,  3603,  1229,  3606,  3605,
    3624,  3609,  2318,  3610,  3623,  2323,  3628,  1229,  2324,  1229,
    3629,  3630, -2800, -2800, -2800,  3627,  3632,  3638,  2826,  2491,
   -2800,  1229,  3652,  3635,  3639,  3661,  3640,  1229,  1229,  1229,
    3637,  5183,  3666,   852,  3663,  4708,  3667,  2330,  3641,  3650,
    3670,  1164,  3671,  2331,  3680,   846,  3651,  3681,  3682,  3195,
    2183,  3683,  3685,  3851,  3692,  3008,  3695,  3851,  3694,  3696,
    3703,  3706,  3711,  5236,  1541,  3713,  3717,  2332,  3718,  2323,
    3720,  3736,  2324,  3737,  1229,  3738,  2325,  2326,  2327,  3721,
    3723,  3739,  3743,  3750,   954,  3744,  3746,  1229,  3749,  3772,
    3805, -1931,  3788,  2328,  3822,  3904,  3827,  3813,  2938,   845,
    4560,  2330,  3823,  1446,   845,  3778,   845,  2331,  5102,  3800,
    3785,  3902,  3853, -2800,  3906,  3908,  3898,  3799,  1229,  3858,
    2346,  2347,  2348,  2349,  2350,  2351,  3919,  3825,  3924,  1579,
    3826,  2332,  3754,  3912,  3935,  3925,  3755,  3756,  3757,  3829,
    3943,  3928,  5119,  3929,    80,  3923,  2189,    80,  3945,  3954,
     701,  5124,  3946,  4359,  3959,  3950,  3957,  3966,  3951,  1267,
    3982,  3983,  3993,  3994,  3998,  3999,  4008,  5362,  4009,  1396,
    4011,  4017,  2333,  4018,  4019,   418,  4027,  2334,  4054,  5371,
     418,  4058,   418,  5512,  5373,  4056,  5375,  4059,  4062,  4064,
    4092,  3896,   420,  4065,   845,  4076,  4077,   420,  1446,   420,
    4078,  4081,  1267,  4066,  4074,  4075,  3408,  4079,  4530,  4080,
    4082,  4096,  4084,  2337,  4083,  4085,  4086,  4087,  2734,  4088,
    4089,  1789,  4094,  4098,  4100,  4107,  4113,  4114,  4134,  4116,
    4119,  4168,  4162,  4161,  4177,  4179,  2333,  2323,  4183,  4181,
    2324,  2334,  4204,  4191,  4199,  4205,  3050,   701,  4192,  4201,
     701,  4208,  4209,  4212,  4213,  4225,  4236,  2339,  3066,  4246,
    2136,  4248,  2335,  2336,  4272,  4259,  4273,   852,  4261,  2330,
     418,  4271,   852,  4274,   852, -2800,  4284,  2337,   691,   846,
    4282,  4285,  4286,  4303,   846,  4294,   846,   420,  4297,  3775,
    4299,  3754, -1930,  4277,  4955,  4364,  4614,  2277,  3774,  2332,
    4353,  1150,  4377,  4443,  4393,  4420,  4365,  4312,  2338,  1229,
    4337,  4338,  4446,  4339,  4345,  4415,  4368,  2493,  4451,  4466,
    4472,  2339,  3759,  4493,  2340,  4495,  4501,  4508,  4510,  4383,
    4496,  4401,   701,   701,    74,  4684,  1446,  4432,  2341,  4433,
    4509,  4511,  4525,  4459,  4522,   701,  4417,   701,  4430,  4434,
    4437,  4536,  4438,  3179,   419,  1037,  4513,  1037,  4539,  1037,
    4551,  4537,   852,  4369,  4538,  1037,  1523,  1524,  4549,  4550,
    4555,  4552,  4553,  4554,   846,  4557,  4567,  4558,  4575,  4591,
    4517,  3760,  4568,  4593,  1446,  1229,  1229,  4596,  4602,  1037,
    1037,  4603,  4605,  4606,  4631,  4609,  4642,  4227,  4238,   418,
    4639,  4647,  2341,  4649, -2800,  4655,  2959,  4662,  4661, -2800,
    4665,  4664,  4681,  4682,  4700,  4697,   420,  4695,  4694,  4703,
    4726,  4730,  4701,  4698,  4706,  4705,  4721,  5389,  4732,  4733,
    4743,  2342,  4737,  4738, -2800, -2800, -2800,  4844,  2346,  2347,
    2348,  2349,  2350,  2351,  3851, -2800,  4740,  4748,   701,  3851,
    4752,  4758,  4753,  4757,  3851,  4759,   700,  3851,  5061,  4760,
    4761,  4765,  4780,  4793,  4797, -1932,  4792,  4798,  1789,  1229,
    4795,  4805,  1820,  4806,    80,  4811,    80,  4813,  4830,  4814,
    1229,  4816,  4837,  4810,  4841,  4843,  4817,  3851,  4845,  2339,
    4818,  4850,  4851,  4859,  4882,  2342,  4875,  4876,  2343,  2344,
    2345,  3851,  2346,  2347,  2348,  2349,  2350,  2351,  4883,  3011,
    1229,  4895,  4884,  1397,  3745,  2323,  4898,  1037,  2324,  4904,
    1229,  1229,  2587,  1446,  4913,  4902,  4920,  1229,  1229,  5386,
    4907,  4908,  1229,  1446,  4945,  4946,  1812,  1229,  4958,  4963,
    1229,  1229,  1396,  4966,  5123,  1229,  4953,  2330,  4962,  4973,
    4964,  1229,  4991, -2800,  4971,  2588,  3012,  4993,  3761,  3762,
    3763,  4877,  3764,  3765,  3766,  3767,  3768,  3769,  2589,  1229,
   -2800,  4982,  4992,  1229,  4989,  4832,  4994,  2332,  5007,  1700,
    1267,  5002,  2590,  1037,    35,  1229,  5012,  3013,   845,  5016,
    1229,  5017,    41,    42,  5026,  1243,  1229,  5034,  2323,  5037,
    5036,  2324,  5045,  5079,  5059,  2325,  2326,  2327,  3014,  5088,
    5027,  5029,  5091,  5038,  1229,  5039,  5052,  5096,  5063,  3015,
    5085,  2591,  2328,  5092,  4826,  2329,  5111,    81,  5112,  5121,
    2330,  5126,  2592,  5108,  5127,  5131,  2331,  5146,  5142,  3016,
    5153,  4372,  5160,  1229,  3017,  4638,  3851,  5167,  5169,  5193,
      79,  5170,  2593,  5172,  5173,  5194,  5174,  2594,  5192,  5198,
    2332,  1446,  5196, -2800,   418,  5201,  5202,  5213,  5215,  5216,
    2346,  2347,  2348,  2349,  2350,  2351,  5223,  5217,   701,  5232,
    5235,   420, -2800,  5239,  5244,  5247,  5252, -2800,  5279,  5251,
    1446,  5254,  3018,  5256,  5260,  5310,  5271,  5281,  5294,  5315,
    5319,  5322,  5320,  5327,  5332,   701,  5338,  5339,  5340,  5347,
    1446,  3851,  5350,  3019,  5355,  5348,  5360,   701,  5349,  5361,
    5378,  5368,  3515, -2800,  5374,  1229,  2595,  5382,  5377,  5381,
    3515,  5393,  5384,  5397,  5288,   701,  5406,  5407,  3515,  5410,
    3515,  5412,  5415,  5418,  1579,  5420,  5421,  3754,  5427,  5428,
    5464, -2800, -2800, -2800,  5429,  5435,   852,  2596,  5436,  5468,
    5408,  5409,  5445,  4378,  1446,  2333,  5457,  2339,   846,  5476,
    2334,  5497,  5515,  5503,   881,  5536,  5540,  5459,  5546,  5547,
    5475,  5480,   701,  5550,  5537,  5554,  5559,   881,  3578,  5534,
    5555,  2335,  2336,  5535,  5560,  5562,  5561,  5563,  1938,  1229,
    1162,  3020,  2747,  3572,  2409,  1789,  2337,  3888,  3021,  1962,
    1229,  3414,  1963,  4005,  3022,  4528,  3496,  4118,  3608,    74,
      74,  2597,    74,  4611,  5321,  5301,  1397,  2598,  5147,  5405,
    2599,  5195,  4651,  5197,  4950,  5182,  3948,  2338,  1037,  5460,
    3679,  5100,  5510,  5474,  5413,  5411,  3023,  3953, -2800,  3024,
    2339,  1897,  3647,  2340,  4669,  4685,  3550,  4526,   698,  2600,
    4646,  3551,  4021,  1446,  2827,  1446,  2601,  3025,  4658,  3542,
    4967,  4187,  5514,  2602,  5564,  2323,  5551,  5171,  2324,  4135,
    2603,  4122,  2325,  2326,  2327,  5478,  5125,  5399,  1397,  5465,
    3851,  5128,  3026,  2809,  1057,  2250,  4727,  5266,  4691,  2328,
     701,  1579,  3262,  3936,  3754,  2604,  2263,  2330,  3755,  3756,
    3757,  5345,  3001,  2331,  1473,  3851,  1229,  3002,  4095,  3003,
    1446,  5488,  5553,  5086,  3190,  1229,  1398,  2553,  3191,  2944,
    1715,  2341,  3893,  4672,  4833,  1039,  5454,  2332,  4455,  2197,
    3894, -2800,  1229,  1229,  3675,  3217,  1229,  2428,  2346,  2347,
    2348,  2349,  2350,  2351,  2457,  3903,  2456,  1039,  3901,  2371,
    1229,  4431,  5450,  5376,  4821,  1229,  3216,  3905,  2461,  4396,
    1229,  4791,  5246,  1229,  1229,  4803,  5367,  4392,  5366,  4456,
    4255,  1229,  1229,  5230,  5423,  2466,  4347,  5082,  5452,  5444,
    5453,  3897,  3820,  3147,  3731,  4237,  3760,  1144,  3818,  1195,
    5437,  3156,  3626,  1229,   845,  2871,  2096,  3243,  1165,  1492,
    3883,   701,  2479,   701,  5084,  3234,  2472,  1229,  3247,  1144,
    3248,  2258,  3250,  4461,  2342,  4822,  4462,  2343,  2344,  2345,
    4436,  2346,  2347,  2348,  2349,  2350,  2351,  1801,  1037,  1802,
    2375,  3254,  2333,  1037,  1037,  1188,  5463,  2334,  3677,  2476,
    1446,   701,  1830,  2956,    83,  1530,     0,     0,  2186,     0,
    1229,     0,     0,     0,  1245,     0,     0,     0,  2335,  2336,
       0,  1274,     0,  1789,     0,     0,     0,     0,   379,     0,
     418,  3851,  1291,  2337,   379,     0,     0,  1243,  1243,   694,
       0,     0,     0,  5187, -2800,     0,     0,   420,     0,   701,
       0,     0,     0,     0,     0,     0,  4614,     0,     0,     0,
     691,  1229,     0,     0,  2338,   691,   379,  2489,  5206,  1524,
       0,     0,     0,     0,     0,     0,   691,  2339,     0,     0,
    2340,     0,     0,     0,     0,     0,     0,  2503,  1397,     0,
       0,     0,     0,     0,  2510,  2512,     0,     0,     0,     0,
       0,     0,     0,  3760,     0,     0,  1875,     0,     0,     0,
       0,   379,  1229,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,   852, -2800, -2800, -2800,     0,  3764,  3765,  3766,
    3767,  3768,  3769,     0,   846,     0,     0,     0,     0,  1876,
       0,   845,     0,     0,  1229,  1446,     0,  1229,     0,  1229,
       0,     0,  5557,     0,     0,     0,     0,     0,  2341,  1083,
    1037,     0,     0,     0,  1243,  1243,     0,  1083,  1037,  1083,
       0,     0,     0,  1229,     0,  2323,     0,  1229,  2324,     0,
       0,     0,   379,  1446,     0,     0,     0,     0,  1229,     0,
       0,     0,     0,     0,  1579,     0,  1877,  3754,     0,     0,
       0,  3755,  3756,  3757,     0,     0,     0,  2330,     0,     0,
    1229,     0,     0, -2800,     0,     0,     0,   418,  4360,     0,
       0,     0,     0,  1397,     0,     0,     0,  1037,     0,  1878,
    1037,  1037,     0,     0,   420,     0,     0,  2332,     0,     0,
    1446,     0,     0,     0,  1446,  1446,     0,     0,     0,  1229,
       0,  2342,     0,     0,  2343,  2344,  2345,     0,  2346,  2347,
    2348,  2349,  2350,  2351,  1879,     0,  3183,     0,     0,     0,
       0,  5333,  3184,     0,     0,     0,     0,     0,     0,     0,
    3761,  3762,  3763,     0,  3764,  3765,  3766,  3767,  3768,  3769,
    1229,     0,     0,     0,     0,     0,  1880,     0,     0,  1037,
       0,  4373,     0,     0,     0,  4026,     0,     0,     0,   852,
    1229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   846,     0,     0,     0,     0,     0,     0,     0,     0,
    1446,  1446,     0,     0,     0,     0,   691,   691,     0,     0,
     379,  5354, -2800,     0,     0,     0,  4061, -2800,     0,     0,
       0,     0,     0,  1229,     0,     0,  1229,     0,     0,     0,
       0,     0,   209,  5533,  2625,  1229,  1883,     0,     0,     0,
    1229,     0,  1229,  1884,  1229,   379,     0,     0,  2870,     0,
    1885,  1229,     0, -2800,     0,     0,     0,  3759,  2626,     0,
       0,     0,     0,     0,     0,  4093,     0,     0,     0,  1229,
    1887,     0,  2882,     0,     0,     0,     0,     0,  1888,     0,
       0,     0,  2890,     0,  2891,     0,     0,  3515,     0,     0,
       0,  2896,   701,     0,  3515,  3515,  2899,  2339,  3515,     0,
       0,     0,     0,     0,     0,  3515,     0,     0,     0,     0,
       0,     0,     0,     0,  4132,     0,  3760,     0,     0,  4132,
    1229,     0,     0,     0,  1397,     0,  1397,     0,     0,     0,
       0,     0,  1889,     0,     0,     0,     0,     0,     0,     0,
      74,     0,     0,    74,     0,     0,     0,     0,     0,   376,
       0,  1229,  1229,     0,  5490,  5491,  5492,     0,   372,     0,
       0,     0,  1229,     0,  4190,     0,     0,     0,  5479,     0,
     701,     0,     0,     0,     0,   845,  1579,     0, -2800,  3754,
       0,  5493,  1229,  3755,  3756,  3757,     0,     0,     0,  1579,
       0,     0,  3754,  4220,  1397,     0,  3755,  3756,  3757,     0,
    4774,   376,     0,     0,     0,   380,  5490,  5491,  5492,     0,
       0,   380,     0,  4775,     0,     0,   695,  1229,     0,     0,
       0,     0,  3647,  1229,  1229,     0,  1229,     0,   908,     0,
       0,     0,     0,  5493,     0,     0,     0,   845,     0,  3040,
    3041,     0,     0,   380,   372,  1229,  3055,  3056,     0,     0,
       0,   418,     0,     0,     0,     0,   845,     0,     0,     0,
     376,     0,     0,     0,     0,  5490,  5491,  5492,   420,     0,
       0, -2800,     0,     0,     0,  3094,     0,  5523,  2346,  2347,
    2348,  2349,  2350,  2351,     0,     0,     0,     0,   380,     0,
       0,  5524,  5493,  3761,  3762,  3763,     0,  3764,  3765,  3766,
    3767,  3768,  3769,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1229,  1229,     0,     0,     0,  1143,
     420,  2503,   418,     0,     0,     0,     0,     0,  1229,  5523,
       0,     0,     0,   852,     0,     0,     0,     0,     0,   420,
    1229,  1229,     0,  5524,     0,   846,     0,     0,  5523,   380,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3759,
       0,     0,  5524,     0,     0,     0,     0,  4357,     0,     0,
       0,     0,  3759,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1037,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   852,     0,     0,     0,     0,
    1039,     0,  1039,     0,  1039,     0,     0,   846,     0,     0,
    1039,     0,     0,  2323,   852,     0,  2324,     0,  3760,     0,
    2325,  2326,  2327,     0,     0,     0,   846,     0,     0,     0,
       0,  3760,     0,     0,  1039,  1039,     0,  2328,  1037,     0,
       0,     0,     0,     0,     0,  2330,  1154,     0,     0,     0,
       0,  2331,   372,     0,     0,     0,     0,     0,  1812,     0,
      74,     0,    74,     0,     0,     0,     0,   379,     0,     0,
    2323,   379,     0,  2324,     0,  2332,     0,  2325,  2326,  2327,
       0,     0,     0,     0,     0,   694,     0,     0,     0,     0,
       0,     0,   694,     0,  2328,  2323,     0,     0,  2324,  1037,
       0,     0,  2330,   694,     0,     0,     0,   380,  2331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2323,     0,     0,  2324,     0,     0,  2330,  2325,  2326,
    2327,   694,  2332, -2800,     0,     0,   694,     0,     0,     0,
       0,     0,   380,     0,     0,  2328,     0,   694,     0,     0,
       0,     0,     0,  2330,     0,     0,     0,  2332,     0,  2331,
       0,     0,  1039,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   694,     0,     0,   698,   698,     0,     0,
    2333,  1817,     0,  2332,     0,  2334,     0,     0,   694,     0,
       0,     0,   691,     0,   694,  3761,  3762,  3763,  4132,  3764,
    3765,  3766,  3767,  3768,  3769,   694,  2335,  2336,  3761,  3762,
    3763,     0,  3764,  3765,  3766,  3767,  3768,  3769,     0,   694,
       0,  2337,     0,     0,     0,     0,     0,  4561,  1039,     0,
    4562,     0,  4563,     0,     0,     0,     0,  2333,     0,     0,
       0,     0,  2334,     0,     0,  1037,     0,     0,     0,     0,
       0,     0,  2338,  1037,     0,  1037,     0,     0,     0,     0,
       0,     0, -2800,  2335,  2336,  2339,     0, -2800,  2340,     0,
       0,     0,     0,     0,     0,  3515,     0,     0,  2337,     0,
       0,  3515,  3515,     0,  3515,     0,  2788,     0,  2333,     0,
       0,     0,     0,  2334,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2800,     0,     0,     0,     0,     0,  2338,
       0,     0,     0,     0,  2335,  2336,  1083,     0,   694,     0,
    1083,     0,  2339,     0,     0,  2340,     0,     0,     0,  2337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   379,
       0,     0,     0,     0,     0,     0,  2341,  2339,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2338,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2339,  2323,     0,  2340,  2324,     0,     0,
    4688,  2325,  2326,  2327,     0,     0,  2745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2328,     0,
       0,     0,     0,  2341,     0,     0,  2330,   694,   694,     0,
       0,     0,  2331,     0,     0,     0,     0,  3647,  3647,  3647,
    3647,  3647,     0,     0,     0,     0,     0,     0, -2800,     0,
       0,     0,     0,     0,     0,     0,  2332,  3642,  3645,  2342,
       0,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,  2349,
    2350,  2351,     0,     0,  2341,     0,     0,  2816,  3795,     0,
       0,  2829,  4736,     0,     0,  4736,     0,  4736,     0,     0,
       0,     0,     0,  2745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1039,     0,     0,     0,     0,     0,     0,
    1083,  1083,     0,     0,     0,     0,  2342,     0,     0,  2343,
    2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,  2351,     0,
       0,     0,     0,  3092,     0,  1037,     0,     0,     0,     0,
       0, -2800,     0,     0,     0,     0,     0,     0,  2346,  2347,
    2348,  2349,  2350,  2351,     0,     0,     0,     0,     0,     0,
       0,  2333,     0,     0,     0,     0,  2334,  2342,     0,  2906,
    2343,  2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,  2351,
       0,     0,  2323,     0,  4133,  2324,     0,  2335,  2336,  2325,
    2326,  2327,     0,     0,   380,     0,     0,  2745,   380,     0,
       0,     0,  2337,     0,     0,     0,  2328,     0,     0,     0,
       0,     0,   695,     0,  2330,     0,     0,     0,  4820,   695,
    2331,  4827,  4828,     0,     0,     0,     0,     0,     0,     0,
     695,     0,     0,  2338,     0,     0,     0,     0,  2133,     0,
       0,     0,     0,     0,  2332,     0,  2339,    80,     0,  2340,
       0,     0,     0,     0,     0,     0,     0,     0,   695,     0,
       0,     0,     0,   695,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   695,     0,     0,     0,     0,  2166,
       0,     0,     0,     0,     0,     0,     0,  2176,     0,     0,
       0,   694,     0,  2184,     0,     0,     0,     0,   372,  1143,
     695,     0,     0,  1039,     0,     0,     0,     0,  1039,  1039,
       0,   694,     0,     0,     0,   695,     0,     0,     0,     0,
       0,   695,     0,     0,     0,  2323,     0,  2341,  2324,     0,
       0,     0,   695,     0,   694,     0,     0,     0,     0,  2503,
       0,     0,  3886,     0,  1037,     0,   695,     0,     0,  2333,
       0,     0,     0,     0,  2334,     0,     0,  2330,     0,     0,
       0,     0,     0, -2800,     0,     0,     0,     0,     0,     0,
     694,     0,     0,     0,     0,  2335,  2336,     0,     0,     0,
       0,     0,  4915,  4916,     0,     0,   694,  2332,     0,     0,
    2337,  3515,   698,  3515,  3515,     0,     0,  3515,     0,     0,
       0,   694,  1397,     0,   694,     0,  4936,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2342,  2338,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,
    2349,  2350,  2351,     0,  2339,  1154,     0,  4305,     0,     0,
       0,     0,     0,     0,     0,   695,     0,     0,     0,     0,
       0,  4778,     0,  4975,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   380,     0,     0,     0,
       0,     0,     0,     0,  1429,  1039,     0,     0,     0,     0,
       0,     0,  4995,  1039,     0,     0,     0,     0,     0,     0,
       0,     0, -2800,     0,     0,  1429,     0, -2800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,   691,     0,     0,
       0,  4736,     0,     0,     0,  4736,  4736,     0,  4736,     0,
       0,   694,     0, -2800,   695,   695,     0,     0,     0,   694,
     694,     0,  1039,     0,     0,  1039,  1039,     0,     0,     0,
     379,     0,     0,     0,     0,     0,     0,  3272,     0,     0,
       0,     0,  3276,     0,     0,     0,  3279,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2339,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   379,   379,   379,     0,     0,  2342,     0,
       0,  2343,  2344,  2345,  1039,  2346,  2347,  2348,  2349,  2350,
    2351,     0,     0,   694,     0,     0,     0,     0,     0,     0,
    2323,     0,     0,  2324,  3354,     0,     0,  2325,  2326,  2327,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   691,     0,   379,  2328,     0,     0,     0, -2800,     0,
     379,     0,  2330,     0,     0,     0,     0,   379,  2331,     0,
    4132,     0,     0,     0,  3615,     0,     0,  1083,     0,     0,
       0,  3399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2332,  1875,     0,     0,     0,     0,     0,     0,
    1037,     0,     0,     0,     0,  1037,     0,     0,  3515,     0,
       0,   691,     0,     0,     0,  3445,  1083,     0,     0,  1397,
       0,     0,     0,  5151,     0,  5152,  1876,  4167,     0,  5157,
    5158,     0,     0,  3457,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3467,     0,     0,  2323,     0,     0,
    2324, -2800,     0,     0,  2325,  2326,  2327,  3491,  2346,  2347,
    2348,  2349,  2350,  2351,     0,   691,     0,     0,     0,     0,
       0,  2328,     0,     0,     0,     0,     0,     0,     0,  2330,
       0,     0,     0,  1877,     0,  2331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   372,  2333,   695,     0,
       0,  4243,  2334,     0,     0,     0,     0,     0,  3645,  2332,
       0,     0,     0,     0,  2010,     0,  1878,   694,   695,  1083,
       0,     0,     0,  2335,  2336,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2025,     0,     0,     0,  2337,     0,
       0,   695,     0,  2035,     0,     0,  3616,     0,     0,     0,
    1900,  1879,     0,     0,     0,     0,  1901,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   379,     0,  2338,
       0,  2278,     0,     0,     0,     0,     0,   695,     0,     0,
       0,     0,  2339,  1880,  1037,  2340,     0,     0,   694,     0,
    2287,     0,   694,   695,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,     0,   694,     0,     0,     0,   695,     0,
       0,   695,     0,  2877,  2333,     0,     0,     0,     0,  2334,
    2303,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5302,  2316,     0,     0,     0,     0,
    2335,  2336,     0,     0,     0,     0,     0,  1903,     0,   209,
       0,     0,     0,  1883,  1904,  2337,     0,  1905,  2904,     0,
    1884,     0,  2908,  2341,     0,     0,     0,  1885,  2914,  2915,
       0,     0,     0,     0,     0,  2626,     0,     0,  3615,   694,
     694,     0,  1906,     0,     0,     0,  2338,  1887,     0,     0,
       0,  2931,   694,     0,     0,  1888,  3691,  1875,     0,  2339,
       0,     0,  2340,     0,     0,     0,     0,   694,   694,     0,
       0,     0,     0,  1907,     0,  3618,     0,     0,  3705,     0,
       0,     0,     0,     0,     0,     0,  3691,     0,     0,   694,
    1876,     0,     0,     0,     0,     0,  1154,  1154,   695,  1154,
    1039,     0,     0,     0,     0,     0,   695,   695,     0,  1889,
       0,     0,     0,  3619,  4227,  2259,  2342,   380,     0,  2343,
    2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,  2351,     0,
    1908,     0,  1909,  4356,     0,     0,     0,     0,     0,     0,
    2341,     0,  1910,     0,     0,  4458,     0,  1877,     0,     0,
    1911,     0,  1397,  1039,     0,     0,     0,   698,     0,     0,
    1912,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     380,   380,   380,  1817,     0,     0,     0,     0,     0,     0,
    1878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     695,     0,     0,     0,  1913,     0,     0,  1914,  1915,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3616,     0,     0,     0,  1039,  1879,     0,     0,     0,   379,
     380,     0,     0,     0,  1916,     0,     0,   380,     0,     0,
       0,     0,     0,  2342,   380,     0,  2343,  2344,  2345,     0,
    2346,  2347,  2348,  2349,  2350,  2351,     0,  1880,     0,     0,
    4442,     0,     0,     0,  1037,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2323,     0,     0,  2324,     0,     0,     0,  2325,
    2326,  2327,  1037,     0,     0,     0,     0,  1917,     0,     0,
       0,  3187,   693,     0,     0,     0,  2328,     0,     0,     0,
       0,     0,     0,     0,  2330,     0,     0,     0,     0,     0,
    2331,     0,   379,   209,     0,     0,     0,  3617,     0,   843,
       0,     0,     0,     0,  1884,     0,     0,     0,  5525,     0,
       0,  1885,     0,     0,  2332,     0,     0,     0,     0,  2626,
       0,     0,     0,     0,     0,     0,     0,     0,  3938,  1523,
    1524,  1887,     0,     0,     0,     0,     0,     0,     0,  1888,
    1039,     0,     0,     0,   843,     0,     0,   379,  1039,   379,
    1039,     0,     0,     0,     0,     0,     0,     0,     0,  3618,
       0,     0,     0,     0,   695,     0,     0,     0,   694,     0,
    5525,  3960,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5525,
       0,     0,  1082,  1889,     0,     0,     0,  3619,     0,     0,
    1082,     0,  1082,     0,     0,     0,     0,     0,   694,     0,
       0,     0,   379,   694,   380,   843,     0,   694,     0,  2333,
       0,     0,     0,     0,  2334,   694,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   695,     0,     0,     0,   695,
       0,     0,     0,   694,     0,  2335,  2336,     0,     0,     0,
       0,   695,     0,  3645,  3645,  3645,  3645,  3645,     0,     0,
    2337,     0,     0,     0,     0,     0,     0,     0,  2684,     0,
       0,     0,     0,     0,  4032,     0,     0,     0,     0,     0,
       0,  1037,     0,     0,     0,   694,  4051,     0,     0,     0,
       0,  2338,     0,     0,     0,     0,  1083,     0,     0,     0,
       0,     0,   694,   694,  2339,     0,     0,  2340,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   695,   695,   372,     0,
       0,   379,   694,     0,     0,   379,     0,     0,     0,   695,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2762,
       0,     0,     0,     0,   695,   695,     0,     0,     0,  3615,
       0,     0,   694,  4102,  2778,  2323,   694,     0,  2324,     0,
       0,     0,  2325,  2326,  2327,     0,   695,     0,  1875,     0,
       0,     0,     0,  2801,   694,  2341,     0,     0,     0,  2328,
       0,   372,     0,     0,     0,   694,     0,  2330,     0,     0,
       0,     0,     0,  2331,     0,     0,     0,     0,   694,     0,
    1039,  1876,     0,     0,     0,     0,   694,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2332,     0,     0,
    2867,     0,     0,     0,     0,     0,     0,  2503,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2878,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1429,     0,    74,  3109,     0,     0,     0,  1877,     0,
       0,     0,   379,  2892,     0,     0,     0,     0,  2342,     0,
       0,  2343,  2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,
    2351,     0,     0,     0,     0,  4474,     0,     0,     0,     0,
       0,  1878,     0,     0,     0,     0,   380,     0,     0,     0,
       0,     0,     0,  2923,     0,     0,  1429,     0,     0,     0,
       0,     0,     0,  1037,     0,     0,     0,     0,     0,     0,
    2745,  3616,  2333,  3636,     0,     0,  1879,  2334,   694,     0,
       0,     0,     0,     0,  4892,  4893,     0,  4278,     0,  4896,
    4897,     0,  3653,     0,     0,     0,     0,     0,  2335,  2336,
       0,     0,     0,     0,     0,     0,     0,  3662,  1880,     0,
    3664,  3665,  4292,  2337,     0,  3668,  3669,  2323,     0,     0,
    2324,     0,  3673,     0,  2325,  2326,  2327,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   372,     0,   380,
     694,  2328,     0,     0,  2338,     0,     0,     0,     0,  2330,
       0,     0,     0,     0,     0,  2331,     0,  2339,  1037,  1039,
    2340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   209,     0,     0,     0,  1883,  2332,
       0,     0,     0,     0,     0,  1884,     0,   694,     0,     0,
       0,     0,  1885,     0,   380,     0,   380,     0,     0,  3714,
    2626,     0,     0,     0,     0,  3096,     0,     0,     0,   694,
       0,     0,  1887,     0,     0,   695,     0,   694,     0,     0,
    1888,     0,     0,     0,     0,  2323,     0,     0,  2324,     0,
       0,     0,  2325,  2326,  2327,     0,     0,     0,  2341,     0,
    3618,     0,     0,     0,     0,     0,     0,     0,     0,  2328,
       0,     0,     0,     0,     0,   695,     0,  2330,     0,   380,
     695,     0,     0,  2331,   695,     0,     0,     0,     0,     0,
       0,     0,   695,     0,  1889,     0,     0,     0,  3619,     0,
       0,     0,     0,     0,  2333,     0,     0,  2332,     0,  2334,
     695,     0,     0,   379,     0,     0,     0,     0,     0,   379,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2335,  2336,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2337,     0,     0,     0,     0,
       0,  2342,   695,     0,  2343,  2344,  2345,     0,  2346,  2347,
    2348,  2349,  2350,  2351,     0,     0,     0,     0,  4744,   695,
     695,     0,     0,     0,     0,     0,  2338,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5083,     0,  2339,
       0,     0,  2340,     0,     0,     0,     0,     0,   380,   695,
     843,  4503,   380,     0,     0,     0,     0,     0,     0,     0,
     694,     0,  2333,     0,     0,     0,     0,  2334,   693,     0,
       0,     0,     0,     0,     0,   693,     0,     0,     0,   695,
       0,     0,     0,   695,     0,     0,   693,     0,  2335,  2336,
       0,     0,     0,     0,     0,     0,  1037,     0,     0,     0,
       0,   695,     0,  2337,     0,     0,     0,     0,     0,     0,
       0,     0,   695,     0,   693,     0,     0,     0,     0,   693,
    2341,     0,     0,     0,     0,   695,     0,     0,     0,     0,
     693,     0,     0,   695,  2338,  1900,     0,     0,     0,     0,
       0,  1901,  3321,     0,     0,     0,     0,  2339,  4580,   694,
    2340,  4583,     0,     0,  3336,     0,   693,     0,     0,     0,
       0,  3958,     0,     0,     0,   694,   694,     0,     0,     0,
       0,   693,     0,     0,     0,     0,     0,   693,     0,     0,
       0,  1902,     0,     0,     0,  1039,     0,     0,   693,   380,
    1039,  3366,   694,     0,     0,   694,     0,     0,     0,     0,
       0,     0,   693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2342,     0,     0,  2343,  2344,  2345,     0,
    2346,  2347,  2348,  2349,  2350,  2351,     0,     0,  2341,     0,
    4779,     0,  1903,     0,     0,     0,  4010,     0,  4012,  1904,
       0,     0,  1905,     0,     0,     0,     0,     0,  4659,     0,
       0,     0,     0,     0,     0,   695,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1906,     0,     0,
       0,   379,   379,   379,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   694,     0,     0,  1907,  1082,
       0,   693,     0,  1082,     0,     0,     0,   694,     0,     0,
       0,   694,     0,     0,     0,     0,     0,   695,     0,     0,
     694,  2342,     0,     0,  2343,  2344,  2345,     0,  2346,  2347,
    2348,  2349,  2350,  2351,     0,     0,     0,     0,  5024,     0,
       0,     0,     0,     0,  4090,  3538,     0,     0,     0,  3691,
    4097,     0,     0,     0,     0,  1908,     0,  1909,     0,     0,
       0,     0,     0,     0,   695,     0,     0,  1910,     0,  1039,
       0,     0,     0,     0,     0,  1911,     0,     0,     0,     0,
       0,     0,     0,     0,   694,  1912,   695,     0,     0,     0,
     693,   693,     0,     0,   695,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2316,     0,  2323,     0,     0,  2324,
       0,     0,     0,  2325,  2326,  2327,     0,     0,     0,  1967,
     379,     0,  1914,  1915,     0,     0,   694,     0,   694,   909,
    2328,     0,     0,     0,     0,     0,     0,  5352,  2330,     0,
     694,   910,   694,     0,  2331,     0,     0,     0,  2316,  1968,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   911,     0,     0,  3109,     0,     0,  2332,     0,
     380,     0,     0,  1082,  1082,   912,   380,     0,     0,     0,
       0,  3824,     0,     0,     0,   913,     0,     0,     0,  -792,
       0,  4240,     0,     0,     0,     0,   694,  3842,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   914,     0,     0,
       0,     0,  1917,   915,  4257,  4258,     0,  4260,     0,  4262,
    4263,     0,     0,     0,     0,     0,     0,     0,   916,     0,
       0,     0,  4270,     0,     0,     0,   372,     0,     0,   917,
       0,     0,     0,     0,  3704,     0,     0,   918,     0,     0,
       0,   694,     0,     0,     0,     0,     0,     0,  3842,   919,
       0,  1143,     0,     0,     0,  3716,   920,   695,   694,     0,
     921,     0,  4291,  2333,     0,     0,  3722,     0,  2334,     0,
       0,     0,     0,  1900,     0,     0,     0, -1002,     0,  1901,
     694,     0,     0,   694,     0,     0,     0,     0,     0,  2335,
    2336,     0,     0,     0,     0,     0,  4889,     0,     0,     0,
       0,     0,     0,     0,  2337,     0,     0,     0,  4899,     0,
       0,     0,     0,     0,   922,     0,     0,     0,     0,  1902,
       0,     0,     0,  -534,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2338,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   695,     0,  2339,     0,
       0,  2340,     0,     0,   923,     0,     0,   924,     0,     0,
     379,     0,   695,   695,   693,     0,     0,     0,     0,  1039,
    1903,     0,     0,     0,   925,     0,     0,  1904,     0,     0,
    1905,     0,     0,     0,  5522,     0,     0,   693,     0,   695,
       0,     0,   695,  -430,     0,     0,     0,  1039,     0,     0,
       0,     0,     0,     0,     0,  1906,     0,     0,     0,     0,
       0,   926,     0,     0,     0,     0,     0,     0,   927,     0,
       0,     0,     0,   693,  -430,     0,     0,   928,     0,  2341,
       0,     0,     0,     0,     0,     0,  1907,     0,     0,   693,
       0,     0,     0,     0,     0,     0,  5522,     0,     0,     0,
       0,     0,     0,     0,   693,     0,  -430,   693,     0,   929,
     930,     0,   931,   932,     0,  5522,     0,     0,   380,   380,
     380,     0,   933,     0,     0,     0,     0,   934,     0,     0,
       0,     0,     0,   935,     0,     0,   936,     0,     0,   937,
       0,  3691,   695,  1908,     0,  1909,     0,     0,     0,     0,
       0,     0,  -430,     0,   695,  1910,     0,     0,   695,     0,
       0,     0,     0,  1911,     0,     0,     0,   695,     0,     0,
       0,     0,  2342,  1912,     0,  2343,  2344,  2345,     0,  2346,
    2347,  2348,  2349,  2350,  2351,     0,     0,     0,     0,  5035,
       0,     0,     0,     0,     0,     0,     0,  2323,     0,     0,
    2324,     0,   694,     0,  2325,  2326,  2327,  1993,     0,  3964,
    1914,  1915,     0,     0,     0,     0,     0,     0,     0,   865,
       0,  2328,     0,     0,     0,     0,  3976,     0,     0,  2330,
       0,   695,     0,     0,   693,  2331,     0,  1994,     0,     0,
       0,     0,   693,   693,   379,     0,     0,     0,     0,   379,
       0,   379,  3691,   843,  3691,     0,     0,     0,     0,  2332,
       0,     0,     0,     0,     0,   866,  1039,   380,     0,     0,
       0,     0,     0,   695,     0,   695,   372,     0,     0,   867,
       0,     0,     0,     0,     0,     0,   372,   695,     0,   695,
       0,     0,     0,     0,     0,     0,     0,   868,     0,   694,
    1917,     0,   694,   869,     0,     0,   843,     0,     0,     0,
     372,     0,     0,     0,     0,  4048,     0,  4050,   870,     0,
       0,     0,     0,     0,     0,  1900,   693,     0,     0,   871,
       0,  1901,     0,     0,     0,     0,     0,   872,     0,   379,
       0,     0,     0,   695,     0,     0,     0,     0,     0,   873,
       0,     0,     0,     0,   874,     0,  1943,     0,     0,     0,
     875,     0,     0,     0,  2333,     0,     0,     0,     0,  2334,
     843,  1902,     0,     0,     0,     0,  4091,   876,     0,     0,
    1082,     0,     0,     0,   694,   694,     0,     0,     0,     0,
    2335,  2336,     0,     0,     0,     0,     0,   694,   695,   694,
       0,  4105,   877,     0,  1944,  2337,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   695,     0,     0,     0,  1082,
       0,     0,  1903,   878,     0,     0,     0,  1230,  1232,  1904,
       0,  1235,  1905,  1237,     0,     0,  2338,   695,     0,     0,
     695,     0,     0,     0,     0,     0,     0,     0,     0,  2339,
       0,     0,  2340,  1288,   879,     0,  4714,  1906,     0,     0,
       0,     0,     0,     0,  4717,  4718,  4719,  4720,   379,     0,
       0,     0,     0,  1343,   880,     0,     0,  1346,     0,     0,
       0,     0,     0,     0,   881,  1945,  1900,     0,  1907,     0,
    3366,     0,  1901,     0,     0,  1370,     0,     0,     0,     0,
     694,     0,     0,  2316,     0,     0,     0,     0,  1039,     0,
       0,   882,     0,     0,     0,     0,   883,   380,   884,  4391,
     693,  4394,  1082,  4241,   885,     0,     0,   886,     0,     0,
    2341,     0,  1902,  1946,     0,  1947,     0,     0,     0,     0,
    1900,     0,     0,     0,     0,  1948,  1901,  1909,     0,     0,
       0,     0,     0,     0,     0,   887,   888,  1910,     0,   889,
       0,     0,     0,   890,     0,  1911,     0,     0,     0,     0,
     843,  1943,   891,     0,  1949,  1912,     0,   892,     0,     0,
       0,     0,     0,  1903,     0,     0,  1902,     0,     0,   893,
    1904,   693,     0,  1905,     0,   693,     0,     0,     0,     0,
       0,     0,   894,  1039,     0,     0,     0,   693,     0,  1950,
       0,     0,  1914,  1915,  1951,     0,     0,     0,  1906,  1944,
       0,     0,     0,  2342,  4304,     0,  2343,  2344,  2345,     0,
    2346,  2347,  2348,  2349,  2350,  2351,     0,  1903,     0,  1952,
    5044,     0,     0,     0,  1904,  4313,     0,  1905,     0,  1907,
       0,     0,     0,  1953,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4336,     0,  1906,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,   693,     0,     0,     0,     0,     0,     0,
       0,  4862,     0,     0,     0,   693,     0,     0,     0,     0,
    1945,     0,  1917,  1907,  2259,     0,  1908,     0,  1909,   695,
     693,   693,     0,     0,     0,     0,     0,     0,  1910,     0,
       0,     0,     0,  4880,  4881,     0,  1911,     0,     0,     0,
     694,     0,   693,   379,     0,     0,  1912,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1946,     0,
    1947,   380,     0,     0,     0,     0,   380,   694,   380,     0,
    1948,     0,  1909,     0,     0,     0,     0,     0,     0,   694,
    2608,     0,  1910,  1914,  1915,     0,     0,     0,     0,     0,
    1911,     0,     0,     0,     0,     0,     0,   694,     0,  1949,
    1912,  3691,     0,     0,     0,     0,     0,  4918,  4919,     0,
    2609,     0,     0,     0,     0,     0,   695,     0,     0,   695,
       0,     0,     0,     0,     0,     0,  1925,  1926,     0,     0,
       0,     0,     0,     0,  3447,     0,     0,  1914,  1915,  1951,
       0,     0,     0,     0,   694,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   380,     0,     0,     0,
       0,     0,     0,     0,  3448,     0,     0,     0,     0,     0,
       0,     0,   843,  1917,     0,     0,     0,     0,  1953,     0,
       0,  1039,     0,     0,     0,  2323,     0,     0,  2324,     0,
       0,     0,  2325,  2326,  2327,     0,     0,     0,   372,     0,
       0,   695,   695,     0,     0,     0,     0,  2027,     0,  2328,
       0,     0,     0,     0,   695,  5011,   695,  2330,     0,     0,
       0,     0,     0,  2331,     0,  5013,  5014,  1917,  2050,  2051,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1900,  5018,     0,     0,     0,     0,  1901,  2332,     0,  2084,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   372,   694,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,   380,  1902,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,   695,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  2154,  2156,
       0,    45,     0,     0,     0,     0,     0,  1903,     0,     0,
       0,   693,     0,     0,  1904,     0,     0,  1905,     0,     0,
       0,     0,  2333,     0,     0,     0,     0,  2334,     0,     0,
    1900,     0,     0,     0,     0,     0,  1901,     0,     0,  4654,
       0,     0,  1906,   694,     0,   694,     0,     0,  2335,  2336,
       0,   693,     0,    46,     0,   843,   693,     0,     0,     0,
     693,  3842,     0,  2337,     0,  3842,     0,     0,   693,     0,
       0,     0,     0,  1907,     0,     0,  1902,     0,     0,     0,
       0,     0,     0,   694,     0,     0,   693,     0,     0,     0,
       0,     0,     0,     0,  2338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2339,   372,     0,
    2340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,  1903,   693,   379,
    1908,   694,  1909,     0,  1904,     0,     0,  1905,     0,  1082,
       0,     0,  1910,    48,     0,   693,   693,     0,     0,     0,
    1911,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1912,     0,  1906,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   843,   693,     0,     0,   843,     0,
       0,     0,     0,     0,     0,     0,     0,    50,  2341,     0,
       0,     0,  5353,  1907,  2678,     0,     0,  1914,  1915,  5226,
       0,     0,     0,     0,     0,   693,     0,     0,     0,   693,
       0,     0,     0,     0,     0,     0,     0,   695,     0,     0,
     380,     0,     0,    51,  2679,     0,    52,   693,     0,     0,
       0,     0,     0,     0,     0,     0,  2259,     0,   693,     0,
       0,    53,     0,     0,   695,     0,     0,     0,     0,     0,
    1908,   693,  1909,     0,     0,     0,   695,     0,     0,   693,
       0,     0,  1910,     0,     0,     0,     0,     0,     0,     0,
    1911,     0,     0,     0,   695,     0,     0,  5268,     0,     0,
    1912,  2342,     0,     0,  2343,  2344,  2345,  1917,  2346,  2347,
    2348,  2349,  2350,  2351,     0,     0,     0,     0,  5047,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3363,   843,   379,  1914,  1915,    54,
       0,   695,     0,  5300,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2323,     0,     0,  2324,     0,     0,
       0,  2325,  2326,  2327,  1916,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2328,     0,
       0,     0,     0,     0,  4863,    55,  2330,     0,     0,     0,
       0,     0,  2331,     0,     0,     0,     0,     0,     0,     0,
      56,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4879,     0,    57,  2332,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1917,     0,     0,
       0,     0,     0,  4894,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,     0,     0,     0,     0,     0,     0,
       0,    59,     0,    60,    61,    62,    63,    64,     0,   695,
      65,    66,  1485,   693,     0,     0,  2323,    71,  1486,  2324,
       0,  2660,     0,  2325,  2326,  2327,     0,  3842,     0,     0,
       0,     0,  3842,     0,     0,  3842,     0,  4917,     0,     0,
    2328,     0,     0,     0,     0,     0,     0,     0,  2330,     0,
       0,     0,     0,     0,  2331,     0,     0,     0,     0,     0,
     693,     0,     0,     0,     0,     0,     0,  5093,     0,     0,
       0,  2333,     0,     0,   694,     0,  2334,     0,  2332,     0,
       0,     0,   693,     0,     0,  2729,  2730,  2731,  2732,     0,
     693,     0,     0,     0,     0,     0,     0,  2335,  2336,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2337,     0,     0,     0,     0,     0,     0,     0,
     695,     0,   695,     0,     0,     0,     0,   739,  2768,  2769,
       0,     0,     0,     0,     0,     0,     0,  2781,  5001,     0,
       0,     0,     0,  2338,     0,     0,     0,  2795,     0,     0,
       0,     0,   694,     0,     0,     0,  2339,     0,     0,  2340,
     695,     0,     0,     0,   739,     0,   843,     0,     0,     0,
       0,     0,   843,     0,     0,  2831,  2832,  2833,  2834,     0,
       0,     0,     0,  2333,     0,   739,     0,     0,  2334,     0,
       0,     0,     0,  2259,     0,     0,   372,     0,     0,     0,
       0,     0,     0,  1048,     0,  5507,   380,     0,   695,  2335,
    2336,     0,     0,     0,     0,     0,     0,     0,  1050,     0,
       0,   372,     0,     0,  2337,     0,  1058,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2341,     0,     0,
       0,  1072,     0,  1048,     0,     0,     0,  1095,     0,     0,
     379,     0,     0,     0,     0,  2338,     0,  1127,     0,     0,
       0,     0,     0,   693,     0,     0,  1132,     0,  2339,     0,
       0,  2340,  2917,     0,     0,  2920,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2925,     0,     0,  2323,  3842,
       0,  2324,     0,     0,  2933,  2325,  2326,  2327,     0,     0,
    2316,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   379,     0,     0,     0,     0,     0,     0,     0,
    2330,     0,  2316,     0,     0,     0,  2331,     0,     0,     0,
    2342,   379,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,
    2349,  2350,  2351,     0,     0,     0,     0,  5098,     0,  2341,
    2332,     0,   693,     0,  2323,     0,     0,  2324,     0,     0,
       0,  2325,  2326,  2327,     0,     0,     0,     0,   693,   693,
       0,     0,  2323,     0,     0,  2324,     0,     0,  2328,  2325,
    2326,  2327,     0,     0,     0,     0,  2330,     0,     0,     0,
       0,     0,  2331,   380,     0,   693,  2328,     0,   693,     0,
       0,     0,     0,     0,  2330,     0,     0,     0,     0,     0,
    2331,     0,     0,     0,     0,     0,  2332,     0,     0,     0,
       0,     0,     0,     0,   372,     0,     0,     0,     0,     0,
       0,     0,  2323,     0,  2332,  2324,     0,     0,     0,  2325,
    2326,  2327,  2342,  3106,     0,  2343,  2344,  2345,     0,  2346,
    2347,  2348,  2349,  2350,  2351,  2333,     0,     0,     0,  5130,
    2334,     0,     0,     0,  2330,     0,     0,     0,  2259,     0,
    2331,     0,     0,     0,   843,   843,   843,     0,     0,     0,
       0,  2335,  2336,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2332,     0,  2337,     0,   693,     0,
       0,     0,     0,     0,     0,     0,  4091,     0,     0,     0,
     693,     0,     0,     0,   693,     0,     0,     0,     0,     0,
       0,  2333,     0,   693,     0,     0,  2334,  2338,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2333,
    2339,     0,     0,     0,  2334,     0,     0,  2335,  2336,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2337,  2259,     0,  2335,  2336,  2259,  2259,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2337,   695,     0,     0,     0,     0,     0,   693,     0,     0,
       0,     0,     0,  2338,     0,     0,     0,     0,     0,  2333,
       0,     0,     0,     0,  2334,     0,  2339,     0,     0,  2340,
       0,  2338,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2341,     0,   843,  2339, -2800, -2800,  2340,     0,   693,
       0,   693,     0,     0,     0,     0,     0,     0,     0,     0,
    2337,     0,     0,   693,     0,   693,     0,     0,     0,     0,
       0,   372,     0,     0,  5346,     0,     0,     0,     0,   695,
       0,     0,     0,     0,   372,     0,     0,     0,     0,     0,
       0, -2800,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2339,     0,     0,  2341,   739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   693,
    3319,  3320,     0,     0,     0,  2341,     0,     0,     0,  3331,
       0,  3333,     0,     0,  2342,  3337,  5532,  2343,  2344,  2345,
       0,  2346,  2347,  2348,  2349,  2350,  2351,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,     0,   380,     0,     0,
       0,     0,     0,     0,     0,  2341,     0,     0,     0,     0,
       0,   693,     0,     0,     0,   372,     0,     0,     0,     0,
    2342,     0,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,
    2349,  2350,  2351,   693,     0,     0,   693,  5165,  2342,     0,
       0,  2343,  2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,
    2351,     0,     0,     0,     0,  5402,     0,     0,  3452,   380,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   380,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2342,     0,
       0,  2343,  2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,
    2351,     0,     0,   843,  3512,     0,     0,     0,     0,     0,
       0,     0,  3521,     0,  3523,     0,     0,     0,     0,     0,
    3525,     0,     0,     0,     0,     0,     0,     0,  1225,  1231,
    1231,   739,     0,  1231,     0,  1239,     0,  1225,     0,  1127,
       0,     0,  1269,     0,     0,     0,     0,     0,  1127,     0,
       0,  1127,     0,     0,     0,  1231,     0,  1127,     0,     0,
       0,     0,     0,     0,     0,  1305,     0,     0,     0,     0,
    1127,     0,  1225,     0,     0,  1231,     0,   739,     0,  1231,
       0,     0,     0,     0,     0,     0,  1269,     0,     0,     0,
    1365,     0,     0,     0,  3597,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,     0,     0,
    1225,     0,     0,     0,     0,   739,     0,     0,     0,     0,
    1225,     0,     0,     0,  1269,     0,     0,     5,     0,     0,
    3656,     0,  3658,     0,     0,     0,     0,     6,     7,     0,
       0,  1231,     8,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,    36,   693,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1127,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1127, -2303,  1563,     0,     0,   843,     0,     0,
    2323,     0,   843,  2324,   843,     0,     0,  2325,  2326,  2327,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,  1673,  1673,  2328,     0,     0,   739,  1127,  3724,
       0,     0,  2330,     0,     0,     0,     0,  2323,  2331,     0,
    2324, -2303,     0,     0,  2325,  2326,  2327,  1127,     0,     0,
       0,  1127,   693, -2303,     0,   693,     0,     0, -2303,  1673,
       0,  2328,  2332, -2303,     0,     0,     0,     0, -2303,  2330,
    1127, -2303,     0,     0, -2303,  2331,     0,     0,     0,     0,
       0,     0,  1127,     0,     0,     0,     0,     0,     0,     0,
       0,    47,   843,     0,     0,     0,     0,     0,     0,  2332,
       0,     0, -2303,     0,     0,     0,     0,     0,     0,    48,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2303,     0,     0,     0,     0,     0,     0,     0,
      49,     0,     0,     0,     0,     0,     0,   693,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   693,    50,     0,     0,     0,     0,     0,     0,
       0, -2303,     0, -2303,  1127,     0,     0,  2333,     0, -2303,
       0,     0,  2334,  1127,     0,     0,     0,     0,  1231,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,  2335,  2336,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2333,     0,     0,    53,  2337,  2334,
       0,     0,     0,     0,     0,     0,     0,     0, -2303,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1225,
    2335,  2336,     0,     0,     0,     0,     0,     0,     0,  2338,
    1225,     0,     0,     0,  1269,  2337,     0,     0,     0,     0,
       0,     0,  2339,   693,     0,  2340,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,  1053,     0,     0,
       0,     0,     0,     0,  1127,     0,  2338,     0,     0,     0,
    1231,  1231,     0,     0,     0,    54,     0,     0,     0,  2339,
       0,     0,  2340, -2303,     0,     0,     0,  1127,  1127,  1127,
       0,  1231,     0,  1225,     0,     0,     0,     0,  2093,     0,
       0,     0,     0,     0,     0,     0,     0, -2303,     0, -2303,
   -2303,     0,     0,     0,     0,  3967,     0,  3968,  3969,  3970,
       0,    55,     0,  2341,  2323,     0,     0,  2324,     0,     0,
       0,  2325,  2326,  2327,     0,     0,    56,     0,     0,     0,
       0,     0,     0, -2303,     0,     0, -2303, -2303,  2328, -2303,
       0,    57,     0,     0,     0,     0,  2330,     0,     0,     0,
    2341,     0,  2331,     0,     0,     0,     0,     0,  1231,     0,
    1231,  1231,     0,     0,     0,     0,     0,     0,     0,    58,
       0,     0,     0,     0,     0,     0,  2332,    59,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,    67,    68,
       0,    69,    70,    71,    72,    73,     0,     0,     0,  1673,
       0,     0,     0,     0,     0,     0,  2342,     0,     0,  2343,
    2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,  2351,     0,
       0,     0,     0,  5422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2233,  2233,     0,
       0,     0,  1127,  2342,  1048,     0,  2343,  2344,  2345,     0,
    2346,  2347,  2348,  2349,  2350,  2351,     0,     0,     0,     0,
    5538,     0,     0,   693,     0,     0,   843,     0,     0,     0,
    2267,     0,     0,  1127,     0,     0,  2273,     0,     0,     0,
       0,  2333,     0,     0,     0,     0,  2334,     0,  1673,     0,
     693,     0,  4106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,     0,     0,     0,  2335,  2336,     0,
       0,     0,     0,     0,     0,     0,  1673,     0,     0,     0,
     693,     0,  2337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,  1673,  1673,     0,  1673,     0,
       0,     0,     0,  2338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2339,   693,  1673,  2340,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     739,   739,     0,     0,     0,     0,     0,     0,  1441,  2323,
       0,     0,  2324,     0,     0,     0,  2325,  2326,  2327,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1127,
       0,     0,  1673,  2328,  1900,     0,     0,     0,     0,     0,
    1901,  2330,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,  4264,     0,  4265,     0,     0,  2341,  4267,     0,
       0,  1673,     0,     0,     0,  1673,  1673,     0,     0,     0,
       0,  2332,     0,     0,     0,     0,  1127,  1127,  2470,     0,
    1902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,     0,     0,     0,
       0,     0,     0,     0,   739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4298,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1903,     0,     0,     0,     0,     0,     0,  1904,     0,
       0,  1905,     0,     0,     0,     0,     0,     0,     0,     0,
    2342,     0,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,
    2349,  2350,  2351,     0,     0,     0,  1906,  5556,     0,     0,
       0,     0,     0,     0,     0,     0,  2333,     0,  1900,     0,
       0,  2334,     0,     0,  1901,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1907,     0,     0,
       0,     0,  2335,  2336,     0,     0,   693,     0,   693,     0,
       0,     0,  1127,  2640,     0,     0,     0,  2337,     0,     0,
    1127,     0,     0,  1231,  1902,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1269,     0,  1127,     0,   693,     0,  2338,     0,
       0,     0,  1127,  1900,  1908,  1127,  1909,     0,     0,  1901,
       0,  2339,     0,     0,  2340,     0,  1910,     0,     0,     0,
       0,     0,     0,     0,  1911,  1903,     0,     0,     0,  1127,
       0,     0,  1904,     0,  1912,  1905,     0,  1231,  1231,  1231,
    1231,  1127,   843,     0,   693,     0,     0,     0,     0,  1902,
       0,     0,     0,     0,     0,  1127,     0,     0,     0,     0,
    1906,     0,     0,     0,     0,     0,     0,  2759,  3460,  1127,
       0,  1914,  1915,     0,     0,     0,     0,  1441,     0,     0,
    1231,  1231,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,  1907,  2341,     0,     0,     0,     0,  1441,  3461,  1231,
    1903,     0,     0,     0,     0,     0,  1441,  1904,     0,     0,
    1905,     0,     0,  4497,  4498,  4499,  4500,     0,  1127,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1231,  1231,
    1231,     0,     0,     0,     0,  1906,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,     0,  1127,     0,  1908,  2759,
    1909,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1910,  1917,     0,     0,     0,  1225,  1907,     0,  1911,     0,
       0,     0,   739,     0,     0,     0,     0,  1673,  1912,     0,
       0,     0,     0,     0,     0,  2342,     0,  1441,  2343,  2344,
    2345,     0,  2346,  2347,  2348,  2349,  2350,  2351,     0,     0,
    4435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1225,     0,  3499,     0,     0,  1914,  1915,     0,     0,     0,
    1269,     0,     0,  1908,  1231,  1909,     0,  1231,     0,   843,
       0,     0,     0,     0,     0,  1910,     0,  1231,     0,     0,
       0,     0,  3500,  1911,     0,  1231,  1231,     0,     0,     0,
       0,     0,     0,  1912,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4632,     0,     0,     0,     0,     0,     0,  3987,     0,     0,
    1914,  1915,     0,  2233,     0,     0,     0,     0,     0,     0,
    1231,     0,  1225,     0,     0,  1917,  1127,  1127,     0,  1231,
       0,     0,     0,     0,     0,     0,  1127,  3988,  1441,     0,
       0,     0,     0,     0,     0,     0,  1127,     0,     0,     0,
       0,  1048,  1048,     0,     0,  3010,     0,     0,     0,  1673,
    1673,     0,     0,     0,     0,  1673,  1673,     0,     0,     0,
       0,     0,  1673,  1673,  1673,     0,     0,     0,  1673,  1269,
    1673,  1673,  1673,  1673,  1673,  1673,     0,  1673,     0,  1673,
    1673,     0,     0,  1673,     0,     0,     0,     0,     0,     0,
    1917,     0,     0,     0,     0,     0,     0,     0,  1673,  1673,
    1673,  1673,     0,     0,     0,  1231,  1673,     0,     0,     0,
    1673,     0,     0,  1673,     0,     0,  1673,  1673,  1673,  1673,
    1673,  1673,  1673,  1673,  1673,     0,  1673,   693,     0,     0,
       0,     0,     0,  1127,  1673,     0,     0,  1673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1127,
       0,     0,     0,     0,     0,  1900,     0,     0,     0,     0,
       0,  1901,     0,     0,     0,     0,     0,     0,  2395,     0,
       0,     0,     0,     0,     0,  2323,     0,     0,  2324,     0,
       0,     0,  2325,  2326,  2327,     0,  1127,     0,  1127,     0,
    1673,     0,     0,     0,     0,   693,     0,     0,     0,  2328,
       0,  1902,     0,  3198,     0,     0,     0,  2330,     0,     0,
       0,     0,     0,  2331,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1127,     0,     0,     0,     0,
       0,     0,  3225,     0,  3232,     0,     0,  2332,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1903,     0,     0,     0,     0,     0,     0,  1904,
       0,     0,  1905,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3199,     0,     0,  1906,     0,     0,
       0,     0,     0,   843,     0,  1441,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,  1907,     0,
    1048,     0,  1048,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,  2333,     0,     0,     0,     0,  2334,     0,     0,
    1225,     0,  1231,  1231,     0,   843,     0,  1225,  1441,  1269,
       0,  1231,     0,  1231,     0,     0,     0,  1231,  2335,  2336,
    1127,     0,     0,     0,   843,  1908,     0,  1909,     0,     0,
       0,     0,     0,  2337,     0,     0,     0,  1910,     0,     0,
       0,  1441,     0,     0,     0,  1911,     0,     0,     0,  2640,
       0,     0,     0,     0,     0,  1912,  3368,     0,     0,     0,
       0,     0,  3378,     0,  2338,     0,     0,     0,  4911,     0,
       0,  1127,     0,     0,     0,     0,     0,  2339,     0,     0,
    2340,     0,  4914,     0,     0,     0,     0,     0,     0,  4034,
    1127,     0,  1914,  1915,  3422,  3422,     0,     0,     0,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4035,
    1231,     0,  1441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,     0,     0,     0,     0,  1441,     0,  3485,     0,  3488,
    3490,     0,     0,     0,     0,     0,  1441,     0,  2341,     0,
       0,  4977,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,  1917,     0,  1231,     0,  1231,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1441,     0,     0,  1673,     0,     0,     0,
       0,     0,     0,  3200,     0,     0,     0,     0,     0,     0,
    2640,     0,  1441,  3422,     0,  1127,     0,     0,  3573,     0,
       0,  1048,     0,     0,  1441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,     0,     0,
       0,  2342,     0,     0,  2343,  2344,  2345,  3485,  2346,  2347,
    2348,  2349,  2350,  2351,     0,     0,  1231,  3599,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2093,     0,     0,     0,  1441,     0,     0,  1441,
       0,     0,     0,  1673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3646,  3649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,  1231,  3422,  1231,  3422,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5103,  5105,  5105,     0,     4,     0,     0,     0,
       0,  1673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,  2233,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,  1127,    37,    38,    39,    40,    41,
      42,    43,    44,     0,  1225,     0,    45,     0,     0,     0,
    1225,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,  1231,     0,     0,     0,     0,     0,  1673,     0, -2305,
       0,     0,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,  1673,  1673,    46,     0,
    1673,     0,     0,  5207,     0,     0,     0,     0,  1673,  1673,
    1673,  1673,     0,     0,     0,     0,     0, -2305,     0,     0,
       0,  1673,     0,     0,  1673,     0,  1673,     0,     0, -2305,
       0,     0,     0,     0, -2305,     0,     0,  1673,  1673, -2305,
       0,  1673,     0,     0, -2305,     0,     0, -2305,     0,     0,
   -2305,     0,     0,  1269,     0,  1673,     0,  1673,     0,  1673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0, -2305,  1673,
       0,     0,     0,  1127,     0,     0,     0,     0,    48,     0,
    3852,     0,  1673,  1673,  1673,     0,     0,     0, -2305,     0,
       0,     0,     0,     0,  2323,     0,     0,  2324,     0,    49,
       0,  2325,  2326,  2327,     0,  5272,     0,  1673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2328,     0,
    1673,     0,    50,     0,     0,  1673,  2330, -2305,     0, -2305,
       0,  1673,  2331,     0,     0, -2305,     0,     0,     0,     0,
    5296,  3852,  5298,     0,  3911,     0,     0,  3914,  1441,  3232,
       0,     0,  1441,  1441,     0,     0,  2332,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0, -2305,     0,     0,     0,     0,     0,
       0,     0,     0,  2323,     0,     0,  2324,     0,     0,     0,
    2325,  2326,  2327,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,  1441,  3422,  2328,     0,     0,
       0,  2233,     0,     0,     0,  2330,     0,  1441,     0,     0,
       0,  2331,     0,  1053,     0,     0,     0,     0,     0,  3774,
       0,     0,     0,     0,  3775,     0,     0,  1231,     0,  1231,
    1231,  1231,     0,     0,    54,  2332,     0,     0,     0, -2305,
       0,  2333,     0,     0,  1441,     0,  2334,     0,     0,     0,
    5105,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2305,     0, -2305, -2305,  2335,  2336,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      55,     0,  2337,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,     0,     0,     0, -2305,
       0,     0, -2305, -2305,     0, -2305,     0,     0,  5419,     0,
      57,     0,     0,  2338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2339,     0,     0,  2340,
       0,     0,  1127,     0,     0,     0,     0,     0,    58,     0,
    2333,     0,     0,     0,     0,  2334,    59,     0,    60,    61,
      62,    63,    64,     0,     0,    65,    66,  1485,  2185,     0,
       0,     0,    71,     0,     0,     0,  2335,  2336,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2337,     0,     0,     0,  5467,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,  2341,     0,     0,
       0,     0,  2338,     0,  1231,     0,     0,     0,     0,     0,
       0,  3422,  3422,     0,     0,  2339,     0,     0,  2340,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5513,     0,     0,     0,  4348,
       0,     0,     0,     0,     0,  1127,  1127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1441,     0,
       0,  1127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2233,  1127,     0,     0,
       0,     0,     0,     0,     0,  2233,  1127,  1127,     0,     0,
    2342,     0,     0,  2343,  2344,  2345,  2341,  2346,  2347,  2348,
    2349,  2350,  2351,  1127,     0,     0,     0,     0,     0,     0,
       0,     0,  4349,     0,     0,     0,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3646,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,  1231,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1225,     0,
       0,     0,     0,     0,     0,     0,     0,  1441,  1127,  2342,
       0,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,  2349,
    2350,  2351,     0,     0,  1127,     0,     0,     0,  1441,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,  1441,
       0,     0,     0,  1673,     0,     0,     0,     0,     0,     0,
       0,     0,  1673,     0,     0,     0,     0,     0,  1673,     0,
    1673,     0,     0,  1673,     0,     0,     0,     0,  1673,  1673,
    1673,  1673,     0,     0,  1673,  1673,  1673,  1673,  1673,  1673,
    1673,  1673,  1673,  1673,     0,     0,     0,  1673,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,  1673,     0,     0,
       0,  1673,   851,     0,     0,  1673,     0,     0,     0,     0,
       0,     0,     0,  1673,     0,     0,  1673,     0,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,  1673,     0,     0,
    1673,  1673,     0,     0,     0,  1673,  1673,     0,     0,     0,
    4380,     0,  1673,     0,     0,     0,     0,   851,     0,  1127,
    1127,  1127,  1225,     0,  3852,  4400,     0,     0,     0,  4400,
    4414,     0,     0,     0,     0,     0,  1673,     0,     0,     0,
       0,     0,  1673,  1673,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,     0,  1086,     0,  1086,     0,  2323,     0,     0,
    2324,     0,     0,     0,  2325,  2326,  2327,     0,   851,  1673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3232,  2328,  1673,     0,     0,     0,     0,     0,     0,  2330,
       0,     0,     0,     0,     0,  2331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2319,     0,
       0,     0,     0,  4480,  2233,  2233,     0,  2759,     0,  2332,
       0,  1441,     0,     0,  1441,     0,  1441,     0,     0,     0,
       0,  1441,     0,     0,     0,  1231,  1231,  1231,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2319,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2319,     0,
       0,     0,     0, -2319,  4524,     0,     0,     0, -2319,     0,
       0,     0,  1441, -2319,     0,     0, -2319,     0,     0, -2319,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1441,
       0,  5500,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1248,     0,     0,     0, -2319,     0,     0,
       0,     0,  1278,  1441,  2333,     0,     0,     0,     0,  2334,
       0,  1293,     0,     0,     0,     0,     0, -2319,     0,  1303,
       0,     0,     0,     0,  1338,     0,     0,     0,     0,     0,
    2335,  2336,     0,     0,     0,     0,     0,     0,     0,  4597,
       0,     0,     0,     0,     0,  2337,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2319,     0, -2319,     0,
       0,     0,     0,     0, -2319,     0,     0,     0,  1441,     0,
    1441,     0,     0,     0,     0,     0,  2338,     0,     0,     0,
    1127,     0,  1231,     0,  1673,     0,     0,     0,     0,  2339,
    1127,     0,  2340,     0,     0,     0,  4645,     0,     0,     0,
       0,     0,     0,     0,     0,  2640,     0,     0,     0,     0,
       0,  5501,     0, -2319,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1127,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,  3485,     0,     0,     0,     0,
       0,     0,  4678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1127,     0,  1441,     0,  2759,     0,     0,     0,
    1673,  1673,  1053,     0,     0,     0,     0,     0,     0,     0,
    2341,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,     0,     0,  1441,  1561,     0, -2319,     0,
       0,     0,  3646,  3646,  3646,  3646,  3646,     0,     0,     0,
       0,     0,  3422,     0,  3422,     0,     0,     0,     0,     0,
       0,     0, -2319,     0, -2319, -2319,     0,     0,     0,     0,
       0,     0,  1693,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1717,     0,  1441,  1673,     0,     0,     0, -2319,     0,
       0, -2319, -2319,     0, -2319,  1673,     0,     0,     0,     0,
       0,  1441,     0,  2342,  1743,     0,  2343,  2344,  2345,     0,
    2346,  2347,  2348,  2349,  2350,  2351,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,  1673,     0,     0,     0,
       0,     0,  1673,  1673,     0,     0,     0,  1673,     0,     0,
       0,     0,  1673,     0,     0,  1673,  1673,     0,     0,     0,
    1673,  4783,     0,     0,     0,     0,  1673,  1127,  1127,  1127,
    1127,     0,     0,     0,  4400,  4414,     0,  4400,     0,     0,
    4794,     0,     0,     0,  3852,     0,     0,     0,  3852,     0,
       0,     0,     0,     0,  4809,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,     0,  1673,     0,  1924,     0,     0,
       0,  1673,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,  1269,     0,     0,     0,     0,     0,  2323,     0,  1673,
    2324,     0,  3911,     0,  2325,  2326,  2327,  3232,  1441,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2328,     0,     0,  3733,  1048,     0,     0,  1673,  2330,
       0,     0,     0,  1441,     0,  2331,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2323,  3422,  3422,
    2324,     0,     0,     0,  2325,  2326,  2327,     0,     0,  2332,
       0,     0,     0,     0,     0,     0,     0,  1441,     0,     0,
       0,  2328,     0,  4878,     0,     0,     0,     0,  2048,  2330,
       0,     0,     0,   851,     0,  2331,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,  2078,  2081,  2082,     0,     0,     0,     0,     0,  2332,
    1673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2333,     0,     0,     0,     0,  2334,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,     0,     0,     0,  1441,
    2335,  2336,     0,  1227,     0,  1225,     0,     0,     0,  1444,
    2640,     0,     0,  1227,     0,  2337,     0,     0,  2233,     0,
       0,     0,     0,     0,  2333,     0,     0,     0,     0,  2334,
    1444,     0,     0,  1231,  2640,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2338,     0,     0,     0,
    2335,  2336,     0,     0,     0,     0,     0,     0,     0,  2339,
       0,     0,  2340,  1127,     0,  2337,  5010,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1693,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1441,     0,  2338,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1693,     0,  2339,
       0,  1673,  2340,     0,     0,     0,     0,     0,     0,     0,
    1673,     0,     0,     0,     0,     0,     0,  3747,     0,     0,
       0,     0,     0,     0,     0,  1227,  1227,  1673,  1673,     0,
    2341,  1673,  1086,     0,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,     0,     0,  1225,  4400,     0,     0,     0,
    3852,     0,     0,     0,     0,  3852,     0,     0,  3852,  1225,
       0,  3485,  1227,  5065,     0,     0,  1673,  1673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2341,     0,     0,     0,     0,     0,     0,     0,  4480,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4480,  1269,  1231,  1231,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,  2342,     0,     0,  2343,  2344,  2345,     0,
    2346,  2347,  2348,  2349,  2350,  2351,     0,     0,     0,     0,
       0,     0,     0,  2413,     0,  1225,  1269,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1441,     0,     0,  2342,     0,     0,  2343,  2344,  2345,     0,
    2346,  2347,  2348,  2349,  2350,  2351,     0,     0,     0,     0,
       0,  2468,  2233,  2233,     0,     0,  1225,     0,     0,  1127,
       0,     0,     0,     0,     0,     0,  1086,  1086,     0,  4645,
       0,     0,     0,     0,     0,  1127,     0,  3422,     0,     0,
       0,     0,  2640,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,  4678,     0,     0,     0,     0,  1444,
       0,     0,     0,  1227,     0,  1231,  1127,  4480,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,  1673,     0,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,  2323,     0,     0,  2324,     0,     0,     0,
    2325,  2326,  2327,     0,     0,     0,  1227,     0,  1673,  1441,
       0,     0,  3852,     0,     0,     0,  5065,  2328,     0,  1441,
    3779,     0,     0,  1673,     0,  2330,  2635,     0,     0,     0,
       0,  2331,  5259,     0,  2656,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,     0,     0,     0,  1444,
       0,     0,     0,     0,     0,  2332,     0,  1231,  2689,     0,
       0,  1127,     0,     0,     0,     0,  2695,     0,     0,  2698,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,     0,     0,     0,     0,
       0,  1231,  1231,  1231,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2733,  2233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2748,
       0,     0,  1227,     0,     0,  1225,     0,     0,     0,     0,
       0,     0,     0,  2760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,  2323,  1441,     0,  2324,
       0,     0,     0,  2325,  2326,  2327,     0,     0,     0,     0,
    2333,     0,     0,     0,     0,  2334,     0,     0,     0,     0,
    2328,     0,     0,     0,     0,     0,  1441,     0,  2330,     0,
    1444,     0,  2813,     0,  2331,     0,  2335,  2336,  1673,     0,
       0,  1225,     0,     0,     0,     0,  1441,     0,     0,     0,
    1673,  2337,     0,  2847,     0,  1673,     0,  1673,  2332,  1673,
    2859,  1227,     0,     0,     0,     0,  4480,     0,     0,     0,
       0,     0,  1231,     0,  1269,     0,     0,     0,     0,     0,
       0,     0,  2338,     0,  1673,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,  2339,     0,     0,  2340,     0,
    1441,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,  1227,  1227,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,  1225,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,  3784,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5010,     0,
       0,     0,     0,  2333,     0,     0,  1673,  1673,  2334,     0,
       0,  3485,     0,  2941,     0,     0,  2341,  1673,     0,     0,
    5259,     0,     0,     0,  3232,     0,     0,     0,     0,  2335,
    2336,     0,     0,     0,     0,  1227,   851,  1225,     0,     0,
       0,  1441,     0,     0,  2337,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1693,  1693,     0,     0,  1227,     0,     0,     0,  1227,  1227,
       0,     0,  4480,     0,     0,  2338,     0,     0,  1225,  1225,
    3000,  1673,     0,     0,     0,     0,     0,     0,  2339,     0,
       0,  2340,     0,     0,     0,     0,  1441,     0,     0,     0,
    1673,     0,     0,     0,     0,     0,     0,  1231,     0,  2342,
       0,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,  2349,
    2350,  2351,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2323,     0,     0,  2324,     0,     0,
       0,  2325,  2326,  2327,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,  2328,     0,
       0,  3790,     0,  1086,     0,     0,  2330,     0,     0,  2341,
       0,     0,  2331,     0,     0,     0,     0,  3155,     0,  1673,
    1673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1225,     0,     0,  2332,     0,     0,     0,
       0,     0,  1086,  3176,     0,  1225,  1225,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3189,     0,  3192,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2342,     0,     0,  2343,  2344,  2345,     0,  2346,
    2347,  2348,  2349,  2350,  2351,  2323,     0,     0,  2324,  1693,
       0,     0,  2325,  2326,  2327,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2328,
       0,  2333,     0,     0,     0,  1086,  2334,  2330,     0,     0,
       0,     0,     0,  2331,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,  2335,  2336,     0,
       0,     0,     0,     0,     0,     0,     0,  2332,     0,  1444,
    1441,     0,  2337,     0,     0,     0,     0,  1444,     0,     0,
       0,     0,     0,   851,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1441,     0,  2338,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2339,     0,     0,  2340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,  1441,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,  2333,     0,     0,     0,     0,  2334,  1444,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,  1441,  2341,  2335,  2336,
    1441,  1441,     0,     0,     0,  3390,     0,     0,     0,     0,
       0,     0,     0,  2337,     0,     0,     0,     0,  1444,     0,
       0,  1444,     0,     0,  3417,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2339,     0,     0,
    2340,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,  1441,     0,     0,
    2342,     0,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,
    2349,  2350,  2351,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,  1227,     0,     0,     0,     0,  1227,  1227,
       0,     0,     0,     0,     0,  1227,  1227,  1227,  2341,     0,
       0,  1227,     0,  1227,  1227,  1227,  1227,  1227,  1227,     0,
    1227,     0,  1227,  1227,     0,     0,  1227,     0,     0,  3569,
       0,     0,     0,     0,     0,     0,     0,  4301,     0,     0,
    1444,  1227,  1227,  1227,  1227,   851,     0,     0,     0,  1227,
       0,     0,     0,  1227,     0,     0,  1227,     0,     0,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2342,     0,     0,  2343,  2344,  2345,     0,  2346,  2347,
    2348,  2349,  2350,  2351,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,  1227,   111,   112,   113,   114,     0,   115,
     116,   117,     0,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,   122,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,   125,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3708,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,  1444,  1444,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,   851,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,  1444,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,   161,     0,  1444,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,  1086,   169,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,  1444,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,  3835,     0,     0,
       0,     0,     0,   175,   176,     0,     0,   851,     0,     0,
     177,   851,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,  1084,     0,  1084,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,  1227,
    1444,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
    1444,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,  2323,     0,  1227,  2324,     0,     0,
       0,  2325,  2326,  2327,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,     0,     0,  2328,     0,
       0,  4355,     0,     0,     0,     0,  2330,     0,     0,     0,
       0,     0,  2331,     0,     0,     0,     0,     0,     0,     0,
       0,  3236,     0,     4,     0,     0,  4053,     0,     0,     0,
       0,     0,     0,     0,  1227,     0,  2332,     0,     0,     0,
       0,     0,     0,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,  1444,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,  1227,     0,     0,
    1444,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,  2333,     0,     0,     0,     0,  2334,     0,     0,  4159,
    4160,     0,     0,     0,     0,    46,     0,     0,  1227,  1227,
    1227,     0,     0,  1227,     0,  4169,     0,  2335,  2336,     0,
       0,  1227,  1227,  1227,  1227,     0,     0,     0,     0,   851,
       0,  4186,  2337,     0,  1227,   851,     0,  1227,     0,  1227,
    4195,  4196,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,  1227,     0,     0,  1227,     0,     0,  4214,     0,     0,
       0,     0,     0,  2338,     0,     0,     0,     0,  1227,   967,
    1227,     0,  1227,     0,     0,     0,  2339,    47,     0,  2340,
       0,   968,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,     0,     0,    48,     0,     0,     0,     0,
       0,     0,   969,  1227,     0,  1227,  1227,  1227,     0,     0,
       0,     0,     0,     0,     0,   970,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   971,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,  1227,     0,     0,     0,   972,  1227,     0,
       0,     0,     0,     0,  1227,     0,     0,  2341,  1693,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,   973,     0,
       0,     0,     0,     0,     0,    51,     0,     0,    52,   974,
       0,     0,     0,     0,     0,     0,     0,   975,     0,     0,
       0,     0,     0,    53,     0,     0,     0,     0,     0,   976,
       0,     0,     0,  1444,   977,     0,  1444,     0,  1444,     0,
     978,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   979,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2342,     0,     0,  2343,  2344,  2345,     0,  2346,  2347,  2348,
    2349,  2350,  2351,     0,  1444,     0,     0,     0,     0,     0,
       0,    54,     0,   980,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,  4388,  4389,  4390,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   981,  1444,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   982,     0,    55,     0,     0,
       0,     0,     0,     0,   983,     0,     0,     0,     0,     0,
       0,     0,    56,     0,   881,     0,     0,   851,   851,   851,
       0,     0,     0,     0,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   984,     0,     0,     0,     0,   985,     0,   986,     0,
    1444,     0,  1444,  1223,   987,    58,     0,   988,     0,     0,
       0,     0,  1223,    59,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1485,  2934,     0,     0,     0,    71,
       0,     0,     0,     0,     0,     0,   989,     0,     0,   990,
       0,     0,     0,   991,     0,     0,     0,  1223,     0,     0,
     992,     0,   993,     0,     0,     0,     0,   994,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,     0,   995,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   996,     0,     0,     0,  1444,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,  1442,  1444,     0,     0,  1223,   851,  1444,     0,     0,
    2323,     0,     0,  2324,     0,     0,     0,  2325,  2326,  2327,
       0,     0,  1442,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2328,     0,     0,     0,     0,     0,
       0,     0,  2330,     0,     0,     0,     0,     0,  2331,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1444,     0,     0,     0,     0,
       0,     0,  2332,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,     0,     0,  4630,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4640,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,  1223,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,  1084,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4660,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2859,  2333,     0,     0,
       0,     0,  2334,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,  1444,
       0,     0,     0,  2335,  2336,  1227,     0,     0,     0,     0,
       0,  1227,     0,  1227,     0,     0,  1227,     0,  2337,     0,
    1444,  1227,  1227,  1227,  1227,     0,     0,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,     0,     0,     0,
    1227,  1227,     0,     0,     0,  1444,     0,     0,     0,  2338,
    1227,     0,     0,     0,  1227,     0,   851,     0,  1227,     0,
       0,     0,  2339,     0,     0,  2340,  1227,     0,     0,  1227,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,  1444,
    1227,     0,     0,  1227,  1227,     0,     0,     0,  1227,  1227,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,  1227,  1084,  1084,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,  1227,  1227,  1227,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,  1442,     0,  2341,     0,  1223,     0,     0,     0,     0,
       0,  4786,  4787,  4788,  4789,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2342,     0,     0,  2343,
    2344,  2345,     0,  2346,  2347,  2348,  2349,  2350,  2351,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     4,     0,     0,     0,     0,     0,
     851,     0,     0,     0,     0,   851,  1444,   851,     0,     0,
       0,     0,     0,     0,     5,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     7,     0,     0,     0,     0,
       0,     9,    10,     0,  1223,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,  1223,     0,     0,    46,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5003,     0,  1223,
    1223,  1223,     0,  1223,     0,  1306,     0,     0,     0,     0,
       0,     0,  1444,  1227,  1227,     0,     0,     0,    47,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,  1307,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1308,  1309,     0,     0,     0,     0,    49,     0,     0,
       0,  1310,     0,     0,     0,  1311,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
      50,     0,     0,  1312,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,  1313,     0,  1223,     0,  1227,     0,
    1223,  1223,     0,     0,     0,  1314,    51,     0,     0,    52,
       0,     0,     0,  1315,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,  1316,     0,     0,  1227,     0,
    1317,     0,     0,     0,     0,     0,     0,     0,  1227,  1227,
       0,  1444,     0,     0,     0,  1227,  1227,     0,     0,     0,
    1227,  1444,     0,  1318,     0,  1227,     0,     0,  1227,  1227,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,  1319,  1442,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,  1227,     0,     0,     0,  1084,     0,     0,     0,  1320,
       0,     0,    54,  1227,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1321,     0,  1227,  5163,  1084,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,     0,     0,    55,  1693,
    1322,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     881,  1227,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,     0,     0,    57,  1444,
    5208,     0,     0,     0,     0,     0,     0,  1323,     0,     0,
       0,     0,  1324,     0,  1325,     0,     0,     0,     0,   851,
    1326,     0,     0,  1327,     0,     0,    58,     0,  1444,     0,
       0,     0,     0,     0,    59,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1485,     0,     0,  1444,     0,
      71,     0,  1328,     0,     0,  1329,     0,  1084,     0,  1330,
       0,     0,     0,  1227,     0,     0,  1331,     0,  1332,     0,
       0,     0,     0,  1333,     0,     0,  1442,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,  1334,  1442,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,  5275,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,  1444,     0,  1444,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1227,     0,     0,     0,  1444,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,  1227,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,  1227,     0,     0,     0,  1223,  1227,     0,
       0,  1227,  1227,     0,     0,     0,     0,     0,     0,  1227,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,  1223,  1223,     0,     0,     0,     0,
    1223,  1223,     0,     0,     0,  1227,     0,  1223,  1223,  1223,
       0,     0,     0,  1223,     0,  1223,  1223,  1223,  1223,  1223,
    1223,     0,  1223,     0,  1223,  1223,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,  1442,  1223,  1223,  1223,  1223,     0,  1227,     0,
       0,  1223,     0,     0,     0,  1223,     0,     0,  1223,     0,
       0,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,  1223,     0,     0,   851,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
    1227,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,  1444,     0,  1227,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,  1227,     0,     0,     0,     0,
       0,  1444,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,  1442,  1442,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   851,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,  1444,  1444,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,  1442,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1084,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1444,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,  1227,     0,
    1227,     0,  1227,     0,     0,     0,     0,     0,     0,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1227,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,  1442,     0,     0,     0,     0,     0,     0,  1227,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1227,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,  1227,     0,     0,     0,     0,
       0,  1227,  1227,     0,  1227,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1227,  1227,     0,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,     0,  1227,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,   851,  1227,  1227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,  1442,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,  1223,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,  1223,  1223,  1223,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1223,     0,     0,  1223,
       0,  1223,     0,     0,     0,   953,     0,     0,     0,     0,
       0,     0,  1223,  1223,   953,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,  1223,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,   953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,  1223,  1223,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1141,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
    1141,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,  1223,     0,    86,    87,
      88,     0,    90,    91,    92,     0,  1223,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,  1442,     0,   122,  1442,     0,
    1442,     0,     0,     0,     0,  1442,   123,     0,   124,     0,
     125,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,  1442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,  1191,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,  1442,   165,  1442,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,  1442,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,  1442,     0,     0,     0,     0,  1442,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,  1442,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1442,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,   953,   953,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,  1223,   237,     0,     0,     0,     0,     0,
       0,     0,     0,  1191,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,  1442,     0,     0,     0,  3238,     0,  1223,     0,     0,
       0,     0,     0,  1223,     0,  1223,     0,     0,  1223,     0,
       0,     0,  1442,  1223,  1223,  1223,  1223,     0,     0,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,     0,
       0,     0,  1223,  1223,     0,     0,     0,  1442,     0,     0,
       0,     0,  1223,     0,     0,     0,  1223,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,  1223,     0,  1223,     0,     0,     0,     0,  1443,     0,
       0,  1442,  1223,     0,  1238,  1223,  1223,     0,     0,     0,
    1223,  1223,  1271,     0,     0,  1275,  1276,  1223,  1279,  1443,
       0,  1285,     0,  1287,     0,     0,     0,  1223,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,  1341,     0,     0,     0,     0,  1223,  1223,  1223,
    1349,     0,     0,     0,     0,     0,     0,  1361,     0,     0,
    1366,  1367,     0,     0,     0,  1369,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1191,     0,   953,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
    1401,     0,     0,     0,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,  1463,     0,  1467,     0,     0,
    1469,     0,  1471,  1442,     0,  1475,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1223,   953,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1442,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1191,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1141,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,  1824,     0,  1826,     0,     0,     0,  1828,     0,
       0,     0,     0,     0,     0,     0,  1442,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,  1866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,  1223,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1996,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2009,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,  2020,     0,  2021,     0,     0,     0,
       0,     0,     0,     0,  2024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2039,     0,     0,  2043,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2088,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,  1223,     0,  1442,     0,     0,     0,  1223,  1223,     0,
       0,     0,  1223,  1442,     0,     0,     0,  1223,     0,     0,
    1223,  1223,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2251,     0,     0,     0,     0,
       0,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1442,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2534,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1141,  2430,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1442,     0,  1442,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2534,
       0,     0,     0,     0,     0,     0,     0,     0,  2501,     0,
       0,  2501,     0,     0,     0,     0,  1223,     0,     0,  2508,
    1442,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,  1443,     0,     0,     0,     0,  2517,     0,     0,
       0,     0,  1223,  1223,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
    1223,     0,     0,  1223,  1223,     0,     0,     0,     0,     0,
       0,  1223,  1223,     0,  2606,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,  1223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,  2534,     0,     0,     0,
       0,     0,  2688,     0,     0,     0,     0,  1443,     0,     0,
    1442,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1223,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,   699,
       0,     0,     0,     0,   743,     0,   743,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2805,     0,
       0,     0,  1223,     0,  1442,     0,     0,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,  1443,     0,     0,
    1443,   743,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   743,   743,  1223,  1442,   743,  1223,     0,  1223,
       0,     0,   743,     0,     0,     0,  1040,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,     0,  1223,  1040,     0,
       0,     0,     0,  1442,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2902,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2916,     0,     0,  2919,     0,  2921,     0,  2922,
       0,     0,     0,     0,     0,  2924,     0,     0,     0,     0,
    1442,     0,     0,     0,  1442,  1442,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,  2953,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,  2430,     0,
       0,     0,  2430,     0,  2430,     0,     0,  2430,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,  3168,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1442,  1442,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1223,     0,     0,  1223,     0,     0,     0,
       0,     0,     0,     0,     0,  1223,     0,     0,     0,     0,
    1223,     0,  1223,     0,  1223,     0,     0,     0,     0,     0,
       0,  1223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   743,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3169,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3258,
       0,  1223,  1223,  2534,  3264,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1443,  1223,     0,     0,
       0,     0,     0,  1223,  1223,     0,  1223,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1191,     0,     0,     0,  1223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,  3273,  3274,     0,     0,     0,  3277,  3278,     0,     0,
       0,  3281,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3292,     0,     0,     0,     0,
       0,     0,  3301,     0,     0,     0,  3304,  3305,     0,     0,
    3308,  3309,     0,     0,     0,   743,     0,  3314,     0,     0,
       0,     0,     0,     0,  1223,  1223,     0,     0,     0,  3330,
       0,  3332,     0,     0,     0,     0,     0,     0,  1223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3355,     0,
    1223,  1223,     0,  3357,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,   743,     0,  3362,     0,     0,     0,
       0,     0,     0,     0,  3367,     0,  3369,     0,  3371,  3374,
    3376,     0,     0,     0,     0,  3384,  3387,     0,     0,     0,
       0,     0,     0,     0,     0,  3400,     0,     0,     0,     0,
    3409,     0,     0,     0,     0,  3413,     0,     0,     0,     0,
       0,   743,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3446,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3453,     0,  3455,     0,     0,     0,     0,  3458,     0,     0,
       0,  3459,     0,  3463,  3464,  3465,  3466,     0,  3468,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3492,  3493,  3494,     0,     0,     0,     0,     0,     0,
       0,  3502,  3503,     0,     0,     0,     0,     0,     0,  2534,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3545,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1389,
     743,     0,   743,     0,     0,     0,     0,     0,  1443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   743,     0,     0,   743,   743,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,  1040,     0,  1040,  1191,     0,     0,     0,
       0,   699,     0,     0,     0,   743,     0,     0,     0,  2430,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1040,  1040,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3709,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   743,     0,   743,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3168,  3168,  3168,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   699,   699,     0,
       0,  1806,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2534,     0,     0,  3264,     0,  3264,     0,     0,
       0,     0,  2534,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3892,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2534,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3939,  3940,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2430,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3961,     0,     0,     0,  1443,
       0,  1443,     0,     0,  3965,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3977,  3979,     0,     0,     0,  3979,     0,     0,     0,     0,
    3990,  3991,  3992,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,  4013,  4014,  4015,  4016,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4033,     0,
    4037,  4038,  4039,     0,     0,     0,     0,     0,     0,     0,
    4052,  3264,     0,     0,   699,     0,  3264,     0,     0,   743,
       0,   743,     0,     0,   743,     0,   743,     0,     0,   743,
     743,   743,     0,     0,     0,  2228,     0,     0,     0,     0,
       0,     0,   743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   743,     0,   743,     0,
       0,     0,     0,   743,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1443,     0,     0,  1432,     0,  4099,
       0,     0,     0,     0,     0,     0,     0,  4103,     0,     0,
       0,     0,  3264,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,     0,  4115,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4193,     0,     0,     0,  4197,     0,     0,
       0,     0,     0,     0,     0,     0,  2369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   743,   743,     0,
       0,     0,     0,     0,     0,     0,  4235,     0,  1443,     0,
       0,     0,   953,     0,   699,     0,     0,     0,     0,   699,
     699,     0,     0,     0,     0,     0,     0,     0,     0,  1443,
       0,     0,     0,     0,  4256,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4266,     0,
       0,     0,  4268,     0,  1443,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2430,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,  1443,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   743,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2505,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3168,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,   699,     0,  1445,     0,
       0,     0,  1228,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
    2534,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,     0,
       0,     0,     0,   699,     0,     0,   699,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3264,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   699,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4491,
       0,  4492,     0,     0,     0,     0,     0,     0,  4494,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4504,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4512,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4523,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4527,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4556,     0,     0,     0,
       0,     0,     0,  1443,     0,     0,     0,  4564,  4565,  4566,
       0,     0,  4569,  4570,  4571,  4572,  4573,  4574,  1432,     0,
       0,     0,  4581,  4582,     0,  4584,  4585,  4586,  4587,  4588,
    4589,  4590,     0,     0,     0,     0,     0,     0,     0,     0,
    4598,     0,  4600,  4601,     0,     0,     0,     0,     0,     0,
       0,  2534,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   743,     0,
     743,  1228,  4633,     0,   743,     0,   743,     0,  1445,   743,
       0,     0,  1228,   743,     0,     0,     0,     0,  2369,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3979,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
    1443,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2430,  2430,  2430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4729,     0,     0,     0,
    2228,     0,     0,     0,     0,     0,     0,  3170,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2505,     0,     0,
       0,     0,  3168,     0,     0,     0,     0,  3168,     0,     0,
       0,     0,     0,  3168,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1443,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1443,  1432,     0,
    1228,     0,     0,     0,   699,     0,     0,     0,   699,     0,
       0,     0,     0,     0,  3246,     0,  1806,  1443,     0,   743,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,  1228,  1228,     0,
    1228,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,  1443,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,     0,     0,  4866,     0,     0,     0,  4867,  4868,  4869,
    4870,     0,     0,  4872,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1432,     0,     0,  4885,  4886,  4887,  4888,     0,
    4890,  4891,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,  4900,  4901,  1228,  1432,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,     0,
    4906,     0,     0,     0,     0,     0,     0,  2430,  2430,     0,
    2430,     0,     0,  1228,     0,     0,     0,  1228,  1228,     0,
    4999,     0,  1443,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,  1432,     0,     0,     0,     0,     0,     0,   699,
       0,   699,     0,     0,  1432,     0,     0,  1443,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,     0,
       0,     0,     0,  4970,     0,     0,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4988,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5015,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3264,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2430,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2430,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,   743,  2228,  5120,     0,     0,     0,
       0,  3264,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,  5129,     0,     0,     0,     0,  5134,
    5135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1443,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
    1443,     0,     0,     0,     0,  5184,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,  1657,  1657,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,  3979,
    1445,     0,     0,     0,     0,     0,     0,  1443,     0,  5225,
       0,  1443,  1443,     0,     0,  1734,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,  1432,  1432,  2430,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2430,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2505,     0,  4999,  1443,     0,
     699,  1228,  1228,     0,  5278,  1432,     0,  1228,  1228,     0,
       0,     0,     0,  5285,  1228,  1228,  1228,  1432,     0,     0,
    1228,     0,  1228,  1228,  1228,  1228,  1228,  1228,     0,  1228,
       0,  1228,  1228,     0,  2430,  1228,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
    1228,  1228,  1228,  1228,  1432,     0,     0,     0,  1228,     0,
       0,  1434,  1228,     0,     0,  1228,     0,     0,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,  1228,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3979,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5391,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5403,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,  5414,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,  1445,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,  5462,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
    5477,     0,  1228,     0,     0,     0,  1445,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,   699,     0,     0,  2280,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2294,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,  1432,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2312,  2313,  2314,     0,  2317,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,  2359,     0,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,  2414,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1228,  1445,
       0,     0,     0,     0,     0,     0,     0,  2437,     0,     0,
       0,  2449,  2452,     0,     0,     0,     0,     0,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,  1432,     0,  1432,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1432,     0,     0,     0,  1228,     0,     0,  1445,
       0,     0,  1228,     0,  3246,     0,     0,     0,     0,  1432,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,  1228,  1228,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
    1228,  1228,  1228,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,  1228,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
    1228,     0,     0,  1228,     0,     0,     0,     0,  1432,     0,
    1432,     0,     0,     0,     0,     0,     0,  1228,     0,  1228,
     699,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,   699,     0,
       0,     0,  1228,     0,  1228,  1228,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1434,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,  1432,     0,     0,  1228,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
    1432,     0,     0,     0,     0,  1432,     0,     0,     0,     0,
       0,  1434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1445,     0,     0,  1445,     0,  1445,     0,     0,
       0,     0,  1445,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1432,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,     0,  1432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,  3037,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3057,  1434,  3059,     0,     0,  3071,
    3074,  3079,     0,     0,  1445,  1435,  3085,     0,     0,  3090,
    1434,     0,     0,     0,     0,     0,     0,   699,  1434,     0,
       0,     0,     0,     0,  3097,  3098,  3099,  3100,     0,  1434,
       0,     0,  3107,     0,     0,     0,  3119,     0,     0,  3121,
       0,     0,  3128,  3129,  3130,  3131,  3132,  3133,  3134,  3135,
    3136,     0,  3137,     0,     0,     0,     0,     0,     0,     0,
    1657,     0,     0,  3165,     0,     0,     0,  1432,     0,  1445,
       0,  1445,     0,     0,     0,     0,  1434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,     0,
       0,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,  1432,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,  1734,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,  1434,
       0,     0,  1434,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2505,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,     0,     0,  1445,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,  1445,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,     0,  3306,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1432,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,  1445,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
    1228,     0,  1228,     0,     0,  1228,     0,     0,     0,  1445,
    1228,  1228,  1228,  1228,     0,     0,  1228,  1228,  1228,  1228,
    1228,  1228,  1228,  1228,  1228,  1228,     0,     0,     0,  1228,
    1228,     0,     0,     0,  1445,     0,     0,     0,     0,  1228,
       0,     0,     0,  1228,  1435,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,  1228,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,  1445,  1228,
       0,     0,  1228,  1228,     0,     0,     0,  1228,  1228,     0,
       0,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,     0,  1228,     0,     0,     0,
       0,     0,  3537,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,  1432,     0,  1228,  1228,  1228,     0,     0,     0,
       0,  1434,     0,     0,     0,  1434,  1434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1432,  1228,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,  1228,  1435,     0,     0,     0,     0,
     743,     0,     0,     0,     0,     0,     0,     0,  1434,     0,
    1445,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,  1434,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1445,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3729,     0,     0,     0,     0,  3735,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2317,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3079,     0,  3079,  3079,     0,     0,
       0,  1434,     0,     0,     0,     0,  1228,  3793,     0,     0,
    3796,     0,  3798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1445,     0,     0,     0,     0,     0,     0,
       0,  3816,     0,  3819,     0,  3821,     0,  1432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,     0,     0,     0,     0,  1432,     0,  3165,  3165,
    3165,  1445,  1228,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,  1432,     0,     0,     0,
       0,     0,     0,  3889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,  2437,     0,     0,     0,
       0,  3900,     0,  1437,     0,  1435,     0,  2452,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1432,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1434,     0,     0,     0,  1437,     0,     0,  1228,     0,     0,
    3947,     0,     0,     0,     0,     0,     0,  1228,  1228,     0,
    1445,  1434,     0,     0,  1228,  1228,     0,     0,     0,  1228,
    1445,     0,  1434,     0,  1228,     0,     0,  1228,  1228,  1435,
       0,     0,  1228,     0,     0,     0,     0,     0,  1228,     0,
       0,  1432,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,  1435,     0,     0,     0,  1228,     0,     0,     0,
    1228,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,  1228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,  1432,     0,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,  1437,     0,     0,     0,  1435,
    1228,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,  1435,  1445,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1445,     0,     0,  1434,     0,     0,  1434,     0,  1434,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1434,     0,  1438,     0,     0,     0,     0,     0,
    1432,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
    1445,     0,  1445,     0,     0,     0,  1434,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1437,  1228,     0,     0,     0,  1445,     0,  1432,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,  1434,     0,  1434,     0,     0,     0,     0,     0,  1228,
    1228,     0,     0,  1228,     0,     0,     0,     0,     0,  4302,
       0,     0,     0,     0,     0,     0,     0,  1228,  4306,     0,
       0,     0,  1228,     0,  4307,     0,  4308,  1228,     0,     0,
    1228,  1228,     0,     0,     0,  1437,  1432,     0,  1228,  1228,
    1432,  1432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1434,  4332,  4333,     0,     0,     0,     0,     0,
    1228,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,  3085,     0,     0,  1228,     0,     0,  1434,     0,  4358,
       0,     0,  4361,     0,  4363,     0,     0,     0,     0,     0,
       0,     0,     0,  4367,     0,     0,     0,     0,     0,     0,
       0,  4374,  4375,  1434,     0,     0,     0,  1445,  1434,     0,
       0,     0,     0,     0,     0,  1435,     0,  1228,     0,  1435,
    1435,     0,     0,     0,     0,     0,     0,  1432,     0,     0,
       0,     0,  4419,     0,     0,     0,     0,     0,  4426,  4427,
    3165,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,  1434,     0,  1228,     0,
       0,     0,  1437,     0,     0,     0,     0,     0,     0,     0,
       0,  1438,  1435,  1437,  1434,  4445,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,  1734,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1228,
       0,  1445,     0,     0,     0,     0,     0,     0,     0,     0,
    1437,  1435,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,  1437,
       0,  1228,  1445,     0,  1228,     0,  1228,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,  1438,     0,  1440,
    1228,     0,     0,     0,  1228,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,  1228,     0,     0,     0,  1440,
    1434,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,  1437,     0,     0,  1437,  1228,     0,     0,
       0,  1434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1434,  1445,     0,     0,
       0,  1445,  1445,     0,     0,     0,  1228,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
    1434,  1438,     0,     0,     0,  1435,     0,     0,     0,  1440,
       0,     0,  1438,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1445,  1445,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1435,     0,     0,  1438,     0,
    1228,     0,     0,  1228,     0,  1437,     0,     0,     0,     0,
    1438,     0,  1228,     0,     0,     0,     0,  1228,     0,  1228,
       0,  1228,  1438,     0,     0,     0,     0,     0,  1228,     0,
       0,     0,     0,     0,     0,     0,  4692,  4693,     0,     0,
       0,     0,  1434,     0,     0,     0,  1228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,  1438,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4742,     0,     0,     0,  1435,     0,     0,     0,  1228,  1228,
       0,  4747,     0,     0,     0,     0,     0,  1434,     0,  1228,
       0,     0,     0,     0,     0,  1435,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,  1228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4762,  4764,     0,     0,     0,     0,     0,  4768,  4769,
       0,     0,     0,  4770,     0,     0,     0,     0,  4773,     0,
       0,  4776,  4777,     0,  1228,     0,  4781,     0,     0,     0,
    1228,  1228,  4785,  1228,     0,  1437,     0,     0,     0,  1437,
    1437,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3165,     0,     0,     0,
       0,  3165,     0,     0,     0,     0,     0,  3165,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1657,     0,     0,     0,     0,
       0,     0,  1437,     0,     0,  1434,     0,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4847,     0,     0,     0,     0,     0,
       0,  1228,  1228,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1228,     0,     0,     0,     0,
       0,  1437,     0,  1434,     0,     0,     0,  1228,  1228,     0,
       0,     0,     0,     0,     0,     0,     0,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4903,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,  1435,     0,  1435,     0,     0,     0,     0,  1435,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,  1438,  1438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1435,
    4948,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1434,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,  1434,     0,     0,  1437,     0,     0,     0,     0,
       0,  1438,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
    1438,     0,     0,     0,     0,     0,     0,  1440,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,  1435,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5041,  5042,  1440,     0,  5043,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,     0,  1434,
       0,     0,  5077,  5078,     0,     0,     0,     0,  1440,     0,
       0,  1435,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,  1435,     0,  1437,     0,     0,     0,  1440,     0,
       0,  1440,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,  1434,     0,     0,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3085,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5243,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,  1435,     0,     0,     0,  2317,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
    1435,  1734,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
       0,  1437,     0,  1437,  1435,     0,     0,     0,  1437,     0,
    5293,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2353,     0,     0,     0,     0,     0,     0,     0,     0,  1434,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5331,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,  1440,  1440,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2353,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,     0,     0,  5077,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1440,     0,     0,
    5392,     0,     0,  1434,     0,  1437,     0,  1437,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,  1438,     0,     0,
    1438,     0,  1438,     0,     0,     0,     0,  1438,     0,     0,
       0,  1435,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,  1434,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5441,  5441,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,  5077,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,  1437,     0,     0,
       0,     0,  1437,     0,     0,  1438,     0,     0,     0,  1434,
       0,     0,     0,  1434,  1434,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,     0,     0,     0,     0,  5441,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5509,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,  1435,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,  1438,     0,  1438,     0,     0,     0,
    1434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,  5441,  5549,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,     0,     0,
       0,  1438,     0,     0,     0,  1437,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1437,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,  1438,
       0,     0,     0,     0,  1437,     0,  1435,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,     0,  2353,     0,     0,     0,     0,     0,
    1440,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2353,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,  2353,     0,     0,
       0,  3067,     0,  1438,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2353,  2353,  2353,     0,     0,
    2353,     0,     0,     0,  1438,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1438,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,  2353,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1438,     0,     0,     0,     0,     0,     0,
       0,  1437,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2353,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2353,     0,     0,  1440,     0,     0,  1440,     0,  1440,     0,
       0,     0,  2353,  1440,     0,  2353,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1440,  1438,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,  1437,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1437,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1438,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1440,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,     0,  1440,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,  1437,  1440,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1438,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1440,  1438,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,  1435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1435,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1435,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,  1435,     0,  1438,     0,  1435,  1435,     0,
    1440,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1437,     0,     0,
       0,     0,     0,     0,     0,  1440,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1437,     0,
    2353,     0,  2353,  1438,     0,  3067,  3067,     0,  3770,     0,
    3067,     0,     0,     0,  2353,     0,     0,  2353,     0,     0,
       0,     0,  2353,     0,     0,     0,     0,     0,  2353,     0,
       0,     0,  1438,  2353,     0,     0,     0,     0,     0,     0,
    2353,  2353,  2353,  2353,     0,     0,     0,  3067,  3067,     0,
    2353,     0,  1438,  1437,     0,     0,     0,     0,     0,     0,
       0,  1440,  2353,     0,  2353,     0,     0,     0,     0,     0,
       0,  2353,  2353,  2353,  2353,  2353,  2353,  2353,  2353,  2353,
    2353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1438,     0,  2353,     0,
       0,     0,     0,     0,     0,     0,     0,    85,     0,     0,
       0,     0,     0,    89,     0,     0,     0,    93,     0,    94,
       0,    96,    97,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1440,     0,   118,   119,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,   127,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   128,     0,
     129,   130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2353,
       0,     0,     0,     0,     0,   140,     0,   141,   142,     0,
       0,     0,  1438,   145,     0,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   148,     0,   149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   152,  1440,   153,     0,  1437,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     157,     0,   158,     0,     0,     0,   159,     0,     0,     0,
       0,     0,   160,     0,     0,     0,     0,     0,  1437,     0,
     162,     0,   164,     0,     0,     0,     0,     0,   166,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1437,     0,     0,   174,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   185,   186,
       0,     0,     0,     0,   187,     0,     0,     0,     0,     0,
       0,     0,     0,  1437,     0,   188,     0,  1437,  1437,     0,
       0,     0,     0,     0,     0,     0,   193,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,     0,
    2353,  1440,     0,     0,     0,     0,     0,   205,     0,     0,
       0,  1440,   206,   207,     0,   208,     0,     0,     0,     0,
     209,     0,     0,     0,     0,   210,  1438,     0,   212,     0,
       0,     0,     0,   214,  1437,     0,     0,     0,   215,   216,
       0,     0,     0,     0,     0,     0,   217,     0,     0,     0,
     219,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,   231,     0,  1438,     0,     0,     0,     0,
       0,   233,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   238,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2353,     0,  1440,
       0,     0,     0,     0,     0,     0,   248,     0,     0,     0,
       0,     0,  1438,     0,     0,     0,  1438,  1438,     0,     0,
     249,     0,     0,     0,  -144,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,  2353,     0,     0,     0,     0,     0,  2353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3770,  3770,     0,     0,  3067,  3067,
    3067,  3067,     0,     0,  3067,  3067,  3067,  3067,  3067,  3067,
    3067,  3067,  3067,  3067,  3770,     0,     0,     0,     0,     0,
       0,     0,  1440,  1438,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2353,     0,     0,  2353,
       0,  2353,     0,     0,  3770,  3770,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2353,
    3067,  3067,  2353,     0,  2353,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,  2353,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2353,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1440,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3067,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1440,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2353,     0,     0,  1440,  2353,
    2353,  2353,  1440,  1440,     0,     0,     0,  3770,  3770,  3770,
    3770,     0,     0,     0,     0,  3770,  3770,  3770,  3770,  3770,
    3770,  3770,  3770,  3770,  3770,  2353,  2353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2353,     0,     0,  2353,     0,  2353,     0,     0,     0,
    2353,     0,     0,  3770,  3770,     0,     0,  2353,  2353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1440,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2353,     0,     0,     0,     0,     0,     0,  2353,
    2353,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3770,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    85,  2353,  2353,    86,    87,    88,
      89,    90,    91,    92,    93,     0,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   106,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,   118,   119,     0,     0,     0,
     120,   121,     0,     0,     0,  2353,   122,     0,     0,     0,
    2353,  3067,     0,     0,     0,   123,     0,   124,     0,   125,
     126,    35,     0,     0,     0,  2353,     0,  2353,     0,    41,
      42,  2353,  2353,  2353,     0,     0,  2353,     0,     0,  2353,
    2353,     0,     0,     0,  2353,   127,     0,     0,  2353,     0,
       0,     0,     0,     0,     0,   128,     0,   129,   130,     0,
       0,     0,     0,     0,     0,     0,     0,   131,     0,   132,
       0,     0,   133,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,   140,     0,   141,   142,   143,     0,   144,     0,
     145,     0,   146,     0,   147,     0,     0,     0,     0,     0,
    2353,     0,     0,   148,     0,   149,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
     152,     0,   153,   154,   155,   156,     0,     0,     0,     0,
       0, -1496,     0,     0,     0,     0,     0,   157,     0,   158,
       0,     0,     0,   159,     0,     0,     0,     0,     0,   160,
     161,     0,     0,     0,     0,     0,  2353,   162,   163,   164,
       0,     0,   165,     0,     0,   166,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
     170,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,   174,     0,     0,     0,
       0,  2353,     0,     0,     0,     0,   175,   176,     0,     0,
   -1496,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,   185,   186,     0,     0,     0,
       0,   187,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,   193,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,  3770,  3067,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,  2353,  2353,  2353,     0,   201,     0,
     202,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,   205,     0,     0,     0,     0,   206,
     207,     0,   208,     0,     0,     0,     0,   209,     0,     0,
    2353,  2353,   210,   211,     0,   212,     0,   213,     0,     0,
     214,     0,     0,     0,     0,   215,   216,     0,     0,     0,
       0,     0,     0,   217,     0,   218,     0,   219,   220,     0,
       0,   221,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,   224,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,   230,     0,
     231,     0,     0,     0,     0,   232,     0,     0,   233,     0,
       0, -1496,     0,     0,   234,     0,     0,     0,     0,   235,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,   238,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,     0,
       0,     0,     0,   248,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   249,     0,     0,
       0,  -144,     0,     0,     0,     0,     0,     0,     0,     0,
    3770,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2353,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2353,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2353,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2353,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,  2353,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2353,   428,   429,   430,   431,   432,   433,   434,
     435,   760,   436,   437,   438,   761,   762,   763,   764,   765,
     766,   767,   439,   440,   768,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,   769,   446,   447,   448,
     449,   450,   770,   771,   451,   452,   772,   139,   453,   773,
     454,   455,   456,   457,   143,   774,   144,   775,   458,   459,
     460,   461,   147,   462,   463,   776,   777,   464,   465,   466,
     467,   468,   469,   778,   150,   470,   471,   779,   780,   781,
     782,   151,   783,   784,   785,   473,   474,   475,   476,   722,
     477,   154,   155,   478,   786,   479,   787,   480,   481,   482,
     483,   484,   788,   485,   486,   487,   789,   790,   488,   489,
     490,   491,   492,   791,   493,   494,   495,   792,   496,   497,
     498,   793,   499,   500,   501,   502,   163,   503,   504,   505,
     165,   794,   506,   795,   507,   508,   167,   509,   796,   510,
     797,   511,   168,   798,   169,   512,   513,   514,   799,   515,
     171,   800,   172,   516,   801,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,   802,   525,   526,   527,   528,
     529,   530,   803,   531,   175,   176,   804,   532,   533,   534,
     805,   177,   806,   178,   807,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,   808,   809,   542,   182,   183,
     543,   184,   810,   544,   545,   546,   811,   812,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,   813,
     562,   563,   194,   564,   814,   195,   565,   196,   566,   567,
     568,   815,   569,   816,   817,   570,   571,   572,   818,   819,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,   820,   582,   583,   201,   584,   202,   585,
     586,   587,   821,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,   822,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   823,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,   824,   623,   624,   625,   626,   627,
     825,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,   826,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,   827,   647,   648,   828,   649,   225,
     650,   651,   652,   653,   654,   829,   226,   227,   830,   831,
     656,   657,   228,   658,   229,   832,   659,   660,   661,   662,
     663,   664,   665,   833,   834,   666,   667,   668,   669,   670,
     835,   836,   671,   672,   673,   674,   675,   837,   236,   838,
     676,   237,   677,   678,   679,   680,   839,   840,   681,   841,
     842,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   753,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,  1000,    98,    99,   100,   101,   102,   103,   754,   104,
     105,   708,   755,     0,   107,   108,   109,   110,   756,   757,
     112,   113,   114,     0,   115,   758,   759,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  3159,   436,   437,   438,     0,
       0,     0,     0,  1581,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,  1582,   136,  1583,  1584,
       0,   446,   447,   448,   449,   450,  1585,  1586,   451,   452,
    1587,  1588,   453,     0,   454,   455,   456,   457,  1589,     0,
    1590,     0,   458,   459,   460,   461,   147,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,
     474,   475,   476,   722,   477,  1598,  1599,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
    3160,     0,   488,   489,  1413,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
    1600,   503,   504,   505,  1601,  1602,   506,     0,   507,   508,
    1603,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,  1604,     0,  1605,   516,     0,   517,
     518,   724,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,  1416,  1606,     0,  1607,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,  1608,   183,   543,   184,     0,   544,   545,   546,
    1609,  1610,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,  1611,   190,  1612,
     560,   561,   192,  1613,   562,   563,   194,   564,  1614,  1615,
     565,  1616,   566,   567,   568,     0,   569,     0,     0,  1617,
     571,   572,     0,     0,   573,   197,   198,   574,   199,  1618,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
    1619,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,  1620,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,  1621,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,  1622,   629,   630,   218,   631,   632,
     220,   633,   634,  1623,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,  1624,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
    1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,
     659,   660,   661,   662,   663,   664,   665,     0,  1630,   666,
     667,   668,   669,   670,  1631,     0,   671,   672,   673,   674,
     675,   728,  1632,  3161,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,
     729,   688,   689,  1641,     0,     0,     0,     0,     0,     0,
    1642,  1643,  3162,     0,     0,     0,     0,     0,     0,  1645,
    3163,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,   216,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,   224,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,  2315,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,   238,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,   248,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  1645,  5255,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,  1581,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,  1582,   136,  1583,  1584,     0,   446,   447,   448,
     449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,
     454,   455,   456,   457,  1589,     0,  1590,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,  1591,  1592,
    1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,
     477,  1598,  1599,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,  1600,   503,   504,   505,
    1601,  1602,   506,     0,   507,   508,  1603,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
    1604,     0,  1605,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
    1416,  1606,     0,  1607,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,  1608,   183,
     543,   184,     0,   544,   545,   546,  1609,  1610,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1611,   190,  1612,   560,   561,   192,  1613,
     562,   563,   194,   564,  1614,  1615,   565,  1616,   566,   567,
     568,     0,   569,     0,     0,  1617,   571,   572,     0,     0,
     573,   197,   198,   574,   199,  1618,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,  1619,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1620,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,  1621,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
    1622,   629,   630,   218,   631,   632,   220,   633,   634,  1623,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,  1624,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1625,  1626,     0,     0,
     656,   657,  1627,   658,  1628,  1629,   659,   660,   661,   662,
     663,   664,   665,     0,  1630,   666,   667,   668,   669,   670,
    1631,     0,   671,   672,   673,   674,   675,   728,  1632,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,  1633,  1634,
    1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,
       0,     0,     0,     0,     0,     0,  1642,  1643,     0,     0,
       0,     0,     0,     0,     0,  1645,  3069,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,  4310,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1577,  1578,  1579,
      45,  1580,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,  1581,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,  1582,   136,
    1583,  1584,     0,   446,   447,   448,   449,   450,  1585,  1586,
     451,   452,  1587,  1588,   453,     0,   454,   455,   456,   457,
    1589,     0,  1590,     0,   458,   459,   460,   461,   147,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,
    1597,   473,   474,   475,   476,   722,   477,  1598,  1599,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,  1413,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,  1600,   503,   504,   505,  1601,  1602,   506,     0,
     507,   508,  1603,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,  1604,     0,  1605,   516,
       0,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,  1416,  1606,     0,  1607,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,  1608,   183,   543,   184,     0,   544,
     545,   546,  1609,  1610,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1611,
     190,  1612,   560,   561,   192,  1613,   562,   563,   194,   564,
    1614,  1615,   565,  1616,   566,   567,   568,     0,   569,     0,
       0,  1617,   571,   572,     0,     0,   573,   197,   198,   574,
     199,  1618,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,  1619,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,  1620,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,  1621,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,  1622,   629,   630,   218,
     631,   632,   220,   633,   634,  1623,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,  1624,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,  1625,  1626,     0,     0,   656,   657,  1627,   658,
    1628,  1629,   659,   660,   661,   662,   663,   664,   665,     0,
    1630,   666,   667,   668,   669,   670,  1631,     0,   671,   672,
     673,   674,   675,   728,  1632,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,
    1639,  1640,   729,   688,   689,  1641,     0,     0,     0,     0,
       0,     0,  1642,  1643,     0,     0,     0,     0,     0,     0,
       0,  1645,  4381,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
       0,  1406,   136,  1407,  1408,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,  1409,  1410,   453,     0,   454,
     455,   456,   457,     0,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,     0,   473,   474,   475,   476,   722,   477,
    1411,  1412,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,     0,   503,   504,   505,     0,
       0,   506,     0,   507,   508,  1414,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,     0,
       0,     0,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,  2520,   525,   526,   527,   528,   529,
     530,     0,   531,   175,  2521,     0,   532,   533,   534,  1416,
    1417,     0,  1418,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,     0,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1419,   190,  1420,   560,   561,     0,     0,   562,
     563,   194,   564,     0,     0,   565,  1421,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
    2523,   198,   574,   199,     0,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,   584,     0,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1422,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,     0,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,  2524,   631,   632,   220,   633,   634,  1424,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1425,  1426,     0,     0,   656,
     657,     0,   658,     0,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,  1427,  2525,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   729,   688,   689,     0,     0,
       0,     0,   753,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  2629,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1406,   136,  1407,  1408,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1409,  1410,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1411,
    1412,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1413,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1414,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,  2520,   525,   526,   527,   528,   529,   530,
       0,   531,   175,  2521,     0,   532,   533,   534,  1416,  1417,
       0,  1418,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1419,   190,  1420,   560,   561,     0,     0,   562,   563,
     194,   564,     0,     0,   565,  1421,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,  2523,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1422,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  2524,   631,   632,   220,   633,   634,  1424,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1425,  1426,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1427,  2525,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,     0,     0,     0,
       0,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,  3611,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,  1733,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,   216,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,   224,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,  2315,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,   238,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,   248,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,   216,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,   224,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,  2315,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,   238,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
     248,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,  3075,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,  3076,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,  3077,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
    3078,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,  2277,  3030,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,  1644,     0,     0,     0,     0,     0,     0,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,  1733,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
    2447,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,   663,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,  3076,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,  4428,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,  4444,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,     0,     0,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,  5438,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,  5439,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  1605,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,  5440,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  1645,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,  5439,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,   194,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,  5440,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,  1641,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
    1641,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,  1613,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  1621,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,  1630,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
    4754,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,  1641,     0,     0,     0,     0,     0,     0,  1642,
    1643,     0,     0,     0,     0,     0,     0,     0,  1645,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,  1579,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,  4763,   192,  1613,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
    1617,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    1621,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,  1630,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,  1641,     0,     0,     0,     0,     0,
       0,  1642,  1643,     0,     0,     0,     0,     0,     0,     0,
    1645,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,   427,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1577,  1578,
    1579,    45,  1580,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,  1581,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,  1582,
     136,  1583,  1584,     0,   446,   447,   448,   449,   450,  1585,
    1586,   451,   452,  1587,  1588,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,  5067,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,  1598,  1599,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,  1413,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,  1600,   503,   504,   505,  1601,  1602,   506,
       0,   507,   508,  1603,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,  5068,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,  1416,  1606,     0,
    1607,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
    1611,   190,  1612,   560,   561,   192,  1613,   562,   563,   194,
     564,  1614,  1615,   565,  1616,   566,   567,   568,     0,   569,
       0,     0,  1617,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,  1620,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,  5069,  1621,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,  1623,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,  1625,  1626,     0,     0,   656,   657,  1627,
     658,  1628,  1629,   659,   660,   661,   662,   663,   664,   665,
       0,  1630,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,  1632,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,  1641,     0,     0,     0,
       0,     0,     0,  1642,  1643,     0,     0,     0,     0,     0,
       0,     0,  5070,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1577,  1578,  1579,    45,  1580,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,  1581,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
   -2800,  1582,   136,  1583,  1584,     0,   446,   447,   448,   449,
     450,  1585,  1586,   451,   452,  1587,  1588,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,  5439,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
    1598,  1599,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,  1413,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,  1600,   503,   504,   505,  1601,
    1602,   506,     0,   507,   508,  1603,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,  1605,   516,     0,   517,   518,   724,   519,   520, -2800,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,  1416,
    1606,     0,  1607,     0,   535,     0,     0,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
   -2800,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,  1611,   190,  1612,   560,   561,   192,  1613,   562,
     563,     0,   564,  1614,  1615,   565,  1616,   566,   567,   568,
       0,   569,     0,     0,  1617,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
    1620,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,  1621,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632, -2800,   633,   634,  1623,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,  1625,  1626,     0,     0,   656,
     657,  1627,   658,  1628,  1629,   659,   660,   661,   662,  5440,
     664,   665,     0,  1630,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,  1632,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689, -2800,     0,
       0,     0,     0,     0,     0,  1642,  1643,     0,     0,     0,
       0,     0,     0,     0,  1645,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
       0,   562,   563,   194,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  3061,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  3062,  3063,     0,
       0,     0,     0,     0,     0,     0,  3064,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,  1579,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
     446,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,     0,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,     0,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,  1617,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  3061,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,     0,     0,     0,     0,     0,  3062,
    3063,     0,     0,     0,     0,     0,     0,     0,  3064,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1577,  1578,     0,    45,
    1580,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,  1581,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,  1582,   136,  1583,
    1584,     0,   446,   447,   448,   449,   450,  1585,  1586,   451,
     452,  1587,  1588,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,  1598,  1599,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,  1600,   503,   504,   505,  1601,  1602,   506,     0,   507,
     508,  1603,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,  1605,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,  1416,  1606,     0,  1607,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1611,   190,
    1612,   560,   561,   192,     0,   562,   563,   194,   564,  1614,
    1615,   565,  1616,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1620,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
    3061,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,  1623,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1625,  1626,     0,     0,   656,   657,  1627,   658,  1628,
    1629,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,  1632,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,     0,     0,     0,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    3064,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1577,  1578,     0,    45,  1580,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,  1581,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,  1582,   136,  1583,  1584,     0,
    4343,   447,   448,   449,   450,  1585,  1586,   451,   452,  1587,
    1588,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,  1598,  1599,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,  1413,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,  1600,
     503,   504,   505,  1601,  1602,   506,     0,   507,   508,  1603,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,  1605,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,  1416,  1606,     0,  1607,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,  1611,   190,  1612,   560,
     561,   192,     0,   562,   563,   194,   564,  1614,  1615,   565,
    1616,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,  1620,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,  3061,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,  1623,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,  1625,
    1626,     0,     0,   656,   657,  1627,   658,  1628,  1629,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
     728,  1632,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,     0,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  3064,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1577,  1578,  1579,    45,  1580,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
    1581,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,     0,  1582,   136,  1583,  1584,     0,   446,   447,
     448,   449,   450,  1585,  1586,   451,   452,  1587,  1588,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,  1598,  1599,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,  1413,   491,   492,     0,   493,   494,   495,     0,   496,
       0,   498,     0,   499,   500,   501,   502,  1600,   503,   504,
     505,  1601,  1602,   506,     0,   507,   508,  1603,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,  1605,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,  1416,  1606,     0,  1607,     0,   535,     0,     0,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,  1608,
     183,   543,     0,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,  1611,   190,  1612,   560,   561,   192,
    1613,   562,   563,     0,   564,  1614,  1615,   565,  1616,   566,
     567,   568,     0,   569,     0,     0,  1617,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,  1620,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,  1621,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,     0,   633,   634,
    1623,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,  1625,  1626,     0,
       0,   656,   657,  1627,   658,  1628,  1629,   659,   660,   661,
     662,   663,   664,   665,     0,  1630,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,  1632,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
       0,     0,     0,     0,     0,     0,     0,  1642,  1643,     0,
       0,     0,     0,     0,     0,     0,  1645,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,  1586,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,  1589,     0,  1590,
       0,   458,   459,   460,   461,   147,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,  1601,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,  1604,     0,   172,   516,     0,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,  3839,     0,
     542,  1608,   183,   543,   184,     0,   544,   545,   546,  1609,
    1610,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,  1615,   565,
     196,   566,   567,   568,     0,   569,     0,  1124,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,  1618,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,  1619,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,  3840,
     617,   618,   619,   620,   621,   727,   622,   216,   623,   624,
     625,   626,   627,  1622,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,  1624,     0,   647,   648,
     224,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,  1627,   658,  1628,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,  1631,     0,   671,   672,   673,   674,   675,
    2315,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,   238,   682,   683,   684,   685,   686,   687,
     239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,
     688,   689,     0,     0,   248,   753,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,  3841,    98,
      99,   100,   101,   102,   103,   754,   104,   105,   708,   755,
       0,   107,   108,   109,   110,   756,   757,   112,   113,   114,
       0,   115,   758,   759,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,  1586,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,  1589,     0,  1590,     0,   458,
     459,   460,   461,   147,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,  1591,
    1592,  1593,  1594,  1595,  1596,  1597,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,  1601,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,  1604,     0,   172,   516,     0,   517,   518,   724,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,  3839,     0,   542,  1608,
     183,   543,   184,     0,   544,   545,   546,  1609,  1610,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,  1615,   565,   196,   566,
     567,   568,     0,   569,     0,  1124,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,  1618,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,  1619,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,  3840,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,  1622,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,  1624,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,  1627,   658,  1628,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,  1631,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,  1633,
    1634,  1635,  1636,  1637,  1638,  1639,  1640,   729,   688,   689,
       0,     0,     0,   753,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,  3841,    98,    99,   100,
     101,   102,   103,   754,   104,   105,   708,   755,     0,   107,
     108,   109,   110,   756,   757,   112,   113,   114,     0,   115,
     758,   759,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,  1586,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,  1589,     0,  1590,     0,   458,   459,   460,
     461,   147,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,  1591,  1592,  1593,
    1594,  1595,  1596,  1597,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,  1601,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,  1604,
       0,   172,   516,     0,   517,   518,   724,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,  1608,   183,   543,
     184,     0,   544,   545,   546,  1609,  1610,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,  1615,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,  1618,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,  1619,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,  3840,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,  1622,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,  1624,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,  1627,   658,  1628,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,  1631,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,  1633,  1634,  1635,
    1636,  1637,  1638,  1639,  1640,   729,   688,   689,     0,     0,
       0,   753,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,   249,    98,    99,   100,   101,   102,
     103,   754,   104,   105,   708,   755,     0,   107,   108,   109,
     110,   756,   757,   112,   113,   114,     0,   115,   758,   759,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
    1586,   451,   452,   719,   139,   453,     0,   454,   455,   456,
     457,  1589,     0,  1590,     0,   458,   459,   460,   461,   147,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,  1591,  1592,  1593,  1594,  1595,
    1596,  1597,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,  1601,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,  1604,     0,   172,
     516,     0,   517,   518,   724,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,  1608,   183,   543,   184,     0,
     544,   545,   546,  1609,  1610,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,  1615,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,  1618,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,  1619,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,  1622,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
    1624,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,  1627,
     658,  1628,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,  1631,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,  1633,  1634,  1635,  1636,  1637,
    1638,  1639,  1640,   729,   688,   689,     0,     0,     0,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,  4475,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,     0,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
    5122,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,  4397,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0, -1600,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0, -1600,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531, -1600,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536, -1600,   537,   538,   539,   540,   541,     0,     0,
     542,   182, -1600,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189, -1600,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612, -1600,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,     0,     0,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,  1741,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,  3643,  3644,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  3644,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,   216,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,   224,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  2315,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,   238,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,   248,
       0,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,   249,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
     216,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,   224,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  2315,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,   238,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,   248,     0,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,   249,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,     0,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,  1716,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,  3226,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,     0,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,  4378,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
     753,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,  4808,    98,    99,   100,   101,   102,   103,
     754,   104,   105,   708,   755,     0,   107,   108,   109,   110,
     756,   757,   112,   113,   114,     0,   115,   758,   759,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,  1251,
      45,     0,     0,     0,     0,     0,  1252,  1253,  1254,   428,
     429,   430,   431,   432,   433,   434,   435,   760,   436,   437,
     438,   761,   762,   763,   764,   765,   766,   767,   439,   440,
     768,   441,   442,   132,   443,   444,   445,     0,  1406,   136,
    1407,  1408,   769,   446,   447,   448,   449,   450,   770,   771,
     451,   452,  1409,  1410,   453,   773,   454,   455,   456,   457,
       0,   774,   144,   775,   458,   459,   460,   461,   147,   462,
     463,   720,   777,   464,   465,   466,   467,   468,   469,   778,
     150,   470,   471,     0,   780,   781,   782,   151,   783,   784,
     785,   473,   474,   475,   476,   722,   477,  1411,  1412,   478,
     786,   479,   787,   480,   481,   482,   483,   484,   788,   485,
     486,   487,   789,   790,   488,   489,  1413,   491,   492,   791,
     493,   494,   495,   792,   496,   497,   498,   793,   499,   500,
     501,   502,     0,   503,   504,   505,     0,   794,   506,   795,
     507,   508,  1414,   509,   796,   510,   797,   511,   168,   798,
     169,   512,   513,   514,   799,   515,     0,   800,     0,   516,
     801,   517,   518,   724,   519,   520,   173,   521,   522,   523,
     524,   802,   525,   526,   527,   528,   529,   530,   803,   531,
     175,     0,     0,   532,   533,   534,  1416,  1417,   806,  1418,
     807,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,   808,   809,   542,     0,   183,   543,   184,   810,   544,
     545,   546,   811,   812,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,  1419,
     190,  1420,   560,   561,     0,   813,   562,   563,   194,   564,
     814,     0,   565,  1421,   566,   567,   568,   815,   569,   816,
     817,  4124,   571,   572,   818,   819,   573,     0,   198,   574,
     199,     0,   575,   576,   577,   578,   579,   580,   581,   820,
     582,   583,     0,   584,     0,   585,   586,   587,   821,   588,
     589,   590,   591,   592,   593,   594,   595,  1422,   596,   597,
     598,   599,   822,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   823,   611,   612,   211,   613,   614,
     615,     0,   616,   617,   618,   619,   620,   621,   727,   622,
     824,   623,   624,   625,   626,   627,   825,   629,   630,  2524,
     631,   632,   220,   633,   634,  1424,   635,   826,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
     827,   647,   648,   828,   649,   225,   650,   651,   652,   653,
     654,   829,  1425,  1426,     0,   831,   656,   657,     0,   658,
       0,   832,   659,   660,   661,   662,   663,   664,   665,     0,
     834,   666,   667,   668,   669,   670,   835,   836,   671,   672,
     673,   674,   675,     0,  1427,   838,   676,   237,   677,   678,
     679,   680,   839,   840,   681,   841,   842,   682,   683,   684,
     685,   686,   687,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   729,   688,   689,     0,     0,     0,  1257,  1258,
    1259,     0,  4125,  4126,  1262,  1263,  1264,  1265,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1251,     0,     0,     0,
       0,     0,     0,  1252,  1253,  1254,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,  1255,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,  1256,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,  1257,  1258,  1259,     0,  1260,
    1261,  1262,  1263,  1264,  1265,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1251,     0,     0,     0,     0,     0,     0,
    1252,  1253,  1254,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,  1357,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,  1358,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,     0,
       0,     0,  1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,
    1264,  1265,    86,    87,    88,   705,    90,    91,    92,   706,
       0,   707,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   708,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     709,   710,     0,     0,     0,   711,   712,     0,     0,     0,
       0,   713,     0,     0,     0,     0,     0,     0,     0,     0,
     714,     0,   715,     0,   716,   717,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1251,     0,     0,     0,     0,     0,     0,  1252,  1253,  1254,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,     0,   443,   444,   445,   134,   135,
       0,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,   719,   139,   453,     0,   454,  1457,   456,
     457,   143,     0,     0,     0,   458,   459,   460,   461,     0,
     462,   463,   720,     0,   464,   465,   466,   467,   468,   469,
       0,     0,   470,   471,     0,     0,     0,     0,     0,     0,
       0,     0,   473,   474,   475,   476,   722,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,  1458,
       0,   507,   508,   167,   509,     0,   510,     0,   511,     0,
       0,     0,   512,   513,   514,     0,   515,   171,     0,   172,
     516,     0,   517,   518,   724,   519,  1459,     0,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,     0,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,     0,     0,   536,     0,   537,   538,   539,
     540,   541,     0,     0,   542,   182,     0,   543,     0,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,   725,   555,   556,   726,   557,   558,   559,
     189,     0,   191,   560,   561,   192,     0,   562,   563,     0,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,     0,
     574,     0,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,     0,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,   727,
     622,     0,   623,   624,   625,   626,   627,     0,   629,   630,
     218,   631,   632,     0,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,     0,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,   728,   236,     0,   676,     0,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   729,   688,   689,     0,     0,     0,  1257,
    1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1251,     0,     0,
       0,     0,     0,     0,  1252,  1253,  1254,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,  2017,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,  2018,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,     0,     0,     0,  1257,  1258,  1259,     0,
    1260,  1261,  1262,  1263,  1264,  1265,    86,    87,    88,   705,
      90,    91,    92,   706,     0,   707,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   708,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   709,   710,     0,     0,     0,   711,
     712,     0,     0,     0,     0,   713,     0,     0,     0,     0,
       0,     0,     0,     0,   714,     0,   715,     0,   716,   717,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1251,     0,     0,     0,     0,     0,
       0,  1252,  1253,  1254,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,     0,   443,
     444,   445,   134,   135,     0,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,   719,   139,   453,
       0,   454,   455,   456,   457,   143,     0,     0,     0,   458,
     459,   460,   461,     0,   462,   463,   720,     0,   464,   465,
     466,   467,   468,   469,     0,     0,   470,   471,     0,     0,
       0,     0,     0,     0,     0,     0,   473,   474,   475,   476,
     722,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,     0,     0,     0,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,   724,   519,
     520,     0,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,     0,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,     0,     0,   536,
       0,   537,   538,   539,   540,   541,     0,     0,   542,   182,
       0,   543,     0,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,   725,   555,   556,
     726,   557,   558,   559,   189,     0,   191,   560,   561,   192,
       0,   562,   563,     0,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,     0,   574,     0,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,     0,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,   727,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,     0,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
       0,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,   728,   236,
       0,   676,     0,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   729,   688,   689,
       0,     0,     0,  1257,  1258,  1259,     0,  1260,  1261,  1262,
    1263,  1264,  1265,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1251,     0,     0,     0,     0,     0,     0,  1252,  1253,
    1254,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,  3327,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
    3328,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,     0,     0,
    1257,  1258,  1259,     0,  1260,  1261,  1262,  1263,  1264,  1265,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,     0,     0,  1252,  1253,  1254,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
    5101,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,  1257,  1258,  1259,
       0,  1260,  1261,  1262,  1263,  1264,  1265,   753,    86,    87,
      88,   705,    90,    91,    92,   706,     0,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   754,   104,   105,
     708,   755,     0,   107,   108,   109,   110,   756,   757,   112,
     113,   114,     0,   115,   758,   759,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,   760,   436,   437,   438,   761,   762,
     763,   764,   765,   766,   767,   439,   440,   768,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,   769,
     446,   447,   448,   449,   450,   770,   771,   451,   452,   772,
     139,   453,   773,   454,   455,   456,   457,   143,   774,   144,
     775,   458,   459,   460,   461,   147,   462,   463,   776,   777,
     464,   465,   466,   467,   468,   469,   778,   150,   470,   471,
     779,   780,   781,   782,   151,   783,   784,   785,   473,   474,
     475,   476,   722,   477,   154,   155,   478,   786,   479,   787,
     480,   481,   482,   483,   484,   788,   485,   486,   487,   789,
     790,   488,   489,   490,   491,   492,   791,   493,   494,   495,
     792,   496,   497,   498,   793,   499,   500,   501,   502,   163,
     503,   504,   505,   165,   794,   506,   795,   507,   508,   167,
     509,   796,   510,   797,   511,   168,   798,   169,   512,   513,
     514,   799,   515,   171,   800,   172,   516,   801,   517,   518,
     724,   519,   520,   173,   521,   522,   523,   524,   802,   525,
     526,   527,   528,   529,   530,   803,   531,   175,   176,   804,
     532,   533,   534,   805,   177,   806,   178,   807,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,   808,   809,
     542,   182,   183,   543,   184,   810,   544,   545,   546,   811,
     812,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,   190,   191,   560,
     561,   192,   813,   562,   563,   194,   564,   814,   195,   565,
     196,   566,   567,   568,   815,   569,   816,   817,   570,   571,
     572,   818,   819,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,   820,   582,   583,   201,
     584,   202,   585,   586,   587,   821,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,   822,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   823,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,   824,   623,   624,
     625,   626,   627,   825,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,   826,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,   827,   647,   648,
     828,   649,   225,   650,   651,   652,   653,   654,   829,   226,
     227,   830,   831,   656,   657,   228,   658,   229,   832,   659,
     660,   661,   662,   663,   664,   665,   833,   834,   666,   667,
     668,   669,   670,   835,   836,   671,   672,   673,   674,   675,
     837,   236,   838,   676,   237,   677,   678,   679,   680,   839,
     840,   681,   841,   842,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,   753,    86,    87,    88,   705,    90,    91,    92,
     706,  2415,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   754,   104,   105,   708,   755,     0,   107,   108,
     109,   110,   756,   757,   112,   113,   114,     0,   115,   758,
     759,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,     0,
    1406,   136,  1407,  1408,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1409,  1410,   453,     0,   454,   455,
     456,   457,     0,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,   722,   477,  1411,
    1412,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,  1413,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,     0,   503,   504,   505,     0,     0,
     506,     0,   507,   508,  1414,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,     0,     0,
       0,   516,     0,   517,   518,   724,   519,   520,   173,   521,
     522,   523,   524,  2520,   525,   526,   527,   528,   529,   530,
       0,   531,   175,  2521,     0,   532,   533,   534,  1416,  1417,
       0,  1418,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,     0,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,  1419,   190,  1420,   560,   561,     0,     0,   562,   563,
     194,   564,     0,     0,   565,  1421,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,  2522,   573,  2523,
     198,   574,   199,     0,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,   584,     0,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,  1422,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,     0,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,  2524,   631,   632,   220,   633,   634,  1424,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,  1425,  1426,     0,     0,   656,   657,
       0,   658,     0,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,  1427,  2525,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   729,   688,   689,     0,    86,    87,
      88,   705,    90,    91,    92,   706,  2526,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,   443,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,     0,     0,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,   541,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,   560,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,    86,    87,    88,   705,    90,    91,    92,
     706,  1131,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,     0,    86,    87,
      88,   705,    90,    91,    92,   706,  5155,   707,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     708,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   709,   710,     0,     0,
       0,   711,   712,     0,     0,     0,     0,   713,     0,     0,
       0,     0,     0,     0,     0,     0,   714,     0,   715,     0,
     716,   717,    35,   427,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   428,  1021,   430,   431,
     432,   433,   434,   435,  1022,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
       0,  1023,   444,   445,   134,   135,     0,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,   719,
     139,   453,     0,   454,   455,   456,   457,   143,     0,     0,
       0,   458,   459,   460,   461,     0,   462,   463,   720,     0,
     464,   465,   466,   467,   468,   469,     0,     0,   470,   471,
       0,     0,     0,     0,     0,     0,     0,     0,   473,   474,
     475,   476,   722,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,  1024,   167,
     509,     0,   510,     0,  1025,     0,  1026,     0,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
     724,   519,   520,     0,   521,   522,   523,   524,  1027,   525,
     526,   527,   528,   529,   530,     0,   531,     0,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,     0,
       0,   536,     0,   537,   538,   539,   540,  1028,     0,     0,
     542,   182,     0,   543,     0,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,   725,
     555,   556,   726,   557,   558,   559,   189,     0,   191,  1029,
     561,   192,     0,   562,   563,     0,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,     0,   574,     0,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,  1030,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,  1031,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,     0,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,   727,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,     0,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,     0,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
     728,   236,     0,   676,     0,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   729,
     688,   689,     0,     0,     0,     0,     0,     0,     0,  1032,
    1033,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,     0,     0,     0,     0,   428,
    1021,   430,   431,   432,   433,   434,   435,  1022,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,  1055,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,  1024,   167,   509,     0,   510,     0,  1056,     0,  1026,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,  1027,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
    1028,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,  1029,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,  1030,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,  1031,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,     0,     0,     0,     0,     0,
       0,     0,  1032,  1033,    86,    87,    88,   705,    90,    91,
      92,   706,     0,   707,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   708,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   709,   710,     0,     0,     0,   711,   712,     0,
       0,     0,     0,   713,     0,     0,     0,     0,     0,     0,
       0,     0,   714,     0,   715,     0,   716,   717,    35,   427,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
    1510,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,     0,   443,   444,   445,
     134,   135,     0,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,   719,   139,   453,     0,   454,
     455,   456,   457,   143,     0,     0,     0,   458,   459,   460,
     461,     0,   462,   463,   720,     0,   464,   465,   466,   467,
     468,   469,     0,     0,   470,   471,     0,     0,     0,     0,
       0,     0,     0,     0,   473,   474,   475,   476,   722,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,     0,  1026,     0,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,   724,   519,   520,     0,
     521,   522,   523,   524,  1027,   525,   526,   527,   528,   529,
     530,     0,   531,     0,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,     0,     0,   536,     0,   537,
     538,   539,   540,   541,     0,     0,   542,   182,     0,   543,
       0,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,   725,   555,   556,   726,   557,
     558,   559,   189,     0,   191,   560,   561,   192,     0,   562,
     563,     0,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,     0,   574,     0,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
       0,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,   727,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,     0,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,     0,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,   728,   236,     0,   676,
       0,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   729,   688,   689,     0,     0,
       0,     0,     0,     0,     0,  1032,  1033,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  1515,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,  1026,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,  1027,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,     0,     0,     0,     0,     0,     0,     0,  1032,  1033,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,   427,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,   723,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,   226,   227,  1687,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,     0,     0,     0,     0,  1101,  1688,
      86,    87,    88,   705,    90,    91,    92,   706,  1102,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   708,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,     0,   443,   444,   445,   134,   135,     0,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,  1103,
     452,  1074,   139,   453,     0,   454,   455,   456,   457,   143,
       0,     0,     0,   458,   459,   460,   461,     0,   462,   463,
    1104,     0,  1105,   465,   466,   467,   468,   469,     0,     0,
     470,   471,     0,     0,     0,     0,     0,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,     0,     0,     0,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,   520,     0,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,     0,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,     0,     0,   536,     0,   537,   538,   539,   540,   541,
       0,     0,   542,   182,     0,   543,     0,     0,   544,   545,
    1106,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,  1107,   189,     0,
     191,   560,   561,   192,     0,   562,   563,     0,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,     0,   574,     0,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,     0,  1108,   614,   615,
     213,   616,   617,   618,  1109,   620,   621,   727,   622,     0,
     623,   624,   625,   626,  1110,     0,   629,   630,   218,   631,
     632,     0,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,     0,   650,   651,   652,   653,   654,
       0,  1111,   227,     0,     0,  1112,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,  1078,   236,     0,   676,     0,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,  1113,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   760,   436,   437,   438,   761,   762,   763,   764,   765,
     766,   767,   439,   440,   768,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,   769,   446,   447,   448,
     449,   450,   770,   771,   451,   452,   772,   139,   453,   773,
     454,   455,   456,   457,   143,   774,   144,   775,   458,   459,
     460,   461,   147,   462,   463,   776,   777,   464,   465,   466,
     467,   468,   469,   778,   150,   470,   471,   779,   780,   781,
     782,   151,   783,   784,   785,   473,   474,   475,   476,   722,
     477,   154,   155,   478,   786,   479,   787,   480,   481,   482,
     483,   484,   788,   485,   486,   487,   789,   790,   488,   489,
     490,   491,   492,   791,   493,   494,   495,   792,   496,   497,
     498,   793,   499,   500,   501,   502,   163,   503,   504,   505,
     165,   794,   506,   795,   507,   508,   167,   509,   796,   510,
     797,   511,   168,   798,   169,   512,   513,   514,   799,   515,
     171,   800,   172,   516,   801,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,   802,   525,   526,   527,   528,
     529,   530,   803,   531,   175,   176,   804,   532,   533,   534,
     805,   177,   806,   178,   807,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,   808,   809,   542,   182,   183,
     543,   184,   810,   544,   545,   546,   811,   812,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,   813,
     562,   563,   194,   564,   814,   195,   565,   196,   566,   567,
     568,   815,   569,   816,   817,   570,   571,   572,   818,   819,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,   820,   582,   583,   201,   584,   202,   585,
     586,   587,   821,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,   822,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   823,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,   824,   623,   624,   625,   626,   627,
     825,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,   826,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,   827,   647,   648,   828,   649,   225,
     650,   651,   652,   653,   654,   829,   226,   227,   830,   831,
     656,   657,   228,   658,   229,   832,   659,   660,   661,   662,
     663,   664,   665,   833,   834,   666,   667,   668,   669,   670,
     835,   836,   671,   672,   673,   674,   675,   837,   236,   838,
     676,   237,   677,   678,   679,   680,   839,   840,   681,   841,
     842,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,   760,   436,   437,   438,
     761,   762,   763,   764,   765,   766,   767,   439,   440,   768,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,   769,   446,   447,   448,   449,   450,   770,   771,   451,
     452,   772,   139,   453,   773,   454,   455,   456,   457,   143,
     774,   144,   775,   458,   459,   460,   461,   147,   462,   463,
     776,   777,   464,   465,   466,   467,   468,   469,   778,   150,
     470,   471,   779,   780,   781,   782,   151,   783,   784,   785,
     473,   474,   475,   476,   722,   477,   154,   155,   478,   786,
     479,   787,   480,   481,   482,   483,   484,   788,   485,   486,
     487,   789,   790,   488,   489,   490,   491,   492,   791,   493,
     494,   495,   792,   496,   497,   498,   793,   499,   500,   501,
     502,   163,   503,   504,   505,   165,   794,   506,   795,   507,
     508,   167,   509,   796,   510,   797,   511,   168,   798,   169,
     512,   513,   514,   799,   515,   171,   800,   172,   516,   801,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
     802,   525,   526,   527,   528,   529,   530,   803,   531,   175,
     176,   804,   532,   533,   534,   805,   177,   806,   178,   807,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
     808,   809,   542,   182,   183,   543,   184,   810,   544,   545,
     546,   811,   812,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,   813,   562,   563,   194,   564,   814,
     195,   565,   196,   566,   567,   568,   815,   569,   816,   817,
     570,   571,   572,   818,   819,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,   820,   582,
     583,   201,   584,   202,   585,   586,   587,   821,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,   822,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   823,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,   824,
     623,   624,   625,   626,   627,   825,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,   826,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,   827,
     647,   648,   828,   649,   225,   650,   651,   652,   653,   654,
     829,   226,   227,   830,   831,   656,   657,   228,   658,   229,
     832,   659,   660,   661,   662,   663,   664,   665,   833,   834,
     666,   667,   668,   669,   670,   835,   836,   671,   672,   673,
     674,   675,   837,   236,   838,   676,   237,   677,   678,   679,
     680,   839,   840,   681,   841,   842,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,  3391,   433,   434,
     435,   760,   436,   437,   438,   761,   762,   763,   764,   765,
     766,   767,   439,   440,   768,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,   769,   446,   447,   448,
     449,   450,   770,   771,   451,   452,   772,   139,   453,   773,
     454,   455,   456,   457,   143,   774,   144,   775,   458,   459,
     460,   461,   147,   462,   463,   776,   777,   464,   465,   466,
     467,   468,   469,   778,   150,   470,   471,   779,   780,   781,
     782,   151,   783,   784,   785,   473,   474,   475,   476,   722,
     477,   154,   155,   478,   786,   479,   787,   480,   481,   482,
     483,   484,   788,   485,   486,   487,   789,   790,   488,   489,
     490,  3392,   492,   791,   493,   494,   495,   792,   496,   497,
     498,   793,   499,   500,   501,   502,   163,   503,   504,   505,
     165,   794,   506,   795,   507,   508,   167,   509,   796,   510,
     797,   511,   168,   798,   169,   512,   513,   514,   799,   515,
     171,   800,   172,   516,   801,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,   802,   525,   526,   527,   528,
     529,   530,   803,   531,   175,   176,   804,   532,   533,   534,
     805,   177,   806,   178,   807,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,   808,   809,   542,   182,   183,
     543,   184,   810,   544,   545,   546,   811,   812,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,   813,
     562,   563,   194,   564,   814,   195,   565,   196,   566,   567,
     568,   815,   569,   816,   817,   570,   571,   572,   818,   819,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,   820,   582,   583,   201,   584,   202,   585,
     586,   587,   821,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,   822,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   823,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,   824,   623,   624,   625,   626,   627,
     825,  3393,   630,   218,   631,   632,   220,   633,   634,   221,
     635,   826,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,   827,   647,   648,   828,   649,   225,
     650,   651,   652,   653,   654,   829,   226,   227,   830,   831,
     656,   657,   228,   658,   229,   832,   659,   660,   661,   662,
     663,   664,   665,   833,   834,   666,   667,   668,   669,   670,
     835,   836,   671,   672,   673,   674,   675,   837,   236,   838,
     676,   237,   677,   678,   679,   680,   839,   840,   681,   841,
     842,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,  1586,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,  1589,
       0,  1590,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,  1591,  1592,  1593,  1594,  1595,  1596,  1597,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,  1601,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,  1604,     0,   172,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,  1608,   183,   543,   184,     0,   544,   545,
     546,  1609,  1610,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
    1615,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
    1618,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,  1619,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,  1622,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,  1624,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,  1627,   658,  1628,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,  1631,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,  1633,  1634,  1635,  1636,  1637,  1638,  1639,
    1640,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,   719,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,   724,   519,  1399,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,   728,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1450,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1406,   136,  1407,
    1408,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1409,  1410,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1411,  1412,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1414,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
    2520,   525,   526,   527,   528,   529,   530,     0,   531,   175,
    2521,     0,   532,   533,   534,  1416,  1417,     0,  1418,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1419,   190,
    1420,   560,   561,     0,     0,   562,   563,   194,   564,     0,
       0,   565,  1421,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,  2523,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1422,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,  2524,   631,
     632,   220,   633,   634,  1424,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1425,  1426,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1427,  2525,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1406,   136,  1407,  1408,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1409,  1410,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1411,  1412,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1414,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
    1416,  1417,     0,  1418,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1419,   190,  1420,   560,   561,     0,     0,
     562,   563,   194,   564,  2617,     0,   565,  1421,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1422,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  2524,   631,   632,   220,   633,   634,  1424,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,  4222,   649,   225,
     650,   651,   652,   653,   654,     0,  1425,  1426,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1427,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1406,   136,  1407,
    1408,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1409,  1410,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1411,  1412,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1414,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,  1416,  1417,     0,  1418,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1419,   190,
    1420,   560,   561,  2683,     0,   562,   563,   194,   564,     0,
       0,   565,  1421,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1422,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,  1423,   631,
     632,   220,   633,   634,  1424,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1425,  1426,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1427,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1406,   136,  1407,  1408,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1409,  1410,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1411,  1412,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1414,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
    1416,  1417,     0,  1418,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1419,   190,  1420,   560,   561,  4049,     0,
     562,   563,   194,   564,     0,     0,   565,  1421,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1422,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  1423,   631,   632,   220,   633,   634,  1424,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1425,  1426,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1427,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1406,   136,  1407,
    1408,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1409,  1410,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1411,  1412,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1414,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,  1415,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,  1416,  1417,     0,  1418,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1419,   190,
    1420,   560,   561,     0,     0,   562,   563,   194,   564,     0,
       0,   565,  1421,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1422,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,  1423,   631,
     632,   220,   633,   634,  1424,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1425,  1426,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1427,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1406,   136,  1407,  1408,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1409,  1410,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1411,  1412,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1414,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,  1476,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
    1416,  1417,     0,  1418,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1419,   190,  1420,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1421,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1422,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  1423,   631,   632,   220,   633,   634,  1424,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1425,  1426,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1427,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1406,   136,  1407,
    1408,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1409,  1410,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1411,  1412,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1414,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,  1416,  1417,     0,  1418,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1419,   190,
    1420,   560,   561,     0,     0,   562,   563,   194,   564,     0,
       0,   565,  1421,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1422,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,  1423,   631,
     632,   220,   633,   634,  1424,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1425,  1426,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1427,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,  1406,   136,  1407,  1408,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1409,  1410,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,  1411,  1412,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
    1413,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,  1414,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
    1416,  1417,     0,  1418,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,  1419,   190,  1420,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,  1421,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,  1422,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,  2524,   631,   632,   220,   633,   634,  1424,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,  1425,  1426,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,  1427,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,   753,
      86,    87,    88,   705,    90,    91,    92,   706,     0,   707,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   754,
     104,   105,   708,   755,     0,   107,   108,   109,   110,   756,
     757,   112,   113,   114,     0,   115,   758,   759,   709,   710,
       0,     0,     0,   711,   712,     0,     0,     0,     0,   713,
       0,     0,     0,     0,     0,     0,     0,     0,   714,     0,
     715,     0,   716,   717,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,     0,  1406,   136,  1407,
    1408,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,  1409,  1410,   453,     0,   454,   455,   456,   457,     0,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
     720,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,   722,   477,  1411,  1412,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,  1413,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,     0,   503,   504,   505,     0,     0,   506,     0,   507,
     508,  1414,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,     0,     0,     0,   516,     0,
     517,   518,   724,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
       0,     0,   532,   533,   534,  1416,  1417,     0,  1418,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,     0,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,   725,   555,   556,   726,   557,   558,   559,  1419,   190,
    1420,   560,   561,     0,     0,   562,   563,   194,   564,     0,
       0,   565,  1421,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,     0,   198,   574,   199,
       0,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,   584,     0,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,  1422,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
       0,   616,   617,   618,   619,   620,   621,   727,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,     0,   631,
     632,   220,   633,   634,  1424,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,  1425,  1426,     0,     0,   656,   657,     0,   658,     0,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,  1427,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   729,   688,   689,   753,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   754,   104,   105,   708,   755,     0,
     107,   108,   109,   110,   756,   757,   112,   113,   114,     0,
     115,   758,   759,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,     0,     0,   136,     0,     0,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,     0,   453,     0,
     454,   455,   456,   457,     0,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,     0,   473,   474,   475,   476,   722,
     477,     0,     0,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,     0,   503,   504,   505,
       0,     0,   506,     0,   507,   508,     0,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
       0,     0,     0,   516,     0,   517,   518,   724,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,     0,     0,   532,   533,   534,
       0,     0,     0,     0,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,     0,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,     0,   190,     0,   560,   561,     0,     0,
     562,   563,   194,   564,     0,     0,   565,     0,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,     0,   198,   574,   199,     0,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,   584,     0,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,     0,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,     0,   631,   632,   220,   633,   634,     0,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,     0,     0,     0,     0,
     656,   657,     0,   658,     0,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,     0,     0,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   760,   436,   437,   438,   761,
     762,   763,   764,   765,   766,   767,   439,   440,   768,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
     769,   446,   447,   448,   449,   450,   770,   771,   451,   452,
       0,   139,   453,   773,   454,   455,   456,   457,   143,   774,
     144,   775,   458,   459,   460,   461,   147,   462,   463,   776,
     777,   464,   465,   466,   467,   468,   469,   778,   150,   470,
     471,     0,   780,   781,   782,   151,   783,   784,   785,   473,
     474,   475,   476,     0,   477,   154,   155,   478,   786,   479,
     787,   480,   481,   482,   483,   484,   788,   485,   486,   487,
     789,   790,   488,   489,   490,   491,   492,   791,   493,   494,
     495,   792,   496,   497,   498,   793,   499,   500,   501,   502,
     163,   503,   504,   505,   165,   794,   506,   795,   507,   508,
     167,   509,   796,   510,   797,   511,   168,   798,   169,   512,
     513,   514,   799,   515,   171,   800,   172,   516,   801,   517,
     518,     0,   519,   520,   173,   521,   522,   523,   524,   802,
     525,   526,   527,   528,   529,   530,   803,   531,   175,   176,
       0,   532,   533,   534,     0,   177,   806,   178,   807,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,   808,
     809,   542,   182,   183,   543,   184,   810,   544,   545,   546,
     811,   812,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,   813,   562,   563,   194,   564,   814,   195,
     565,   196,   566,   567,   568,   815,   569,   816,   817,   570,
     571,   572,   818,   819,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,   820,   582,   583,
     201,   584,   202,   585,   586,   587,   821,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
     822,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   823,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,   824,   623,
     624,   625,   626,   627,   825,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,   826,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,   827,   647,
     648,   828,   649,   225,   650,   651,   652,   653,   654,   829,
     226,   227,     0,   831,   656,   657,   228,   658,   229,   832,
     659,   660,   661,   662,   663,   664,   665,     0,   834,   666,
     667,   668,   669,   670,   835,   836,   671,   672,   673,   674,
     675,     0,   236,   838,   676,   237,   677,   678,   679,   680,
     839,   840,   681,   841,   842,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
       0,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,  1194,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,  2562,   454,   455,   456,   457,
     143,     0,     0,  2636,   458,   459,   460,   461,     0,   462,
     463,   720,  2563,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,  2637,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,  2565,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,  2566,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
    2567,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,  2562,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,  2563,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,  2637,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
    2565,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,  3553,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,  2566,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,  2567,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,  1089,   434,   435,  1041,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,  1042,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,  1090,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
    1043,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,  1044,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1041,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,  1042,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,  3289,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,  1043,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,  1044,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,  2562,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,  2563,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,  2637,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,  2565,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,  2566,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
    2567,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,   718,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,   721,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,   723,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1041,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,  1042,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
    1043,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,  1044,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,   950,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,   951,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   952,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  2235,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
    2236,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,  2237,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,  2238,   511,     0,     0,     0,  2239,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,  2240,  2241,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,  2242,   620,   621,   727,   622,     0,  2243,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,  2244,
     649,     0,  2245,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
    2246,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,  1042,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,  1043,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
    1044,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,  2224,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,  3148,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,  3149,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,  2502,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,  3150,   649,     0,
     650,  3151,   652,  3152,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,  3153,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,   745,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,   723,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,   427,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,   899,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1282,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1283,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
    1124,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1391,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,   129,
     130,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  3372,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,  3373,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,  3385,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,  3386,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,   427,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
     427,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   956,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,   427,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,  1003,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,   427,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,  1059,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,  1124,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,  1246,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1247,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1690,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1873,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,  1124,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1922,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1923,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,  2091,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,  2224,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,  2502,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
    4397,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,  4411,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,  5104,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,  1071,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,  1073,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,  1075,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,  1076,   227,     0,     0,
    1077,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,  1118,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
    1074,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,  1119,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
    1120,   227,     0,     0,  1121,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,  1078,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,  1138,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1270,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1277,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1292,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1348,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1363,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1404,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1462,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  1466,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  1468,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  1470,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  1474,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  1482,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,  1701,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,  1103,   452,  1074,   139,  1702,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,  1107,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,  1108,   614,   615,   213,   616,   617,   618,  1109,
     620,   621,   727,   622,     0,   623,   624,   625,   626,  1694,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,  1111,   227,     0,     0,
    1112,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,  1113,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,  1827,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,  1073,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,  1074,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2047,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  2077,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  2079,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2151,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  2153,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2155,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,  2272,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
    2469,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,     0,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  2857,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  2861,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,  2901,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,  3300,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,   719,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,   720,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,  3375,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,   728,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
     719,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,   720,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,  3377,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,   559,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,   727,   622,     0,   623,
     624,   625,   626,   627,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,   728,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,   719,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,   720,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,  3489,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
     559,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
     727,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   728,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,   719,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,   720,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,  3511,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,   559,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,   727,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,   728,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
    1103,   452,  1074,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,  1107,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,  1108,   614,
     615,   213,   616,   617,   618,  1109,   620,   621,   727,   622,
       0,   623,   624,   625,   626,  1694,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,  1111,   227,     0,     0,  1112,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,  1078,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,  1113,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,   705,    90,
      91,    92,   706,     0,   707,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   708,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   709,   710,     0,     0,     0,   711,   712,
       0,     0,     0,     0,   713,     0,     0,     0,     0,     0,
       0,     0,     0,   714,     0,   715,     0,   716,   717,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,     0,   443,   444,
     445,   134,   135,     0,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,  1074,   139,   453,     0,
     454,   455,   456,   457,   143,     0,     0,     0,   458,   459,
     460,   461,     0,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,     0,   470,   471,     0,     0,     0,
       0,     0,     0,     0,     0,   473,   474,   475,   476,   722,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,     0,     0,     0,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,   724,   519,   520,
       0,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,     0,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,     0,     0,   536,     0,
     537,   538,   539,   540,   541,     0,     0,   542,   182,     0,
     543,     0,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,   725,   555,   556,   726,
     557,   558,   559,   189,     0,   191,   560,   561,   192,     0,
     562,   563,     0,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,     0,   574,     0,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,     0,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,   727,   622,     0,   623,   624,   625,   626,   627,
       0,   629,   630,   218,   631,   632,     0,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,     0,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
       0,     0,   671,   672,   673,   674,   675,  1078,   236,     0,
     676,     0,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   729,   688,   689,    86,
      87,    88,   705,    90,    91,    92,   706,     0,   707,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   708,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   709,   710,     0,
       0,     0,   711,   712,     0,     0,     0,     0,   713,     0,
       0,     0,     0,     0,     0,     0,     0,   714,     0,   715,
       0,   716,   717,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,     0,   443,   444,   445,   134,   135,     0,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,  1103,   452,
    1074,   139,   453,     0,   454,   455,   456,   457,   143,     0,
       0,     0,   458,   459,   460,   461,     0,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,     0,   470,
     471,     0,     0,     0,     0,     0,     0,     0,     0,   473,
     474,   475,   476,   722,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,     0,     0,     0,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,   724,   519,   520,     0,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,     0,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
       0,     0,   536,     0,   537,   538,   539,   540,   541,     0,
       0,   542,   182,     0,   543,     0,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
     725,   555,   556,   726,   557,   558,  1107,   189,     0,   191,
     560,   561,   192,     0,   562,   563,     0,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,     0,   574,     0,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,     0,  1108,   614,   615,   213,
     616,   617,   618,  1109,   620,   621,   727,   622,     0,   623,
     624,   625,   626,  1694,     0,   629,   630,   218,   631,   632,
       0,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,     0,  2549,   651,   652,   653,   654,     0,
    1111,   227,     0,     0,  1112,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,  1078,   236,     0,   676,     0,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
    1113,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     729,   688,   689,    86,    87,    88,   705,    90,    91,    92,
     706,     0,   707,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   708,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   709,   710,     0,     0,     0,   711,   712,     0,     0,
       0,     0,   713,     0,     0,     0,     0,     0,     0,     0,
       0,   714,     0,   715,     0,   716,   717,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,     0,   443,   444,   445,   134,
     135,     0,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,  1103,   452,  1074,   139,   453,     0,   454,   455,
     456,   457,   143,     0,     0,     0,   458,   459,   460,   461,
       0,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,     0,   470,   471,     0,     0,     0,     0,     0,
       0,     0,     0,   473,   474,   475,   476,   722,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
       0,     0,     0,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,   724,   519,   520,     0,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,     0,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,     0,     0,   536,     0,   537,   538,
     539,   540,   541,     0,     0,   542,   182,     0,   543,     0,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,   725,   555,   556,   726,   557,   558,
    1107,   189,     0,   191,   560,   561,   192,     0,   562,   563,
       0,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
       0,   574,     0,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,     0,
    1108,   614,   615,   213,   616,   617,   618,  2621,   620,   621,
     727,   622,     0,   623,   624,   625,   626,  2622,     0,   629,
     630,   218,   631,   632,     0,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,     0,   650,   651,
     652,   653,   654,     0,  1111,   227,     0,     0,  2623,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,  1078,   236,     0,   676,     0,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,  1113,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   729,   688,   689,    86,    87,    88,
     705,    90,    91,    92,   706,     0,   707,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   708,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   709,   710,     0,     0,     0,
     711,   712,     0,     0,     0,     0,   713,     0,     0,     0,
       0,     0,     0,     0,     0,   714,     0,   715,     0,   716,
     717,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,     0,
     443,   444,   445,   134,   135,     0,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,  1103,   452,  1074,   139,
     453,     0,   454,   455,   456,   457,   143,     0,     0,     0,
     458,   459,   460,   461,     0,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,     0,   470,   471,     0,
       0,     0,     0,     0,     0,     0,     0,   473,   474,   475,
     476,   722,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,     0,     0,     0,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,   724,
     519,   520,     0,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,     0,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,     0,     0,
     536,     0,   537,   538,   539,   540,   541,     0,     0,   542,
     182,     0,   543,     0,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,   725,   555,
     556,   726,   557,   558,  1107,   189,     0,   191,   560,   561,
     192,     0,   562,   563,     0,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,     0,   574,     0,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,     0,  1108,   614,   615,   213,   616,   617,
     618,  1109,   620,   621,   727,   622,     0,   623,   624,   625,
     626,  2622,     0,   629,   630,   218,   631,   632,     0,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,     0,   650,   651,   652,   653,   654,     0,  1111,   227,
       0,     0,  2623,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,  1078,
     236,     0,   676,     0,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,  1113,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   729,   688,
     689,    86,    87,    88,   705,    90,    91,    92,   706,     0,
     707,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   708,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   709,
     710,     0,     0,     0,   711,   712,     0,     0,     0,     0,
     713,     0,     0,     0,     0,     0,     0,     0,     0,   714,
       0,   715,     0,   716,   717,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,     0,   443,   444,   445,   134,   135,     0,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,   719,   139,   453,     0,   454,   455,   456,   457,
     143,     0,     0,     0,   458,   459,   460,   461,     0,   462,
     463,   720,     0,   464,   465,   466,   467,   468,   469,     0,
       0,   470,   471,     0,     0,     0,     0,     0,     0,     0,
       0,   473,   474,   475,   476,   722,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,     0,     0,
       0,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,   724,   519,   520,     0,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
       0,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,     0,     0,   536,     0,   537,   538,   539,   540,
     541,     0,     0,   542,   182,     0,   543,     0,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,   725,   555,   556,   726,   557,   558,   559,   189,
       0,   191,   560,   561,   192,     0,   562,   563,     0,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,     0,   574,
       0,   200,   575,   576,   577,   578,     0,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,     0,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,     0,   613,   614,
     615,   213,     0,   617,   618,   619,   620,   621,   727,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,     0,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,     0,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,   728,   236,     0,   676,     0,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   729,   688,   689,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114, -2555,
     115,   116,   117,     0,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,   126,    35,
       0,   422,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,     0,
       0,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,     0,     0,   167,     0,     0,     0,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,   225,
       0,     0,     0,     0,     0,     0,   226,   227,     0,     0,
       0,     0,   228,     0,   229,     0,     0,     0,     0,     0,
       0,     0,     0,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,   237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
   -2556,   115,   116,   117,     0,     0,     0,     0,     0,   120,
     121,     0,     0,     0,     0,   122,     0,     0,     0,     0,
       0,     0,     0,     0,   123,     0,   124,     0,   125,   126,
      35,     0,  1189,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,   147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   154,   155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,     0,   115,   116,   117,     0,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,   123,     0,   124,     0,   125,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     132,     0,     0,     0,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,     0,     0,     0,     0,   143,     0,   144,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,     0,   163,
       0,     0,     0,   165,     0,     0,     0,     0,     0,   167,
       0,     0,     0,     0,     0,   168,     0,   169,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,   192,     0,     0,     0,   194,     0,     0,   195,     0,
     196,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,     0,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0,     0,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,   192,     0,     0,     0,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   197,   198,     0,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,     0,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   427,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,     0,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,  2200,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,  2201,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,     0,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,  2202,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,     0,     0,     0,     0,    41,    42,  1032,  1785,  4930,
       0,     0,     0,     0,     0,     0,  4931,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,   129,   130,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,   216,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,   224,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,   235,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,   238,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   688,   689,    35,   427,   248,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,   249,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,  2403,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,  2200,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,  2201,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,  2202,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   688,   689,     0,     0,     0,
       0,     0,    35,   427,  1032,  1785,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,  2408,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,  2200,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,  2201,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,  2202,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     688,   689,     0,     0,     0,     0,     0,    35,   427,  1032,
    1785,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,     0,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,  2200,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,  2201,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,     0,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,  2202,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   688,   689,     0,     0,     0,
       0,     0,    35,   427,  1032,  1785,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,     0,   473,   474,
     475,   476,     0,   477,   154,   155,   478,  3282,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,  2200,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,  2201,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,     0,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,  2202,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,     0,
     688,   689,     0,     0,     0,     0,     0,    35,   427,  1032,
    1033,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,   472,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,   655,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   688,   689,    35,   427,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,   472,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
     551,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   688,   689,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,     0,
     473,   474,   475,   476,     0,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,  2200,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,   520,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,  2201,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,     0,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
    2202,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    35,   688,   689,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,     0,   473,   474,   475,
     476,     0,   477,   154,   155,   478,  2388,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,   520,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,     0,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   688,
     689,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,     0,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,     0,   519,   520,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,   551,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,     0,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,     0,     0,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,  2180,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    35,   688,   689,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   428,   429,   430,   431,
     432,   433,   434,   435,  1272,   436,   437,   438,     0,     0,
       0,     0,     0,     0,     0,   439,   440,     0,   441,   442,
     132,   443,   444,   445,   134,   135,   136,   137,   138,     0,
     446,   447,   448,   449,   450,     0,     0,   451,   452,     0,
     139,   453,     0,   454,   455,   456,   457,   143,     0,   144,
       0,   458,   459,   460,   461,   147,   462,   463,     0,     0,
     464,   465,   466,   467,   468,   469,     0,   150,   470,   471,
       0,     0,     0,     0,   151,     0,     0,   472,   473,   474,
     475,   476,     0,   477,   154,   155,   478,     0,   479,     0,
     480,   481,   482,   483,   484,     0,   485,   486,   487,     0,
       0,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   496,   497,   498,     0,   499,   500,   501,   502,   163,
     503,   504,   505,   165,     0,   506,     0,   507,   508,   167,
     509,     0,   510,     0,   511,   168,     0,   169,   512,   513,
     514,     0,   515,   171,     0,   172,   516,     0,   517,   518,
       0,   519,   520,   173,   521,   522,   523,   524,     0,   525,
     526,   527,   528,   529,   530,     0,   531,   175,   176,     0,
     532,   533,   534,     0,   177,     0,   178,     0,   535,   179,
     180,   536,   181,   537,   538,   539,   540,   541,     0,     0,
     542,   182,   183,   543,   184,     0,   544,   545,   546,     0,
       0,   547,   548,   549,   550,   551,   552,   553,   554,     0,
     555,   556,     0,   557,   558,   559,   189,   190,   191,   560,
     561,   192,     0,   562,   563,   194,   564,     0,   195,   565,
     196,   566,   567,   568,     0,   569,     0,     0,   570,   571,
     572,     0,     0,   573,   197,   198,   574,   199,   200,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,   201,
     584,   202,   585,   586,   587,     0,   588,   589,   590,   591,
     592,   593,   594,   595,   204,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,     0,   611,   612,   211,   613,   614,   615,   213,   616,
     617,   618,   619,   620,   621,     0,   622,     0,   623,   624,
     625,   626,   627,   628,   629,   630,   218,   631,   632,   220,
     633,   634,   221,   635,     0,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   223,     0,   647,   648,
       0,   649,   225,   650,   651,   652,   653,   654,     0,   226,
     227,     0,     0,   656,   657,   228,   658,   229,     0,   659,
     660,   661,   662,   663,   664,   665,     0,     0,   666,   667,
     668,   669,   670,     0,     0,   671,   672,   673,   674,   675,
       0,   236,     0,   676,   237,   677,   678,   679,   680,     0,
       0,   681,     0,     0,   682,   683,   684,   685,   686,   687,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    35,
     688,   689,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   428,   429,   430,   431,   432,   433,   434,
     435,     0,   436,   437,   438,     0,     0,     0,     0,     0,
       0,     0,   439,   440,     0,   441,   442,   132,   443,   444,
     445,   134,   135,   136,   137,   138,     0,   446,   447,   448,
     449,   450,     0,     0,   451,   452,     0,   139,   453,     0,
     454,   455,   456,   457,   143,     0,   144,     0,   458,   459,
     460,   461,   147,   462,   463,     0,     0,   464,   465,   466,
     467,   468,   469,     0,   150,   470,   471,     0,     0,     0,
       0,   151,     0,     0,   472,   473,   474,   475,   476,     0,
     477,   154,   155,   478,     0,   479,     0,   480,   481,   482,
     483,   484,     0,   485,   486,   487,     0,     0,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   496,   497,
     498,     0,   499,   500,   501,   502,   163,   503,   504,   505,
     165,     0,   506,     0,   507,   508,   167,   509,     0,   510,
       0,   511,   168,     0,   169,   512,   513,   514,     0,   515,
     171,     0,   172,   516,     0,   517,   518,     0,   519,   520,
     173,   521,   522,   523,   524,     0,   525,   526,   527,   528,
     529,   530,     0,   531,   175,   176,     0,   532,   533,   534,
       0,   177,     0,   178,     0,   535,   179,   180,   536,   181,
     537,   538,   539,   540,   541,     0,     0,   542,   182,   183,
     543,   184,     0,   544,   545,   546,     0,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,   555,   556,     0,
     557,   558,   559,   189,   190,   191,   560,   561,   192,     0,
     562,   563,   194,   564,     0,   195,   565,   196,   566,   567,
     568,     0,   569,     0,     0,   570,   571,   572,     0,     0,
     573,   197,   198,   574,   199,   200,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,   201,   584,   202,   585,
     586,   587,     0,   588,   589,   590,   591,   592,   593,   594,
     595,   204,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,     0,   611,
     612,   211,   613,   614,   615,   213,   616,   617,   618,   619,
     620,   621,     0,   622,     0,   623,   624,   625,   626,   627,
     628,   629,   630,   218,   631,   632,   220,   633,   634,   221,
     635,     0,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   223,     0,   647,   648,     0,   649,   225,
     650,   651,   652,   653,   654,     0,   226,   227,     0,     0,
     656,   657,   228,   658,   229,     0,   659,   660,   661,   662,
     663,   664,   665,     0,     0,   666,   667,   668,   669,   670,
    2743,     0,   671,   672,   673,   674,   675,     0,   236,     0,
     676,   237,   677,   678,   679,   680,     0,     0,   681,     0,
       0,   682,   683,   684,   685,   686,   687,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    35,   688,   689,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   436,
     437,   438,     0,     0,     0,     0,     0,     0,     0,   439,
     440,     0,   441,   442,   132,   443,   444,   445,   134,   135,
     136,   137,   138,     0,   446,   447,   448,   449,   450,     0,
       0,   451,   452,     0,   139,   453,     0,   454,   455,   456,
     457,   143,     0,   144,     0,   458,   459,   460,   461,   147,
     462,   463,     0,     0,   464,   465,   466,   467,   468,   469,
       0,   150,   470,   471,     0,     0,     0,     0,   151,     0,
       0,   472,   473,   474,   475,   476,     0,   477,   154,   155,
     478,     0,   479,     0,   480,   481,   482,   483,   484,     0,
     485,   486,   487,     0,     0,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   496,   497,   498,     0,   499,
     500,   501,   502,   163,   503,   504,   505,   165,     0,   506,
       0,   507,   508,   167,   509,     0,   510,     0,   511,   168,
       0,   169,   512,   513,   514,     0,   515,   171,  3688,   172,
     516,     0,   517,   518,     0,   519,   520,   173,   521,   522,
     523,   524,     0,   525,   526,   527,   528,   529,   530,     0,
     531,   175,   176,     0,   532,   533,   534,     0,   177,     0,
     178,     0,   535,   179,   180,   536,   181,   537,   538,   539,
     540,   541,     0,     0,   542,   182,   183,   543,   184,     0,
     544,   545,   546,     0,     0,   547,   548,   549,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   557,   558,   559,
     189,   190,   191,   560,   561,   192,     0,   562,   563,   194,
     564,     0,   195,   565,   196,   566,   567,   568,     0,   569,
       0,     0,   570,   571,   572,     0,     0,   573,   197,   198,
     574,   199,   200,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,   201,   584,   202,   585,   586,   587,     0,
     588,   589,   590,   591,   592,   593,   594,   595,   204,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   611,   612,   211,   613,
     614,   615,   213,   616,   617,   618,   619,   620,   621,     0,
     622,     0,   623,   624,   625,   626,   627,   628,   629,   630,
     218,   631,   632,   220,   633,   634,   221,   635,     0,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     223,     0,   647,   648,     0,   649,   225,   650,   651,   652,
     653,   654,     0,   226,   227,     0,     0,   656,   657,   228,
     658,   229,     0,   659,   660,   661,   662,   663,   664,   665,
       0,     0,   666,   667,   668,   669,   670,     0,     0,   671,
     672,   673,   674,   675,     0,   236,     0,   676,   237,   677,
     678,   679,   680,     0,     0,   681,     0,     0,   682,   683,
     684,   685,   686,   687,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    35,   688,   689,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   428,   429,   430,
     431,   432,   433,   434,   435,     0,   436,   437,   438,     0,
       0,     0,     0,     0,     0,     0,   439,   440,     0,   441,
     442,   132,   443,   444,   445,   134,   135,   136,   137,   138,
       0,   446,   447,   448,   449,   450,     0,     0,   451,   452,
       0,   139,   453,     0,   454,   455,   456,   457,   143,     0,
     144,     0,   458,   459,   460,   461,   147,   462,   463,     0,
       0,   464,   465,   466,   467,   468,   469,     0,   150,   470,
     471,     0,     0,     0,     0,   151,     0,     0,   472,   473,
     474,   475,   476,     0,   477,   154,   155,   478,     0,   479,
       0,   480,   481,   482,   483,   484,     0,   485,   486,   487,
       0,     0,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   496,   497,   498,     0,   499,   500,   501,   502,
     163,   503,   504,   505,   165,     0,   506,     0,   507,   508,
     167,   509,     0,   510,     0,   511,   168,     0,   169,   512,
     513,   514,     0,   515,   171,     0,   172,   516,     0,   517,
     518,     0,   519,   520,   173,   521,   522,   523,   524,     0,
     525,   526,   527,   528,   529,   530,     0,   531,   175,   176,
       0,   532,   533,   534,     0,   177,     0,   178,     0,   535,
     179,   180,   536,   181,   537,   538,   539,   540,   541,     0,
       0,   542,   182,   183,   543,   184,     0,   544,   545,   546,
       0,     0,   547,   548,   549,   550,   551,   552,   553,   554,
       0,   555,   556,     0,   557,   558,   559,   189,   190,   191,
     560,   561,   192,     0,   562,   563,   194,   564,     0,   195,
     565,   196,   566,   567,   568,     0,   569,     0,     0,   570,
     571,   572,     0,     0,   573,   197,   198,   574,   199,   200,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
     201,   584,   202,   585,   586,   587,     0,   588,   589,   590,
     591,   592,   593,   594,   595,   204,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,     0,   611,   612,   211,   613,   614,   615,   213,
     616,   617,   618,   619,   620,   621,     0,   622,     0,   623,
     624,   625,   626,   627,   628,   629,   630,   218,   631,   632,
     220,   633,   634,   221,   635,     0,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   223,     0,   647,
     648,     0,   649,   225,   650,   651,   652,   653,   654,     0,
     226,   227,     0,     0,   656,   657,   228,   658,   229,     0,
     659,   660,   661,   662,   663,   664,   665,     0,     0,   666,
     667,   668,   669,   670,     0,     0,   671,   672,   673,   674,
     675,     0,   236,     0,   676,   237,   677,   678,   679,   680,
       0,     0,   681,     0,     0,   682,   683,   684,   685,   686,
     687,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      35,   688,   689,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   436,   437,   438,     0,     0,     0,     0,
       0,     0,     0,   439,   440,     0,   441,   442,   132,   443,
     444,   445,   134,   135,   136,   137,   138,     0,   446,   447,
     448,   449,   450,     0,     0,   451,   452,     0,   139,   453,
       0,   454,   455,   456,   457,   143,     0,   144,     0,   458,
     459,   460,   461,   147,   462,   463,     0,     0,   464,   465,
     466,   467,   468,   469,     0,   150,   470,   471,     0,     0,
       0,     0,   151,     0,     0,   472,   473,   474,   475,   476,
       0,   477,   154,   155,   478,     0,   479,     0,   480,   481,
     482,   483,   484,     0,   485,   486,   487,     0,     0,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   496,
     497,   498,     0,   499,   500,   501,   502,   163,   503,   504,
     505,   165,     0,   506,     0,   507,   508,   167,   509,     0,
     510,     0,   511,   168,     0,   169,   512,   513,   514,     0,
     515,   171,     0,   172,   516,     0,   517,   518,     0,   519,
     520,   173,   521,   522,   523,   524,     0,   525,   526,   527,
     528,   529,   530,     0,   531,   175,   176,     0,   532,   533,
     534,     0,   177,     0,   178,     0,   535,   179,   180,   536,
     181,   537,   538,   539,   540,   541,     0,     0,   542,   182,
     183,   543,   184,     0,   544,   545,   546,     0,     0,   547,
     548,   549,   550,  1289,   552,   553,   554,     0,   555,   556,
       0,   557,   558,   559,   189,   190,   191,   560,   561,   192,
       0,   562,   563,   194,   564,     0,   195,   565,   196,   566,
     567,   568,     0,   569,     0,     0,   570,   571,   572,     0,
       0,   573,   197,   198,   574,   199,   200,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   201,   584,   202,
     585,   586,   587,     0,   588,   589,   590,   591,   592,   593,
     594,   595,   204,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,     0,
     611,   612,   211,   613,   614,   615,   213,   616,   617,   618,
     619,   620,   621,     0,   622,     0,   623,   624,   625,   626,
     627,   628,   629,   630,   218,   631,   632,   220,   633,   634,
     221,   635,     0,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   223,     0,   647,   648,     0,   649,
     225,   650,   651,   652,   653,   654,     0,   226,   227,     0,
       0,   656,   657,   228,   658,   229,     0,   659,   660,   661,
     662,   663,   664,   665,     0,     0,   666,   667,   668,   669,
     670,     0,     0,   671,   672,   673,   674,   675,     0,   236,
       0,   676,   237,   677,   678,   679,   680,     0,     0,   681,
       0,     0,   682,   683,   684,   685,   686,   687,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   688,   689,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     436,   437,   438,     0,     0,     0,     0,     0,     0,     0,
     439,   440,     0,   441,   442,   132,   443,   444,   445,   134,
     135,   136,   137,   138,     0,   446,   447,   448,   449,   450,
       0,     0,   451,   452,     0,   139,   453,     0,   454,   455,
     456,   457,   143,     0,   144,     0,   458,   459,   460,   461,
     147,   462,   463,     0,     0,   464,   465,   466,   467,   468,
     469,     0,   150,   470,   471,     0,     0,     0,     0,   151,
       0,     0,   472,   473,   474,   475,   476,     0,   477,   154,
     155,   478,     0,   479,     0,   480,   481,   482,   483,   484,
       0,   485,   486,   487,     0,     0,   488,   489,   490,   491,
     492,     0,   493,   494,   495,     0,   496,   497,   498,     0,
     499,   500,   501,   502,   163,   503,   504,   505,   165,     0,
     506,     0,   507,   508,   167,   509,     0,   510,     0,   511,
     168,     0,   169,   512,   513,   514,     0,   515,   171,     0,
     172,   516,     0,   517,   518,     0,   519,   520,   173,   521,
     522,   523,   524,     0,   525,   526,   527,   528,   529,   530,
       0,   531,   175,   176,     0,   532,   533,   534,     0,   177,
       0,   178,     0,   535,   179,   180,   536,   181,   537,   538,
     539,   540,   541,     0,     0,   542,   182,   183,   543,   184,
       0,   544,   545,   546,     0,     0,   547,   548,   549,   550,
    1371,   552,   553,   554,     0,   555,   556,     0,   557,   558,
     559,   189,   190,   191,   560,   561,   192,     0,   562,   563,
     194,   564,     0,   195,   565,   196,   566,   567,   568,     0,
     569,     0,     0,   570,   571,   572,     0,     0,   573,   197,
     198,   574,   199,   200,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,   201,   584,   202,   585,   586,   587,
       0,   588,   589,   590,   591,   592,   593,   594,   595,   204,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,     0,   611,   612,   211,
     613,   614,   615,   213,   616,   617,   618,   619,   620,   621,
       0,   622,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   218,   631,   632,   220,   633,   634,   221,   635,     0,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   223,     0,   647,   648,     0,   649,   225,   650,   651,
     652,   653,   654,     0,   226,   227,     0,     0,   656,   657,
     228,   658,   229,     0,   659,   660,   661,   662,   663,   664,
     665,     0,     0,   666,   667,   668,   669,   670,     0,     0,
     671,   672,   673,   674,   675,     0,   236,     0,   676,   237,
     677,   678,   679,   680,     0,     0,   681,     0,     0,   682,
     683,   684,   685,   686,   687,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    35,   688,   689,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   436,   437,   438,
       0,     0,     0,     0,     0,     0,     0,   439,   440,     0,
     441,   442,   132,   443,   444,   445,   134,   135,   136,   137,
     138,     0,   446,   447,   448,   449,   450,     0,     0,   451,
     452,     0,   139,   453,     0,   454,   455,   456,   457,   143,
       0,   144,     0,   458,   459,   460,   461,   147,   462,   463,
       0,     0,   464,   465,   466,   467,   468,   469,     0,   150,
     470,   471,     0,     0,     0,     0,   151,     0,     0,   472,
     473,   474,   475,   476,     0,   477,   154,   155,   478,     0,
     479,     0,   480,   481,   482,   483,   484,     0,   485,   486,
     487,     0,     0,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   496,   497,   498,     0,   499,   500,   501,
     502,   163,   503,   504,   505,   165,     0,   506,     0,   507,
     508,   167,   509,     0,   510,     0,   511,   168,     0,   169,
     512,   513,   514,     0,   515,   171,     0,   172,   516,     0,
     517,   518,     0,   519,  1452,   173,   521,   522,   523,   524,
       0,   525,   526,   527,   528,   529,   530,     0,   531,   175,
     176,     0,   532,   533,   534,     0,   177,     0,   178,     0,
     535,   179,   180,   536,   181,   537,   538,   539,   540,   541,
       0,     0,   542,   182,   183,   543,   184,     0,   544,   545,
     546,     0,     0,   547,   548,   549,   550,   551,   552,   553,
     554,     0,   555,   556,     0,   557,   558,   559,   189,   190,
     191,   560,   561,   192,     0,   562,   563,   194,   564,     0,
     195,   565,   196,   566,   567,   568,     0,   569,     0,     0,
     570,   571,   572,     0,     0,   573,   197,   198,   574,   199,
     200,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,   201,   584,   202,   585,   586,   587,     0,   588,   589,
     590,   591,   592,   593,   594,   595,   204,   596,   597,   598,
     599,     0,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,     0,   611,   612,   211,   613,   614,   615,
     213,   616,   617,   618,   619,   620,   621,     0,   622,     0,
     623,   624,   625,   626,   627,   628,   629,   630,   218,   631,
     632,   220,   633,   634,   221,   635,     0,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   223,     0,
     647,   648,     0,   649,   225,   650,   651,   652,   653,   654,
       0,   226,   227,     0,     0,   656,   657,   228,   658,   229,
       0,   659,   660,   661,   662,   663,   664,   665,     0,     0,
     666,   667,   668,   669,   670,     0,     0,   671,   672,   673,
     674,   675,     0,   236,     0,   676,   237,   677,   678,   679,
     680,     0,     0,   681,     0,     0,   682,   683,   684,   685,
     686,   687,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    35,   688,   689,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   436,   437,   438,     0,     0,     0,
       0,     0,     0,     0,   439,   440,     0,   441,   442,   132,
     443,   444,   445,   134,   135,   136,   137,   138,     0,   446,
     447,   448,   449,   450,     0,     0,   451,   452,     0,   139,
     453,     0,   454,   455,   456,   457,   143,     0,   144,     0,
     458,   459,   460,   461,   147,   462,   463,     0,     0,   464,
     465,   466,   467,   468,   469,     0,   150,   470,   471,     0,
       0,     0,     0,   151,     0,     0,   472,   473,   474,   475,
     476,     0,   477,   154,   155,   478,     0,   479,     0,   480,
     481,   482,   483,   484,     0,   485,   486,   487,     0,     0,
     488,   489,   490,   491,   492,     0,   493,   494,   495,     0,
     496,   497,   498,     0,   499,   500,   501,   502,   163,   503,
     504,   505,   165,     0,   506,     0,   507,   508,   167,   509,
       0,   510,     0,   511,   168,     0,   169,   512,   513,   514,
       0,   515,   171,     0,   172,   516,     0,   517,   518,     0,
     519,  1464,   173,   521,   522,   523,   524,     0,   525,   526,
     527,   528,   529,   530,     0,   531,   175,   176,     0,   532,
     533,   534,     0,   177,     0,   178,     0,   535,   179,   180,
     536,   181,   537,   538,   539,   540,   541,     0,     0,   542,
     182,   183,   543,   184,     0,   544,   545,   546,     0,     0,
     547,   548,   549,   550,   551,   552,   553,   554,     0,   555,
     556,     0,   557,   558,   559,   189,   190,   191,   560,   561,
     192,     0,   562,   563,   194,   564,     0,   195,   565,   196,
     566,   567,   568,     0,   569,     0,     0,   570,   571,   572,
       0,     0,   573,   197,   198,   574,   199,   200,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,   201,   584,
     202,   585,   586,   587,     0,   588,   589,   590,   591,   592,
     593,   594,   595,   204,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
       0,   611,   612,   211,   613,   614,   615,   213,   616,   617,
     618,   619,   620,   621,     0,   622,     0,   623,   624,   625,
     626,   627,   628,   629,   630,   218,   631,   632,   220,   633,
     634,   221,   635,     0,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   223,     0,   647,   648,     0,
     649,   225,   650,   651,   652,   653,   654,     0,   226,   227,
       0,     0,   656,   657,   228,   658,   229,     0,   659,   660,
     661,   662,   663,   664,   665,     0,     0,   666,   667,   668,
     669,   670,     0,     0,   671,   672,   673,   674,   675,     0,
     236,     0,   676,   237,   677,   678,   679,   680,     0,     0,
     681,     0,     0,   682,   683,   684,   685,   686,   687,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    35,   688,
     689,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   436,   437,   438,     0,     0,     0,     0,     0,     0,
       0,   439,   440,     0,   441,   442,   132,   443,   444,   445,
     134,   135,   136,   137,   138,     0,   446,   447,   448,   449,
     450,     0,     0,   451,   452,     0,   139,   453,     0,   454,
     455,   456,   457,   143,     0,   144,     0,   458,   459,   460,
     461,   147,   462,   463,     0,     0,   464,   465,   466,   467,
     468,   469,     0,   150,   470,   471,     0,     0,     0,     0,
     151,     0,     0,   472,   473,   474,   475,   476,     0,   477,
     154,   155,   478,     0,   479,     0,   480,   481,   482,   483,
     484,     0,   485,   486,   487,     0,     0,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   496,   497,   498,
       0,   499,   500,   501,   502,   163,   503,   504,   505,   165,
       0,   506,     0,   507,   508,   167,   509,     0,   510,     0,
     511,   168,     0,   169,   512,   513,   514,     0,   515,   171,
       0,   172,   516,     0,   517,   518,     0,   519,  1478,   173,
     521,   522,   523,   524,     0,   525,   526,   527,   528,   529,
     530,     0,   531,   175,   176,     0,   532,   533,   534,     0,
     177,     0,   178,     0,   535,   179,   180,   536,   181,   537,
     538,   539,   540,   541,     0,     0,   542,   182,   183,   543,
     184,     0,   544,   545,   546,     0,     0,   547,   548,   549,
     550,  1479,   552,   553,   554,     0,   555,   556,     0,   557,
     558,   559,   189,   190,   191,   560,   561,   192,     0,   562,
     563,   194,   564,     0,   195,   565,   196,   566,   567,   568,
       0,   569,     0,     0,   570,   571,   572,     0,     0,   573,
     197,   198,   574,   199,   200,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,   201,   584,   202,   585,   586,
     587,     0,   588,   589,   590,   591,   592,   593,   594,   595,
     204,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,     0,   611,   612,
     211,   613,   614,   615,   213,   616,   617,   618,   619,   620,
     621,     0,   622,     0,   623,   624,   625,   626,   627,   628,
     629,   630,   218,   631,   632,   220,   633,   634,   221,   635,
       0,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   223,     0,   647,   648,     0,   649,   225,   650,
     651,   652,   653,   654,     0,   226,   227,     0,     0,   656,
     657,   228,   658,   229,     0,   659,   660,   661,   662,   663,
     664,   665,     0,     0,   666,   667,   668,   669,   670,     0,
       0,   671,   672,   673,   674,   675,     0,   236,     0,   676,
     237,   677,   678,   679,   680,     0,     0,   681,     0,     0,
     682,   683,   684,   685,   686,   687,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   688,   689,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   436,   437,
     438,   129,   130,     0,     0,     0,     0,     0,   439,   440,
       0,   441,   442,   132,   443,   444,   445,   134,   135,   136,
     137,   138,     0,   446,   447,   448,   449,   450,     0,     0,
     451,   452,     0,   139,   453,     0,   454,   455,   456,   457,
     143,     0,   144,     0,   458,   459,   460,   461,   147,   462,
     463,     0,     0,   464,   465,   466,   467,   468,   469,     0,
     150,   470,   471,     0,     0,     0,     0,   151,     0,     0,
       0,   473,   474,   475,   476,     0,   477,   154,   155,   478,
       0,   479,     0,   480,   481,   482,   483,   484,     0,   485,
     486,   487,     0,     0,   488,   489,   490,   491,   492,     0,
     493,   494,   495,     0,   496,   497,   498,     0,   499,   500,
     501,   502,   163,   503,   504,   505,   165,     0,   506,     0,
     507,   508,   167,   509,     0,   510,     0,   511,   168,     0,
     169,   512,   513,   514,     0,   515,   171,     0,   172,   516,
       0,   517,   518,     0,   519,   520,   173,   521,   522,   523,
     524,     0,   525,   526,   527,   528,   529,   530,     0,   531,
     175,   176,     0,   532,   533,   534,     0,   177,     0,   178,
       0,   535,   179,   180,   536,   181,   537,   538,   539,   540,
     541,     0,     0,   542,   182,   183,   543,   184,     0,   544,
     545,   546,     0,     0,   547,   548,   549,   550,   551,   552,
     553,   554,     0,   555,   556,     0,   557,   558,   559,   189,
     190,   191,   560,   561,   192,     0,   562,   563,   194,   564,
       0,   195,   565,   196,   566,   567,   568,     0,   569,     0,
       0,   570,   571,   572,     0,     0,   573,   197,   198,   574,
     199,   200,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,   201,   584,   202,   585,   586,   587,     0,   588,
     589,   590,   591,   592,   593,   594,   595,   204,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,     0,   611,   612,   211,   613,   614,
     615,   213,   616,   617,   618,   619,   620,   621,     0,   622,
       0,   623,   624,   625,   626,   627,     0,   629,   630,   218,
     631,   632,   220,   633,   634,   221,   635,     0,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   223,
       0,   647,   648,     0,   649,   225,   650,   651,   652,   653,
     654,     0,   226,   227,     0,     0,   656,   657,   228,   658,
     229,     0,   659,   660,   661,   662,   663,   664,   665,     0,
       0,   666,   667,   668,   669,   670,     0,     0,   671,   672,
     673,   674,   675,     0,   236,     0,   676,   237,   677,   678,
     679,   680,     0,     0,   681,     0,     0,   682,   683,   684,
     685,   686,   687,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   688,   689
};

static const yytype_int16 yycheck[] =
{
       2,  1451,  1155,    78,  1105,   210,   249,   390,    78,    78,
      78,   923,  1122,   390,    78,  1160,  1455,  1460,   879,    96,
      84,   116,  1504,     2,  1042,  1043,  1044,  2239,  1534,   106,
    1048,   963,   230,   153,   152,    78,  1291,   374,   166,  1100,
    1225,  1128,  1359,   149,  1423,  1301,  1722,  1443,  1894,  1279,
    1859,  3172,  1426,  1370,  2004,  1570,  2364,  1411,  1412,    78,
     188,   164,   923,  3007,   141,    84,   161,  1421,  2816,   981,
     224,  3367,  1904,   984,  1340,   751,    78,  1009,  1112,   156,
    2528,  2529,    84,   203,   995,  2189,  3551,    89,  1739,   164,
    1345,  1900,   170,  3343,  1349,  3620,   963,   116,  2377,  1354,
    2074,   159,  1441,  1278,  2682,  2807,  1955,  1362,   131,  1284,
    2734,  3391,  1915,  3393,   116,   875,  3578,  1372,  1293,  1743,
     981,  3897,   882,   116,  2427,  2277,  1278,  3226,    78,   362,
    4211,  3541,   210,   893,  1400,  1967,  2086,   232,  3950,  3536,
    2979,  4000,   161,  3813,  3541,  3607,  1202,  3161,  3950,   376,
     152,  1202,  1008,  3159,  3160,   994,   752,  1833,  3946,   161,
    4200,   921,  3841,   376,  4201,  4223,   926,  2125,   161,  1972,
    1973,  4148,  1779,  1780,  1781,  3847,  1108,   937,  4198,  4214,
    2371,   217,   248,  3092,  4679,  1886,  1900,  1774,  1775,   116,
    4210,  1497,   209,  1837,  1517,  4480,  3257,  1409,  1410,  1242,
     166,   116,   219,  4808,  2178,  4810,  1488,   209,  1420,  3846,
    1152,  1152,  3913,   232,  1291,   217,  4872,   219,  3776,    21,
    2528,  3644,   188,  1024,    10,  1197,  1198,  1028,  1029,  1030,
     232,    30,  2810,    71,   161,    71,    87,  1038,  4853,   232,
      14,  1108,    87,  1000,  1598,  1599,   161,    85,    87,    85,
    4906,  4994,  1626,    74,    75,    76,    77,   124,  1496,  1183,
      81,  4297,  1616,  4299,    84,   116,   146,   117,    89,    90,
     111,   116,  4910,  4911,   950,    98,   138,   160,    74,    75,
      76,    77,   209,    14,   235,    81,   187,    71,   105,   117,
     217,    14,   219,    89,    90,   146,    74,    75,    76,    77,
     234,   146,   244,    81,   234,   232,   859,   382,    74,    75,
      76,    77,   382,   382,   382,    81,   275,   232,   115,   256,
    1338,   185,   152,  3232,    87,  1249,   390,   229,   180,   216,
     234,   229,  2910,  4945,  2912,    74,    75,    76,    77,   382,
      71,   131,    81,  3345,   215,   234,   334,   865,    71,   396,
     114,    74,    75,    76,    77,   131,   874,    80,    81,    82,
      83,   425,    85,    74,    75,    76,    77,   115,   106,   107,
      81,   390,   138,   204,   131,  1587,  1588,   412,    94,   202,
      78,   187,  2594,    74,    75,    76,    77,  1497,   390,    98,
      81,   909,   412,   178,    71,   104,   248,   234,    89,    90,
    1612,   184,    71,    80,   131,   412,   425,  1645,    85,  1321,
     382,    80,   396,    96,   159,   131,    85,    74,    75,    76,
      77,    50,   348,   425,    81,   100,  1102,    74,    75,    76,
      77,   187,   382,     0,    81,   102,   152,   153,    71,    68,
     412,    74,    75,    76,    77,   120,   162,    80,    81,   967,
    1706,   148,    85,   234,   199,   307,   382,    78,  5063,   977,
    1321,  1646,   102,   102,  5120,    74,    75,    76,    77,   109,
     109,    78,    81,   279,   185,   234,   157,    78,   861,   526,
      89,    90,   384,   150,   861,    78,   470,   203,  1673,  4984,
     254,   158,   148,   202,   529,   233,   102,   235,    74,    75,
      76,    77,   102,   109,   387,    81,   209,    78,  4485,   529,
      74,    75,    76,    77,   320,  5106,  5107,    81,  2476,   186,
      78,   240,   529,   234,   178,    89,    90,    78,    74,    75,
      76,    77,   215,   318,   476,    81,    14,   655,   526,    74,
      75,    76,    77,   148,   415,   449,    81,  5159,  3550,  1481,
    1461,   403,   157,    78,  3062,  3063,    78,  2515,  1668,  3067,
     449,  2519,   138,     8,  2014,   371,    11,    12,   385,   325,
     529,  1681,  1504,   474,   148,   526,  2019,    22,    23,    24,
    1504,    26,    27,   703,   704,  2236,    31,    32,    33,  2240,
     190,  2242,   529,   260,  2245,   529,  3104,  3105,   388,   529,
     487,  1711,  1712,  1199,  1200,   425,    74,    75,    76,    77,
     180,    78,   388,    81,  1481,    74,    75,    76,    77,  5187,
    4030,   449,    81,    74,    75,    76,    77,   477,   526,  1540,
      81,   388,   462,  4030,    74,    75,    76,    77,   435,    78,
    4680,    81,  1574,  2319,   524,  1556,   529,   470,   528,   423,
    1506,   515,  4672,   655,  5269,  2772,   487,  3953,  5296,   526,
    1571,   388,  4639,  2780,   526,  2782,  1219,   370,   451,   269,
     472,   522,   517,   518,   519,   520,   521,   522,   248,   517,
     518,   517,   518,   522,   382,   526,  5429,   435,   526,   526,
    2366,   477,   423,   477,  2370,  4365,  1951,  4733,  1953,  1874,
     423,  4737,  4738,   481,  4740,   526,  1507,  1574,  4170,  1510,
     426,   494,  1513,   396,  1515,  3293,  2033,  1518,   520,  4696,
    4392,  1522,  4401,   529,  2230,   524,  4405,   148,  4193,  1486,
     526,  1961,   415,   178,   888,  5391,   105,   307,   449,   529,
     310,  2007,    87,  2182,   482,   526,  2002,  5403,   526,  1924,
     868,  4309,   449,   529,  4391,  4456,   519,   520,   521,   522,
     526,   382,   857,  5368,   431,  5333,  1009,    87,   449,  1701,
     529,   116,   529,   102,   192,   382,  2608,  1709,  1710,  1012,
    1704,   382,   422,   422,   438,  1709,  1710,   526,  1306,   382,
    2144,   148,  5383,   449,   517,   518,   914,   861,  2237,  1317,
     157,   146,   529,   131,   515,   405,  5462,  2246,   244,   275,
     529,   382,  3260,  5098,  3262,  1753,   422,   528,  1155,  1761,
    1761,  1793,   491,   526,   382,  3573,  4249,  4250,  4251,  4252,
    4253,   382,   952,   403,  1701,   526,   178,  4133,   857,  5334,
     517,   518,   861,   512,   449,   903,  2678,  3861,   517,   518,
    1893,  3159,  3160,  3161,   972,   857,  1933,   382,   234,   861,
     382,  1938,  1380,   865,   857,   178,    98,   312,   190,   526,
     470,  4848,   874,   875,  3935,   449,  2114,   524,  4855,   526,
     882,   528,   318,   275,   178,   518,   178,   234,  2211,  2195,
    2477,   893,  2479,  1021,  2217,  1023,  3175,  1025,  2542,  1005,
    1054,  1497,  4983,  1031,  2186,   481,  1009,   909,   275,  2121,
    2122,  5479,    25,   131,   359,   382,   178,   526,  1145,   921,
    3157,   393,  2636,   449,   926,  2626,    25,  1055,  1056,  1006,
     857,  5426,  1145,  1008,   375,   937,   185,   507,   334,   655,
    3518,  3519,   857,   382,   330,   132,  1023,   493,  1025,   215,
     526,   226,  1876,   140,   956,  3748,   526,   110,  1035,   164,
    1884,   963,   526,   333,   275,   967,   512,    29,   108,   386,
     202,   973,   224,   529,  1128,   977,   978,   533,  1055,  1056,
     526,  3218,   984,  2322,  3777,   103,  4236,   703,   704,   515,
    4792,   526,   994,   995,    37,   412,    39,   124,  1000,   471,
     190,  2850,  3911,   318,    70,  1159,   472,  1009,    74,    75,
      76,    77,    78,    79,   459,    81,   385,  1929,  2864,  1943,
     190,  1000,  1946,  1947,   400,   493,   355,   396,   449,   398,
    1850,  1134,   185,  4835,   239,   751,  3227,  4849,  2276,  2277,
     476,   293,   317,   484,   512,  2283,   330,  4849,   178,   176,
     244,  2289,  2290,  2291,   472,   185,   244,  1023,   526,  1025,
     388,  2299,  2300,    98,  2082,  1129,  2304,   526,  1929,   104,
    1106,   320,  1138,  2555,  1110,   526,   216,   157,   407,   269,
     154,  1104,  4752,  2193,   190,   454,   526,  1241,  3536,  1055,
    1056,  2015,   449,  3541,   530,   122,   438,  1099,  1100,   269,
     318,   330,   449,    70,  1106,   185,  1108,   483,  1110,   296,
    1129,    78,    79,   442,   180,   444,   348,   275,  4797,  5200,
     194,  4793,   236,  4802,   318,   438,  4805,  1129,   524,   334,
     318,  2316,   528,    98,  1136,   179,   528,  5174,  2534,   104,
     526,   268,  2243,  2244,   438,  2524,   438,   409,   470,   415,
     382,   400,   270,  5211,   348,  5195,   526,    84,   271,  5196,
      87,   472,   529,   269,    91,    92,    93,   202,   515,  3617,
     388,  4696,   271,  5208,   519,   520,   521,   522,  4474,  1106,
     412,   528,   248,  1110,   389,   275,  5206,   340,   382,   156,
     320,   318,  4994,   508,   412,  1197,  1198,   517,   518,   519,
     520,   521,   522,   180,  1183,   267,  4668,    71,   236,   164,
      74,    75,    76,    77,  5438,   259,    80,    81,    82,    83,
    2040,    85,   336,  1202,   251,    74,    75,    76,    77,   256,
    3188,  1233,    81,  4513,   950,   405,   952,   202,  2149,   206,
     320,   307,   526,   475,   310,  2157,   365,  3755,  3756,  3757,
    3758,  2162,   164,  3761,  3762,  3763,  3764,  3765,  3766,  3767,
    3768,  3769,  3770,  1280,  1281,   292,  2177,  2199,   185,   321,
    1249,   248,   140,  3157,   401,   349,   340,   320,  1280,  1281,
     470,  2120,   476,  1233,   239,   185,   491,  1003,   476,   157,
    2897,  1007,   275,    25,    98,  5335,  2157,   526,   428,   144,
     470,   431,  2412,    35,  1306,   212,   140,   340,  5096,  3817,
    3818,  1313,  5536,   348,   472,  1317,  2967,   431,   235,   228,
      14,   340,   527,   100,   234,   530,  1384,   239,   382,   256,
     307,  1333,   299,   310,  3218,   177,  2175,   403,   118,  5198,
    1342,  1291,  2198,   120,  5425,   213,   256,   382,   180,  5430,
     277,   457,   235,  1280,  1281,  4454,   400,  5027,   237,   139,
    2298,  2462,   515,   231,   470,   275,   273,  5344,  2306,   443,
     398,   524,   154,   526,   527,   528,   529,   412,  1380,   213,
    5059,   348,   472,   348,  2296,   318,  1102,   412,  1104,   335,
     417,   242,  3509,   437,   438,   449,   526,   231,   202,  3516,
    3517,  5482,  1645,  3520,   321,   137,   185,   526,  4422,   336,
    3527,  4417,   194,  2730,  4428,   382,   248,   382,   470,   386,
      84,  1423,   334,    87,   452,   325,   403,    91,    92,    93,
     458,  1506,  1509,   340,  1511,  2296,  5238,  1514,   202,  1516,
    1823,   507,  1519,  1520,  1521,   412,  1823,   412,   482,   358,
    4289,  5263,  5122,  2903,   237,  1532,  5126,  5127,  2514,  1461,
    2635,  5263,  5543,  2514,   306,   529,   308,   350,  2907,  1546,
    2913,  1548,  4882,  3685,   441,   307,   443,   389,   310,  1481,
    4856,   154,   526,  1485,  1486,  4882,  1488,   154,   333,   472,
     234,   384,   190,   270,  1496,   363,   529,  5273,  5274,  1732,
     154,    98,  1504,   528,   202,  4970,  1485,  1486,   527,  1488,
     529,   281,   256,  3359,  2831,  2832,  2833,  2834,   248,  1746,
    1747,   194,  1749,  2698,   491,  1504,  2843,   194,   407,   363,
     507,   275,  2787,  1746,  1747,   418,  1749,   413,  1540,   271,
     194,   320,   393,   476,   348,  2720,  2698,   530,   318,   526,
     496,   102,  1554,  3861,  1556,   472,   307,   464,   140,   281,
     439,   334,   472,   224,   256,  3189,   236,   349,  4192,  1571,
    2494,   403,  1574,  2748,   338,  4951,  3728,   307,   382,   491,
     429,   430,  4030,  1585,  2102,   231,   513,   514,   515,   165,
     517,   518,   519,   520,   521,   522,   318,   465,   491,  2195,
     491,  3450,  3839,   185,  3841,   202,   340,   185,   412,  1763,
    2876,  1613,   449,   277,   187,   527,  3919,   515,   530,   512,
     530,   102,   386,  2555,   407,  1720,    70,  5429,  3460,  2147,
     528,   465,   293,  4141,    78,    79,   529,  3288,   529,  1641,
    1642,  1643,  2880,  1645,   347,   415,   197,   234,   412,   371,
     526,  4947,   403,   517,   518,  1657,   439,   234,   189,   235,
     229,   443,   360,  1665,  1687,  1688,   336,   324,   402,   256,
     239,   332,   336,   403,   189,   507,   349,   460,  1773,   256,
    5456,  4259,   349,  4261,  2596,   398,   195,   256,   275,   265,
     382,   362,   529,   415,   386,   349,   205,  3671,   275,  1701,
     470,  1720,  1704,   179,   280,   188,   279,  1709,  1710,   412,
    1774,  1775,   156,  3950,   290,   348,   197,  1719,  1720,  5184,
     412,  2239,  2633,  5099,  5186,  1704,   212,  1720,   472,   449,
    1709,  1710,   124,  5109,   187,  2596,   230,   226,   320,   315,
    4879,   454,  1837,   325,    70,   276,  1748,   320,   470,   382,
    1752,  1753,    78,    79,  1773,  1774,  1775,  5007,   334,  1823,
    5225,   276,   419,   207,   438,   112,  1830,   261,  1791,   252,
     443,  1773,  1774,  1775,   187,   347,   443,  2701,  4917,   412,
     451,   363,   347,   259,   176,  2709,   530,  2711,  4732,   443,
       2,  1793,  3298,  1720,    84,   377,   285,  3600,   371,   491,
    3603,    91,    92,    93,  1823,  1720,  1785,   293,   449,   529,
     263,  1830,  1966,  1871,  5110,   338,   392,   261,  1837,  5344,
     512,  1823,   391,   494,   348,   348,  3064,   405,  1830,  1831,
     156,  1810,  1811,  2509,   362,  1837,  5116,  1553,  3076,   348,
    3179,  2859,   405,   305,  1837,  1847,   193,   412,  1850,   513,
     514,   515,  1854,   517,   518,   519,   520,   521,   522,   382,
     438,   197,  3258,   199,   382,   318,   279,   320,  3264,   197,
    3108,   199,  2632,   382,   515,   438,   268,    89,    87,   370,
     206,  5343,  5003,   465,  1886,   472,  3329,   528,   412,   238,
     188,   236,  1894,   526,   412,   472,   472,  1876,   157,  4843,
     478,  4845,   375,   148,   282,  1884,   397,   320,  3146,   353,
    1837,  4659,   157,   491,  3268,   478,   347,  4495,  4496,   451,
    1847,   266,  1837,   451,   400,  1927,   318,   526,    74,    75,
      76,    77,  2692,   406,   512,    81,  2868,   146,   307,   177,
     152,   310,  2037,   530,   161,  4647,   158,   296,   526,    74,
      75,    76,    77,   530,   252,  3839,    81,  3841,   371,  1886,
     483,   437,   438,   526,  1943,   438,   494,  1946,  1947,  4671,
    5220,  1687,  1688,   299,   186,    74,    75,    76,    77,   238,
    5276,   412,    81,  1933,   320,  1987,  2746,  1989,  1938,   396,
    4107,  2109,   230,   277,   330,   472,  4113,  4114,  2930,  4116,
     259,  2868,   330,   491,  3954,   164,  2008,   472,   421,   401,
     188,   484,  5477,  3166,    71,   232,   386,   398,  2037,   463,
     427,  2023,   348,   261,   512,   184,   375,   471,    85,  2031,
     474,   472,  3683,   348,   403,  2037,  2015,   296,  2040,  2422,
    2042,    22,   412,   238,  2037,  2422,   336,  2971,   451,   526,
     334,  3317,    74,    75,    76,    77,  2058,   216,   235,    81,
    2062,   526,  1989,  2930,  2269,  5527,  3950,   382,   306,  2587,
     308,   386,  2074,   454,   252,  1791,  2594,  3583,   106,   107,
     339,   530,   396,   214,   398,   526,  3592,  2089,   265,  5385,
      71,   494,   493,   442,   348,   444,  2199,   412,  2693,  2253,
    2102,   296,   187,   280,   524,   442,  2108,   444,   528,  4417,
    2037,   512,  2114,   290,  4422,   441,  3346,   443,  2120,   468,
    4428,  3797,  2037,  2198,  3062,  3063,   257,   491,   382,  3067,
    2132,  2208,   197,  2210,   199,   484,   164,  2214,  3368,  2216,
     454,  5262,  2219,  3177,   229,  2147,  2223,  2149,  2150,   197,
     229,   199,  2747,   488,  4433,  3987,   184,   222,   283,   234,
    2162,  2056,    70,    71,  4401,   529,  3104,  3105,  4405,     5,
    2172,   250,  3347,  2175,   222,  2177,  2178,   348,   263,   325,
    2075,   256,   375,   442,  2186,   444,  2261,  2189,   216,    25,
    2268,  2261,  2261,  2261,   529,   454,  3711,  2199,   529,    35,
    4003,  4004,  4034,   238,   137,   138,   465,  2186,  3120,   468,
    2189,   382,   148,   406,  5510,   392,   532,  2275,  2261,   378,
     348,   157,   229,   513,   514,   515,   325,   517,   518,   519,
     520,   521,   522,   318,  2329,   320,   331,  2239,   530,   334,
    4748,   412,  3417,   250,  3920,   438,   405,   442,  3180,   444,
      74,    75,    76,    77,   382,   320,  3180,    81,    40,  3120,
     325,   296,   491,  4213,   382,   330,  3640,  3641,   386,  3719,
     305,   224,   472,   468,  2276,  2277,   229,   325,  2954,   438,
    2282,  2283,   330,   512,   412,   524,  2288,  2289,  2290,  2291,
    3545,   484,   531,  2295,   412,  2297,  2298,  2299,  2300,  2301,
    2302,   137,  2304,   325,  2306,  2307,    70,   320,  2310,   271,
    2329,   521,   325,  2441,    78,    79,   526,  2308,   528,   478,
    2311,  2424,  2324,  2325,  2326,  2327,  2328,  2329,   519,   520,
     521,  2333,   491,  5454,   348,  2337,  2329,    16,  2340,  3200,
     293,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
     378,  2353,  2557,   512,  2559,  4459,   369,   529,  2422,  2361,
     525,   533,  2364,  5484,   529,   201,   405,   526,   382,   371,
    4216,   224,   140,   491,  3285,  3286,   229,   405,   146,   332,
     212,   383,   524,  3315,   491,   365,  4964,  4695,   530,   157,
    4199,   456,   224,   302,   512,   529,   530,   229,   412,   438,
      87,   466,  2329,  2422,   454,   512,   408,   442,   456,   444,
     438,   302,   525,  2477,  2329,  2479,   529,   185,   466,   187,
    2422,   348,   529,   493,  2467,  2427,   442,  2555,   444,   116,
    2548,  5552,   493,   468,  4882,   271,   402,   302,  5382,   478,
     293,   273,   512,   655,   329,  3951,  3952,  2542,  3315,  3715,
     478,   512,   491,  2607,   482,   382,   526,   521,  2477,   146,
    2479,   293,   526,   491,   528,   526,   517,   518,   519,   520,
     521,   127,  4617,   512,  4619,  2477,   527,  2479,  4623,   332,
    4625,   526,   283,   528,   512,   412,  4603,   526,  4605,  4606,
     146,   400,  4609,  3011,   484,   263,  2498,    80,   526,  3017,
     332,   325,    85,   449,   160,   334,   334,    34,   340,   400,
     339,   339,  3750,   454,  2516,  2494,  2518,  4401,  5026,   129,
    3431,  4405,  2524,  2542,   396,   397,  2528,  2529,   526,  3440,
       7,  3075,   441,  3077,  3078,  2514,  2538,  2516,   454,  2518,
    2542,  2543,    19,    20,   527,  2547,  3784,   530,  4996,  2542,
     441,  3569,   320,  2555,   384,  4792,   212,   325,   402,   468,
    4797,    38,   529,   530,    41,  4802,  2661,   177,  4805,   305,
    2665,  2573,  2690,   527,  2576,   529,   441,   468,  3932,   527,
      84,   529,   491,  3979,   493,  2587,   524,   302,   526,  2591,
     302,  3829,  2594,   396,   397,   363,    70,    71,  4835,   305,
     491,  2603,   493,   468,    78,    79,   259,   527,  3695,   377,
     530,    85,  4849,  2615,  3546,  2542,  3548,   526,   491,   302,
     493,  4272,  4273,  4274,  2626,   161,   491,  2542,   493,  3885,
    2632,  2633,   464,   531,   527,   526,   529,    71,  2640,  3157,
     165,   524,  2661,   526,   250,   528,  2665,    70,   258,  3560,
     527,  3562,   529,    89,    90,    78,    79,    89,    90,  2661,
    2662,   526,   526,  2665,   528,   454,   153,  3852,   302,   527,
     484,   529,  2665,   128,   402,  3536,    99,   532,   283,  3546,
    3541,  3548,    85,   160,  3616,   400,   334,   527,   400,   529,
    2692,  2693,   904,   527,  2696,   529,   306,   465,   308,  2626,
    3218,   526,  3855,  3856,  3857,   526,   400,  2802,   318,   529,
     235,  2817,  2714,    74,    75,    76,    77,   400,   484,   128,
      81,   198,  2701,  2725,   118,   527,   441,   529,   482,   441,
    2709,  4943,  2711,   156,  2661,   509,  2738,   347,  2665,   527,
     265,   529,  4418,   528,  2746,  2747,  2661,   279,   337,  3616,
    2665,   963,   964,   468,   334,   280,   468,  4994,   441,   517,
     518,   519,   520,   521,   337,   290,   400,   525,    74,    75,
      76,    77,   449,   229,  4450,    81,   491,   387,   493,   491,
     527,   493,   529,  2802,   207,   468,   334,   527,  1000,   529,
     315,  2793,  2794,  2509,   337,   527,  3720,   529,   509,  3710,
    2802,   118,   527,  4920,   529,   509,  2808,   441,   491,  2802,
     493,   526,  2814,   491,   526,   493,   426,  3755,  3756,  3757,
    3758,  3064,  5059,  3761,  3762,  3763,  3764,  3765,  3766,  3767,
    3768,  3769,  3770,   256,   468,   527,   279,   529,   261,   519,
     442,   130,   444,   526,  2846,   233,   527,  1059,   529,   128,
    3788,   527,   527,   529,   302,   529,   527,   491,   529,   493,
     526,   302,  2864,   527,   234,  3108,  2868,   392,   527,  4099,
     529,   275,   321,   322,   163,  2802,   530,   519,  2880,  3817,
    3818,  1093,    74,    75,    76,    77,   527,  2802,   529,    81,
     271,  1103,   526,   532,   532,  1107,  1108,  1109,    74,    75,
      76,    77,   212,   449,  5212,    81,   111,   527,  4792,   529,
    4227,   449,   449,  4797,   224,   527,   449,   529,  4802,   229,
     527,  4805,   529,   526,  4575,  4576,   208,  4578,  2930,   449,
     353,   220,   128,   277,    70,    71,  2938,   271,    74,    75,
      76,    77,    78,    79,    80,    81,   527,   449,   529,    85,
     526,  4835,   400,  3151,  3152,  3153,   405,   528,   442,   400,
     444,   412,   526,   273,   253,  4849,    74,    75,    76,    77,
     393,   495,   527,    81,   529,  2977,  4355,   527,  3221,   529,
     527,   382,   529,   293,   256,  1197,  1198,   217,  3083,   438,
    1202,  2993,  2971,   441,  3089,   217,   527,  2999,   529,   288,
     441,  5238,   528,   334,   527,  3007,   529,   256,   527,  3011,
     529,   526,  3014,   436,   527,  3017,   529,   527,   382,   529,
     468,   334,   332,  3025,   217,   256,  5263,   468,   217,   478,
     340,   320,  3034,   527,   527,   529,   529,  3039,   334,   527,
     463,   529,   491,   491,   491,   493,   493,   229,   471,   185,
     491,   474,   493,   382,   527,   527,   529,   529,   217,   348,
    3062,  3063,  3064,   512,  3083,  3067,   527,   527,   529,   529,
    3089,   530,   291,  3075,  3076,  3077,  3078,   526,   526,   334,
     187,  3083,   527,   472,   529,   526,  3088,  3089,   526,  3091,
    3083,  3093,   527,   382,   529,   454,  3089,   386,   124,   484,
     329,   390,  3104,  3105,  4342,    98,  3108,   527,   397,   529,
    4994,   104,   302,   229,   527,   404,   529,   527,   283,   529,
    3122,  3196,  3124,   412,  3126,   402,  3196,  3196,  3196,   527,
     368,   529,  4614,   140,   527,   424,   529,   527,   274,   529,
     166,   111,   526,   432,  3146,    74,    75,    76,    77,  4655,
     320,   144,    81,  3196,   464,  3157,  3083,  3159,  3160,  3161,
     296,   527,  3089,   529,   526,   191,     2,  3685,  3083,  4030,
     495,   527,  4981,   529,  3089,  5059,   334,   527,  3180,   529,
     206,   527,  3184,   529,   210,   527,   527,   529,   529,   527,
     320,   529,  5429,   118,   527,  3197,   529,   486,   118,   459,
    3202,  3180,   195,  4141,   230,   348,  3208,   233,   229,   202,
     400,   527,   205,   529,   524,   484,  3218,   527,   528,   527,
     246,   529,   484,  5435,  5436,   527,   527,   529,   529,   527,
     527,   529,   529,   527,   527,   529,   529,   230,  2954,   527,
     527,   529,   529,   527,   527,   529,   529,   527,   302,   529,
     153,   441,   322,  4164,  4165,  3257,   229,   527,  3260,   529,
    3262,   527,   527,   529,   529,  3267,  4177,  3269,   261,  1481,
     527,   366,   529,  1485,  1486,   527,  1488,   529,   468,    84,
     531,   217,    87,  3285,  3286,   527,   527,   529,   529,  3291,
     217,   527,  1504,   529,   526,  4480,  3391,  3392,  3393,   325,
     527,   491,   529,   493,   527,   217,   529,   333,   481,   526,
    3312,   116,   527,  3315,   529,   359,  3318,   122,  1149,   526,
    1151,  3839,  4406,  3841,  4408,   318,   217,   320,   110,   495,
     166,   217,   217,  3335,   529,   405,   526,   330,  1550,   217,
     217,   146,   334,   369,   217,   338,   400,   217,   334,   217,
    5562,  5563,   188,  4277,  5238,   348,   217,  3359,   229,   217,
     334,   217,  1574,   217,   217,   438,   526,   111,   438,   291,
     229,   334,  3391,  3392,  3393,   526,   526,   229,   526,  5263,
     229,   517,   518,   345,   526,  4446,   526,   441,   526,  3391,
    3392,  3393,   385,   386,   526,   526,   275,   526,   526,   526,
     526,  5052,   526,   526,   526,   210,   526,   526,   478,   526,
     492,   526,  5063,  3415,   468,   526,   526,   526,   111,   412,
     526,   491,  3424,   526,  3426,  3427,   526,   526,   526,  3431,
     526,   168,  3950,  4939,  4940,  1647,   529,   491,  3440,   493,
     529,   275,   512,   291,  1656,  3540,   251,   277,   111,  4931,
     229,   256,   332,   229,   330,   412,   526,   527,  1670,   519,
     530,   271,   403,   310,  3391,  3392,  3393,   529,   184,   471,
     529,    14,   526,   515,   529,   526,  3391,  3392,  3393,   526,
     526,   449,   475,  3485,   449,   400,   400,   292,  3825,  1701,
     528,  5142,  1704,  1705,   449,   449,   293,  1709,  1710,   449,
     449,   515,  3504,   449,   157,   400,   217,   334,  3510,  3627,
    3630,   404,   449,   288,   449,   449,   325,    84,   471,   334,
      87,  3540,   441,   330,   396,   526,  4438,   249,   449,   526,
     157,   336,   449,  3535,  3536,   529,   348,   256,  3540,  3541,
     217,  3695,   472,   179,  3546,  5429,  3548,  3540,   472,   116,
     449,   449,   449,  3596,   128,   122,   128,  3536,  3560,   449,
    3562,   449,  3541,  3606,   338,   449,   441,   449,   449,   117,
     117,   400,   334,   529,   277,   449,   334,  4438,   334,   146,
    3823,  1793,   449,   449,   495,   277,   277,  3630,   526,   491,
     111,   100,   334,  5244,   217,   320,   185,  3599,  3841,  4510,
     526,   217,   299,   472,   330,   320,   320,   111,   229,   111,
     526,   283,   417,  3540,  3616,  3617,   401,   110,   483,   528,
     526,   447,  4640,   447,   524,  3540,   412,   449,   524,   449,
    3632,   217,   217,  3831,  3832,  3833,  3834,   472,   217,   472,
     217,   217,    14,   210,   329,   449,   529,  5153,   324,   487,
     234,   312,   312,    87,   447,   449,  4567,   225,   249,  4812,
     242,   234,   526,   526,   451,   515,  4819,   529,   249,  3671,
     273,  4926,   529,  5123,   529,   526,   415,   281,   335,   111,
     526,  5124,  4614,  3685,   251,   527,  3688,   527,   529,   256,
    4614,   472,  4837,    34,    10,  3790,   527,   529,   342,  5138,
     128,  5140,   527,   449,   449,   510,   400,   526,  3710,   472,
     400,  3713,   517,   518,   519,   520,   521,   522,   281,   281,
     325,  4831,   449,   325,   526,   292,   449,   484,  3730,   449,
     454,  3733,   402,   229,   283,   325,   334,  3739,   118,   421,
     291,  3720,   396,  3745,   449,  3747,   291,  1959,  3750,   291,
     333,   529,  3754,  3755,  3756,  3757,  3758,   441,   400,  3761,
    3762,  3763,  3764,  3765,  3766,  3767,  3768,  3769,  3770,   336,
     449,  3790,  3774,  3775,   334,   382,   382,  3779,   250,   409,
     449,   449,  3784,   371,   111,   277,  3788,   277,  3790,   277,
    3792,   472,   472,  5031,   277,   277,   283,  3790,  3800,   333,
     217,  3803,   515,  3805,   229,   515,   484,   229,   231,   526,
    4748,  3813,  3814,   330,   409,  3817,  3818,   526,  2030,  4757,
    3822,  3823,  5304,   217,   217,   216,   491,  3829,   111,   320,
     283,   320,  5070,   334,   334,    84,   247,  3839,    87,  3841,
     247,   229,    91,    92,    93,   520,   111,   509,  2060,   310,
     417,  3853,   217,   527,   509,   334,   527,  3859,  3860,  3861,
     524,  4962,   283,  3790,   334,  4248,   334,   116,   527,   527,
     409,  4248,   229,   122,   256,  3790,   527,   256,   256,   529,
     529,   495,   529,  4401,    99,   240,   526,  4405,   449,   234,
     309,   491,   334,  5046,   529,   128,   454,   146,   438,    84,
     329,   527,    87,   527,  3906,   527,    91,    92,    93,   484,
     283,   234,   527,   526,  3630,   527,   527,  3919,   527,   527,
     234,   345,   352,   108,   449,   301,   344,   526,   529,  4024,
    4058,   116,   526,  3935,  4029,   527,  4031,   122,  4850,   509,
     527,   470,   488,   510,   488,   478,   511,   527,  3950,   527,
     517,   518,   519,   520,   521,   522,   515,   526,   529,    84,
     526,   146,    87,   334,   128,   515,    91,    92,    93,   526,
     334,   527,  4883,   527,  2186,   530,   529,  2189,   337,   259,
    3982,  4893,   334,   108,   449,   526,   217,   495,   526,  4850,
     449,   449,   267,   325,   449,   338,   404,  5235,   217,  4931,
     217,   404,   251,   404,   291,  4024,   259,   256,   449,  5247,
    4029,   293,  4031,  5463,  5252,   472,  5254,   353,   353,   469,
     320,  4882,  4024,   449,  4119,   303,   303,  4029,  4030,  4031,
     303,   400,  4893,   449,   449,   449,  4029,   449,  4031,   449,
     449,   217,   400,   292,   449,   449,   400,   449,   117,   400,
     449,  4030,   412,   449,   449,   277,   277,   277,   527,   277,
     526,   459,   529,   527,   449,   118,   251,    84,   178,   384,
      87,   256,   333,   527,   526,   334,  2288,  4079,   529,   527,
    4082,   111,   217,   449,   217,   229,   244,   336,  5026,   525,
     138,   526,   277,   278,   400,   472,   400,  4024,   472,   116,
    4119,   229,  4029,   400,  4031,   122,   409,   292,    89,  4024,
     337,   215,   215,   208,  4029,   277,  4031,  4119,   277,   234,
     277,    87,   345,   529,  4642,   234,  4119,   524,   229,   146,
     483,   340,   488,   335,   234,   242,   526,   529,   323,  4141,
     527,   527,   389,   527,   527,   512,   527,  4126,   155,   459,
     229,   336,   277,   111,   339,   472,   283,   449,   128,   529,
     472,   529,  4164,  4165,  1000,  4208,  4168,   529,   417,   515,
     267,   441,   404,   515,   459,  4177,   526,  4179,   527,   527,
     527,   449,   526,  2395,  4248,  1021,   526,  1023,   400,  1025,
     400,   449,  4119,   210,   449,  1031,  1032,  1033,   449,   449,
     382,   527,   527,   527,  4119,   526,   128,   491,   229,   146,
     178,   336,   441,   217,  4216,  4217,  4218,   459,   527,  1055,
    1056,   277,   277,   277,   526,   277,   367,   491,  4271,  4248,
     281,   526,   417,   262,   251,   526,   529,   229,   495,   256,
     529,   527,   151,   441,   449,   459,  4248,   526,   529,    84,
     239,   178,   526,   529,   525,   527,   409,  5275,   234,   277,
     527,   510,   277,   277,   513,   514,   515,  4472,   517,   518,
     519,   520,   521,   522,  4792,   292,   277,   234,  4280,  4797,
     526,   128,   527,   376,  4802,   489,  2498,  4805,  4806,   489,
     527,   529,   527,   527,   280,   345,   526,   343,  4277,  4301,
     526,   280,  2514,   440,  2516,   341,  2518,   128,   330,   245,
    4312,   527,   515,   526,   459,   449,   527,  4835,   234,   336,
     527,   491,   146,   261,   515,   510,   325,   325,   513,   514,
     515,  4849,   517,   518,   519,   520,   521,   522,   128,   101,
    4342,   529,   441,  2555,   529,    84,   529,  1183,    87,   140,
    4352,  4353,   101,  4355,   217,   449,   277,  4359,  4360,  5271,
     449,   449,  4364,  4365,   236,   234,  1202,  4369,   256,   409,
    4372,  4373,  5304,   111,  4892,  4377,   472,   116,   526,   487,
     472,  4383,   111,   122,   203,   134,   148,   334,   513,   514,
     515,  4519,   517,   518,   519,   520,   521,   522,   147,  4401,
     417,   491,   234,  4405,   491,  4448,   526,   146,   264,  2621,
    5271,   229,   161,  1249,    70,  4417,   527,   179,  4513,   337,
    4422,   275,    78,    79,   234,  4943,  4428,   376,    84,   425,
     477,    87,   351,   490,   280,    91,    92,    93,   200,   157,
     526,   526,   198,   527,  4446,   527,   526,   334,   526,   211,
     527,   200,   108,   526,  4433,   111,   527,  4459,   449,   449,
     116,   526,   211,   377,   526,   526,   122,   192,   229,   231,
     325,   210,   111,  4475,   236,   325,  4994,   304,   259,   216,
    4459,   526,   231,   367,   526,   111,   527,   236,   526,   338,
     146,  4493,   527,   510,  4513,   397,   397,   459,   423,   423,
     517,   518,   519,   520,   521,   522,   515,   527,  4510,   128,
     128,  4513,   251,   111,   526,   526,   526,   256,   441,   527,
    4522,   526,   284,   529,   527,   318,   526,   472,   441,   334,
     441,    81,   527,   223,   367,  4537,   140,   337,   140,   198,
    4542,  5059,   476,   305,    84,   491,   376,  4549,   491,   477,
     111,   526,  2764,   292,   526,  4557,   305,   234,   529,   412,
    2772,   441,   488,   374,   229,  4567,   203,   261,  2780,   334,
    2782,   334,   526,   409,    84,   111,   111,    87,   337,   337,
     128,    91,    92,    93,   526,   236,  4513,   336,   236,   396,
     190,   470,   527,   526,  4596,   251,   526,   336,  4513,    81,
     256,   396,    97,   383,   366,   108,   216,   527,   449,   234,
     527,   526,  4614,   367,   526,   423,   491,   366,  2830,   529,
     423,   277,   278,   529,   491,   236,   526,   236,  1274,  4631,
     382,   393,  1990,  2815,  1710,  4614,   292,  3180,   400,  1280,
    4642,  2674,  1281,  3368,   406,  4029,  2742,  3532,  2860,  1485,
    1486,   400,  1488,  4118,  5172,  5145,  2868,   406,  4929,  5304,
     409,  4977,  4162,  4981,  4633,  4961,  3292,   323,  1504,  5389,
    2959,  4849,  5460,  5409,  5318,  5317,   438,  3296,   417,   441,
     336,  1245,  2894,   339,  4195,  4209,  2805,  4024,    89,   438,
    4154,  2805,  3392,  4695,  2061,  4697,   445,   459,  4178,  2799,
    4658,  3585,  5468,   452,  5561,    84,  5542,  4956,    87,  3540,
     459,  3535,    91,    92,    93,  5420,  4895,  5290,  2930,  5399,
    5238,  4898,   484,  2050,   188,  1541,  4280,  5095,  4216,   108,
    4732,    84,  2529,  3267,    87,   484,  1557,   116,    91,    92,
      93,  5212,  2264,   122,   992,  5263,  4748,  2264,  3488,  2265,
    4752,  5434,  5545,  4830,  2424,  4757,   964,  1854,  2425,  2199,
    1123,   417,  3196,  4197,  4449,   166,  5381,   146,  3917,  1499,
    3197,   510,  4774,  4775,  2942,  2465,  4778,  1738,   517,   518,
     519,   520,   521,   522,  1756,  3208,  1755,   188,  3203,  1681,
    4792,  3864,  5374,  5256,  4431,  4797,  2464,  3218,  1758,  3841,
    4802,  4392,  5060,  4805,  4806,  4407,  5238,  3839,  5237,  3918,
    3650,  4813,  4814,  5029,  5332,  1763,  3792,  4821,  5377,  5364,
    5378,  3200,  3125,  2358,  3035,  3627,   336,  5070,  3123,   655,
    5355,  2361,  2869,  4835,  4929,  2096,  1388,  2498,   391,  1002,
    3174,  4843,  1775,  4845,  4823,  2474,  1769,  4849,  2506,  5092,
    2507,  1553,  2514,  3924,   510,  4432,  3925,   513,   514,   515,
    3890,   517,   518,   519,   520,   521,   522,  1200,  1704,  1200,
    1684,  2518,   251,  1709,  1710,   424,  5394,   256,  2955,  1773,
    4882,  4883,  1220,  2228,     2,  1034,    -1,    -1,  1485,    -1,
    4892,    -1,    -1,    -1,   875,    -1,    -1,    -1,   277,   278,
      -1,   882,    -1,  4882,    -1,    -1,    -1,    -1,    78,    -1,
    4929,  5429,   893,   292,    84,    -1,    -1,  5435,  5436,    89,
      -1,    -1,    -1,  4966,   277,    -1,    -1,  4929,    -1,  4931,
      -1,    -1,    -1,    -1,    -1,    -1,  4929,    -1,    -1,    -1,
     921,  4943,    -1,    -1,   323,   926,   116,  1783,  4991,  1785,
      -1,    -1,    -1,    -1,    -1,    -1,   937,   336,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    -1,    -1,  1803,  3180,    -1,
      -1,    -1,    -1,    -1,  1810,  1811,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   336,    -1,    -1,   130,    -1,    -1,    -1,
      -1,   161,  4994,    -1,  4996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4929,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,  4929,    -1,    -1,    -1,    -1,   163,
      -1,  5116,    -1,    -1,  5026,  5027,    -1,  5029,    -1,  5031,
      -1,    -1,  5550,    -1,    -1,    -1,    -1,    -1,   417,   209,
    1876,    -1,    -1,    -1,  5562,  5563,    -1,   217,  1884,   219,
      -1,    -1,    -1,  5055,    -1,    84,    -1,  5059,    87,    -1,
      -1,    -1,   232,  5065,    -1,    -1,    -1,    -1,  5070,    -1,
      -1,    -1,    -1,    -1,    84,    -1,   220,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,   116,    -1,    -1,
    5092,    -1,    -1,   122,    -1,    -1,    -1,  5116,   108,    -1,
      -1,    -1,    -1,  3315,    -1,    -1,    -1,  1943,    -1,   253,
    1946,  1947,    -1,    -1,  5116,    -1,    -1,   146,    -1,    -1,
    5122,    -1,    -1,    -1,  5126,  5127,    -1,    -1,    -1,  5131,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,   288,    -1,   525,    -1,    -1,    -1,
      -1,  5194,   531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
    5172,    -1,    -1,    -1,    -1,    -1,   320,    -1,    -1,  2015,
      -1,   210,    -1,    -1,    -1,  3397,    -1,    -1,    -1,  5116,
    5192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5212,  5213,    -1,    -1,    -1,    -1,  1197,  1198,    -1,    -1,
     390,  5223,   251,    -1,    -1,    -1,  3438,   256,    -1,    -1,
      -1,    -1,    -1,  5235,    -1,    -1,  5238,    -1,    -1,    -1,
      -1,    -1,   386,  5486,   388,  5247,   390,    -1,    -1,    -1,
    5252,    -1,  5254,   397,  5256,   425,    -1,    -1,  2094,    -1,
     404,  5263,    -1,   292,    -1,    -1,    -1,   277,   412,    -1,
      -1,    -1,    -1,    -1,    -1,  3487,    -1,    -1,    -1,  5281,
     424,    -1,  2118,    -1,    -1,    -1,    -1,    -1,   432,    -1,
      -1,    -1,  2128,    -1,  2130,    -1,    -1,  3509,    -1,    -1,
      -1,  2137,  5304,    -1,  3516,  3517,  2142,   336,  3520,    -1,
      -1,    -1,    -1,    -1,    -1,  3527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3536,    -1,   336,    -1,    -1,  3541,
    5332,    -1,    -1,    -1,  3546,    -1,  3548,    -1,    -1,    -1,
      -1,    -1,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2186,    -1,    -1,  2189,    -1,    -1,    -1,    -1,    -1,  5434,
      -1,  5363,  5364,    -1,  5434,  5434,  5434,    -1,    78,    -1,
      -1,    -1,  5374,    -1,  3586,    -1,    -1,    -1,  5421,    -1,
    5382,    -1,    -1,    -1,    -1,  5480,    84,    -1,   417,    87,
      -1,  5434,  5394,    91,    92,    93,    -1,    -1,    -1,    84,
      -1,    -1,    87,  3615,  3616,    -1,    91,    92,    93,    -1,
     108,  5486,    -1,    -1,    -1,    78,  5486,  5486,  5486,    -1,
      -1,    84,    -1,   108,    -1,    -1,    89,  5429,    -1,    -1,
      -1,    -1,  3644,  5435,  5436,    -1,  5438,    -1,   148,    -1,
      -1,    -1,    -1,  5486,    -1,    -1,    -1,  5542,    -1,  2285,
    2286,    -1,    -1,   116,   164,  5457,  2292,  2293,    -1,    -1,
      -1,  5480,    -1,    -1,    -1,    -1,  5561,    -1,    -1,    -1,
    5545,    -1,    -1,    -1,    -1,  5545,  5545,  5545,  5480,    -1,
      -1,   510,    -1,    -1,    -1,  2321,    -1,  5480,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,   161,    -1,
      -1,  5480,  5545,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5536,  5537,    -1,    -1,    -1,   249,
    5542,  2377,  5561,    -1,    -1,    -1,    -1,    -1,  5550,  5542,
      -1,    -1,    -1,  5480,    -1,    -1,    -1,    -1,    -1,  5561,
    5562,  5563,    -1,  5542,    -1,  5480,    -1,    -1,  5561,   232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   277,
      -1,    -1,  5561,    -1,    -1,    -1,    -1,  3799,    -1,    -1,
      -1,    -1,   277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5542,    -1,    -1,    -1,    -1,
    1021,    -1,  1023,    -1,  1025,    -1,    -1,  5542,    -1,    -1,
    1031,    -1,    -1,    84,  5561,    -1,    87,    -1,   336,    -1,
      91,    92,    93,    -1,    -1,    -1,  5561,    -1,    -1,    -1,
      -1,   336,    -1,    -1,  1055,  1056,    -1,   108,  2494,    -1,
      -1,    -1,    -1,    -1,    -1,   116,   376,    -1,    -1,    -1,
      -1,   122,   382,    -1,    -1,    -1,    -1,    -1,  2514,    -1,
    2516,    -1,  2518,    -1,    -1,    -1,    -1,   857,    -1,    -1,
      84,   861,    -1,    87,    -1,   146,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,   875,    -1,    -1,    -1,    -1,
      -1,    -1,   882,    -1,   108,    84,    -1,    -1,    87,  2555,
      -1,    -1,   116,   893,    -1,    -1,    -1,   390,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,   116,    91,    92,
      93,   921,   146,   122,    -1,    -1,   926,    -1,    -1,    -1,
      -1,    -1,   425,    -1,    -1,   108,    -1,   937,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,   146,    -1,   122,
      -1,    -1,  1183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   963,    -1,    -1,  1197,  1198,    -1,    -1,
     251,  1202,    -1,   146,    -1,   256,    -1,    -1,   978,    -1,
      -1,    -1,  1793,    -1,   984,   513,   514,   515,  4030,   517,
     518,   519,   520,   521,   522,   995,   277,   278,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,  1009,
      -1,   292,    -1,    -1,    -1,    -1,    -1,  4059,  1249,    -1,
    4062,    -1,  4064,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,   256,    -1,    -1,  2701,    -1,    -1,    -1,    -1,
      -1,    -1,   323,  2709,    -1,  2711,    -1,    -1,    -1,    -1,
      -1,    -1,   251,   277,   278,   336,    -1,   256,   339,    -1,
      -1,    -1,    -1,    -1,    -1,  4107,    -1,    -1,   292,    -1,
      -1,  4113,  4114,    -1,  4116,    -1,  4118,    -1,   251,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,   323,
      -1,    -1,    -1,    -1,   277,   278,  1106,    -1,  1108,    -1,
    1110,    -1,   336,    -1,    -1,   339,    -1,    -1,    -1,   292,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1129,
      -1,    -1,    -1,    -1,    -1,    -1,   417,   336,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   336,    84,    -1,   339,    87,    -1,    -1,
    4212,    91,    92,    93,    -1,    -1,  1987,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,   417,    -1,    -1,   116,  1197,  1198,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,  4249,  4250,  4251,
    4252,  4253,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   146,  2893,  2894,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,   417,    -1,    -1,  2058,   529,    -1,
      -1,  2062,  4294,    -1,    -1,  4297,    -1,  4299,    -1,    -1,
      -1,    -1,    -1,  2074,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1504,    -1,    -1,    -1,    -1,    -1,    -1,
    1280,  1281,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,   527,    -1,  2971,    -1,    -1,    -1,    -1,
      -1,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,   510,    -1,  2150,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
      -1,    -1,    84,    -1,   527,    87,    -1,   277,   278,    91,
      92,    93,    -1,    -1,   857,    -1,    -1,  2178,   861,    -1,
      -1,    -1,   292,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,   875,    -1,   116,    -1,    -1,    -1,  4430,   882,
     122,  4433,  4434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     893,    -1,    -1,   323,    -1,    -1,    -1,    -1,  1428,    -1,
      -1,    -1,    -1,    -1,   146,    -1,   336,  4459,    -1,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   921,    -1,
      -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   937,    -1,    -1,    -1,    -1,  1469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1477,    -1,    -1,
      -1,  1461,    -1,  1483,    -1,    -1,    -1,    -1,  1008,  1009,
     963,    -1,    -1,  1704,    -1,    -1,    -1,    -1,  1709,  1710,
      -1,  1481,    -1,    -1,    -1,   978,    -1,    -1,    -1,    -1,
      -1,   984,    -1,    -1,    -1,    84,    -1,   417,    87,    -1,
      -1,    -1,   995,    -1,  1504,    -1,    -1,    -1,    -1,  3175,
      -1,    -1,  3178,    -1,  3180,    -1,  1009,    -1,    -1,   251,
      -1,    -1,    -1,    -1,   256,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
    1540,    -1,    -1,    -1,    -1,   277,   278,    -1,    -1,    -1,
      -1,    -1,  4594,  4595,    -1,    -1,  1556,   146,    -1,    -1,
     292,  4603,  1793,  4605,  4606,    -1,    -1,  4609,    -1,    -1,
      -1,  1571,  4614,    -1,  1574,    -1,  4618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,   323,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,   336,  1145,    -1,   527,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1108,    -1,    -1,    -1,    -1,
      -1,   210,    -1,  4665,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   973,  1876,    -1,    -1,    -1,    -1,
      -1,    -1,  4694,  1884,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,   994,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,  2498,    -1,    -1,
      -1,  4733,    -1,    -1,    -1,  4737,  4738,    -1,  4740,    -1,
      -1,  1701,    -1,   292,  1197,  1198,    -1,    -1,    -1,  1709,
    1710,    -1,  1943,    -1,    -1,  1946,  1947,    -1,    -1,    -1,
    1720,    -1,    -1,    -1,    -1,    -1,    -1,  2538,    -1,    -1,
      -1,    -1,  2543,    -1,    -1,    -1,  2547,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1773,  1774,  1775,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,  2015,   517,   518,   519,   520,   521,
     522,    -1,    -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    87,  2615,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2632,    -1,  1823,   108,    -1,    -1,    -1,   417,    -1,
    1830,    -1,   116,    -1,    -1,    -1,    -1,  1837,   122,    -1,
    4882,    -1,    -1,    -1,   111,    -1,    -1,  1847,    -1,    -1,
      -1,  2662,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,   130,    -1,    -1,    -1,    -1,    -1,    -1,
    3536,    -1,    -1,    -1,    -1,  3541,    -1,    -1,  4920,    -1,
      -1,  2692,    -1,    -1,    -1,  2696,  1886,    -1,    -1,  4931,
      -1,    -1,    -1,  4935,    -1,  4937,   163,  3563,    -1,  4941,
    4942,    -1,    -1,  2714,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2725,    -1,    -1,    84,    -1,    -1,
      87,   510,    -1,    -1,    91,    92,    93,  2738,   517,   518,
     519,   520,   521,   522,    -1,  2746,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,   220,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1506,   251,  1461,    -1,
      -1,  3637,   256,    -1,    -1,    -1,    -1,    -1,  3644,   146,
      -1,    -1,    -1,    -1,  1313,    -1,   253,  1987,  1481,  1989,
      -1,    -1,    -1,   277,   278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1333,    -1,    -1,    -1,   292,    -1,
      -1,  1504,    -1,  1342,    -1,    -1,   283,    -1,    -1,    -1,
      98,   288,    -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2037,    -1,   323,
      -1,  1581,    -1,    -1,    -1,    -1,    -1,  1540,    -1,    -1,
      -1,    -1,   336,   320,  3720,   339,    -1,    -1,  2058,    -1,
    1600,    -1,  2062,  1556,    -1,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2074,    -1,    -1,    -1,  1571,    -1,
      -1,  1574,    -1,  2103,   251,    -1,    -1,    -1,    -1,   256,
    1630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5146,  1645,    -1,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,   195,    -1,   386,
      -1,    -1,    -1,   390,   202,   292,    -1,   205,  2148,    -1,
     397,    -1,  2152,   417,    -1,    -1,    -1,   404,  2158,  2159,
      -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,   111,  2149,
    2150,    -1,   230,    -1,    -1,    -1,   323,   424,    -1,    -1,
      -1,  2181,  2162,    -1,    -1,   432,  2977,   130,    -1,   336,
      -1,    -1,   339,    -1,    -1,    -1,    -1,  2177,  2178,    -1,
      -1,    -1,    -1,   261,    -1,   452,    -1,    -1,  2999,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3007,    -1,    -1,  2199,
     163,    -1,    -1,    -1,    -1,    -1,  1746,  1747,  1701,  1749,
    2441,    -1,    -1,    -1,    -1,    -1,  1709,  1710,    -1,   486,
      -1,    -1,    -1,   490,   491,  1554,   510,  1720,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
     318,    -1,   320,   527,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,   330,    -1,    -1,  3921,    -1,   220,    -1,    -1,
     338,    -1,  5304,  2494,    -1,    -1,    -1,  2498,    -1,    -1,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1773,  1774,  1775,  2514,    -1,    -1,    -1,    -1,    -1,    -1,
     253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1793,    -1,    -1,    -1,   382,    -1,    -1,   385,   386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     283,    -1,    -1,    -1,  2555,   288,    -1,    -1,    -1,  2329,
    1823,    -1,    -1,    -1,   412,    -1,    -1,  1830,    -1,    -1,
      -1,    -1,    -1,   510,  1837,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,   320,    -1,    -1,
     527,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,  4058,    -1,    -1,    -1,    -1,   475,    -1,    -1,
      -1,  2421,    89,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,  2422,   386,    -1,    -1,    -1,   390,    -1,   116,
      -1,    -1,    -1,    -1,   397,    -1,    -1,    -1,  5480,    -1,
      -1,   404,    -1,    -1,   146,    -1,    -1,    -1,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3269,  4125,
    4126,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,
    2701,    -1,    -1,    -1,   161,    -1,    -1,  2477,  2709,  2479,
    2711,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   452,
      -1,    -1,    -1,    -1,  1987,    -1,    -1,    -1,  2498,    -1,
    5542,  3312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5561,
      -1,    -1,   209,   486,    -1,    -1,    -1,   490,    -1,    -1,
     217,    -1,   219,    -1,    -1,    -1,    -1,    -1,  2538,    -1,
      -1,    -1,  2542,  2543,  2037,   232,    -1,  2547,    -1,   251,
      -1,    -1,    -1,    -1,   256,  2555,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2058,    -1,    -1,    -1,  2062,
      -1,    -1,    -1,  2573,    -1,   277,   278,    -1,    -1,    -1,
      -1,  2074,    -1,  4249,  4250,  4251,  4252,  4253,    -1,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1927,    -1,
      -1,    -1,    -1,    -1,  3415,    -1,    -1,    -1,    -1,    -1,
      -1,  4277,    -1,    -1,    -1,  2615,  3427,    -1,    -1,    -1,
      -1,   323,    -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,
      -1,    -1,  2632,  2633,   336,    -1,    -1,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2149,  2150,  2198,    -1,
      -1,  2661,  2662,    -1,    -1,  2665,    -1,    -1,    -1,  2162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2008,
      -1,    -1,    -1,    -1,  2177,  2178,    -1,    -1,    -1,   111,
      -1,    -1,  2692,  3504,  2023,    84,  2696,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,  2199,    -1,   130,    -1,
      -1,    -1,    -1,  2042,  2714,   417,    -1,    -1,    -1,   108,
      -1,  2261,    -1,    -1,    -1,  2725,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,  2738,    -1,
    2971,   163,    -1,    -1,    -1,    -1,  2746,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,
    2089,    -1,    -1,    -1,    -1,    -1,    -1,  4433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2120,    -1,  4459,  2334,    -1,    -1,    -1,   220,    -1,
      -1,    -1,  2802,  2132,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,   527,    -1,    -1,    -1,    -1,
      -1,   253,    -1,    -1,    -1,    -1,  2329,    -1,    -1,    -1,
      -1,    -1,    -1,  2172,    -1,    -1,  2175,    -1,    -1,    -1,
      -1,    -1,    -1,  4519,    -1,    -1,    -1,    -1,    -1,    -1,
    3671,   283,   251,  2883,    -1,    -1,   288,   256,  2868,    -1,
      -1,    -1,    -1,    -1,  4540,  4541,    -1,  3688,    -1,  4545,
    4546,    -1,  2902,    -1,    -1,    -1,    -1,    -1,   277,   278,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2917,   320,    -1,
    2920,  2921,  3713,   292,    -1,  2925,  2926,    84,    -1,    -1,
      87,    -1,  2932,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2467,    -1,  2422,
    2930,   108,    -1,    -1,   323,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,   122,    -1,   336,  4614,  3180,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   386,    -1,    -1,    -1,   390,   146,
      -1,    -1,    -1,    -1,    -1,   397,    -1,  2977,    -1,    -1,
      -1,    -1,   404,    -1,  2477,    -1,  2479,    -1,    -1,  3009,
     412,    -1,    -1,    -1,    -1,  2324,    -1,    -1,    -1,  2999,
      -1,    -1,   424,    -1,    -1,  2498,    -1,  3007,    -1,    -1,
     432,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,   417,    -1,
     452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,  2538,    -1,   116,    -1,  2542,
    2543,    -1,    -1,   122,  2547,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2555,    -1,   486,    -1,    -1,    -1,   490,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,   146,    -1,   256,
    2573,    -1,    -1,  3083,    -1,    -1,    -1,    -1,    -1,  3089,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,
      -1,   510,  2615,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,  2632,
    2633,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4823,    -1,   336,
      -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,  2661,  2662,
     857,  3982,  2665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3180,    -1,   251,    -1,    -1,    -1,    -1,   256,   875,    -1,
      -1,    -1,    -1,    -1,    -1,   882,    -1,    -1,    -1,  2692,
      -1,    -1,    -1,  2696,    -1,    -1,   893,    -1,   277,   278,
      -1,    -1,    -1,    -1,    -1,    -1,  4882,    -1,    -1,    -1,
      -1,  2714,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2725,    -1,   921,    -1,    -1,    -1,    -1,   926,
     417,    -1,    -1,    -1,    -1,  2738,    -1,    -1,    -1,    -1,
     937,    -1,    -1,  2746,   323,    98,    -1,    -1,    -1,    -1,
      -1,   104,  2591,    -1,    -1,    -1,    -1,   336,  4079,  3269,
     339,  4082,    -1,    -1,  2603,    -1,   963,    -1,    -1,    -1,
      -1,  3301,    -1,    -1,    -1,  3285,  3286,    -1,    -1,    -1,
      -1,   978,    -1,    -1,    -1,    -1,    -1,   984,    -1,    -1,
      -1,   144,    -1,    -1,    -1,  3536,    -1,    -1,   995,  2802,
    3541,  2640,  3312,    -1,    -1,  3315,    -1,    -1,    -1,    -1,
      -1,    -1,  1009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,   417,    -1,
     527,    -1,   195,    -1,    -1,    -1,  3376,    -1,  3378,   202,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,  4179,    -1,
      -1,    -1,    -1,    -1,    -1,  2868,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,  3391,  3392,  3393,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3415,    -1,    -1,   261,  1106,
      -1,  1108,    -1,  1110,    -1,    -1,    -1,  3427,    -1,    -1,
      -1,  3431,    -1,    -1,    -1,    -1,    -1,  2930,    -1,    -1,
    3440,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,    -1,    -1,  3484,  2794,    -1,    -1,    -1,  4280,
    3490,    -1,    -1,    -1,    -1,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,    -1,  2977,    -1,    -1,   330,    -1,  3720,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3504,   348,  2999,    -1,    -1,    -1,
    1197,  1198,    -1,    -1,  3007,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3064,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,   382,
    3540,    -1,   385,   386,    -1,    -1,  3546,    -1,  3548,   101,
     108,    -1,    -1,    -1,    -1,    -1,    -1,  5223,   116,    -1,
    3560,   113,  3562,    -1,   122,    -1,    -1,    -1,  3108,   412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   134,    -1,    -1,  3125,    -1,    -1,   146,    -1,
    3083,    -1,    -1,  1280,  1281,   147,  3089,    -1,    -1,    -1,
      -1,  3141,    -1,    -1,    -1,   157,    -1,    -1,    -1,   161,
      -1,  3631,    -1,    -1,    -1,    -1,  3616,  3157,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,    -1,
      -1,    -1,   475,   185,  3654,  3655,    -1,  3657,    -1,  3659,
    3660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,
      -1,    -1,  3672,    -1,    -1,    -1,  3196,    -1,    -1,   211,
      -1,    -1,    -1,    -1,  2993,    -1,    -1,   219,    -1,    -1,
      -1,  3671,    -1,    -1,    -1,    -1,    -1,    -1,  3218,   231,
      -1,  3221,    -1,    -1,    -1,  3014,   238,  3180,  3688,    -1,
     242,    -1,  3712,   251,    -1,    -1,  3025,    -1,   256,    -1,
      -1,    -1,    -1,    98,    -1,    -1,    -1,   259,    -1,   104,
    3710,    -1,    -1,  3713,    -1,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,    -1,    -1,  4537,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,  4549,    -1,
      -1,    -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,   144,
      -1,    -1,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1461,    -1,  3269,    -1,   336,    -1,
      -1,   339,    -1,    -1,   336,    -1,    -1,   339,    -1,    -1,
    3790,    -1,  3285,  3286,  1481,    -1,    -1,    -1,    -1,  4030,
     195,    -1,    -1,    -1,   356,    -1,    -1,   202,    -1,    -1,
     205,    -1,    -1,    -1,  5480,    -1,    -1,  1504,    -1,  3312,
      -1,    -1,  3315,   375,    -1,    -1,    -1,  4058,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,   393,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,  1540,   406,    -1,    -1,   409,    -1,   417,
      -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,  1556,
      -1,    -1,    -1,    -1,    -1,    -1,  5542,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1571,    -1,   438,  1574,    -1,   441,
     442,    -1,   444,   445,    -1,  5561,    -1,    -1,  3391,  3392,
    3393,    -1,   454,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,   471,
      -1,  4732,  3415,   318,    -1,   320,    -1,    -1,    -1,    -1,
      -1,    -1,   484,    -1,  3427,   330,    -1,    -1,  3431,    -1,
      -1,    -1,    -1,   338,    -1,    -1,    -1,  3440,    -1,    -1,
      -1,    -1,   510,   348,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,  3982,    -1,    91,    92,    93,   382,    -1,  3318,
     385,   386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,
      -1,   108,    -1,    -1,    -1,    -1,  3335,    -1,    -1,   116,
      -1,  3504,    -1,    -1,  1701,   122,    -1,   412,    -1,    -1,
      -1,    -1,  1709,  1710,  4024,    -1,    -1,    -1,    -1,  4029,
      -1,  4031,  4843,  1720,  4845,    -1,    -1,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,   147,  4277,  3540,    -1,    -1,
      -1,    -1,    -1,  3546,    -1,  3548,  3596,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,    -1,  3606,  3560,    -1,  3562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,    -1,  4079,
     475,    -1,  4082,   185,    -1,    -1,  1773,    -1,    -1,    -1,
    3630,    -1,    -1,    -1,    -1,  3424,    -1,  3426,   200,    -1,
      -1,    -1,    -1,    -1,    -1,    98,  1793,    -1,    -1,   211,
      -1,   104,    -1,    -1,    -1,    -1,    -1,   219,    -1,  4119,
      -1,    -1,    -1,  3616,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,   236,    -1,   129,    -1,    -1,    -1,
     242,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,
    1837,   144,    -1,    -1,    -1,    -1,  3485,   259,    -1,    -1,
    1847,    -1,    -1,    -1,  4164,  4165,    -1,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,  4177,  3671,  4179,
      -1,  3510,   284,    -1,   177,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3688,    -1,    -1,    -1,  1886,
      -1,    -1,   195,   305,    -1,    -1,    -1,   866,   867,   202,
      -1,   870,   205,   872,    -1,    -1,   323,  3710,    -1,    -1,
    3713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,
      -1,    -1,   339,   892,   336,    -1,  4256,   230,    -1,    -1,
      -1,    -1,    -1,    -1,  4264,  4265,  4266,  4267,  4248,    -1,
      -1,    -1,    -1,   912,   356,    -1,    -1,   916,    -1,    -1,
      -1,    -1,    -1,    -1,   366,   258,    98,    -1,   261,    -1,
    3599,    -1,   104,    -1,    -1,   934,    -1,    -1,    -1,    -1,
    4280,    -1,    -1,  3823,    -1,    -1,    -1,    -1,  4519,    -1,
      -1,   393,    -1,    -1,    -1,    -1,   398,  3790,   400,  3839,
    1987,  3841,  1989,  3632,   406,    -1,    -1,   409,    -1,    -1,
     417,    -1,   144,   306,    -1,   308,    -1,    -1,    -1,    -1,
      98,    -1,    -1,    -1,    -1,   318,   104,   320,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,   438,   330,    -1,   441,
      -1,    -1,    -1,   445,    -1,   338,    -1,    -1,    -1,    -1,
    2037,   129,   454,    -1,   347,   348,    -1,   459,    -1,    -1,
      -1,    -1,    -1,   195,    -1,    -1,   144,    -1,    -1,   471,
     202,  2058,    -1,   205,    -1,  2062,    -1,    -1,    -1,    -1,
      -1,    -1,   484,  4614,    -1,    -1,    -1,  2074,    -1,   382,
      -1,    -1,   385,   386,   387,    -1,    -1,    -1,   230,   177,
      -1,    -1,    -1,   510,  3733,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,   195,    -1,   412,
     527,    -1,    -1,    -1,   202,  3754,    -1,   205,    -1,   261,
      -1,    -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3779,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2149,  2150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4491,    -1,    -1,    -1,  2162,    -1,    -1,    -1,    -1,
     258,    -1,   475,   261,  3813,    -1,   318,    -1,   320,  3982,
    2177,  2178,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    -1,  4523,  4524,    -1,   338,    -1,    -1,    -1,
    4510,    -1,  2199,  4513,    -1,    -1,   348,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,    -1,
     308,  4024,    -1,    -1,    -1,    -1,  4029,  4537,  4031,    -1,
     318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,  4549,
     382,    -1,   330,   385,   386,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,    -1,    -1,    -1,    -1,  4567,    -1,   347,
     348,  5382,    -1,    -1,    -1,    -1,    -1,  4597,  4598,    -1,
     412,    -1,    -1,    -1,    -1,    -1,  4079,    -1,    -1,  4082,
      -1,    -1,    -1,    -1,    -1,    -1,  1255,  1256,    -1,    -1,
      -1,    -1,    -1,    -1,   382,    -1,    -1,   385,   386,   387,
      -1,    -1,    -1,    -1,  4614,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2329,   475,    -1,    -1,    -1,    -1,   426,    -1,
      -1,  4882,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,  4208,    -1,
      -1,  4164,  4165,    -1,    -1,    -1,    -1,  1336,    -1,   108,
      -1,    -1,    -1,    -1,  4177,  4705,  4179,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,  4715,  4716,   475,  1357,  1358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      98,  4731,    -1,    -1,    -1,    -1,   104,   146,    -1,  1378,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4271,  4732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,  4248,   144,    -1,    42,    43,
      -1,    -1,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,  4280,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,  1457,  1458,
      -1,    85,    -1,    -1,    -1,    -1,    -1,   195,    -1,    -1,
      -1,  2498,    -1,    -1,   202,    -1,    -1,   205,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      98,    -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,  4168,
      -1,    -1,   230,  4843,    -1,  4845,    -1,    -1,   277,   278,
      -1,  2538,    -1,   137,    -1,  2542,  2543,    -1,    -1,    -1,
    2547,  4401,    -1,   292,    -1,  4405,    -1,    -1,  2555,    -1,
      -1,    -1,    -1,   261,    -1,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,  4883,    -1,    -1,  2573,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,  4448,    -1,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,   195,  2615,  4929,
     318,  4931,   320,    -1,   202,    -1,    -1,   205,    -1,  2626,
      -1,    -1,   330,   227,    -1,  2632,  2633,    -1,    -1,    -1,
     338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     348,    -1,   230,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2661,  2662,    -1,    -1,  2665,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,   417,    -1,
      -1,    -1,  5223,   261,   382,    -1,    -1,   385,   386,  5019,
      -1,    -1,    -1,    -1,    -1,  2692,    -1,    -1,    -1,  2696,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4510,    -1,    -1,
    4513,    -1,    -1,   307,   412,    -1,   310,  2714,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4365,    -1,  2725,    -1,
      -1,   325,    -1,    -1,  4537,    -1,    -1,    -1,    -1,    -1,
     318,  2738,   320,    -1,    -1,    -1,  4549,    -1,    -1,  2746,
      -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,    -1,  4567,    -1,    -1,  5097,    -1,    -1,
     348,   510,    -1,    -1,   513,   514,   515,   475,   517,   518,
     519,   520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   382,  2802,  5116,   385,   386,   403,
      -1,  4614,    -1,  5143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,   412,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,  4493,   449,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     464,  2868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4522,    -1,   479,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,    -1,    -1,
      -1,    -1,    -1,  4542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   507,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,    -1,   517,   518,   519,   520,   521,    -1,  4732,
     524,   525,   526,  2930,    -1,    -1,    84,   531,   532,    87,
      -1,  1910,    -1,    91,    92,    93,    -1,  4797,    -1,    -1,
      -1,    -1,  4802,    -1,    -1,  4805,    -1,  4596,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
    2977,    -1,    -1,    -1,    -1,    -1,    -1,  4837,    -1,    -1,
      -1,   251,    -1,    -1,  5304,    -1,   256,    -1,   146,    -1,
      -1,    -1,  2999,    -1,    -1,  1974,  1975,  1976,  1977,    -1,
    3007,    -1,    -1,    -1,    -1,    -1,    -1,   277,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4843,    -1,  4845,    -1,    -1,    -1,    -1,    94,  2017,  2018,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2026,  4697,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,  2036,    -1,    -1,
      -1,    -1,  5382,    -1,    -1,    -1,   336,    -1,    -1,   339,
    4883,    -1,    -1,    -1,   131,    -1,  3083,    -1,    -1,    -1,
      -1,    -1,  3089,    -1,    -1,  2064,  2065,  2066,  2067,    -1,
      -1,    -1,    -1,   251,    -1,   152,    -1,    -1,   256,    -1,
      -1,    -1,    -1,  4752,    -1,    -1,  4966,    -1,    -1,    -1,
      -1,    -1,    -1,   170,    -1,  5455,  4929,    -1,  4931,   277,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   185,    -1,
      -1,  4991,    -1,    -1,   292,    -1,   193,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,   208,    -1,   210,    -1,    -1,    -1,   214,    -1,    -1,
    5480,    -1,    -1,    -1,    -1,   323,    -1,   224,    -1,    -1,
      -1,    -1,    -1,  3180,    -1,    -1,   233,    -1,   336,    -1,
      -1,   339,  2161,    -1,    -1,  2164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2174,    -1,    -1,    84,  5059,
      -1,    87,    -1,    -1,  2183,    91,    92,    93,    -1,    -1,
    5070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,  5092,    -1,    -1,    -1,   122,    -1,    -1,    -1,
     510,  5561,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,   527,    -1,   417,
     146,    -1,  3269,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,  3285,  3286,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,   108,    91,
      92,    93,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,  5116,    -1,  3312,   108,    -1,  3315,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5194,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,   146,    87,    -1,    -1,    -1,    91,
      92,    93,   510,  2332,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,   251,    -1,    -1,    -1,   527,
     256,    -1,    -1,    -1,   116,    -1,    -1,    -1,  5027,    -1,
     122,    -1,    -1,    -1,  3391,  3392,  3393,    -1,    -1,    -1,
      -1,   277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,   292,    -1,  3415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5065,    -1,    -1,    -1,
    3427,    -1,    -1,    -1,  3431,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,  3440,    -1,    -1,   256,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
     336,    -1,    -1,    -1,   256,    -1,    -1,   277,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   292,  5122,    -1,   277,   278,  5126,  5127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     292,  5304,    -1,    -1,    -1,    -1,    -1,  3504,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,    -1,    -1,   256,    -1,   336,    -1,    -1,   339,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,    -1,  3540,   336,   277,   278,   339,    -1,  3546,
      -1,  3548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     292,    -1,    -1,  3560,    -1,  3562,    -1,    -1,    -1,    -1,
      -1,  5421,    -1,    -1,  5213,    -1,    -1,    -1,    -1,  5382,
      -1,    -1,    -1,    -1,  5434,    -1,    -1,    -1,    -1,    -1,
      -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,    -1,   417,   655,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3616,
    2589,  2590,    -1,    -1,    -1,   417,    -1,    -1,    -1,  2598,
      -1,  2600,    -1,    -1,   510,  2604,  5486,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3671,    -1,    -1,  5480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,
      -1,  3688,    -1,    -1,    -1,  5545,    -1,    -1,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,  3710,    -1,    -1,  3713,   527,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,    -1,    -1,   527,    -1,    -1,  2707,  5542,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5561,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,    -1,    -1,  3790,  2763,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2771,    -1,  2773,    -1,    -1,    -1,    -1,    -1,
    2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   865,   866,
     867,   868,    -1,   870,    -1,   872,    -1,   874,    -1,   876,
      -1,    -1,   879,    -1,    -1,    -1,    -1,    -1,   885,    -1,
      -1,   888,    -1,    -1,    -1,   892,    -1,   894,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   902,    -1,    -1,    -1,    -1,
     907,    -1,   909,    -1,    -1,   912,    -1,   914,    -1,   916,
      -1,    -1,    -1,    -1,    -1,    -1,   923,    -1,    -1,    -1,
     927,    -1,    -1,    -1,  2853,    -1,    -1,   934,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,
     967,    -1,    -1,    -1,    -1,   972,    -1,    -1,    -1,    -1,
     977,    -1,    -1,    -1,   981,    -1,    -1,    25,    -1,    -1,
    2909,    -1,  2911,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,   998,    40,    -1,    42,    43,    -1,    -1,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    -1,    72,  3982,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1054,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1069,   164,  1071,    -1,    -1,  4024,    -1,    -1,
      84,    -1,  4029,    87,  4031,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,
      -1,    -1,  1099,  1100,   108,    -1,    -1,  1104,  1105,  3028,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    84,   122,    -1,
      87,   212,    -1,    -1,    91,    92,    93,  1124,    -1,    -1,
      -1,  1128,  4079,   224,    -1,  4082,    -1,    -1,   229,  1136,
      -1,   108,   146,   234,    -1,    -1,    -1,    -1,   239,   116,
    1147,   242,    -1,    -1,   245,   122,    -1,    -1,    -1,    -1,
      -1,    -1,  1159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,  4119,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,  4164,  4165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4177,    -1,  4179,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,   334,  1241,    -1,    -1,   251,    -1,   340,
      -1,    -1,   256,  1250,    -1,    -1,    -1,    -1,  1255,  1256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,
      -1,    -1,   310,   277,   278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,   325,   292,   256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   389,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1306,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,
    1317,    -1,    -1,    -1,  1321,   292,    -1,    -1,    -1,    -1,
      -1,    -1,   336,  4280,    -1,   339,    -1,    -1,    -1,  1336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   438,    -1,    -1,
      -1,    -1,    -1,    -1,  1351,    -1,   323,    -1,    -1,    -1,
    1357,  1358,    -1,    -1,    -1,   403,    -1,    -1,    -1,   336,
      -1,    -1,   339,   464,    -1,    -1,    -1,  1374,  1375,  1376,
      -1,  1378,    -1,  1380,    -1,    -1,    -1,    -1,  1385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   488,    -1,   490,
     491,    -1,    -1,    -1,    -1,  3324,    -1,  3326,  3327,  3328,
      -1,   449,    -1,   417,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,   524,    -1,    -1,   527,   528,   108,   530,
      -1,   479,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
     417,    -1,   122,    -1,    -1,    -1,    -1,    -1,  1455,    -1,
    1457,  1458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
      -1,    -1,    -1,    -1,    -1,    -1,   146,   515,    -1,   517,
     518,   519,   520,   521,    -1,    -1,   524,   525,   526,   527,
      -1,   529,   530,   531,   532,   533,    -1,    -1,    -1,  1496,
      -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,   527,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1534,  1535,    -1,
      -1,    -1,  1539,   510,  1541,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
     527,    -1,    -1,  4510,    -1,    -1,  4513,    -1,    -1,    -1,
    1567,    -1,    -1,  1570,    -1,    -1,  1573,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,  1585,    -1,
    4537,    -1,  3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4549,    -1,    -1,    -1,    -1,   277,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1613,    -1,    -1,    -1,
    4567,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1641,  1642,  1643,    -1,  1645,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,  4614,  1665,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1687,  1688,    -1,    -1,    -1,    -1,    -1,    -1,   994,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1716,
      -1,    -1,  1719,   108,    98,    -1,    -1,    -1,    -1,    -1,
     104,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,  3661,    -1,  3663,    -1,    -1,   417,  3667,    -1,
      -1,  1748,    -1,    -1,    -1,  1752,  1753,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,  1763,  1764,  1765,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4732,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1791,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3723,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,
      -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,   230,   527,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    98,    -1,
      -1,   256,    -1,    -1,   104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,    -1,
      -1,    -1,   277,   278,    -1,    -1,  4843,    -1,  4845,    -1,
      -1,    -1,  1899,  1900,    -1,    -1,    -1,   292,    -1,    -1,
    1907,    -1,    -1,  1910,   144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1929,    -1,  1931,    -1,  4883,    -1,   323,    -1,
      -1,    -1,  1939,    98,   318,  1942,   320,    -1,    -1,   104,
      -1,   336,    -1,    -1,   339,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,   195,    -1,    -1,    -1,  1966,
      -1,    -1,   202,    -1,   348,   205,    -1,  1974,  1975,  1976,
    1977,  1978,  4929,    -1,  4931,    -1,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,  1992,    -1,    -1,    -1,    -1,
     230,    -1,    -1,    -1,    -1,    -1,    -1,  2004,   382,  2006,
      -1,   385,   386,    -1,    -1,    -1,    -1,  1313,    -1,    -1,
    2017,  2018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2026,
      -1,   261,   417,    -1,    -1,    -1,    -1,  1333,   412,  2036,
     195,    -1,    -1,    -1,    -1,    -1,  1342,   202,    -1,    -1,
     205,    -1,    -1,  3972,  3973,  3974,  3975,    -1,  2055,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2064,  2065,  2066,
    2067,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,  2076,
      -1,    -1,    -1,    -1,    -1,    -1,  2083,    -1,   318,  2086,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,   475,    -1,    -1,    -1,  2102,   261,    -1,   338,    -1,
      -1,    -1,  2109,    -1,    -1,    -1,    -1,  2114,   348,    -1,
      -1,    -1,    -1,    -1,    -1,   510,    -1,  1423,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,    -1,    -1,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2147,    -1,   382,    -1,    -1,   385,   386,    -1,    -1,    -1,
    2157,    -1,    -1,   318,  2161,   320,    -1,  2164,    -1,  5116,
      -1,    -1,    -1,    -1,    -1,   330,    -1,  2174,    -1,    -1,
      -1,    -1,   412,   338,    -1,  2182,  2183,    -1,    -1,    -1,
      -1,    -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,  2196,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4139,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,
     385,   386,    -1,  2230,    -1,    -1,    -1,    -1,    -1,    -1,
    2237,    -1,  2239,    -1,    -1,   475,  2243,  2244,    -1,  2246,
      -1,    -1,    -1,    -1,    -1,    -1,  2253,   412,  1554,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2263,    -1,    -1,    -1,
      -1,  2268,  2269,    -1,    -1,  2272,    -1,    -1,    -1,  2276,
    2277,    -1,    -1,    -1,    -1,  2282,  2283,    -1,    -1,    -1,
      -1,    -1,  2289,  2290,  2291,    -1,    -1,    -1,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,    -1,  2304,    -1,  2306,
    2307,    -1,    -1,  2310,    -1,    -1,    -1,    -1,    -1,    -1,
     475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2325,  2326,
    2327,  2328,    -1,    -1,    -1,  2332,  2333,    -1,    -1,    -1,
    2337,    -1,    -1,  2340,    -1,    -1,  2343,  2344,  2345,  2346,
    2347,  2348,  2349,  2350,  2351,    -1,  2353,  5304,    -1,    -1,
      -1,    -1,    -1,  2360,  2361,    -1,    -1,  2364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2386,
      -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
      -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,  1704,    -1,
      -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,  2423,    -1,  2425,    -1,
    2427,    -1,    -1,    -1,    -1,  5382,    -1,    -1,    -1,   108,
      -1,   144,    -1,   112,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2462,    -1,    -1,    -1,    -1,
      -1,    -1,  2469,    -1,  2471,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,   202,
      -1,    -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,  5480,    -1,  1831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2548,    -1,    -1,    -1,    -1,    -1,    -1,   261,    -1,
    2557,    -1,  2559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2576,
      -1,    -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,
    2587,    -1,  2589,  2590,    -1,  5542,    -1,  2594,  1894,  2596,
      -1,  2598,    -1,  2600,    -1,    -1,    -1,  2604,   277,   278,
    2607,    -1,    -1,    -1,  5561,   318,    -1,   320,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,    -1,   330,    -1,    -1,
      -1,  1927,    -1,    -1,    -1,   338,    -1,    -1,    -1,  2636,
      -1,    -1,    -1,    -1,    -1,   348,  2643,    -1,    -1,    -1,
      -1,    -1,  2649,    -1,   323,    -1,    -1,    -1,  4577,    -1,
      -1,  2658,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,    -1,  4591,    -1,    -1,    -1,    -1,    -1,    -1,   382,
    2677,    -1,   385,   386,  2681,  2682,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2690,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,
    2707,    -1,  2008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2031,    -1,  2734,    -1,  2736,
    2737,    -1,    -1,    -1,    -1,    -1,  2042,    -1,   417,    -1,
      -1,  4670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2763,    -1,    -1,    -1,
      -1,    -1,   475,    -1,  2771,    -1,  2773,    -1,    -1,    -1,
      -1,    -1,  2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2089,    -1,    -1,  2793,    -1,    -1,    -1,
      -1,    -1,    -1,   472,    -1,    -1,    -1,    -1,    -1,    -1,
    2807,    -1,  2108,  2810,    -1,  2812,    -1,    -1,  2815,    -1,
      -1,  2818,    -1,    -1,  2120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2132,    -1,    -1,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,  2844,   517,   518,
     519,   520,   521,   522,    -1,    -1,  2853,  2854,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2869,    -1,    -1,    -1,  2172,    -1,    -1,  2175,
      -1,    -1,    -1,  2880,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2894,  2895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2907,    -1,  2909,  2910,  2911,  2912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4851,  4852,  4853,    -1,     5,    -1,    -1,    -1,
      -1,  2938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,    -1,  2959,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    42,    43,    -1,    -1,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    -1,  3001,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,  3011,    -1,    85,    -1,    -1,    -1,
    3017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2324,    -1,
      -1,  3028,    -1,    -1,    -1,    -1,    -1,  3034,    -1,   164,
      -1,    -1,  3039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3062,  3063,  3064,   137,    -1,
    3067,    -1,    -1,  4992,    -1,    -1,    -1,    -1,  3075,  3076,
    3077,  3078,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,  3088,    -1,    -1,  3091,    -1,  3093,    -1,    -1,   224,
      -1,    -1,    -1,    -1,   229,    -1,    -1,  3104,  3105,   234,
      -1,  3108,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
     245,    -1,    -1,  3120,    -1,  3122,    -1,  3124,    -1,  3126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,  3146,
      -1,    -1,    -1,  3150,    -1,    -1,    -1,    -1,   227,    -1,
    3157,    -1,  3159,  3160,  3161,    -1,    -1,    -1,   293,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,   248,
      -1,    91,    92,    93,    -1,  5104,    -1,  3184,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
    3197,    -1,   271,    -1,    -1,  3202,   116,   332,    -1,   334,
      -1,  3208,   122,    -1,    -1,   340,    -1,    -1,    -1,    -1,
    5139,  3218,  5141,    -1,  3221,    -1,    -1,  3224,  2524,  3226,
      -1,    -1,  2528,  2529,    -1,    -1,   146,    -1,   307,    -1,
      -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   389,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3291,  2591,  3293,   108,    -1,    -1,
      -1,  3298,    -1,    -1,    -1,   116,    -1,  2603,    -1,    -1,
      -1,   122,    -1,   438,    -1,    -1,    -1,    -1,    -1,   229,
      -1,    -1,    -1,    -1,   234,    -1,    -1,  3324,    -1,  3326,
    3327,  3328,    -1,    -1,   403,   146,    -1,    -1,    -1,   464,
      -1,   251,    -1,    -1,  2640,    -1,   256,    -1,    -1,    -1,
    5269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   488,    -1,   490,   491,   277,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     449,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,   524,
      -1,    -1,   527,   528,    -1,   530,    -1,    -1,  5327,    -1,
     479,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
      -1,    -1,  3429,    -1,    -1,    -1,    -1,    -1,   507,    -1,
     251,    -1,    -1,    -1,    -1,   256,   515,    -1,   517,   518,
     519,   520,   521,    -1,    -1,   524,   525,   526,   527,    -1,
      -1,    -1,   531,    -1,    -1,    -1,   277,   278,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,  5404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2794,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,
      -1,    -1,   323,    -1,  3511,    -1,    -1,    -1,    -1,    -1,
      -1,  3518,  3519,    -1,    -1,   336,    -1,    -1,   339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5464,    -1,    -1,    -1,   360,
      -1,    -1,    -1,    -1,    -1,  3552,  3553,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2864,    -1,
      -1,  3568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3583,  3584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3592,  3593,  3594,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,   417,   517,   518,   519,
     520,   521,   522,  3610,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3627,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3644,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3661,    -1,  3663,    -1,    -1,    -1,
    3667,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3685,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2993,  3695,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,  3711,    -1,    -1,    -1,  3014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3723,    -1,    -1,  3025,
      -1,    -1,    -1,  3730,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3739,    -1,    -1,    -1,    -1,    -1,  3745,    -1,
    3747,    -1,    -1,  3750,    -1,    -1,    -1,    -1,  3755,  3756,
    3757,  3758,    -1,    -1,  3761,  3762,  3763,  3764,  3765,  3766,
    3767,  3768,  3769,  3770,    -1,    -1,    -1,  3774,  3775,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,
      -1,  3788,   116,    -1,    -1,  3792,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3800,    -1,    -1,  3803,    -1,  3805,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3814,    -1,    -1,
    3817,  3818,    -1,    -1,    -1,  3822,  3823,    -1,    -1,    -1,
    3827,    -1,  3829,    -1,    -1,    -1,    -1,   161,    -1,  3836,
    3837,  3838,  3839,    -1,  3841,  3842,    -1,    -1,    -1,  3846,
    3847,    -1,    -1,    -1,    -1,    -1,  3853,    -1,    -1,    -1,
      -1,    -1,  3859,  3860,  3861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,   219,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,   232,  3906,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3917,   108,  3919,    -1,    -1,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,
      -1,    -1,    -1,  3950,  3951,  3952,    -1,  3954,    -1,   146,
      -1,  3257,    -1,    -1,  3260,    -1,  3262,    -1,    -1,    -1,
      -1,  3267,    -1,    -1,    -1,  3972,  3973,  3974,  3975,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,   229,  4011,    -1,    -1,    -1,   234,    -1,
      -1,    -1,  3318,   239,    -1,    -1,   242,    -1,    -1,   245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3335,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   876,    -1,    -1,    -1,   273,    -1,    -1,
      -1,    -1,   885,  3359,   251,    -1,    -1,    -1,    -1,   256,
      -1,   894,    -1,    -1,    -1,    -1,    -1,   293,    -1,   902,
      -1,    -1,    -1,    -1,   907,    -1,    -1,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4096,
      -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,   334,    -1,
      -1,    -1,    -1,    -1,   340,    -1,    -1,    -1,  3424,    -1,
    3426,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,
    4137,    -1,  4139,    -1,  4141,    -1,    -1,    -1,    -1,   336,
    4147,    -1,   339,    -1,    -1,    -1,  4153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4162,    -1,    -1,    -1,    -1,
      -1,   358,    -1,   389,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4182,    -1,    -1,    -1,  3485,
      -1,    -1,    -1,    -1,    -1,  4192,    -1,    -1,    -1,    -1,
      -1,    -1,  4199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4209,    -1,  3510,    -1,  4213,    -1,    -1,    -1,
    4217,  4218,   438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3536,    -1,    -1,    -1,    -1,  3541,  1069,    -1,   464,    -1,
      -1,    -1,  4249,  4250,  4251,  4252,  4253,    -1,    -1,    -1,
      -1,    -1,  4259,    -1,  4261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   488,    -1,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,  1105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1124,    -1,  3599,  4301,    -1,    -1,    -1,   524,    -1,
      -1,   527,   528,    -1,   530,  4312,    -1,    -1,    -1,    -1,
      -1,  3617,    -1,   510,  1147,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,  3632,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4352,  4353,    -1,    -1,    -1,
      -1,    -1,  4359,  4360,    -1,    -1,    -1,  4364,    -1,    -1,
      -1,    -1,  4369,    -1,    -1,  4372,  4373,    -1,    -1,    -1,
    4377,  4378,    -1,    -1,    -1,    -1,  4383,  4384,  4385,  4386,
    4387,    -1,    -1,    -1,  4391,  4392,    -1,  4394,    -1,    -1,
    4397,    -1,    -1,    -1,  4401,    -1,    -1,    -1,  4405,    -1,
      -1,    -1,    -1,    -1,  4411,    -1,    -1,    -1,    -1,    -1,
    4417,    -1,    -1,    -1,    -1,  4422,    -1,  1250,    -1,    -1,
      -1,  4428,    -1,    -1,    -1,    -1,    -1,  3733,    -1,    -1,
      -1,  4438,    -1,    -1,    -1,    -1,    -1,    84,    -1,  4446,
      87,    -1,  4449,    -1,    91,    92,    93,  4454,  3754,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,   111,  4472,    -1,    -1,  4475,   116,
      -1,    -1,    -1,  3779,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,  4495,  4496,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,    -1,    -1,
      -1,   108,    -1,  4520,    -1,    -1,    -1,    -1,  1351,   116,
      -1,    -1,    -1,   857,    -1,   122,    -1,    -1,    -1,    -1,
      -1,   865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     874,  1374,  1375,  1376,    -1,    -1,    -1,    -1,    -1,   146,
    4557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4577,    -1,    -1,    -1,    -1,   909,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4591,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4631,    -1,    -1,    -1,    -1,  3935,
     277,   278,    -1,   967,    -1,  4642,    -1,    -1,    -1,   973,
    4647,    -1,    -1,   977,    -1,   292,    -1,    -1,  4655,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,   256,
     994,    -1,    -1,  4670,  4671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,
     277,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,
      -1,    -1,   339,  4700,    -1,   292,  4703,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1539,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4030,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1570,    -1,   336,
      -1,  4748,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4757,    -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1099,  1100,  4774,  4775,    -1,
     417,  4778,  1106,    -1,    -1,    -1,  1110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4792,  4793,    -1,    -1,    -1,
    4797,    -1,    -1,    -1,    -1,  4802,    -1,    -1,  4805,  4806,
      -1,  4808,  1136,  4810,    -1,    -1,  4813,  4814,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4835,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4849,  4850,  4851,  4852,  4853,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4168,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1716,    -1,  4892,  4893,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4216,    -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,
      -1,  1764,  4939,  4940,    -1,    -1,  4943,    -1,    -1,  4946,
      -1,    -1,    -1,    -1,    -1,    -1,  1280,  1281,    -1,  4956,
      -1,    -1,    -1,    -1,    -1,  4962,    -1,  4964,    -1,    -1,
      -1,    -1,  4969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1306,    -1,  4981,    -1,    -1,    -1,    -1,  1313,
      -1,    -1,    -1,  1317,    -1,  4992,  4993,  4994,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5026,
      -1,    -1,  5029,    -1,  5031,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,  1380,    -1,  5055,  4355,
      -1,    -1,  5059,    -1,    -1,    -1,  5063,   108,    -1,  4365,
     111,    -1,    -1,  5070,    -1,   116,  1899,    -1,    -1,    -1,
      -1,   122,  5079,    -1,  1907,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5092,    -1,    -1,    -1,  1423,
      -1,    -1,    -1,    -1,    -1,   146,    -1,  5104,  1931,    -1,
      -1,  5108,    -1,    -1,    -1,    -1,  1939,    -1,    -1,  1942,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5131,    -1,    -1,    -1,    -1,    -1,
      -1,  5138,  5139,  5140,  5141,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1978,  5153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1992,
      -1,    -1,  1496,    -1,    -1,  5172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5192,    84,  4493,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,  4522,    -1,   116,    -1,
    1554,    -1,  2055,    -1,   122,    -1,   277,   278,  5235,    -1,
      -1,  5238,    -1,    -1,    -1,    -1,  4542,    -1,    -1,    -1,
    5247,   292,    -1,  2076,    -1,  5252,    -1,  5254,   146,  5256,
    2083,  1585,    -1,    -1,    -1,    -1,  5263,    -1,    -1,    -1,
      -1,    -1,  5269,    -1,  5271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,    -1,  5281,    -1,    -1,    -1,    -1,  1613,
      -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,    -1,
    4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1641,  1642,  1643,
      -1,  1645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5327,    -1,    -1,    -1,    -1,  5332,    -1,    -1,    -1,    -1,
      -1,  1665,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5355,    -1,
      -1,    -1,    -1,   251,    -1,    -1,  5363,  5364,   256,    -1,
      -1,  5368,    -1,  2196,    -1,    -1,   417,  5374,    -1,    -1,
    5377,    -1,    -1,    -1,  5381,    -1,    -1,    -1,    -1,   277,
     278,    -1,    -1,    -1,    -1,  1719,  1720,  5394,    -1,    -1,
      -1,  4697,    -1,    -1,   292,    -1,    -1,  5404,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2243,  2244,    -1,    -1,  1748,    -1,    -1,    -1,  1752,  1753,
      -1,    -1,  5429,    -1,    -1,   323,    -1,    -1,  5435,  5436,
    2263,  5438,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
      -1,   339,    -1,    -1,    -1,    -1,  4752,    -1,    -1,    -1,
    5457,    -1,    -1,    -1,    -1,    -1,    -1,  5464,    -1,   510,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,  1831,    -1,    -1,
      -1,    -1,    -1,  1837,    -1,    -1,    -1,    -1,   108,    -1,
      -1,   111,    -1,  1847,    -1,    -1,   116,    -1,    -1,   417,
      -1,    -1,   122,    -1,    -1,    -1,    -1,  2360,    -1,  5536,
    5537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5550,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,  1886,  2386,    -1,  5562,  5563,    -1,    -1,    -1,
    1894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2423,    -1,  2425,  1927,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,    84,    -1,    -1,    87,  2462,
      -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   251,    -1,    -1,    -1,  1989,   256,   116,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2008,    -1,    -1,   277,   278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,  2023,
    4996,    -1,   292,    -1,    -1,    -1,    -1,  2031,    -1,    -1,
      -1,    -1,    -1,  2037,    -1,    -1,    -1,    -1,  2042,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5027,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2089,    -1,    -1,    -1,  5065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2102,    -1,
      -1,    -1,    -1,    -1,  2108,    -1,    -1,    -1,    -1,    -1,
    2114,    -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,   256,  2132,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2147,    -1,    -1,  5122,   417,   277,   278,
    5126,  5127,    -1,    -1,    -1,  2658,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,  2172,    -1,
      -1,  2175,    -1,    -1,  2677,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2239,    -1,  5213,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2276,  2277,    -1,    -1,    -1,    -1,  2282,  2283,
      -1,    -1,    -1,    -1,    -1,  2289,  2290,  2291,   417,    -1,
      -1,  2295,    -1,  2297,  2298,  2299,  2300,  2301,  2302,    -1,
    2304,    -1,  2306,  2307,    -1,    -1,  2310,    -1,    -1,  2812,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   446,    -1,    -1,
    2324,  2325,  2326,  2327,  2328,  2329,    -1,    -1,    -1,  2333,
      -1,    -1,    -1,  2337,    -1,    -1,  2340,    -1,    -1,  2343,
    2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,    -1,  2353,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2361,    -1,    -1,
    2364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,    -1,    -1,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,  2427,    36,    37,    38,    39,    -1,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
    2524,    -1,    -1,    -1,  2528,  2529,   138,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,   147,    -1,    -1,  2542,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     182,   183,  2576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2587,    -1,    -1,    -1,  2591,    -1,    -1,
    2594,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,  2603,
      -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,
      -1,   233,  2626,   235,    -1,    -1,    -1,    -1,    -1,   241,
      -1,   243,    -1,    -1,    -1,    -1,  2640,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3150,    -1,    -1,
      -1,    -1,    -1,   265,   266,    -1,    -1,  2661,    -1,    -1,
     272,  2665,   274,    -1,    -1,   277,   278,    -1,   280,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   314,   315,   316,    -1,    -1,   319,    -1,    -1,
      -1,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     342,   343,    -1,   345,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   217,    -1,   219,    -1,    -1,
     392,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,  2793,
    2794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2802,    -1,
      -1,    -1,   414,    -1,    -1,   417,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,    -1,    -1,    -1,    -1,    -1,   440,    -1,
      -1,    -1,    -1,    -1,    -1,   447,   448,    -1,    -1,    -1,
      -1,   453,    -1,   455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2864,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,
     482,    -1,    -1,    -1,    84,    -1,  2880,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    -1,    -1,    -1,   108,    -1,
      -1,   111,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,    -1,     5,    -1,    -1,  3429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2938,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      42,    43,    -1,    -1,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,  2993,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,  3011,    -1,    -1,
    3014,    -1,    -1,  3017,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3034,    -1,    -1,    -1,    -1,  3039,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,   256,    -1,    -1,  3552,
    3553,    -1,    -1,    -1,    -1,   137,    -1,    -1,  3062,  3063,
    3064,    -1,    -1,  3067,    -1,  3568,    -1,   277,   278,    -1,
      -1,  3075,  3076,  3077,  3078,    -1,    -1,    -1,    -1,  3083,
      -1,  3584,   292,    -1,  3088,  3089,    -1,  3091,    -1,  3093,
    3593,  3594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3104,  3105,    -1,    -1,  3108,    -1,    -1,  3610,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,  3122,   101,
    3124,    -1,  3126,    -1,    -1,    -1,   336,   209,    -1,   339,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3146,    -1,    -1,   227,    -1,    -1,    -1,    -1,
      -1,    -1,   134,  3157,    -1,  3159,  3160,  3161,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   147,   248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
    3184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,  3197,    -1,    -1,    -1,   179,  3202,    -1,
      -1,    -1,    -1,    -1,  3208,    -1,    -1,   417,  3711,    -1,
      -1,    -1,    -1,    -1,  3218,    -1,    -1,    -1,   200,    -1,
      -1,    -1,    -1,    -1,    -1,   307,    -1,    -1,   310,   211,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   219,    -1,    -1,
      -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,  3257,   236,    -1,  3260,    -1,  3262,    -1,
     242,    -1,    -1,  3267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3291,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     510,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,    -1,  3318,    -1,    -1,    -1,    -1,    -1,
      -1,   403,    -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3335,    -1,  3836,  3837,  3838,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,  3359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   347,    -1,   449,    -1,    -1,
      -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   464,    -1,   366,    -1,    -1,  3391,  3392,  3393,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   393,    -1,    -1,    -1,    -1,   398,    -1,   400,    -1,
    3424,    -1,  3426,   865,   406,   507,    -1,   409,    -1,    -1,
      -1,    -1,   874,   515,    -1,   517,   518,   519,   520,   521,
      -1,    -1,   524,   525,   526,   527,    -1,    -1,    -1,   531,
      -1,    -1,    -1,    -1,    -1,    -1,   438,    -1,    -1,   441,
      -1,    -1,    -1,   445,    -1,    -1,    -1,   909,    -1,    -1,
     452,    -1,   454,    -1,    -1,    -1,    -1,   459,    -1,    -1,
      -1,  3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,    -1,    -1,    -1,  3510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   967,    -1,    -1,    -1,    -1,
      -1,   973,  3536,    -1,    -1,   977,  3540,  3541,    -1,    -1,
      84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,   994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3599,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3617,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3632,    -1,
      -1,    -1,    -1,    -1,  4137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4147,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1099,  1100,    -1,
      -1,    -1,    -1,    -1,  1106,    -1,    -1,    -1,  1110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4182,
      -1,  3685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4209,   251,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3730,    -1,    -1,  3733,
      -1,    -1,    -1,   277,   278,  3739,    -1,    -1,    -1,    -1,
      -1,  3745,    -1,  3747,    -1,    -1,  3750,    -1,   292,    -1,
    3754,  3755,  3756,  3757,  3758,    -1,    -1,  3761,  3762,  3763,
    3764,  3765,  3766,  3767,  3768,  3769,  3770,    -1,    -1,    -1,
    3774,  3775,    -1,    -1,    -1,  3779,    -1,    -1,    -1,   323,
    3784,    -1,    -1,    -1,  3788,    -1,  3790,    -1,  3792,    -1,
      -1,    -1,   336,    -1,    -1,   339,  3800,    -1,    -1,  3803,
      -1,  3805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,
    3814,    -1,    -1,  3817,  3818,    -1,    -1,    -1,  3822,  3823,
      -1,    -1,    -1,    -1,    -1,  3829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3839,    -1,  3841,  1280,  1281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3853,
      -1,    -1,    -1,    -1,    -1,  3859,  3860,  3861,    -1,    -1,
      -1,    -1,    -1,    -1,  1306,    -1,    -1,    -1,    -1,    -1,
      -1,  1313,    -1,   417,    -1,  1317,    -1,    -1,    -1,    -1,
      -1,  4384,  4385,  4386,  4387,    -1,    -1,    -1,    -1,    -1,
      -1,  1333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1342,    -1,  3906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3919,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3935,    -1,    -1,    -1,    -1,    -1,    -1,  1380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3950,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   510,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,    -1,
      -1,  1423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
    4024,    -1,    -1,    -1,    -1,  4029,  4030,  4031,    -1,    -1,
      -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,
      -1,    42,    43,    -1,  1496,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1554,    -1,    -1,  4119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4141,    -1,    -1,
      -1,    -1,    -1,  1585,    -1,    -1,   137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4168,    -1,    -1,    -1,    -1,    -1,
      -1,  1613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4700,    -1,  1641,
    1642,  1643,    -1,  1645,    -1,   101,    -1,    -1,    -1,    -1,
      -1,    -1,  4216,  4217,  4218,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,  1665,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,   134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   147,   148,    -1,    -1,    -1,    -1,   248,    -1,    -1,
      -1,   157,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,    -1,    -1,
     271,    -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4301,    -1,    -1,
      -1,    -1,    -1,    -1,   200,    -1,  1748,    -1,  4312,    -1,
    1752,  1753,    -1,    -1,    -1,   211,   307,    -1,    -1,   310,
      -1,    -1,    -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,   231,    -1,    -1,  4342,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4352,  4353,
      -1,  4355,    -1,    -1,    -1,  4359,  4360,    -1,    -1,    -1,
    4364,  4365,    -1,   259,    -1,  4369,    -1,    -1,  4372,  4373,
      -1,    -1,    -1,  4377,    -1,    -1,    -1,    -1,    -1,  4383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,  1831,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,    -1,    -1,
      -1,  4405,    -1,    -1,    -1,  1847,    -1,    -1,    -1,   305,
      -1,    -1,   403,  4417,    -1,    -1,    -1,    -1,  4422,    -1,
      -1,    -1,    -1,    -1,  4428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     336,    -1,  4446,  4946,  1886,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1894,    -1,    -1,    -1,    -1,    -1,   449,  4962,
     356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     366,  4475,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1927,    -1,    -1,   479,  4493,
    4993,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,
      -1,    -1,   398,    -1,   400,    -1,    -1,    -1,    -1,  4513,
     406,    -1,    -1,   409,    -1,    -1,   507,    -1,  4522,    -1,
      -1,    -1,    -1,    -1,   515,    -1,   517,   518,   519,   520,
     521,    -1,    -1,   524,   525,   526,    -1,    -1,  4542,    -1,
     531,    -1,   438,    -1,    -1,   441,    -1,  1989,    -1,   445,
      -1,    -1,    -1,  4557,    -1,    -1,   452,    -1,   454,    -1,
      -1,    -1,    -1,   459,    -1,    -1,  2008,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2023,    -1,    -1,    -1,    -1,    -1,    -1,   484,  2031,
      -1,    -1,  4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2042,    -1,    -1,    -1,    -1,  5108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4642,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2089,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2102,    -1,    -1,    -1,    -1,    -1,  2108,    -1,    -1,    -1,
      -1,    -1,  2114,    -1,    -1,    -1,    -1,    -1,  2120,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2132,  4695,    -1,  4697,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2147,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2172,    -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4748,    -1,    -1,    -1,  4752,    -1,
      -1,    -1,    -1,  4757,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4774,  4775,    -1,    -1,  4778,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4792,    -1,
      -1,    -1,    -1,  4797,    -1,    -1,    -1,  2239,  4802,    -1,
      -1,  4805,  4806,    -1,    -1,    -1,    -1,    -1,    -1,  4813,
    4814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4835,    -1,    -1,  2276,  2277,    -1,    -1,    -1,    -1,
    2282,  2283,    -1,    -1,    -1,  4849,    -1,  2289,  2290,  2291,
      -1,    -1,    -1,  2295,    -1,  2297,  2298,  2299,  2300,  2301,
    2302,    -1,  2304,    -1,  2306,  2307,    -1,    -1,  2310,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4882,    -1,
      -1,    -1,  2324,  2325,  2326,  2327,  2328,    -1,  4892,    -1,
      -1,  2333,    -1,    -1,    -1,  2337,    -1,    -1,  2340,    -1,
      -1,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
      -1,  2353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2361,
      -1,    -1,  2364,    -1,    -1,  4929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4943,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2427,    -1,    -1,    -1,    -1,
    4994,    -1,  4996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5026,  5027,    -1,  5029,    -1,  5031,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5055,    -1,    -1,    -1,  5059,    -1,    -1,    -1,    -1,
      -1,  5065,    -1,    -1,    -1,    -1,  5070,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2524,    -1,    -1,    -1,  2528,  2529,  5092,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5116,    -1,    -1,    -1,    -1,    -1,  5122,    -1,
      -1,    -1,  5126,  5127,    -1,    -1,    -1,  5131,    -1,    -1,
      -1,    -1,    -1,    -1,  2576,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2587,    -1,    -1,    -1,  2591,
      -1,    -1,  2594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2603,    -1,    -1,    -1,    -1,    -1,    -1,  5172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,  5192,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2640,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5212,  5213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5235,    -1,    -1,  5238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5247,    -1,    -1,    -1,    -1,  5252,    -1,
    5254,    -1,  5256,    -1,    -1,    -1,    -1,    -1,    -1,  5263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5281,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2793,  2794,    -1,    -1,    -1,    -1,    -1,    -1,  5363,
    5364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2864,    -1,    -1,  5429,    -1,    -1,    -1,    -1,
      -1,  5435,  5436,    -1,  5438,    -1,    -1,    -1,  2880,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5480,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5536,  5537,    -1,    -1,    -1,    -1,  5542,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5550,    -1,    -1,    -1,
      -1,  2993,    -1,    -1,    -1,    -1,    -1,  5561,  5562,  5563,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3011,
      -1,    -1,  3014,    -1,    -1,  3017,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3025,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3034,    -1,    -1,    -1,    -1,  3039,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3062,  3063,  3064,    -1,    -1,  3067,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3075,  3076,  3077,  3078,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3088,    -1,    -1,  3091,
      -1,  3093,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,  3104,  3105,   162,    -1,  3108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3122,    -1,  3124,    -1,  3126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3146,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3157,    -1,  3159,  3160,  3161,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,    -1,  3184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     248,    -1,    -1,    -1,    -1,  3197,    -1,    -1,    -1,    -1,
    3202,    -1,    -1,    -1,    -1,    -1,  3208,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,  3218,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,  3257,    -1,    55,  3260,    -1,
    3262,    -1,    -1,    -1,    -1,  3267,    64,    -1,    66,    -1,
      68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3291,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3318,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,  3335,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,  3359,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,   426,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,  3424,   221,  3426,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,
      -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,
      -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,
     278,    -1,   280,  3485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,
     328,    -1,    -1,    -1,  3536,    -1,    -1,    -1,    -1,  3541,
      -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,  3599,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3617,   414,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3632,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,   703,   704,    -1,    -1,   447,
     448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   479,    -1,  3685,   482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   751,    -1,    -1,    -1,    -1,    -1,    -1,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3730,    -1,
      -1,  3733,    -1,    -1,    -1,   533,    -1,  3739,    -1,    -1,
      -1,    -1,    -1,  3745,    -1,  3747,    -1,    -1,  3750,    -1,
      -1,    -1,  3754,  3755,  3756,  3757,  3758,    -1,    -1,  3761,
    3762,  3763,  3764,  3765,  3766,  3767,  3768,  3769,  3770,    -1,
      -1,    -1,  3774,  3775,    -1,    -1,    -1,  3779,    -1,    -1,
      -1,    -1,  3784,    -1,    -1,    -1,  3788,    -1,    -1,    -1,
    3792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3800,    -1,
      -1,  3803,    -1,  3805,    -1,    -1,    -1,    -1,   973,    -1,
      -1,  3813,  3814,    -1,   872,  3817,  3818,    -1,    -1,    -1,
    3822,  3823,   880,    -1,    -1,   883,   884,  3829,   886,   994,
      -1,   889,    -1,   891,    -1,    -1,    -1,  3839,    -1,  3841,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3853,   910,    -1,    -1,    -1,    -1,  3859,  3860,  3861,
     918,    -1,    -1,    -1,    -1,    -1,    -1,   925,    -1,    -1,
     928,   929,    -1,    -1,    -1,   933,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   950,    -1,   952,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3906,    -1,    -1,    -1,    -1,    -1,
     968,    -1,    -1,    -1,    -1,    -1,    -1,  3919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   983,    -1,   985,    -1,    -1,
     988,    -1,   990,  3935,    -1,   993,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3950,  1007,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4141,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1313,    -1,
      -1,    -1,  1210,    -1,  1212,    -1,    -1,    -1,  1216,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4168,    -1,  1333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,  1236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4216,  4217,  4218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1310,    -1,    -1,    -1,    -1,    -1,  1423,    -1,
      -1,    -1,    -1,    -1,  1322,    -1,  1324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1332,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1344,    -1,    -1,  1347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4301,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1381,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4352,  4353,    -1,  4355,    -1,    -1,    -1,  4359,  4360,    -1,
      -1,    -1,  4364,  4365,    -1,    -1,    -1,  4369,    -1,    -1,
    4372,  4373,    -1,    -1,    -1,  4377,    -1,    -1,    -1,    -1,
      -1,  4383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1554,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,
      -1,    -1,    -1,  4405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4417,    -1,    -1,    -1,    -1,
    4422,    -1,    -1,    -1,    -1,    -1,  4428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4475,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1543,    -1,    -1,    -1,    -1,
      -1,  4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4557,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4596,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4631,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1738,  1739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4695,    -1,  4697,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1796,    -1,
      -1,  1799,    -1,    -1,    -1,    -1,  4748,    -1,    -1,  1807,
    4752,    -1,    -1,    -1,    -1,  4757,    -1,    -1,    -1,    -1,
      -1,    -1,  1927,    -1,    -1,    -1,    -1,  1825,    -1,    -1,
      -1,    -1,  4774,  4775,    -1,    -1,  4778,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4792,    -1,    -1,    -1,    -1,  4797,    -1,    -1,    -1,    -1,
    4802,    -1,    -1,  4805,  4806,    -1,    -1,    -1,    -1,    -1,
      -1,  4813,  4814,    -1,  1872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4835,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2008,    -1,    -1,    -1,  4849,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2031,    -1,    -1,    -1,
      -1,    -1,  1930,    -1,    -1,    -1,    -1,  2042,    -1,    -1,
    4882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2089,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4943,    -1,  2108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,    -1,    89,
      -1,    -1,    -1,    -1,    94,    -1,    96,  2132,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2046,    -1,
      -1,    -1,  4994,    -1,  4996,    -1,    -1,    -1,    -1,    -1,
      -1,   131,    -1,    -1,    -1,    -1,    -1,  2172,    -1,    -1,
    2175,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   152,   153,  5026,  5027,   156,  5029,    -1,  5031,
      -1,    -1,   162,    -1,    -1,    -1,   166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5055,    -1,    -1,    -1,  5059,   188,    -1,
      -1,    -1,    -1,  5065,    -1,    -1,    -1,    -1,  5070,    -1,
      -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2146,    -1,
    5092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2160,    -1,    -1,  2163,    -1,  2165,    -1,  2167,
      -1,    -1,    -1,    -1,    -1,  2173,    -1,    -1,    -1,    -1,
    5122,    -1,    -1,    -1,  5126,  5127,    -1,    -1,    -1,  5131,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2324,
      -1,    -1,    -1,    -1,    -1,    -1,  2224,    -1,    -1,    -1,
    5172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2236,    -1,
      -1,    -1,  2240,    -1,  2242,    -1,    -1,  2245,    -1,    -1,
    5192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5212,  5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5235,    -1,    -1,  5238,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5247,    -1,    -1,    -1,    -1,
    5252,    -1,  5254,    -1,  5256,    -1,    -1,    -1,    -1,    -1,
      -1,  5263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2524,
      -1,  5363,  5364,  2528,  2529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2591,  5429,    -1,    -1,
      -1,    -1,    -1,  5435,  5436,    -1,  5438,    -1,  2603,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2509,    -1,    -1,    -1,  5457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2640,    -1,    -1,    -1,    -1,
      -1,  2539,  2540,    -1,    -1,    -1,  2544,  2545,    -1,    -1,
      -1,  2549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2563,    -1,    -1,    -1,    -1,
      -1,    -1,  2570,    -1,    -1,    -1,  2574,  2575,    -1,    -1,
    2578,  2579,    -1,    -1,    -1,   655,    -1,  2585,    -1,    -1,
      -1,    -1,    -1,    -1,  5536,  5537,    -1,    -1,    -1,  2597,
      -1,  2599,    -1,    -1,    -1,    -1,    -1,    -1,  5550,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2616,    -1,
    5562,  5563,    -1,  2621,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   703,   704,    -1,  2634,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2642,    -1,  2644,    -1,  2646,  2647,
    2648,    -1,    -1,    -1,    -1,  2653,  2654,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2663,    -1,    -1,    -1,    -1,
    2668,    -1,    -1,    -1,    -1,  2673,    -1,    -1,    -1,    -1,
      -1,   751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2794,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2697,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2708,    -1,  2710,    -1,    -1,    -1,    -1,  2715,    -1,    -1,
      -1,  2719,    -1,  2721,  2722,  2723,  2724,    -1,  2726,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2739,  2740,  2741,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2749,  2750,    -1,    -1,    -1,    -1,    -1,    -1,  2864,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2803,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   949,
     950,    -1,   952,    -1,    -1,    -1,    -1,    -1,  2993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1003,    -1,    -1,  1006,  1007,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1021,    -1,  1023,    -1,  1025,  2954,    -1,    -1,    -1,
      -1,  1031,    -1,    -1,    -1,  1035,    -1,    -1,    -1,  2967,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1055,  1056,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1102,    -1,  1104,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3159,  3160,  3161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1197,  1198,    -1,
      -1,  1201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3257,    -1,    -1,  3260,    -1,  3262,    -1,    -1,
      -1,    -1,  3267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3270,  3271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3313,    -1,    -1,    -1,  3424,
      -1,  3426,    -1,    -1,  3322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3338,  3339,    -1,    -1,    -1,  3343,    -1,    -1,    -1,    -1,
    3348,  3349,  3350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3485,  3379,  3380,  3381,  3382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3416,    -1,
    3418,  3419,  3420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3428,  3536,    -1,    -1,  1504,    -1,  3541,    -1,    -1,  1509,
      -1,  1511,    -1,    -1,  1514,    -1,  1516,    -1,    -1,  1519,
    1520,  1521,    -1,    -1,    -1,  1525,    -1,    -1,    -1,    -1,
      -1,    -1,  1532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1546,    -1,  1548,    -1,
      -1,    -1,    -1,  1553,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3599,    -1,    -1,   973,    -1,  3497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3505,    -1,    -1,
      -1,    -1,  3617,    -1,    -1,    -1,    -1,    -1,   994,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3524,  3632,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3547,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3591,    -1,    -1,    -1,  3595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1687,  1688,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3624,    -1,  3733,    -1,
      -1,    -1,  3630,    -1,  1704,    -1,    -1,    -1,    -1,  1709,
    1710,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3754,
      -1,    -1,    -1,    -1,  3652,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3666,    -1,
      -1,    -1,  3670,    -1,  3779,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3683,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,   874,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1791,    -1,  1793,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1803,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   909,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3861,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   967,    -1,    -1,    -1,  1876,    -1,   973,    -1,
      -1,    -1,   977,    -1,  1884,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   994,
    3935,    -1,    -1,    -1,    -1,    -1,    -1,  1313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,
      -1,    -1,    -1,  1943,    -1,    -1,  1946,  1947,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1099,  1100,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2015,    -1,  1423,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3957,
      -1,  3959,    -1,    -1,    -1,    -1,    -1,    -1,  3966,    -1,
      -1,  1136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3998,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4027,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4054,    -1,    -1,    -1,
      -1,    -1,    -1,  4168,    -1,    -1,    -1,  4065,  4066,  4067,
      -1,    -1,  4070,  4071,  4072,  4073,  4074,  4075,  1554,    -1,
      -1,    -1,  4080,  4081,    -1,  4083,  4084,  4085,  4086,  4087,
    4088,  4089,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4098,    -1,  4100,  4101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2208,    -1,
    2210,  1306,  4140,    -1,  2214,    -1,  2216,    -1,  1313,  2219,
      -1,    -1,  1317,  2223,    -1,    -1,    -1,    -1,  2228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4236,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1423,    -1,
    4365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4272,  4273,  4274,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4284,    -1,    -1,    -1,
    2360,    -1,    -1,    -1,    -1,    -1,    -1,  2367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2377,    -1,    -1,
      -1,    -1,  4417,    -1,    -1,    -1,    -1,  4422,    -1,    -1,
      -1,    -1,    -1,  4428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,  1554,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4522,  1894,    -1,
    1585,    -1,    -1,    -1,  2494,    -1,    -1,    -1,  2498,    -1,
      -1,    -1,    -1,    -1,  2504,    -1,  2506,  4542,    -1,  2509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1613,    -1,
      -1,  1927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1641,  1642,  1643,    -1,
    1645,    -1,    -1,    -1,    -1,  2555,    -1,    -1,    -1,    -1,
      -1,  4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1665,    -1,    -1,  4501,    -1,    -1,    -1,  4505,  4506,  4507,
    4508,    -1,    -1,  4511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2008,    -1,    -1,  4533,  4534,  4535,  4536,    -1,
    4538,  4539,    -1,    -1,    -1,    -1,    -1,  2023,    -1,    -1,
      -1,    -1,  4550,  4551,  1719,  2031,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2042,    -1,    -1,    -1,
    4568,    -1,    -1,    -1,    -1,    -1,    -1,  4575,  4576,    -1,
    4578,    -1,    -1,  1748,    -1,    -1,    -1,  1752,  1753,    -1,
    4695,    -1,  4697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2089,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2701,  2108,    -1,    -1,    -1,    -1,    -1,    -1,  2709,
      -1,  2711,    -1,    -1,  2120,    -1,    -1,  4752,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2132,    -1,    -1,    -1,
      -1,    -1,    -1,  4661,    -1,    -1,  1831,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4682,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2172,    -1,    -1,  2175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4721,    -1,    -1,    -1,    -1,    -1,  1894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4795,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4810,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2008,    -1,    -1,    -1,    -1,  2324,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2031,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2042,    -1,    -1,
      -1,    -1,    -1,    -1,  2954,  2955,  4884,    -1,    -1,    -1,
      -1,  4996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2971,    -1,    -1,  4902,    -1,    -1,    -1,    -1,  4907,
    4908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5027,    -1,  2089,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2102,    -1,    -1,
      -1,    -1,    -1,  2108,    -1,    -1,    -1,    -1,    -1,  2114,
      -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,    -1,    -1,
    5065,    -1,    -1,    -1,    -1,  4963,    -1,  2132,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2147,    -1,    -1,    -1,    -1,    -1,  1099,  1100,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2172,    -1,  5007,
    2175,    -1,    -1,    -1,    -1,    -1,    -1,  5122,    -1,  5017,
      -1,  5126,  5127,    -1,    -1,  1136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2524,    -1,
      -1,    -1,  2528,  2529,  5052,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5063,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3175,    -1,  5212,  5213,    -1,
    3180,  2276,  2277,    -1,  5112,  2591,    -1,  2282,  2283,    -1,
      -1,    -1,    -1,  5121,  2289,  2290,  2291,  2603,    -1,    -1,
    2295,    -1,  2297,  2298,  2299,  2300,  2301,  2302,    -1,  2304,
      -1,  2306,  2307,    -1,  5142,  2310,    -1,    -1,    -1,    -1,
     973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2324,
    2325,  2326,  2327,  2328,  2640,    -1,    -1,    -1,  2333,    -1,
      -1,   994,  2337,    -1,    -1,  2340,    -1,    -1,  2343,  2344,
    2345,  2346,  2347,  2348,  2349,  2350,  2351,    -1,  2353,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2361,    -1,    -1,  2364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2794,    -1,
      -1,  5319,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2524,
      -1,    -1,    -1,  2528,  2529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2864,    -1,
      -1,    -1,    -1,    -1,    -1,  5393,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5418,    -1,  2587,    -1,    -1,    -1,  2591,    -1,    -1,  2594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2603,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,
      -1,  3541,    -1,    -1,  1585,  2640,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1333,    -1,    -1,    -1,    -1,    -1,    -1,  2993,    -1,  1342,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1641,  1642,  1643,    -1,  1645,    -1,    -1,    -1,  3014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3025,
      -1,    -1,    -1,    -1,  1665,    -1,    -1,    -1,    -1,    -1,
    3630,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1719,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2793,  2794,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1748,    -1,    -1,
      -1,  1752,  1753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2864,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2880,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1554,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2938,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3257,    -1,    -1,  3260,    -1,  3262,    -1,    -1,    -1,
      -1,  3267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3318,    -1,    -1,    -1,  3011,    -1,    -1,  3014,
      -1,    -1,  3017,    -1,  3924,    -1,    -1,    -1,    -1,  3335,
    3025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,
      -1,    -1,    -1,    -1,  3039,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3062,  3063,  3064,
      -1,    -1,  3067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3075,  3076,  3077,  3078,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3088,    -1,    -1,  3091,    -1,  3093,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3104,
    3105,    -1,    -1,  3108,    -1,    -1,    -1,    -1,  3424,    -1,
    3426,    -1,    -1,    -1,    -1,    -1,    -1,  3122,    -1,  3124,
    4030,  3126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3146,    -1,    -1,    -1,    -1,    -1,    -1,  4058,    -1,
      -1,    -1,  3157,    -1,  3159,  3160,  3161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1831,  3485,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3197,    -1,  3510,    -1,    -1,  3202,    -1,    -1,
      -1,    -1,    -1,  3208,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3218,    -1,    -1,    -1,    -1,    -1,    -1,
    3536,    -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,    -1,
      -1,  1894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3257,    -1,    -1,  3260,    -1,  3262,    -1,    -1,
      -1,    -1,  3267,    -1,  1927,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3599,    -1,    -1,  3291,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3318,    -1,    -1,  3632,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3335,  2282,    -1,    -1,   973,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2295,  2008,  2297,    -1,    -1,  2300,
    2301,  2302,    -1,    -1,  3359,   994,  2307,    -1,    -1,  2310,
    2023,    -1,    -1,    -1,    -1,    -1,    -1,  4277,  2031,    -1,
      -1,    -1,    -1,    -1,  2325,  2326,  2327,  2328,    -1,  2042,
      -1,    -1,  2333,    -1,    -1,    -1,  2337,    -1,    -1,  2340,
      -1,    -1,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,
    2351,    -1,  2353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2361,    -1,    -1,  2364,    -1,    -1,    -1,  3733,    -1,  3424,
      -1,  3426,    -1,    -1,    -1,    -1,  2089,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3754,    -1,
      -1,    -1,    -1,    -1,    -1,  2108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,
      -1,    -1,    -1,  3779,    -1,    -1,    -1,    -1,    -1,  2132,
      -1,    -1,    -1,    -1,    -1,    -1,  2427,    -1,    -1,    -1,
    3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3510,    -1,    -1,    -1,  2172,
      -1,    -1,  2175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3536,    -1,    -1,    -1,    -1,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3599,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4519,
      -1,    -1,  3617,    -1,    -1,    -1,    -1,    -1,    -1,  3935,
      -1,    -1,    -1,    -1,    -1,  2576,    -1,  3632,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1313,    -1,    -1,    -1,    -1,    -1,
    3685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1342,  4614,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3730,    -1,    -1,  3733,    -1,
      -1,    -1,    -1,    -1,  3739,    -1,    -1,    -1,    -1,    -1,
    3745,    -1,  3747,    -1,    -1,  3750,    -1,    -1,    -1,  3754,
    3755,  3756,  3757,  3758,    -1,    -1,  3761,  3762,  3763,  3764,
    3765,  3766,  3767,  3768,  3769,  3770,    -1,    -1,    -1,  3774,
    3775,    -1,    -1,    -1,  3779,    -1,    -1,    -1,    -1,  3784,
      -1,    -1,    -1,  3788,  1423,    -1,    -1,  3792,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3800,    -1,    -1,  3803,    -1,
    3805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,  3814,
      -1,    -1,  3817,  3818,    -1,    -1,    -1,  3822,  3823,    -1,
      -1,    -1,    -1,    -1,  3829,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3839,    -1,  3841,    -1,    -1,    -1,
      -1,    -1,  2793,    -1,    -1,    -1,    -1,    -1,  3853,    -1,
      -1,    -1,  4168,    -1,  3859,  3860,  3861,    -1,    -1,    -1,
      -1,  2524,    -1,    -1,    -1,  2528,  2529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   973,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4216,  3906,    -1,    -1,    -1,   994,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3919,  1554,    -1,    -1,    -1,    -1,
    4830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2591,    -1,
    3935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2603,    -1,    -1,    -1,    -1,  3950,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4882,    -1,    -1,    -1,    -1,  2640,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2938,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3034,    -1,    -1,    -1,    -1,  3039,    -1,
      -1,    -1,    -1,   973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3064,   994,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3075,    -1,  3077,  3078,    -1,    -1,
      -1,  2794,    -1,    -1,    -1,    -1,  4141,  3088,    -1,    -1,
    3091,    -1,  3093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3122,    -1,  3124,    -1,  3126,    -1,  4493,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1831,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2864,    -1,    -1,    -1,    -1,  4522,    -1,  3159,  3160,
    3161,  4216,  4217,  4218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1313,    -1,  4542,    -1,    -1,    -1,
      -1,    -1,    -1,  3184,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1333,    -1,  3197,    -1,    -1,    -1,
      -1,  3202,    -1,  1342,    -1,  1894,    -1,  3208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1927,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4312,    -1,    -1,
      -1,    -1,    -1,  5223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2993,    -1,    -1,    -1,  1423,    -1,    -1,  4342,    -1,    -1,
    3291,    -1,    -1,    -1,    -1,    -1,    -1,  4352,  4353,    -1,
    4355,  3014,    -1,    -1,  4359,  4360,    -1,    -1,    -1,  4364,
    4365,    -1,  3025,    -1,  4369,    -1,    -1,  4372,  4373,  2008,
      -1,    -1,  4377,    -1,    -1,    -1,    -1,    -1,  4383,    -1,
      -1,  4697,    -1,    -1,  2023,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2031,    -1,    -1,    -1,  4401,    -1,    -1,    -1,
    4405,    -1,    -1,  2042,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4417,    -1,    -1,    -1,    -1,  4422,    -1,    -1,
      -1,    -1,    -1,  4428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1313,    -1,    -1,  4752,    -1,    -1,    -1,
      -1,  4446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2089,    -1,    -1,  1333,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1342,    -1,    -1,  1554,    -1,    -1,    -1,  2108,
    4475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2120,    -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,
      -1,    -1,    -1,  2132,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4522,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2172,    -1,    -1,  2175,  4542,    -1,    -1,
      -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4596,    -1,    -1,  3257,    -1,    -1,  3260,    -1,  3262,
      -1,    -1,    -1,    -1,  3267,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4631,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4642,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3335,    -1,  1554,    -1,    -1,    -1,    -1,    -1,
    4996,    -1,    -1,    -1,    -1,  2324,    -1,    -1,    -1,    -1,
    4695,    -1,  4697,    -1,    -1,    -1,  3359,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,
      -1,  5027,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1831,  4748,    -1,    -1,    -1,  4752,    -1,  5065,
      -1,    -1,  4757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3424,    -1,  3426,    -1,    -1,    -1,    -1,    -1,  4774,
    4775,    -1,    -1,  4778,    -1,    -1,    -1,    -1,    -1,  3730,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4792,  3739,    -1,
      -1,    -1,  4797,    -1,  3745,    -1,  3747,  4802,    -1,    -1,
    4805,  4806,    -1,    -1,    -1,  1894,  5122,    -1,  4813,  4814,
    5126,  5127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3485,  3774,  3775,    -1,    -1,    -1,    -1,    -1,
    4835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1927,    -1,
      -1,  3792,    -1,    -1,  4849,    -1,    -1,  3510,    -1,  3800,
      -1,    -1,  3803,    -1,  3805,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3822,  3823,  3536,    -1,    -1,    -1,  4882,  3541,    -1,
      -1,    -1,    -1,    -1,    -1,  2524,    -1,  4892,    -1,  2528,
    2529,    -1,    -1,    -1,    -1,    -1,    -1,  5213,    -1,    -1,
      -1,    -1,  3853,    -1,    -1,    -1,    -1,    -1,  3859,  3860,
    3861,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2008,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2023,    -1,  3599,    -1,  4943,    -1,
      -1,    -1,  2031,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1831,  2591,  2042,  3617,  3906,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2603,    -1,    -1,    -1,  3919,  3632,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4994,
      -1,  4996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2089,  2640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1894,    -1,    -1,    -1,    -1,  2108,
      -1,  5026,  5027,    -1,  5029,    -1,  5031,    -1,    -1,    -1,
      -1,  2120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2132,    -1,    -1,    -1,  1927,    -1,  1313,
    5055,    -1,    -1,    -1,  5059,    -1,    -1,    -1,    -1,    -1,
    5065,    -1,    -1,    -1,    -1,  5070,    -1,    -1,    -1,  1333,
    3733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,
      -1,    -1,    -1,  2172,    -1,    -1,  2175,  5092,    -1,    -1,
      -1,  3754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3779,  5122,    -1,    -1,
      -1,  5126,  5127,    -1,    -1,    -1,  5131,    -1,  2008,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2023,    -1,    -1,    -1,    -1,    -1,    -1,
    3813,  2031,    -1,    -1,    -1,  2794,    -1,    -1,    -1,  1423,
      -1,    -1,  2042,    -1,    -1,    -1,    -1,  5172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5212,  5213,  2089,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2864,    -1,    -1,  2108,    -1,
    5235,    -1,    -1,  5238,    -1,  2324,    -1,    -1,    -1,    -1,
    2120,    -1,  5247,    -1,    -1,    -1,    -1,  5252,    -1,  5254,
      -1,  5256,  2132,    -1,    -1,    -1,    -1,    -1,  5263,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4217,  4218,    -1,    -1,
      -1,    -1,  3935,    -1,    -1,    -1,  5281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1554,    -1,  2172,    -1,    -1,  2175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4301,    -1,    -1,    -1,  2993,    -1,    -1,    -1,  5363,  5364,
      -1,  4312,    -1,    -1,    -1,    -1,    -1,  4030,    -1,  5374,
      -1,    -1,    -1,    -1,    -1,  3014,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3025,    -1,    -1,  5394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4352,  4353,    -1,    -1,    -1,    -1,    -1,  4359,  4360,
      -1,    -1,    -1,  4364,    -1,    -1,    -1,    -1,  4369,    -1,
      -1,  4372,  4373,    -1,  5429,    -1,  4377,    -1,    -1,    -1,
    5435,  5436,  4383,  5438,    -1,  2524,    -1,    -1,    -1,  2528,
    2529,    -1,    -1,    -1,  2324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4417,    -1,    -1,    -1,
      -1,  4422,    -1,    -1,    -1,    -1,    -1,  4428,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4446,    -1,    -1,    -1,    -1,
      -1,    -1,  2591,    -1,    -1,  4168,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2603,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4475,    -1,    -1,    -1,    -1,    -1,
      -1,  5536,  5537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5550,    -1,    -1,    -1,    -1,
      -1,  2640,    -1,  4216,    -1,    -1,    -1,  5562,  5563,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1831,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4557,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3257,    -1,
      -1,  3260,    -1,  3262,    -1,    -1,    -1,    -1,  3267,    -1,
    1894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2524,    -1,    -1,    -1,  2528,  2529,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1927,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3318,
    4631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4355,    -1,    -1,    -1,  3335,    -1,    -1,    -1,
      -1,    -1,  4365,    -1,    -1,  2794,    -1,    -1,    -1,    -1,
      -1,  2591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3359,    -1,    -1,  2603,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2008,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2023,
    2640,    -1,    -1,    -1,    -1,    -1,    -1,  2031,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2864,    -1,    -1,  2042,    -1,
      -1,    -1,    -1,    -1,    -1,  3424,    -1,  3426,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4774,  4775,  2089,    -1,  4778,    -1,    -1,
    4493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2108,    -1,  3485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,  4522,
      -1,    -1,  4813,  4814,    -1,    -1,    -1,    -1,  2132,    -1,
      -1,  3510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4542,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3536,    -1,    -1,
      -1,    -1,  3541,    -1,  2993,    -1,    -1,    -1,  2172,    -1,
      -1,  2175,    -1,    -1,  2794,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3014,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4596,    -1,    -1,  3025,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3617,    -1,
      -1,    -1,    -1,    -1,  2864,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3632,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4697,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5029,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4752,
      -1,    -1,    -1,    -1,  3733,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5055,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2993,    -1,  3754,    -1,    -1,    -1,  5070,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3014,    -1,    -1,    -1,    -1,    -1,
    3779,  5092,    -1,    -1,    -1,  3025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3257,    -1,
      -1,  3260,    -1,  3262,  3813,    -1,    -1,    -1,  3267,    -1,
    5131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4882,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5192,    -1,    -1,    -1,    -1,  3335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2524,    -1,    -1,    -1,  2528,  2529,    -1,    -1,    -1,    -1,
    3359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1734,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3935,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2591,    -1,    -1,
    5281,    -1,    -1,  4996,    -1,  3424,    -1,  3426,    -1,  2603,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5027,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2640,  3257,    -1,    -1,
    3260,    -1,  3262,    -1,    -1,    -1,    -1,  3267,    -1,    -1,
      -1,  4030,    -1,    -1,    -1,    -1,  3485,    -1,    -1,    -1,
      -1,    -1,  5065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5363,  5364,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3510,    -1,  5374,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3536,    -1,    -1,
      -1,    -1,  3541,    -1,    -1,  3335,    -1,    -1,    -1,  5122,
      -1,    -1,    -1,  5126,  5127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5438,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5457,    -1,    -1,    -1,
    3599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3617,  4168,
    2794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3632,  3424,    -1,  3426,    -1,    -1,    -1,
    5213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5536,  5537,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2864,    -1,    -1,    -1,    -1,  3485,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3733,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3536,    -1,    -1,    -1,
      -1,  3541,    -1,    -1,    -1,  3754,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4355,    -1,    -1,  3599,
      -1,    -1,    -1,    -1,  3813,    -1,  4365,    -1,    -1,  2993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3617,    -1,    -1,
      -1,    -1,    -1,    -1,  2191,    -1,    -1,    -1,    -1,    -1,
    3014,    -1,  3632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3935,  2294,    -1,    -1,
      -1,  2298,    -1,  3733,  4493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2312,  2313,  2314,    -1,    -1,
    2317,    -1,    -1,    -1,  3754,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3779,
      -1,    -1,    -1,  4542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4596,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2437,    -1,    -1,  3257,    -1,    -1,  3260,    -1,  3262,    -1,
      -1,    -1,  2449,  3267,    -1,  2452,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3318,  3935,    -1,    -1,  4697,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4752,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3424,    -1,  3426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4882,    -1,    -1,  3510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4355,    -1,    -1,    -1,
      -1,    -1,  3536,    -1,    -1,    -1,  4365,  3541,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3599,  4216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3617,    -1,    -1,    -1,  4996,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3632,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5027,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5065,    -1,    -1,    -1,
      -1,    -1,    -1,  4522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3733,
      -1,    -1,    -1,    -1,    -1,  4355,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5122,    -1,  4365,    -1,  5126,  5127,    -1,
    3754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4596,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3779,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5213,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4697,    -1,
    3057,    -1,  3059,  4493,    -1,  3062,  3063,    -1,  3065,    -1,
    3067,    -1,    -1,    -1,  3071,    -1,    -1,  3074,    -1,    -1,
      -1,    -1,  3079,    -1,    -1,    -1,    -1,    -1,  3085,    -1,
      -1,    -1,  4522,  3090,    -1,    -1,    -1,    -1,    -1,    -1,
    3097,  3098,  3099,  3100,    -1,    -1,    -1,  3104,  3105,    -1,
    3107,    -1,  4542,  4752,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3935,  3119,    -1,  3121,    -1,    -1,    -1,    -1,    -1,
      -1,  3128,  3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,
    3137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4596,    -1,  3165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,     9,    -1,    -1,    -1,    13,    -1,    15,
      -1,    17,    18,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4030,    -1,    44,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4882,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4697,    94,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,
     106,   107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3306,
      -1,    -1,    -1,    -1,    -1,   141,    -1,   143,   144,    -1,
      -1,    -1,  4752,   149,    -1,   151,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,   164,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   179,  4168,   181,    -1,  4996,   184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,   198,    -1,    -1,    -1,   202,    -1,    -1,    -1,
      -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,  5027,    -1,
     216,    -1,   218,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,  4216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5065,    -1,    -1,   255,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5122,    -1,   311,    -1,  5126,  5127,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,    -1,
    3537,  4355,    -1,    -1,    -1,    -1,    -1,   373,    -1,    -1,
      -1,  4365,   378,   379,    -1,   381,    -1,    -1,    -1,    -1,
     386,    -1,    -1,    -1,    -1,   391,  4996,    -1,   394,    -1,
      -1,    -1,    -1,   399,  5213,    -1,    -1,    -1,   404,   405,
      -1,    -1,    -1,    -1,    -1,    -1,   412,    -1,    -1,    -1,
     416,    -1,    -1,    -1,    -1,    -1,    -1,  5027,    -1,    -1,
     426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   457,    -1,   459,    -1,  5065,    -1,    -1,    -1,    -1,
      -1,   467,    -1,    -1,    -1,    -1,    -1,   473,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3674,    -1,  4493,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
      -1,    -1,  5122,    -1,    -1,    -1,  5126,  5127,    -1,    -1,
     526,    -1,    -1,    -1,   530,    -1,    -1,    -1,  4522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4542,    -1,
      -1,    -1,  3729,    -1,    -1,    -1,    -1,    -1,  3735,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3751,  3752,    -1,    -1,  3755,  3756,
    3757,  3758,    -1,    -1,  3761,  3762,  3763,  3764,  3765,  3766,
    3767,  3768,  3769,  3770,  3771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4596,  5213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3793,    -1,    -1,  3796,
      -1,  3798,    -1,    -1,  3801,  3802,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3816,
    3817,  3818,  3819,    -1,  3821,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4697,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3900,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4882,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4141,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5027,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4302,    -1,    -1,  5122,  4306,
    4307,  4308,  5126,  5127,    -1,    -1,    -1,  4314,  4315,  4316,
    4317,    -1,    -1,    -1,    -1,  4322,  4323,  4324,  4325,  4326,
    4327,  4328,  4329,  4330,  4331,  4332,  4333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4358,    -1,    -1,  4361,    -1,  4363,    -1,    -1,    -1,
    4367,    -1,    -1,  4370,  4371,    -1,    -1,  4374,  4375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5213,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4419,    -1,    -1,    -1,    -1,    -1,    -1,  4426,
    4427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4634,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,  4692,  4693,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,  4742,    55,    -1,    -1,    -1,
    4747,  4748,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,  4762,    -1,  4764,    -1,    78,
      79,  4768,  4769,  4770,    -1,    -1,  4773,    -1,    -1,  4776,
    4777,    -1,    -1,    -1,  4781,    94,    -1,    -1,  4785,    -1,
      -1,    -1,    -1,    -1,    -1,   104,    -1,   106,   107,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,   118,
      -1,    -1,   121,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,    -1,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,    -1,    -1,
    4847,    -1,    -1,   162,    -1,   164,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
     179,    -1,   181,   182,   183,   184,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,    -1,   196,    -1,   198,
      -1,    -1,    -1,   202,    -1,    -1,    -1,    -1,    -1,   208,
     209,    -1,    -1,    -1,    -1,    -1,  4903,   216,   217,   218,
      -1,    -1,   221,    -1,    -1,   224,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,
     239,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,   255,    -1,    -1,    -1,
      -1,  4948,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,
     269,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,
      -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,   290,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,
      -1,   300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   311,    -1,    -1,   314,   315,   316,    -1,    -1,
     319,    -1,    -1,   322,   323,    -1,    -1,   326,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5025,  5026,
      -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,  5041,  5042,  5043,    -1,   357,    -1,
     359,    -1,   361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   372,   373,    -1,    -1,    -1,    -1,   378,
     379,    -1,   381,    -1,    -1,    -1,    -1,   386,    -1,    -1,
    5077,  5078,   391,   392,    -1,   394,    -1,   396,    -1,    -1,
     399,    -1,    -1,    -1,    -1,   404,   405,    -1,    -1,    -1,
      -1,    -1,    -1,   412,    -1,   414,    -1,   416,   417,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,   426,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,   438,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
      -1,    -1,    -1,    -1,   453,    -1,   455,    -1,   457,    -1,
     459,    -1,    -1,    -1,    -1,   464,    -1,    -1,   467,    -1,
      -1,   470,    -1,    -1,   473,    -1,    -1,    -1,    -1,   478,
     479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   491,    -1,    -1,    -1,    -1,    -1,    -1,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,    -1,
      -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,
      -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,  5509,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5549,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   532,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
     197,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,   271,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
     517,   518,   519,    -1,    -1,    -1,    -1,    -1,    -1,   526,
     527,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,   527,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,   527,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,   271,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,   527,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,    -1,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,    -1,
      -1,    -1,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,    -1,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,    -1,   321,
     322,   323,   324,    -1,    -1,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,   358,    -1,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,    -1,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,    -1,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   507,   508,   509,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   527,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   527,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,   524,   525,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,   519,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,
      -1,   517,   518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,   271,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,   517,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,   271,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,   271,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,   271,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,   134,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,   335,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,   512,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   526,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,   134,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,   335,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   526,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   526,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   526,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     526,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   527,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,   525,   526,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,   512,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,   512,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   526,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   526,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   526,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   526,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   526,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,    84,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,   219,   220,    -1,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    -1,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,    -1,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,    -1,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,    -1,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,   452,    -1,   454,
      -1,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,   508,   509,    -1,    -1,    -1,   513,   514,
     515,    -1,   517,   518,   519,   520,   521,   522,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,   517,
     518,   519,   520,   521,   522,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,   513,   514,   515,    -1,   517,   518,   519,   520,
     521,   522,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,    -1,
      -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,   243,
     244,    -1,   246,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,    -1,   321,   322,    -1,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,    -1,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,    -1,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,   478,   479,    -1,   481,    -1,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,   513,
     514,   515,    -1,   517,   518,   519,   520,   521,   522,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,
      -1,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
      -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
      -1,   321,   322,    -1,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,    -1,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,    -1,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
      -1,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,   478,   479,
      -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,    -1,    -1,   513,   514,   515,    -1,   517,   518,   519,
     520,   521,   522,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
     513,   514,   515,    -1,   517,   518,   519,   520,   521,   522,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,   513,   514,   515,
      -1,   517,   518,   519,   520,   521,   522,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,     5,     6,     7,     8,     9,    10,    11,    12,
      13,   519,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,    -1,    -1,
      -1,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,   271,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,    -1,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,    -1,   321,   322,
     323,   324,    -1,    -1,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,    -1,   358,    -1,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,    -1,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
      -1,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,   509,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   519,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,   519,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   519,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,    -1,   234,    -1,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,
      -1,   279,    -1,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,    -1,   321,   322,    -1,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,    -1,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,    -1,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
     478,   479,    -1,   481,    -1,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,
     518,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,   234,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   517,   518,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,    -1,   234,    -1,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,    -1,   291,
      -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,    -1,   321,
     322,    -1,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,    -1,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,    -1,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,    -1,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,   478,   479,    -1,   481,
      -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   517,   518,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,   234,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   517,   518,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,     4,   515,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,    -1,    -1,   279,    -1,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,    -1,   321,   322,    -1,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,    -1,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,    -1,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,    -1,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,    -1,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,   325,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,    -1,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,    -1,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
     271,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,    -1,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,    -1,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,    -1,    -1,    -1,   244,    -1,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
      -1,    -1,   268,   269,   270,   271,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,    -1,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,    -1,
      -1,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,    -1,   343,   344,   345,
      -1,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,    -1,   358,    -1,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,    -1,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,    -1,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,   509,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,    -1,   124,    -1,    -1,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,    -1,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,    -1,    -1,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,   225,   226,    -1,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
      -1,    -1,    -1,   244,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,    -1,    -1,   268,   269,   270,
      -1,    -1,    -1,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,    -1,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,    -1,   317,   318,    -1,    -1,
     321,   322,   323,   324,    -1,    -1,   327,    -1,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,    -1,   343,   344,   345,    -1,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,    -1,   358,    -1,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,    -1,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,    -1,    -1,    -1,    -1,
     451,   452,    -1,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,    -1,    -1,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      -1,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,    -1,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,   231,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
     231,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,   239,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,   239,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,   231,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,   168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,   231,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,   106,
     107,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,   471,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,   471,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,   335,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,   335,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
     111,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
     111,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,    -1,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,    -1,    -1,    -1,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,    -1,    -1,   279,    -1,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,    -1,
     291,    -1,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,    -1,
     321,   322,    -1,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,    -1,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,    -1,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,    -1,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,    -1,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
      -1,    -1,   473,   474,   475,   476,   477,   478,   479,    -1,
     481,    -1,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,    -1,    -1,    -1,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
      -1,    -1,   279,    -1,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,    -1,   291,    -1,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,    -1,   321,   322,    -1,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,    -1,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
      -1,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,    -1,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,   478,   479,    -1,   481,    -1,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
      -1,    -1,    -1,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,    -1,    -1,   279,    -1,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,    -1,   291,    -1,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,    -1,   321,   322,
      -1,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
      -1,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,    -1,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,    -1,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,    -1,    -1,    -1,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,    -1,    -1,
     279,    -1,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,    -1,   291,    -1,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,    -1,   321,   322,    -1,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,    -1,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,    -1,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,    -1,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,   478,
     479,    -1,   481,    -1,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,    -1,    -1,
      -1,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,    -1,    -1,   279,    -1,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,    -1,   291,    -1,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,    -1,   321,   322,    -1,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,    -1,   344,
      -1,   346,   347,   348,   349,   350,    -1,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,    -1,   393,   394,
     395,   396,    -1,   398,   399,   400,   401,   402,   403,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,    -1,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,    -1,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,   478,   479,    -1,   481,    -1,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,
      -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,
      -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,    -1,
     241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   265,   266,    -1,    -1,    -1,    -1,
      -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,   280,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   314,   315,   316,    -1,    -1,   319,    -1,
      -1,    -1,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,   359,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   392,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   414,    -1,    -1,   417,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,    -1,   440,
      -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,    -1,
      -1,    -1,   453,    -1,   455,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,    -1,
      -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,   500,
     501,   502,   503,   504,   505,   506,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    72,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,
      -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,    -1,
      -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,    -1,
      -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,    -1,
     280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   314,   315,   316,    -1,    -1,   319,
      -1,    -1,    -1,   323,    -1,    -1,   326,    -1,   328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,   359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   392,    -1,    -1,    -1,   396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   414,    -1,    -1,   417,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,    -1,
     440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,    -1,
      -1,    -1,    -1,   453,    -1,   455,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   479,
      -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,   499,
     500,   501,   502,   503,   504,   505,   506,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,
      -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,    -1,
      -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,
      -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,    -1,
      -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,    -1,
      -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,   278,
      -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,    -1,
     319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,    -1,
     359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,    -1,
      -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,   448,
      -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   498,
     499,   500,   501,   502,   503,   504,   505,   506,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,    -1,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,   147,
      -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,
      -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,    -1,
      -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,    -1,
      -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,   277,
     278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,
      -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,   447,
     448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     498,   499,   500,   501,   502,   503,   504,   505,   506,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,
     147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     217,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,    -1,    -1,    -1,    -1,   233,    -1,   235,    -1,
      -1,    -1,    -1,    -1,   241,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,   266,
      -1,    -1,    -1,    -1,    -1,   272,    -1,   274,    -1,    -1,
     277,   278,    -1,   280,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   314,   315,   316,
      -1,    -1,   319,    -1,    -1,    -1,   323,    -1,    -1,   326,
      -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   342,   343,    -1,   345,   346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     357,    -1,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,   396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,    -1,
     417,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,    -1,    -1,
      -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,    -1,    -1,
     447,   448,    -1,    -1,    -1,    -1,   453,    -1,   455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   479,    -1,    -1,   482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    -1,    -1,    -1,    -1,    78,    79,   517,   518,   519,
      -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,   478,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,   508,   509,    70,    71,   512,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,   526,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,   508,   509,    -1,    -1,    -1,
      -1,    -1,    70,    71,   517,   518,    74,    75,    76,    77,
      78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
     508,   509,    -1,    -1,    -1,    -1,    -1,    70,    71,   517,
     518,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,   508,   509,    -1,    -1,    -1,
      -1,    -1,    70,    71,   517,   518,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
     508,   509,    -1,    -1,    -1,    -1,    -1,    70,    71,   517,
     518,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,   508,   509,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    70,   508,   509,    -1,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    70,   508,   509,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,   508,
     509,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,    -1,   194,   195,   196,    -1,
      -1,   199,   200,   201,   202,   203,    -1,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,   220,   221,    -1,   223,    -1,   225,   226,   227,
     228,    -1,   230,    -1,   232,   233,    -1,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,   244,    -1,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,    -1,   264,   265,   266,    -1,
     268,   269,   270,    -1,   272,    -1,   274,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,    -1,   294,   295,   296,    -1,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,   319,    -1,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,    -1,   333,    -1,    -1,   336,   337,
     338,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,    -1,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
      -1,   439,   440,   441,   442,   443,   444,   445,    -1,   447,
     448,    -1,    -1,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,    -1,   473,   474,   475,   476,   477,
      -1,   479,    -1,   481,   482,   483,   484,   485,   486,    -1,
      -1,   489,    -1,    -1,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    70,
     508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,    -1,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,   175,   176,   177,   178,   179,    -1,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,    -1,   194,   195,   196,    -1,    -1,   199,   200,
     201,   202,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,   220,
     221,    -1,   223,    -1,   225,   226,   227,   228,    -1,   230,
      -1,   232,   233,    -1,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,   244,    -1,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
     261,   262,    -1,   264,   265,   266,    -1,   268,   269,   270,
      -1,   272,    -1,   274,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,    -1,   288,   289,   290,
     291,   292,    -1,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,   319,    -1,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,    -1,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,    -1,   439,   440,
     441,   442,   443,   444,   445,    -1,   447,   448,    -1,    -1,
     451,   452,   453,   454,   455,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
     471,    -1,   473,   474,   475,   476,   477,    -1,   479,    -1,
     481,   482,   483,   484,   485,   486,    -1,    -1,   489,    -1,
      -1,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    70,   508,   509,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,    -1,
     194,   195,   196,    -1,    -1,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,    -1,   230,    -1,   232,   233,
      -1,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,   261,   262,    -1,
     264,   265,   266,    -1,   268,   269,   270,    -1,   272,    -1,
     274,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,    -1,
     294,   295,   296,    -1,    -1,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,    -1,   311,   312,   313,
     314,   315,   316,   317,   318,   319,    -1,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,    -1,   333,
      -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,    -1,   447,   448,    -1,    -1,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,   473,
     474,   475,   476,   477,    -1,   479,    -1,   481,   482,   483,
     484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    70,   508,   509,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,
     177,   178,   179,    -1,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,    -1,   194,   195,   196,
      -1,    -1,   199,   200,   201,   202,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,    -1,   223,    -1,   225,   226,
     227,   228,    -1,   230,    -1,   232,   233,    -1,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,   244,    -1,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
      -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
      -1,   288,   289,   290,   291,   292,    -1,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
      -1,   308,   309,    -1,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,    -1,   333,    -1,    -1,   336,
     337,   338,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,    -1,
     447,   448,    -1,    -1,   451,   452,   453,   454,   455,    -1,
     457,   458,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,    -1,   473,   474,   475,   476,
     477,    -1,   479,    -1,   481,   482,   483,   484,   485,   486,
      -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,    -1,   194,   195,   196,    -1,    -1,   199,
     200,   201,   202,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,    -1,
     230,    -1,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,    -1,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,    -1,   264,   265,   266,    -1,   268,   269,
     270,    -1,   272,    -1,   274,    -1,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,   319,
      -1,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,    -1,   333,    -1,    -1,   336,   337,   338,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,    -1,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,    -1,   439,
     440,   441,   442,   443,   444,   445,    -1,   447,   448,    -1,
      -1,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,    -1,   473,   474,   475,   476,   477,    -1,   479,
      -1,   481,   482,   483,   484,   485,   486,    -1,    -1,   489,
      -1,    -1,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    70,   508,   509,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,   175,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
      -1,   194,   195,   196,    -1,    -1,   199,   200,   201,   202,
     203,    -1,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,   220,   221,    -1,
     223,    -1,   225,   226,   227,   228,    -1,   230,    -1,   232,
     233,    -1,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,   244,    -1,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,   261,   262,
      -1,   264,   265,   266,    -1,   268,   269,   270,    -1,   272,
      -1,   274,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,    -1,   288,   289,   290,   291,   292,
      -1,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,    -1,   311,   312,
     313,   314,   315,   316,   317,   318,   319,    -1,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,    -1,
     333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,    -1,   447,   448,    -1,    -1,   451,   452,
     453,   454,   455,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,    -1,    -1,
     473,   474,   475,   476,   477,    -1,   479,    -1,   481,   482,
     483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    70,   508,   509,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,   175,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,    -1,   194,   195,
     196,    -1,    -1,   199,   200,   201,   202,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,   220,   221,    -1,   223,    -1,   225,
     226,   227,   228,    -1,   230,    -1,   232,   233,    -1,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,   244,    -1,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,    -1,   268,   269,   270,    -1,   272,    -1,   274,    -1,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,    -1,   288,   289,   290,   291,   292,    -1,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,   319,    -1,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,    -1,   333,    -1,    -1,
     336,   337,   338,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,    -1,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,    -1,    -1,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,   473,   474,   475,
     476,   477,    -1,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    70,   508,   509,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,    -1,   194,   195,   196,    -1,    -1,
     199,   200,   201,   202,   203,    -1,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,    -1,   225,   226,   227,   228,
      -1,   230,    -1,   232,   233,    -1,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,   244,    -1,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,    -1,   264,   265,   266,    -1,   268,
     269,   270,    -1,   272,    -1,   274,    -1,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,    -1,   288,
     289,   290,   291,   292,    -1,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,    -1,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,    -1,   333,    -1,    -1,   336,   337,   338,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,    -1,   447,   448,
      -1,    -1,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,    -1,    -1,   473,   474,   475,   476,   477,    -1,
     479,    -1,   481,   482,   483,   484,   485,   486,    -1,    -1,
     489,    -1,    -1,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    70,   508,
     509,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,   175,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,    -1,   194,   195,   196,    -1,    -1,   199,   200,   201,
     202,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,   220,   221,
      -1,   223,    -1,   225,   226,   227,   228,    -1,   230,    -1,
     232,   233,    -1,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,   244,    -1,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,   261,
     262,    -1,   264,   265,   266,    -1,   268,   269,   270,    -1,
     272,    -1,   274,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,    -1,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,    -1,   311,
     312,   313,   314,   315,   316,   317,   318,   319,    -1,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
      -1,   333,    -1,    -1,   336,   337,   338,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,    -1,   439,   440,   441,
     442,   443,   444,   445,    -1,   447,   448,    -1,    -1,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,   477,    -1,   479,    -1,   481,
     482,   483,   484,   485,   486,    -1,    -1,   489,    -1,    -1,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    70,   508,   509,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,    -1,   194,
     195,   196,    -1,    -1,   199,   200,   201,   202,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,    -1,   223,    -1,
     225,   226,   227,   228,    -1,   230,    -1,   232,   233,    -1,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,   244,
      -1,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,   261,   262,    -1,   264,
     265,   266,    -1,   268,   269,   270,    -1,   272,    -1,   274,
      -1,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,    -1,   288,   289,   290,   291,   292,    -1,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,   319,    -1,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,    -1,   333,    -1,
      -1,   336,   337,   338,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
      -1,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,    -1,   439,   440,   441,   442,   443,   444,
     445,    -1,   447,   448,    -1,    -1,   451,   452,   453,   454,
     455,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,    -1,   473,   474,
     475,   476,   477,    -1,   479,    -1,   481,   482,   483,   484,
     485,   486,    -1,    -1,   489,    -1,    -1,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,   508,   509
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   535,  1139,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   209,   227,   248,
     271,   307,   310,   325,   403,   449,   464,   479,   507,   515,
     517,   518,   519,   520,   521,   524,   525,   526,   527,   529,
     530,   531,   532,   533,  1129,  1140,  1168,  1170,  1261,  1271,
    1272,  1274,  1280,  1281,  1169,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   196,   198,   202,
     208,   209,   216,   217,   218,   221,   224,   227,   233,   235,
     239,   241,   243,   251,   255,   265,   266,   272,   274,   277,
     278,   280,   289,   290,   292,   294,   295,   300,   311,   314,
     315,   316,   319,   322,   323,   326,   328,   342,   343,   345,
     346,   357,   359,   361,   372,   373,   378,   379,   381,   386,
     391,   392,   394,   396,   399,   404,   405,   412,   414,   416,
     417,   420,   426,   434,   438,   440,   447,   448,   453,   455,
     457,   459,   464,   467,   473,   478,   479,   482,   491,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   512,   526,
     536,   537,   543,   544,   546,   547,   548,   549,   550,   551,
     552,   554,   555,   559,   571,   576,   577,   580,   581,   582,
     594,   597,   598,   614,   653,   656,   657,   658,   665,   671,
     673,   675,   676,   679,   682,   683,   687,   688,   697,   701,
     702,   703,   704,   705,   708,   710,   711,   712,   713,   714,
     721,   734,   735,   739,   741,   742,   743,   753,   755,   762,
     763,   766,   767,   768,   769,   770,   776,   778,   781,   785,
     789,   790,   800,   801,   804,   809,   820,   843,   846,   847,
     848,   851,   854,   856,   858,   860,   861,   866,   867,   870,
     871,   872,   879,   880,   882,   883,   884,   889,   891,   892,
     898,   899,   900,   901,   902,   903,   905,   906,   908,   909,
     911,   914,   915,   920,   926,   929,   931,   939,   941,   946,
     953,   957,   958,   959,   960,   961,   962,   965,  1000,  1136,
    1137,  1141,  1143,  1144,  1161,  1162,  1163,  1164,  1175,  1177,
    1181,  1182,  1183,  1184,  1185,  1187,  1189,  1191,  1192,  1193,
    1194,  1196,  1201,  1202,  1206,  1207,  1216,  1218,  1219,  1220,
    1223,  1228,  1231,  1236,  1238,  1239,  1242,  1244,  1247,  1256,
    1274,  1282,    72,  1164,  1172,  1173,    14,    71,    94,    95,
      96,    97,    98,    99,   100,   101,   103,   104,   105,   113,
     114,   116,   117,   119,   120,   121,   128,   129,   130,   131,
     132,   135,   136,   139,   141,   142,   143,   144,   149,   150,
     151,   152,   154,   155,   158,   159,   160,   161,   162,   163,
     166,   167,   175,   176,   177,   178,   179,   181,   184,   186,
     188,   189,   190,   191,   192,   194,   195,   196,   199,   200,
     201,   202,   203,   205,   206,   207,   209,   210,   211,   213,
     214,   215,   216,   218,   219,   220,   223,   225,   226,   228,
     230,   232,   236,   237,   238,   240,   244,   246,   247,   249,
     250,   252,   253,   254,   255,   257,   258,   259,   260,   261,
     262,   264,   268,   269,   270,   276,   279,   281,   282,   283,
     284,   285,   288,   291,   294,   295,   296,   299,   300,   301,
     302,   303,   304,   305,   306,   308,   309,   311,   312,   313,
     317,   318,   321,   322,   324,   327,   329,   330,   331,   333,
     336,   337,   338,   341,   344,   347,   348,   349,   350,   351,
     352,   353,   355,   356,   358,   360,   361,   362,   364,   365,
     366,   367,   368,   369,   370,   371,   373,   374,   375,   376,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   390,   391,   393,   394,   395,   397,   398,   399,   400,
     401,   402,   404,   406,   407,   408,   409,   410,   411,   412,
     413,   415,   416,   418,   419,   421,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   436,   437,   439,
     441,   442,   443,   444,   445,   449,   451,   452,   454,   457,
     458,   459,   460,   461,   462,   463,   466,   467,   468,   469,
     470,   473,   474,   475,   476,   477,   481,   483,   484,   485,
     486,   489,   492,   493,   494,   495,   496,   497,   508,   509,
    1131,  1132,  1134,  1135,  1136,  1137,  1154,  1155,  1266,  1268,
    1272,  1274,    29,   267,  1217,     9,    13,    15,    28,    44,
      45,    49,    50,    55,    64,    66,    68,    69,   102,   137,
     156,   168,   180,   185,   248,   307,   310,   403,   478,   507,
    1122,  1135,  1136,  1156,  1203,  1204,  1246,  1247,  1248,  1252,
    1257,  1258,  1259,  1268,  1274,   102,   954,  1121,  1156,  1252,
    1265,    14,   954,     5,    25,    29,    35,    36,    42,    43,
     102,   106,   107,   108,   109,   110,   111,   112,   115,   127,
     133,   134,   137,   140,   146,   148,   156,   157,   164,   168,
     169,   170,   171,   173,   174,   175,   185,   187,   193,   197,
     198,   204,   208,   212,   222,   224,   229,   231,   234,   239,
     242,   245,   256,   263,   267,   271,   273,   275,   286,   287,
     293,   297,   298,   320,   325,   332,   334,   335,   339,   340,
     354,   363,   377,   389,   405,   411,   422,   435,   438,   446,
     449,   450,   456,   464,   465,   471,   472,   478,   480,   487,
     488,   490,   491,  1135,  1138,  1248,  1249,  1250,  1254,  1255,
    1256,  1257,  1259,    25,    35,   137,   271,  1243,    37,    39,
     320,  1176,   451,   494,   885,   101,   147,   161,   179,   185,
     200,   211,   219,   231,   236,   242,   259,   284,   305,   336,
     356,   366,   393,   398,   400,   406,   409,   437,   438,   441,
     445,   454,   459,   471,   484,   672,  1204,   184,   885,   102,
     954,   482,   916,   334,   362,   885,   124,   605,   958,   101,
     113,   134,   147,   157,   179,   185,   200,   211,   219,   231,
     238,   242,   296,   336,   339,   356,   393,   400,   409,   441,
     442,   444,   445,   454,   459,   465,   468,   471,   615,   655,
     758,   810,   821,  1122,  1145,  1146,  1147,  1156,  1272,  1274,
      14,   102,   361,  1121,  1156,  1160,   427,   954,   102,   355,
     407,   442,   444,   283,   852,   853,  1272,   101,   113,   134,
     147,   161,   179,   200,   211,   219,   231,   236,   242,   259,
     305,   336,   347,   356,   393,   398,   400,   406,   409,   438,
     441,   445,   452,   454,   459,   471,   484,   672,   771,   885,
     532,  1186,  1250,   252,  1160,   164,   184,   216,   482,   526,
     653,   656,   915,   921,   929,   931,   939,   946,   953,   957,
    1141,    95,   102,   119,   226,   232,   234,   256,   285,   317,
     364,   380,   517,   518,   786,   787,   954,  1129,  1130,  1266,
    1268,   102,   164,   377,   405,   791,   792,   793,  1252,   231,
    1252,  1126,  1272,   438,   968,   119,   232,   786,  1252,   451,
    1160,   347,   305,   179,   259,   400,   437,   438,   526,   862,
     863,   399,  1252,   102,   137,   410,   447,   451,   478,   563,
     572,   573,  1135,  1136,  1246,  1251,  1257,  1259,  1274,    99,
     239,   791,   792,   362,   885,  1252,   282,   102,   197,   970,
     971,     4,    14,   135,   156,   158,   296,   313,   393,   400,
     410,   447,   451,   497,   560,   561,   562,   563,   102,   410,
     447,   451,   563,   451,   335,  1011,  1119,  1252,   968,  1240,
    1250,   519,  1252,   235,   526,   917,   526,  1114,   375,   963,
     964,  1121,   963,   958,   959,   962,   530,   916,   212,   273,
     340,   464,   972,   973,   958,   960,   961,   190,   269,   470,
     529,   121,   536,  1184,  1187,  1183,  1179,   530,  1188,  1190,
       5,    25,    35,   137,   201,   271,  1195,   180,   248,   307,
     310,   403,   507,   526,  1048,  1049,  1167,  1171,  1261,    72,
    1164,  1121,  1156,  1275,   185,  1145,    21,   472,   520,  1160,
    1160,  1275,   472,  1208,  1209,  1210,    25,   271,   271,  1254,
       7,    19,    20,    38,    41,   160,   198,  1245,  1245,    16,
    1184,  1127,  1137,  1246,  1249,  1252,  1253,  1257,  1258,  1274,
     773,  1252,   773,  1122,   365,   773,   454,   773,  1121,  1252,
     178,   438,   799,  1127,  1131,  1132,   102,   250,  1119,   329,
     484,    84,    91,    92,    93,   142,   223,   513,   514,   515,
     517,   518,   519,   520,   521,   522,   850,  1081,  1082,  1252,
     250,  1121,   102,  1131,  1132,  1121,  1121,   250,  1119,  1121,
     386,   412,   102,   250,  1011,  1121,   402,  1121,   773,   303,
    1131,  1132,   250,  1119,   283,    34,   187,   279,   320,   371,
     886,   887,   888,  1119,  1125,  1252,   101,   134,   147,   148,
     157,   161,   179,   200,   211,   219,   231,   236,   259,   284,
     305,   336,   356,   393,   398,   400,   406,   409,   438,   441,
     445,   452,   454,   459,   484,   672,   779,  1272,  1119,   449,
    1127,  1121,   526,   773,   454,  1122,   773,   454,   250,  1121,
     178,   438,   442,   444,  1131,   442,   444,   142,   223,   850,
     384,  1121,  1131,   250,   556,  1252,  1121,  1121,   402,  1121,
     773,   303,  1131,   375,   406,   438,   484,   305,   161,   259,
     236,   398,   452,   458,   666,    84,  1148,  1149,   531,  1268,
    1275,   102,  1160,  1274,   955,   570,  1134,  1272,   853,   250,
    1127,  1121,   250,   857,   250,  1122,   123,   125,   126,   137,
     138,   182,   183,   201,   227,   250,   271,   272,   274,   314,
     316,   328,   372,   414,   420,   447,   448,   479,   775,  1026,
    1028,  1030,  1032,  1034,  1036,  1037,  1038,  1040,  1041,  1042,
    1045,  1046,  1246,  1253,  1257,  1258,  1274,   454,   178,   438,
     250,  1127,   250,  1132,  1133,   153,   484,   142,   223,   250,
     850,   128,   250,  1121,   250,  1133,   250,  1121,   250,  1121,
     250,  1121,   402,   857,   250,  1121,   250,   775,   250,   303,
    1133,   283,   250,   772,   773,   526,   532,  1276,  1277,  1278,
    1279,  1281,  1186,    70,  1156,  1205,   526,   930,   615,   954,
     921,   915,   922,   923,   924,  1134,   916,  1130,   787,   788,
     102,   787,   954,  1130,   788,   102,   787,   954,  1130,   788,
     788,   788,  1130,  1129,  1129,   275,   472,  1210,  1211,  1285,
    1286,   954,   788,   365,   526,   526,   634,   634,   634,   334,
     449,   529,   634,   400,  1011,  1012,   787,   954,   787,   954,
     529,   881,  1272,   234,   526,   927,   128,   484,   482,   864,
     865,  1119,  1121,  1252,   118,   509,   279,   528,   337,   337,
     334,   234,  1272,   449,   229,   782,   334,    82,    83,    84,
      86,   110,   123,   125,   126,   133,   134,   137,   138,   145,
     147,   169,   170,   171,   172,   173,   174,   175,   182,   183,
     217,   221,   222,   227,   241,   243,   272,   274,   289,   297,
     298,   314,   316,   320,   325,   326,   328,   336,   346,   357,
     372,   396,   411,   420,   434,   447,   448,   453,   455,   456,
     465,   471,   479,   499,   500,   501,   502,   503,   504,   505,
     506,   510,   517,   518,   519,   526,   958,  1029,  1032,  1035,
    1036,  1037,  1039,  1040,  1041,  1045,  1046,  1050,  1052,  1053,
    1054,  1056,  1077,  1078,  1079,  1083,  1102,  1107,  1116,  1117,
    1127,  1128,  1129,  1252,  1264,  1266,  1268,  1269,  1270,  1271,
    1272,  1115,  1116,   449,   515,  1275,  1272,   449,   515,  1204,
     102,   578,  1118,  1119,   410,   560,   185,   569,  1272,   570,
    1272,   118,   139,   560,   509,   421,   887,   337,   234,   449,
     515,   118,   509,   279,  1285,   888,   526,  1119,   519,   524,
     528,  1108,  1109,  1012,  1256,   233,   235,   482,   912,   913,
     915,   233,   918,   185,  1050,  1112,  1113,   963,   529,   526,
     919,   527,   527,  1119,   102,   197,   969,   969,   128,   969,
     224,   229,   293,   332,   976,   978,   979,   994,   996,   997,
     998,   972,   973,   234,   275,  1011,  1013,  1114,   530,  1178,
     519,  1197,  1198,  1200,   532,   532,    25,   271,   271,   449,
     449,   449,   449,   526,   449,   518,   663,  1130,  1165,  1271,
     208,   111,  1152,   128,  1155,  1155,   275,  1210,  1212,   275,
    1210,  1211,  1212,   477,  1221,  1222,  1268,    14,    83,   423,
     517,   518,  1129,  1213,  1214,  1215,  1264,  1266,  1270,  1271,
    1272,  1273,   271,   277,  1121,   449,  1121,     6,  1121,  1245,
    1200,   526,   833,  1109,   348,   382,   412,   528,   774,   348,
     382,   412,   156,   206,   299,   348,   382,   412,   441,   443,
     491,   571,   574,   893,   894,   895,   896,  1274,   805,    98,
     202,   348,   382,   412,   475,   585,  1121,   412,    98,   202,
     470,   553,   495,   250,  1011,   130,   163,   220,   253,   288,
     320,   348,   382,   390,   397,   404,   412,   424,   432,   486,
     571,   575,   836,   844,   526,   822,   382,   553,   256,   217,
      98,   104,   144,   195,   202,   205,   230,   261,   318,   320,
     330,   338,   348,   382,   385,   386,   412,   475,   583,   584,
     691,   663,   102,   250,  1119,   773,   773,   526,   849,   528,
     217,   334,   256,   545,   382,   491,   512,   538,   545,   334,
     348,   382,   217,   129,   177,   258,   306,   308,   318,   347,
     382,   387,   412,   426,   583,   660,   661,   348,   382,   483,
     691,   699,   573,   561,   563,   256,   217,   382,   412,   583,
     348,   382,   386,   412,   154,   194,   349,   443,   334,    98,
     104,   202,   348,   382,   412,   595,   596,   229,   382,   412,
     538,   574,   217,   382,   412,   583,  1121,   530,   291,   187,
     335,   496,   529,   886,   472,   910,   334,  1127,   526,  1121,
    1026,   454,   178,   438,  1127,   329,   484,   142,   223,   850,
    1121,  1121,   402,   229,  1121,  1026,   283,   773,   634,   368,
     600,   526,   748,   833,   140,  1026,   234,   526,   744,  1121,
     538,   111,   904,  1121,   320,   538,   495,   250,  1119,   538,
     773,   773,   744,   468,   615,   334,   538,   320,   118,   557,
     459,   698,   348,   674,   154,   194,   349,   443,   100,   120,
     270,   722,   111,   744,   229,   538,   484,   250,  1119,   250,
     651,  1119,  1119,   484,   773,   153,   811,  1127,  1121,   229,
     672,    73,  1150,  1252,   531,  1151,  1148,   124,   176,   268,
     318,   401,   217,   833,   131,   388,   586,   217,   526,   217,
     481,  1043,  1043,  1043,   526,  1031,  1031,   359,   526,  1033,
     217,   137,   138,  1043,  1031,  1028,   493,   512,   526,  1047,
     526,  1047,   529,   586,   110,  1027,   138,   526,  1044,   180,
     310,   507,   526,  1048,   774,  1031,   495,   217,   822,   217,
     529,   250,   772,   250,   773,   250,   773,   217,   849,  1133,
     217,   334,   217,   217,   334,   217,   586,   217,   154,   194,
     349,   443,   229,   217,   334,   217,   586,   217,   229,   250,
     250,   570,   217,   529,   586,   527,  1277,  1278,  1276,   529,
     533,  1050,  1086,  1209,  1284,  1285,   438,   955,   527,   529,
     222,   334,   456,   567,   570,   663,   925,   921,   788,   954,
     788,   954,  1286,  1287,   788,   954,   788,   954,  1287,   788,
     954,   954,   954,   788,    14,   423,  1260,  1263,  1268,   954,
     526,   635,   636,  1252,   635,   102,   179,   200,   231,   236,
     283,   284,   400,   406,   438,   441,   459,   794,  1118,  1133,
     793,  1121,   256,   529,   942,   954,   954,  1272,  1205,  1026,
    1089,   111,  1133,   811,   527,   529,   291,  1252,   229,   229,
     794,  1133,   399,  1252,   570,   334,   526,   524,   958,  1090,
    1050,  1106,   526,   526,   229,   526,   526,   958,   526,   526,
     526,   526,   526,   526,  1050,   526,   526,   526,   526,   526,
     526,   526,   526,   958,   526,   526,   526,   526,   526,   526,
     526,   526,  1050,  1050,  1050,   478,   958,  1050,  1086,  1109,
    1272,   526,  1272,    84,    87,    91,    92,    93,   108,   111,
     116,   122,   146,   251,   256,   277,   278,   292,   323,   336,
     339,   417,   510,   513,   514,   515,   517,   518,   519,   520,
     521,   522,  1081,  1083,  1085,  1274,   492,  1065,   345,  1050,
     275,   529,   966,  1285,   526,  1272,  1109,    22,  1267,  1268,
    1110,   966,   331,   334,  1237,  1237,    10,   477,  1224,  1225,
    1227,  1204,  1204,   188,   252,   579,   529,   139,   185,   570,
     111,   185,   296,   568,   663,  1046,  1272,  1274,  1272,   159,
     199,  1062,   168,   185,   564,   565,   567,   663,   185,   564,
    1285,  1285,   291,  1119,  1050,   519,  1124,  1254,  1108,   160,
     387,   777,   277,   527,   529,   916,   527,   529,   964,  1120,
    1121,   111,   919,   960,   960,   974,   975,  1050,   960,   226,
     317,   985,   281,   318,   371,   415,   470,   102,   980,  1050,
     981,   983,  1050,  1052,   994,   995,   979,   978,   976,   977,
     229,   997,   330,   999,   976,   994,  1013,   932,  1119,   111,
    1252,   412,  1197,   519,   529,   530,  1255,  1174,  1177,  1174,
     271,   180,   248,   307,  1049,   307,  1049,  1049,   310,  1129,
     307,   310,   403,  1271,   529,  1166,   184,  1204,   471,  1153,
    1155,  1121,   423,  1129,  1226,  1268,   529,   515,  1121,    14,
    1129,  1271,  1129,  1271,   529,  1184,   526,  1121,   526,  1256,
     256,   266,   340,   342,   414,   480,   519,   826,   827,   828,
     830,   832,   834,  1026,  1253,   348,   382,   412,   449,   449,
     400,  1124,   528,   449,   449,   400,   293,   449,   449,   441,
     560,   348,   893,   895,   515,   897,   229,   239,   256,   391,
     806,   807,   140,   157,   213,   231,   363,   465,   631,   632,
     157,   185,   320,   449,   157,   449,   185,   320,   400,   157,
     195,   205,   348,   382,   740,   400,   680,   101,   134,   147,
     161,   200,   211,   231,   236,   305,   336,   400,   406,   409,
     438,   445,   452,   459,   484,   672,  1121,   217,   382,   412,
     583,   334,   663,   404,   288,   449,   449,   325,   663,   189,
     276,   400,   410,   451,   562,   388,   412,   836,   845,   527,
     823,   826,   449,   471,   441,  1119,   148,   213,   622,   631,
    1252,   148,   157,   868,   334,   396,   398,   454,   157,   868,
     105,   385,   396,   398,   454,   396,  1119,   230,   261,   330,
     773,   526,   449,   449,   249,   526,   590,   302,   441,   468,
     491,   493,   590,   157,   529,   348,   256,   217,   382,   412,
     583,   472,   472,   319,  1026,   348,   412,   850,  1121,  1119,
     179,   574,   449,   540,   574,  1119,   449,   449,  1119,   663,
     128,   662,   663,   663,   177,   306,   308,   128,   449,   538,
     400,   538,   318,   661,   449,   449,   325,  1272,   691,   441,
    1011,   157,   449,   868,   400,   449,   449,   590,   590,   773,
     773,   773,   773,  1119,   117,   477,   117,   117,   449,   117,
     449,   400,   529,   471,   709,  1132,   449,   540,  1119,   449,
     400,   348,   382,   371,   383,   408,   566,   886,  1125,  1252,
    1119,   833,  1026,   334,   277,   495,   822,   663,   773,   773,
     849,   334,   277,   334,   154,   194,   349,   443,  1026,   334,
     277,   773,   277,   491,   606,   429,   430,   601,  1272,   749,
     750,  1274,   744,   526,   111,   773,   745,   746,  1254,   100,
     893,  1026,   334,   217,   677,  1121,   320,   526,   539,   758,
     472,   375,   484,  1119,   539,   217,  1132,   164,   239,   558,
     614,   657,   721,   789,   809,   889,  1272,   699,   700,  1132,
     299,   773,   773,   773,   773,   330,   190,   269,   457,   470,
     723,   724,   209,   370,   526,   709,   539,  1119,   320,   659,
     660,   320,   111,   330,   526,   634,   634,   250,   654,  1119,
     229,   250,   812,  1125,   526,   824,   111,  1026,   283,   528,
    1129,  1151,   491,   493,   956,   401,  1127,   586,  1026,  1122,
     526,  1086,  1129,   775,  1043,  1043,   110,  1027,   447,   447,
    1129,  1129,  1026,   524,   524,   412,  1129,   449,   449,  1129,
    1031,   250,  1121,  1127,   586,  1133,  1132,   217,   586,   217,
     472,   217,   472,   850,   586,   586,  1121,   773,  1133,  1121,
     773,  1121,  1121,  1026,  1121,   773,   775,  1133,   709,   217,
     217,   586,   772,   773,   527,   533,  1279,   527,   529,  1285,
    1209,  1119,   176,   921,   923,   954,   954,  1287,   954,   954,
    1287,   954,   954,  1121,    14,   529,  1267,   635,   527,   529,
     527,   237,   407,   439,  1120,   772,   178,   409,   798,   799,
    1120,   329,  1120,  1118,  1118,  1120,   772,   449,   491,   802,
     212,   293,   706,   707,    96,   215,   396,   415,   943,  1011,
     324,   944,   527,   529,   928,   931,   939,   946,   957,   449,
    1119,   862,   863,   865,   792,   791,   792,   234,   240,   803,
    1252,   101,   148,   179,   200,   211,   231,   236,   284,   305,
     393,   400,   406,   438,   441,   459,   484,   672,   783,  1086,
     525,  1086,  1090,  1091,   487,  1103,  1104,  1050,  1086,   526,
    1129,  1129,   180,   248,   307,   310,   403,   507,  1092,  1093,
    1272,  1274,  1086,  1086,  1086,  1129,  1129,  1050,   850,  1050,
    1094,   396,   517,   518,   526,  1051,  1052,  1083,  1096,   527,
    1086,  1050,  1086,  1097,  1050,   127,   234,   287,   450,  1050,
    1086,  1100,  1086,   312,  1052,  1050,  1060,  1061,  1062,   312,
    1050,  1062,   527,   529,  1129,  1048,  1026,  1050,  1050,  1050,
    1050,  1254,   447,   115,   435,  1111,   773,  1050,   526,   958,
    1101,   197,   199,   222,   320,   325,   330,   456,   466,  1050,
     526,  1050,   449,   122,   251,   256,   292,   417,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,   102,   109,
     422,  1080,   242,   225,  1066,   396,   526,  1077,   238,   296,
     438,   442,   444,   468,   967,  1119,  1117,   234,  1001,   102,
     197,   480,   519,   527,   828,  1050,  1087,  1088,  1253,  1121,
    1268,  1108,  1001,  1226,   529,   515,  1119,   451,   526,  1272,
     529,  1285,   527,   525,   531,   249,   249,   586,  1184,  1119,
     913,   914,  1119,  1112,   527,   529,   526,   529,   112,   193,
     472,   818,   526,   982,  1130,   415,   281,   335,   529,   396,
     397,   984,  1118,   324,   419,   945,   995,   977,   472,   940,
     185,   526,   933,   957,   111,  1252,   526,   947,   948,   949,
     950,   951,  1252,   530,  1198,  1027,   533,  1177,   533,   527,
     663,   527,    34,  1154,  1229,  1230,  1268,  1222,  1227,  1275,
    1213,  1027,  1262,  1278,  1262,  1027,   342,   128,  1253,   527,
     828,   830,   827,   830,  1253,   340,   527,   529,   774,   449,
     449,   400,  1132,  1121,  1121,  1124,  1132,  1121,  1121,  1132,
    1122,  1121,   185,   567,  1130,   393,   471,   791,   400,   239,
     791,   526,  1121,   472,   813,   281,   281,   472,   526,   650,
     250,  1121,   325,  1132,  1121,  1121,  1050,   325,  1121,  1121,
     105,   385,   449,   449,  1121,   449,   681,  1127,   526,   773,
     773,  1026,   454,   178,   438,   799,   484,   142,   223,   850,
    1121,   773,  1121,   773,   402,   229,  1026,   773,   283,   244,
     318,   348,   382,   476,   684,   685,   686,  1011,   449,   868,
     400,   325,   189,   276,  1132,  1121,   334,  1121,   527,   529,
    1131,  1133,  1121,   382,   583,   622,  1026,  1121,  1252,  1121,
     291,  1121,   102,   471,  1121,   250,  1121,   250,  1252,   398,
     454,   398,   454,   291,  1121,   102,   471,  1121,   291,   396,
    1119,    98,   202,   412,   692,   693,   694,   695,  1254,  1132,
    1121,   185,   235,   321,   472,   589,   592,   593,  1254,  1121,
     333,   144,   333,  1121,   584,   449,   441,  1119,   449,   868,
     400,  1123,  1252,  1123,   529,   527,   529,   449,   400,   334,
     382,   449,   718,  1122,  1131,   156,   207,   261,   353,   463,
     471,   474,   541,  1274,   382,  1132,  1121,   382,   412,   583,
     660,   663,   773,  1121,   663,  1121,   663,  1132,  1121,  1121,
     382,   412,   583,  1121,  1121,  1121,  1121,  1132,  1121,    98,
     104,   202,   348,   382,   412,   348,   382,   412,   744,   382,
     412,   382,   412,   382,  1025,  1252,   250,   754,  1252,   250,
    1252,  1132,  1121,  1121,  1121,    98,   596,   409,  1131,   382,
     412,   583,  1121,  1121,   449,   449,   152,   462,   371,   277,
     111,   200,   773,   325,   780,  1272,   277,   277,   472,   472,
     277,   773,   780,   773,   283,   773,   780,   277,   780,   333,
     234,   449,   599,   538,   527,   529,   515,  1050,  1026,   527,
     529,   515,   723,   624,  1254,  1121,   234,   400,   483,   678,
     685,   686,   217,   292,   616,   618,   620,   622,   628,   631,
      99,   256,   393,   436,   541,   542,   229,  1123,   484,  1119,
     229,   719,   556,  1252,   557,   339,   615,   231,  1272,   744,
     744,   744,   744,   330,   334,   339,   526,   744,  1023,  1024,
    1025,   409,   526,   217,   217,   216,  1142,   773,   616,  1252,
     491,   493,   646,   491,   591,   320,   111,   634,  1272,   320,
     334,   527,   825,   826,   831,   111,   283,   390,   452,   490,
     835,   836,   837,   334,   283,   570,  1150,   520,   247,   247,
     229,   833,   111,  1086,   527,   527,   586,   524,   509,   509,
     527,   527,  1129,   525,   526,  1129,  1252,  1272,  1283,  1252,
     527,   527,   217,   586,   822,   772,   773,  1123,   773,  1123,
     849,   334,   586,   334,   586,   586,   283,   334,   586,   586,
     409,   229,   570,   586,  1050,   956,  1275,  1263,   527,   636,
     256,   256,   256,   495,  1120,   529,   663,   664,   242,   795,
     796,  1132,    99,   803,   449,   526,   234,   215,   415,   215,
     415,   396,   470,   309,  1026,  1132,   491,   652,  1119,  1121,
     234,   334,   795,   128,   586,  1127,  1026,   454,   438,  1127,
     329,   484,  1026,   283,   773,   527,   525,   525,   529,  1050,
     204,  1104,  1105,   111,   527,  1050,   527,   527,   527,   234,
     527,   527,   527,   527,   527,   529,   527,   354,  1095,   527,
     526,  1051,  1051,  1086,    87,    91,    92,    93,   256,   277,
     336,   513,   514,   515,   517,   518,   519,   520,   521,   522,
    1083,  1051,   527,   527,   229,   234,  1098,  1099,   527,   111,
    1100,  1086,  1100,  1100,   234,   527,   527,  1254,   352,  1064,
     111,   527,   529,  1050,  1254,   529,  1050,  1110,  1050,   527,
     509,  1051,  1051,   210,  1086,   234,   197,   199,   222,   325,
     330,   456,   466,   526,   210,   850,  1050,   435,  1111,  1050,
    1101,  1050,   449,   526,   958,   526,   526,   344,  1070,   526,
    1086,   442,   444,   442,   444,  1119,   968,   968,   968,   286,
     397,   526,   958,  1002,  1003,  1004,  1011,  1016,  1053,  1055,
    1056,  1127,  1252,   488,  1021,  1087,  1087,  1088,   527,    89,
      90,   529,   972,   973,  1021,     8,    11,    12,    22,    23,
      24,    26,    27,    31,    32,    33,   178,   312,   359,   459,
    1232,  1233,  1235,  1225,  1226,   887,  1129,  1048,   565,  1050,
    1027,   919,  1121,   928,   975,   336,  1081,  1084,   511,   819,
    1050,   984,   470,   981,   301,  1002,   488,  1022,   478,   934,
     935,  1252,   334,   936,  1252,   951,   952,   529,  1001,   515,
    1110,   531,  1180,   530,   529,   515,    30,  1241,   527,   527,
     530,   834,   774,   830,   830,   128,   832,   521,  1132,  1121,
    1121,  1133,  1133,   334,  1120,   337,   334,  1050,   632,  1123,
     526,   526,   526,   650,   259,   635,   732,   217,   586,   449,
    1132,  1121,   570,   833,  1026,  1121,   495,   773,   773,   773,
     773,   849,   154,   194,   349,   443,  1026,  1121,   667,  1121,
     244,   476,   449,   449,   667,   684,   691,   382,   412,   583,
    1121,  1121,  1121,   267,   325,   826,   347,   412,   449,   338,
     689,   732,   202,   386,   412,   585,   691,   869,   404,   217,
     586,   217,   586,  1121,  1121,  1121,  1121,   404,   404,   291,
     694,   695,   694,   527,   529,   696,  1272,   259,   527,   529,
     515,   528,  1132,  1121,   382,   412,   583,  1121,  1121,  1121,
     348,   382,   412,    98,   202,   348,   382,   412,  1026,   319,
    1026,  1132,  1121,  1119,   449,  1133,   472,   715,   293,   353,
     325,  1272,   353,  1133,   469,   449,   449,   400,   347,   412,
     157,   449,   868,   400,   449,   449,   303,   303,   303,   449,
     449,   400,   449,   449,   400,   449,   400,   449,   400,   449,
     586,  1026,   320,  1272,   412,   869,   217,   586,   449,  1121,
     449,   400,  1132,  1121,   780,  1026,   773,   277,   780,   780,
    1123,  1123,   780,   277,   277,  1121,   277,   780,   600,   526,
     602,   603,   750,  1274,   336,   517,   518,   663,   747,   830,
    1084,  1138,  1272,   527,   527,   746,   747,   334,   140,   146,
     157,   185,   187,   263,   320,   325,   363,   377,   465,   625,
     626,   627,   216,   487,   538,   570,  1121,   570,   689,  1119,
    1119,   527,   529,  1133,   242,   393,  1133,  1129,   459,  1119,
     634,   102,   190,   269,   405,   470,   720,   449,   717,   118,
     557,   384,   438,   178,   591,   635,  1119,   724,   751,   752,
    1272,   527,   529,  1121,   635,  1119,  1119,  1121,   957,   526,
     617,   527,   333,   590,   333,   334,   647,   590,   111,   217,
     957,   591,   449,   217,  1119,   527,   529,   185,   515,   838,
    1272,   570,   438,   829,   830,   229,   839,   491,   837,   840,
     190,   269,   405,   470,   877,  1121,   244,  1146,   957,  1160,
     586,  1026,   527,  1129,  1047,  1047,   525,  1283,   526,   517,
     518,   519,   520,   521,   525,  1044,  1121,   586,   586,   472,
     586,   472,   586,   586,   773,   773,  1121,   773,  1121,   709,
     586,   229,   400,   400,   400,  1120,   799,   529,  1132,   491,
     529,   797,   337,  1012,   409,   215,   215,   178,   318,  1133,
     794,   586,  1132,   833,   277,   822,   663,   277,   773,   277,
    1090,   446,  1050,   208,  1026,   527,  1050,  1050,  1050,  1098,
     527,  1086,   529,  1026,  1051,  1051,  1051,  1051,   197,   199,
     320,   330,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1050,  1050,  1099,  1098,  1026,   527,   527,   527,
    1086,   527,   529,   128,  1052,   527,  1254,  1061,   360,   433,
    1063,   527,   529,   483,  1057,   111,   527,  1272,  1050,   108,
     108,  1050,   527,  1050,   234,   526,  1089,  1050,   527,   210,
    1051,  1051,   210,   210,  1050,  1050,   973,   488,   526,  1071,
    1252,   527,  1086,   529,   968,   968,   968,   968,  1119,  1119,
    1119,   958,  1016,   234,   958,  1003,  1004,   111,  1005,  1006,
    1252,   529,   165,   235,   265,   280,   290,   315,   392,  1008,
    1006,   111,  1005,  1007,  1252,   512,  1020,   526,  1109,  1050,
     242,   986,   529,   972,   972,   972,  1050,  1050,   480,  1088,
     527,   986,   529,   515,   527,   525,  1241,   527,   526,   819,
     226,   285,   527,   335,   168,  1050,   389,   938,   527,   529,
    1110,   155,   938,   527,   529,   948,  1022,  1112,  1129,   515,
    1199,  1230,  1235,   527,   521,   834,   459,   237,   407,   439,
     460,   808,   229,   808,   527,   526,   638,   639,   815,  1055,
    1252,   635,   635,   732,  1125,   527,   187,   263,   318,   320,
     733,  1121,  1121,   111,  1121,   472,   472,   773,   773,   773,
     773,   283,   774,  1132,  1121,   449,   868,   400,   449,   267,
     128,   441,  1121,   526,   624,   320,   590,   178,   320,   428,
     431,   590,   459,  1121,  1252,   404,   693,  1121,   593,   747,
    1254,   347,   412,   449,   868,   400,   449,   449,   449,   400,
     236,   336,   431,   756,   757,   236,   336,   764,   765,   449,
     449,   400,   527,   527,   527,   382,  1121,   526,   491,   716,
    1130,  1272,  1272,  1272,  1121,  1121,  1121,   128,   441,  1121,
    1121,  1121,  1121,  1121,  1121,   229,   229,   384,   229,   250,
    1132,  1121,  1121,  1132,  1121,  1121,  1121,  1121,  1121,  1121,
    1121,   146,   587,   217,   100,   120,   459,  1252,  1121,   691,
    1121,  1121,   527,   277,   780,   277,   277,   780,   780,   277,
     780,   601,   609,   610,  1254,   124,   166,   191,   206,   210,
     230,   233,   246,   325,   333,   369,   604,   732,   491,   493,
    1119,   526,   773,  1121,  1051,   188,   252,   187,   325,   281,
    1119,   840,   367,   736,   737,  1252,   677,   526,   629,   262,
     645,   620,  1133,  1133,  1026,   526,   591,  1133,   715,  1132,
    1119,   495,   229,   725,   527,   529,  1025,   689,   527,   659,
     330,   526,   930,   652,   619,   621,   623,   631,  1252,   646,
     645,   151,   441,   648,   957,   654,   652,   648,  1272,  1125,
     813,   831,  1050,  1050,   529,   526,   835,   459,   529,   744,
     449,   526,   667,    84,  1157,   527,   525,   527,  1184,  1283,
    1283,  1283,  1283,  1283,   586,  1123,  1123,   586,   586,   586,
     586,   409,  1120,  1120,  1120,   663,   239,   796,   527,  1121,
     178,   803,   234,   277,   325,   784,  1272,   277,   277,   784,
     277,   784,  1050,   527,   527,  1099,   527,  1050,   234,   197,
     199,   330,   526,   527,   498,  1059,  1086,   376,   128,   489,
     489,   527,  1050,   318,  1050,   529,  1058,  1028,  1050,  1050,
    1050,  1089,   527,  1050,   108,   108,  1050,  1050,   210,   527,
     527,  1050,  1072,  1252,   527,  1050,  1119,  1119,  1119,  1119,
    1006,  1007,   526,   527,  1252,   526,  1003,   280,   343,  1009,
    1003,  1009,   280,  1008,  1009,   280,   440,  1014,   526,  1252,
     526,   341,  1087,   128,   245,   993,   527,   527,   527,  1088,
    1272,   993,  1233,   518,  1226,  1234,  1271,  1272,  1272,   850,
     330,  1116,   957,   935,   334,   526,   937,   515,   951,   938,
    1279,   459,   527,   449,   791,   234,   732,  1050,   527,   529,
     491,   146,   816,   816,   527,   527,   840,   188,   252,   261,
     187,   474,   586,  1026,  1123,  1123,  1121,  1121,  1121,  1121,
    1121,  1133,  1121,   690,   694,   325,   325,  1130,  1252,  1026,
     586,   586,   515,   128,   441,  1121,  1121,  1121,  1121,  1132,
    1121,  1121,  1129,  1129,  1026,   529,  1129,  1129,   529,  1132,
    1121,  1121,   449,  1050,   140,  1133,  1121,   449,   449,  1120,
    1120,   773,  1120,   217,   773,  1272,  1272,  1026,   586,   586,
     277,   780,   780,   780,   780,   472,   607,   608,   527,   529,
     519,   526,   567,   611,   663,   904,  1272,   904,   320,   325,
     369,   904,   904,   236,   266,   236,   234,   731,  1050,   320,
     626,   840,   634,   472,   649,  1127,   108,   216,   256,   616,
     214,   257,   526,   409,   472,   635,   111,   716,   557,   526,
    1121,   203,   726,   487,   728,  1272,   591,   773,   616,   652,
     527,   529,   491,   647,   646,   190,   202,   360,  1121,   491,
     890,   111,   234,   334,   526,  1272,   828,   841,   842,  1253,
     840,  1026,   229,  1119,   234,   449,   859,   264,   668,  1158,
    1252,   586,   527,   586,   586,  1121,   337,   275,   586,   795,
     784,   784,   784,   784,   527,  1051,   234,   526,  1089,   526,
     527,   529,   527,  1052,   376,   527,   477,   425,   527,   527,
     527,  1050,  1050,  1050,   527,   351,  1073,   527,  1017,  1018,
    1055,  1005,   526,  1120,  1003,   334,   472,  1010,  1003,   280,
    1003,  1127,  1024,   526,  1024,  1252,   972,   167,   243,   395,
     526,   987,   988,   989,   990,   991,   992,  1050,  1050,   490,
    1067,   972,  1067,  1129,  1271,   527,   954,  1285,   157,   814,
     815,   198,   526,   958,  1114,   795,   334,   795,   527,   840,
     639,   336,   850,   773,   472,   773,   817,   817,   377,   840,
     649,   527,   449,   412,   944,   527,   529,   587,   747,  1133,
    1121,   449,   526,  1127,   850,   757,   526,   526,   765,  1121,
     527,   526,   412,   944,  1121,  1121,   491,   512,   907,   384,
     907,   907,   229,   587,   780,   538,   192,   610,   567,   612,
     613,  1272,  1272,   325,   635,   519,   635,  1272,  1272,   799,
     111,   855,   855,  1119,   732,   527,   649,   304,   637,   259,
     526,   737,   367,   526,   527,   102,   150,   158,   186,   260,
     431,   630,   630,  1118,  1121,  1123,   527,   957,   689,   396,
     427,   727,   526,   216,   111,   617,   527,   621,   338,   648,
     647,   397,   397,   132,   140,   296,   957,   773,  1119,   814,
     830,   527,   529,   459,  1021,   423,   423,   527,   667,   318,
     476,   669,   670,   515,  1159,  1121,   586,  1051,  1089,   527,
    1060,  1086,   128,   318,   508,   128,   972,   527,   529,   111,
    1019,  1120,   527,  1050,   526,  1003,  1010,   526,   527,  1024,
     527,   527,   526,   413,   526,   527,   529,  1068,  1069,  1252,
     527,  1121,   527,   529,   321,   470,   797,   808,   586,   816,
     649,   526,   773,   818,   818,  1119,   649,   732,  1121,   441,
     694,   472,   588,   412,   944,  1121,  1089,   822,   229,   760,
     849,  1089,  1089,  1050,   441,   772,   773,   772,   773,  1120,
     586,   602,  1272,   527,   529,   635,   855,   114,   254,   229,
     318,   633,   235,   350,   418,   334,   641,   642,   643,   441,
     527,  1127,    81,   738,   645,   527,   689,   223,   759,   591,
     890,  1050,   367,   957,   646,   645,   624,   648,   140,   337,
     140,   652,   813,   527,   835,   841,  1026,   198,   491,   491,
     476,   667,  1129,  1266,  1274,    84,   689,   527,   527,   527,
     376,   477,  1086,   370,   397,  1074,  1020,  1017,   526,   527,
    1120,  1086,   527,  1086,   526,  1086,   988,   529,   111,  1021,
     815,   412,   234,   817,   488,   640,   850,   819,   819,   634,
     732,  1121,  1050,   441,   527,   340,   402,   374,   761,   760,
     527,   527,   527,  1121,   907,   613,   203,   261,   190,   470,
     334,   643,   334,   642,  1121,   526,   527,   529,   409,   773,
     111,   111,   527,  1127,   890,   647,   646,   337,   337,   526,
     591,   840,   103,   270,   878,   236,   236,  1158,   122,   168,
     461,  1050,  1075,  1076,  1075,   527,  1024,   527,   527,   527,
     987,   527,  1069,  1071,   947,   795,   818,   526,   732,   527,
     637,   944,  1121,  1127,   128,   761,   944,   773,   396,   131,
     318,   388,   412,   644,   644,   527,    81,  1121,   756,   957,
     526,   648,   647,   814,   648,   321,   526,   873,   875,   880,
     931,   939,   946,   957,   799,   799,  1076,   396,   228,   358,
     228,   358,   527,   383,  1015,   527,  1021,   586,   819,  1050,
     641,   944,   822,   773,   728,    97,   185,   325,   689,   890,
     729,   730,  1129,  1254,  1271,  1272,   648,   527,  1021,   874,
     875,   876,   958,   959,   529,   529,   108,   526,   527,   732,
     216,   527,   529,   591,   527,   530,   449,   234,  1076,  1050,
     367,   730,   648,   876,   423,   423,   527,  1127,  1021,   491,
     491,   526,   236,   236,   729,   799,   799,   527
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   534,   535,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   536,   536,   536,   536,   536,
     536,   536,   536,   536,   536,   537,   538,   538,   538,   539,
     539,   540,   540,   541,   541,   541,   541,   541,   541,   541,
     541,   541,   542,   542,   542,   542,   542,   542,   543,   544,
     545,   545,   546,   546,   547,   548,   549,   549,   550,   550,
     551,   552,   553,   553,   554,   554,   555,   555,   555,   555,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     559,   559,   559,   560,   560,   560,   561,   561,   561,   561,
     562,   562,   562,   562,   562,   562,   562,   562,   562,   562,
     562,   563,   563,   564,   564,   565,   565,   566,   566,   566,
     566,   567,   567,   567,   567,   568,   568,   568,   568,   568,
     568,   568,   569,   569,   569,   570,   570,   571,   572,   572,
     572,   572,   573,   573,   574,   574,   575,   575,   576,   576,
     576,   576,   576,   577,   578,   578,   579,   579,   580,   581,
     581,   581,   581,   581,   582,   582,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   582,
     583,   583,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   585,   585,   586,   586,   586,   587,   587,   588,
     588,   589,   589,   589,   589,   590,   591,   591,   592,   592,
     593,   593,   593,   593,   594,   595,   595,   596,   596,   596,
     596,   597,   597,   598,   598,   599,   599,   600,   600,   601,
     601,   601,   602,   602,   603,   603,   604,   604,   604,   604,
     604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
     605,   605,   606,   606,   607,   607,   608,   608,   609,   609,
     610,   611,   611,   611,   611,   611,   612,   612,   613,   614,
     614,   614,   614,   615,   615,   615,   615,   615,   615,   615,
     615,   616,   616,   617,   617,   618,   618,   619,   619,   620,
     620,   620,   621,   621,   622,   623,   624,   624,   625,   625,
     625,   625,   626,   626,   626,   626,   626,   626,   626,   627,
     627,   627,   627,   628,   629,   629,   629,   630,   630,   630,
     630,   630,   630,   631,   631,   632,   632,   632,   632,   632,
     632,   632,   633,   633,   634,   634,   635,   635,   636,   637,
     637,   637,   637,   638,   638,   639,   639,   640,   640,   641,
     641,   641,   641,   641,   642,   643,   644,   644,   644,   644,
     644,   645,   645,   646,   646,   646,   646,   647,   647,   647,
     647,   648,   648,   649,   649,   650,   651,   652,   652,   652,
     653,   653,   654,   655,   655,   656,   657,   657,   658,   658,
     659,   659,   660,   660,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   662,   662,   663,   663,
     663,   664,   664,   665,   665,   666,   666,   667,   667,   668,
     668,   669,   669,   670,   670,   671,   671,   672,   672,   673,
     674,   674,   675,   675,   676,   676,   677,   677,   678,   678,
     678,   679,   680,   680,   681,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     682,   682,   682,   682,   682,   682,   682,   682,   682,   682,
     683,   684,   684,   684,   684,   685,   685,   686,   686,   687,
     687,   688,   688,   689,   689,   690,   690,   691,   692,   692,
     693,   693,   693,   693,   694,   695,   696,   697,   698,   698,
     699,   699,   700,   700,   701,   701,   702,   702,   702,   703,
     703,   704,   704,   705,   706,   706,   707,   707,   708,   709,
     709,   710,   710,   711,   712,   713,   714,   714,   715,   715,
     716,   716,   717,   717,   718,   718,   719,   719,   720,   720,
     720,   720,   720,   721,   721,   722,   722,   722,   723,   723,
     724,   724,   724,   724,   724,   725,   725,   726,   726,   727,
     727,   728,   728,   729,   729,   729,   730,   730,   730,   730,
     731,   731,   732,   732,   733,   733,   733,   733,   733,   733,
     734,   734,   735,   735,   736,   736,   737,   738,   738,   739,
     740,   740,   740,   740,   741,   742,   743,   743,   743,   743,
     743,   743,   743,   743,   743,   743,   743,   743,   743,   743,
     744,   745,   745,   746,   746,   747,   747,   747,   747,   747,
     748,   749,   749,   750,   751,   751,   752,   752,   753,   753,
     753,   754,   754,   755,   756,   756,   757,   757,   757,   757,
     757,   758,   758,   759,   759,   760,   760,   760,   761,   761,
     762,   763,   763,   764,   764,   765,   765,   766,   766,   767,
     767,   768,   769,   770,   770,   770,   770,   770,   770,   770,
     770,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   772,   772,   773,   773,
     774,   774,   775,   775,   776,   777,   777,   777,   778,   778,
     778,   778,   778,   778,   778,   778,   778,   778,   778,   778,
     778,   778,   778,   778,   778,   778,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   779,   779,   779,
     779,   779,   779,   779,   779,   779,   779,   780,   780,   781,
     781,   781,   781,   781,   781,   781,   782,   782,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   784,
     784,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   786,   786,   786,   786,   786,   786,   786,   786,
     786,   786,   786,   786,   786,   786,   787,   787,   788,   788,
     789,   790,   790,   791,   791,   791,   791,   791,   792,   792,
     793,   793,   793,   793,   794,   794,   794,   794,   794,   794,
     794,   794,   794,   794,   794,   794,   794,   794,   794,   794,
     795,   795,   796,   796,   797,   797,   798,   798,   799,   800,
     801,   801,   802,   802,   803,   803,   804,   805,   805,   806,
     806,   806,   807,   807,   807,   808,   808,   808,   808,   809,
     809,   810,   810,   811,   811,   812,   812,   813,   813,   814,
     814,   815,   815,   815,   816,   816,   817,   817,   817,   818,
     818,   818,   819,   819,   819,   820,   820,   820,   821,   821,
     822,   822,   823,   823,   824,   824,   825,   825,   826,   826,
     826,   826,   826,   827,   827,   827,   827,   827,   828,   829,
     830,   830,   830,   831,   831,   831,   832,   833,   833,   833,
     833,   834,   834,   835,   835,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     837,   837,   837,   837,   837,   838,   838,   839,   839,   840,
     840,   841,   842,   842,   843,   844,   844,   845,   845,   846,
     846,   847,   847,   848,   848,   849,   849,   849,   849,   850,
     850,   851,   852,   852,   853,   853,   854,   854,   854,   855,
     855,   855,   856,   857,   857,   858,   859,   859,   859,   859,
     860,   861,   861,   861,   861,   862,   862,   863,   863,   863,
     864,   864,   865,   866,   866,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   867,   867,   867,   867,
     867,   867,   867,   868,   868,   869,   869,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   870,   870,   870,   870,   870,   870,   870,   870,   870,
     870,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     872,   873,   873,   873,   874,   874,   875,   875,   875,   875,
     875,   876,   876,   877,   877,   877,   877,   878,   878,   878,
     879,   879,   880,   881,   881,   882,   883,   883,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   885,   885,   885,   886,   886,   886,   886,   886,
     887,   887,   887,   888,   888,   889,   889,   889,   889,   890,
     890,   890,   890,   891,   892,   893,   893,   894,   894,   895,
     895,   895,   896,   896,   896,   896,   896,   896,   896,   897,
     897,   898,   898,   898,   899,   900,   900,   901,   901,   902,
     903,   903,   903,   903,   903,   903,   903,   904,   904,   905,
     906,   906,   906,   906,   906,   906,   907,   907,   908,   909,
     909,   909,   910,   910,   911,   911,   911,   911,   911,   912,
     912,   913,   913,   913,   913,   914,   914,   915,   915,   916,
     916,   917,   917,   918,   918,   919,   919,   920,   920,   920,
     920,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     922,   922,   923,   924,   924,   925,   925,   925,   926,   926,
     927,   927,   928,   928,   928,   928,   929,   929,   930,   930,
     931,   932,   932,   933,   933,   933,   934,   934,   935,   936,
     936,   936,   937,   937,   937,   938,   938,   939,   940,   940,
     941,   942,   942,   943,   943,   943,   943,   943,   943,   943,
     943,   944,   944,   945,   945,   945,   946,   947,   947,   948,
     948,   949,   950,   950,   951,   952,   952,   953,   954,   954,
     955,   955,   955,   955,   955,   956,   956,   956,   957,   957,
     958,   958,   959,   959,   959,   959,   959,   959,   959,   959,
     960,   960,   961,   961,   961,   961,   961,   961,   961,   962,
     962,   962,   963,   963,   964,   965,   965,   966,   966,   966,
     967,   967,   967,   967,   967,   967,   967,   967,   967,   968,
     968,   969,   969,   969,   970,   970,   971,   971,   972,   972,
     973,   974,   974,   975,   975,   976,   976,   976,   976,   977,
     977,   978,   978,   978,   979,   979,   980,   980,   981,   982,
     982,   982,   983,   984,   984,   985,   985,   986,   986,   987,
     987,   988,   988,   988,   988,   988,   989,   990,   991,   992,
     993,   993,   994,   994,   995,   995,   996,   996,   997,   998,
     998,   998,   998,   999,   999,  1000,  1000,  1001,  1001,  1002,
    1002,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1004,
    1004,  1004,  1004,  1004,  1004,  1005,  1005,  1005,  1005,  1006,
    1006,  1007,  1007,  1007,  1007,  1007,  1008,  1008,  1008,  1008,
    1009,  1009,  1010,  1010,  1011,  1011,  1011,  1011,  1012,  1012,
    1013,  1013,  1013,  1014,  1015,  1015,  1016,  1016,  1017,  1018,
    1018,  1019,  1019,  1020,  1020,  1021,  1021,  1022,  1022,  1022,
    1023,  1023,  1024,  1024,  1025,  1026,  1026,  1026,  1026,  1026,
    1026,  1027,  1027,  1027,  1028,  1028,  1028,  1028,  1028,  1028,
    1028,  1029,  1029,  1029,  1029,  1030,  1030,  1031,  1031,  1032,
    1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,
    1033,  1033,  1034,  1034,  1035,  1035,  1036,  1037,  1038,  1038,
    1039,  1039,  1040,  1041,  1042,  1042,  1042,  1042,  1042,  1042,
    1043,  1043,  1044,  1044,  1045,  1045,  1045,  1045,  1046,  1047,
    1047,  1047,  1048,  1048,  1048,  1048,  1048,  1048,  1048,  1048,
    1048,  1048,  1048,  1048,  1048,  1048,  1049,  1049,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,  1051,
    1051,  1051,  1051,  1051,  1051,  1051,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1053,  1053,  1053,  1053,  1053,  1053,  1053,  1054,  1054,  1055,
    1055,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1057,  1057,  1058,  1058,  1058,  1058,  1059,
    1060,  1060,  1061,  1061,  1062,  1062,  1063,  1063,  1063,  1064,
    1064,  1064,  1064,  1065,  1065,  1066,  1066,  1067,  1067,  1068,
    1068,  1069,  1070,  1070,  1070,  1071,  1072,  1072,  1073,  1073,
    1074,  1074,  1074,  1075,  1075,  1076,  1076,  1076,  1076,  1076,
    1077,  1077,  1077,  1078,  1078,  1079,  1080,  1080,  1080,  1081,
    1081,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,  1082,
    1082,  1082,  1082,  1083,  1083,  1084,  1084,  1085,  1085,  1085,
    1085,  1085,  1085,  1086,  1086,  1087,  1087,  1088,  1088,  1088,
    1089,  1089,  1090,  1090,  1090,  1091,  1091,  1092,  1092,  1093,
    1093,  1093,  1093,  1093,  1093,  1093,  1093,  1094,  1094,  1095,
    1096,  1096,  1097,  1097,  1097,  1097,  1097,  1097,  1098,  1099,
    1100,  1100,  1100,  1101,  1101,  1102,  1103,  1103,  1104,  1105,
    1105,  1106,  1106,  1107,  1107,  1108,  1108,  1108,  1108,  1109,
    1109,  1110,  1110,  1111,  1111,  1112,  1112,  1113,  1113,  1114,
    1115,  1115,  1116,  1116,  1117,  1117,  1117,  1117,  1118,  1118,
    1119,  1119,  1120,  1120,  1121,  1122,  1123,  1124,  1125,  1126,
    1127,  1127,  1128,  1128,  1128,  1128,  1128,  1128,  1128,  1128,
    1128,  1128,  1128,  1128,  1128,  1128,  1128,  1129,  1130,  1130,
    1130,  1130,  1131,  1132,  1132,  1132,  1133,  1133,  1134,  1134,
    1134,  1134,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,  1138,
    1138,  1138,  1138,  1138,  1139,  1139,  1140,  1140,  1140,  1140,
    1140,  1140,  1140,  1140,  1142,  1141,  1143,  1144,  1144,  1144,
    1144,  1145,  1145,  1145,  1145,  1146,  1146,  1147,  1148,  1149,
    1149,  1150,  1150,  1150,  1151,  1151,  1152,  1152,  1153,  1153,
    1154,  1154,  1154,  1154,  1155,  1155,  1155,  1156,  1157,  1157,
    1158,  1158,  1159,  1159,  1159,  1159,  1160,  1160,  1161,  1162,
    1163,  1164,  1164,  1165,  1166,  1166,  1167,  1167,  1167,  1167,
    1167,  1169,  1168,  1170,  1171,  1172,  1172,  1173,  1173,  1173,
    1173,  1174,  1174,  1176,  1175,  1178,  1177,  1179,  1177,  1177,
    1180,  1180,  1181,  1181,  1181,  1182,  1182,  1182,  1182,  1183,
    1183,  1184,  1184,  1184,  1184,  1184,  1184,  1185,  1185,  1185,
    1186,  1188,  1187,  1189,  1190,  1189,  1191,  1191,  1192,  1192,
    1193,  1193,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1196,  1196,  1197,  1197,  1198,  1199,  1199,  1200,  1200,
    1200,  1201,  1202,  1203,  1203,  1203,  1203,  1204,  1204,  1204,
    1205,  1205,  1206,  1206,  1207,  1208,  1208,  1209,  1209,  1210,
    1210,  1211,  1211,  1212,  1213,  1213,  1214,  1214,  1214,  1215,
    1215,  1215,  1215,  1215,  1215,  1215,  1215,  1215,  1216,  1216,
    1216,  1216,  1216,  1217,  1217,  1218,  1219,  1220,  1221,  1221,
    1222,  1223,  1224,  1224,  1225,  1226,  1226,  1227,  1228,  1229,
    1229,  1230,  1231,  1232,  1232,  1233,  1234,  1234,  1234,  1234,
    1234,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,  1235,  1235,  1235,  1235,  1236,  1236,  1237,  1237,
    1238,  1238,  1238,  1240,  1239,  1241,  1241,  1243,  1242,  1244,
    1244,  1244,  1245,  1245,  1245,  1245,  1245,  1245,  1245,  1245,
    1245,  1246,  1246,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1248,  1248,  1248,  1248,
    1248,  1248,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1250,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1252,  1252,
    1252,  1252,  1252,  1252,  1252,  1253,  1253,  1253,  1253,  1253,
    1253,  1254,  1254,  1254,  1254,  1254,  1254,  1254,  1254,  1254,
    1254,  1254,  1255,  1255,  1255,  1255,  1255,  1256,  1256,  1256,
    1256,  1257,  1257,  1257,  1257,  1257,  1257,  1257,  1258,  1258,
    1258,  1259,  1259,  1259,  1259,  1259,  1259,  1260,  1260,  1261,
    1262,  1262,  1263,  1263,  1264,  1265,  1266,  1267,  1267,  1267,
    1268,  1269,  1270,  1271,  1272,  1272,  1272,  1272,  1272,  1273,
    1274,  1274,  1274,  1275,  1275,  1276,  1276,  1276,  1277,  1277,
    1278,  1278,  1279,  1279,  1280,  1280,  1280,  1280,  1280,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,  1281,
    1281,  1281,  1281,  1281,  1281,  1282,  1282,  1282,  1282,  1283,
    1283,  1283,  1283,  1283,  1283,  1283,  1283,  1283,  1283,  1284,
    1284,  1284,  1284,  1284,  1285,  1285,  1286,  1286,  1287,  1287
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     5,     1,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     5,     4,     3,     5,     3,     5,
       5,     6,     1,     1,     3,     5,     6,     4,     9,     7,
       1,     0,     2,     0,     1,     1,     1,     1,     1,     1,
       2,     3,     3,     2,     5,     1,     3,     3,     3,     3,
       1,     3,     3,     2,     2,     2,     2,     3,     3,     3,
       3,     1,     3,     1,     3,     1,     1,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     5,     1,
       1,     1,     1,     1,     0,     1,     1,     2,     1,     2,
       3,     2,     1,     1,     2,     1,     2,     1,     3,     4,
       5,     4,     2,     4,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     4,     6,    10,    13,     4,     6,
      10,    13,     4,     6,     4,     6,     5,     7,    11,    14,
       1,     3,     2,     3,     4,     6,     6,     6,     5,     5,
       6,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     3,     2,     2,     3,     4,     4,     4,
       5,     1,     3,     2,     1,     1,     0,     2,     0,     2,
       0,     1,     1,     1,     3,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     7,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     3,     2,
       1,     0,     2,     0,     3,     0,     1,     0,     1,     3,
       2,     1,     1,     1,     3,     0,     1,     3,     1,    11,
      14,    10,    13,     1,     1,     2,     2,     2,     2,     1,
       0,     1,     0,     3,     0,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     4,     4,     2,     0,     3,     1,
       1,     2,     2,     1,     3,     4,     5,     2,     5,     1,
       2,     2,     2,     3,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     2,     0,     3,     0,     1,     3,     1,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     5,     2,     3,     0,
       8,    11,     4,     1,     0,     6,     5,     8,     4,     6,
       1,     0,     1,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     1,     3,     1,     0,     1,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     5,     7,     1,     0,     7,
       2,     0,     3,     5,     5,     8,     2,     0,     2,     2,
       2,     5,     2,     0,     2,     7,    10,     6,     6,     6,
       6,     7,     7,     9,     9,     6,     7,     6,     8,     8,
       8,     8,     6,     6,     7,     7,     8,     6,     9,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     6,
       8,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,    11,
      14,     5,     7,    11,     2,     1,     4,     0,     8,     1,
       1,     7,     9,     8,     9,     8,     6,     8,     4,     0,
       5,     0,     2,     0,     2,     0,     2,     0,     1,     1,
       1,     1,     1,    15,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
       6,     8,    11,    13,     1,     3,     5,     1,     3,     5,
       1,     2,     2,     1,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     3,     0,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     2,     1,     1,
       1,     1,     3,     3,     3,     3,     1,     3,     1,     2,
       2,     3,     1,     3,     5,     2,     2,     0,     6,     6,
       6,     7,     7,     7,     8,     9,     8,     8,     6,     9,
       8,     9,     9,     7,    10,     7,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       1,     3,     2,     3,     3,     3,     3,     1,     1,     8,
       8,     8,     9,     9,     9,     9,     2,     0,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     2,     2,     3,     4,     5,     4,     5,     3,     4,
       3,     4,     1,     2,     3,     3,     3,     3,     4,     4,
       3,     3,     4,     4,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     1,     3,     2,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,    14,
      17,     1,     0,     1,     0,     1,     0,     2,     0,     1,
       3,     5,     5,     7,     2,     0,     1,     2,     0,     1,
       1,     0,     2,     2,     0,     9,    12,     7,     2,     0,
       3,     2,     1,     3,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     3,     3,     5,
       6,     1,     3,     1,     2,     4,     5,     1,     1,     1,
       1,     3,     3,     2,     2,     1,     2,     2,     2,     1,
       2,     2,     2,     1,     1,     1,     3,     3,     5,     2,
       0,     2,     1,     3,     5,     1,     2,     1,     0,     5,
       7,     5,     7,     5,     7,     3,     5,     5,     5,     1,
       3,     2,     1,     2,     1,     2,    11,    10,    10,     2,
       2,     0,     9,     2,     0,    10,    11,    11,     5,     5,
       8,     3,     3,     6,     6,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     5,     7,     6,     6,     6,     6,
       8,     8,     6,     6,     7,     9,     9,     8,    10,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     7,     6,     6,
       6,     6,     6,     7,     9,     9,     6,     8,     8,     8,
       8,     8,     6,     8,     6,     8,     7,     9,     7,     9,
       6,     7,     6,     6,     6,     6,     6,     7,     7,     7,
       9,     9,     6,     6,     6,     8,     8,     8,     6,     7,
      13,     1,     1,     3,     3,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     1,     0,
       6,     8,     3,     2,     0,     2,     2,     2,     2,     3,
       3,     2,     2,     2,     2,     3,     2,     5,     4,     3,
       3,     3,     1,     1,     0,     3,     2,     2,     1,     2,
       1,     3,     2,     1,     0,     9,    11,    12,    14,     3,
       4,     4,     0,     2,     5,     1,     0,     1,     2,     3,
       3,     3,     1,     2,     1,     1,     1,     1,     1,     1,
       0,     5,     4,     6,     4,     3,     5,     4,     4,     6,
       4,     6,     6,     5,     7,     9,     6,     1,     0,     6,
      11,    11,    11,    13,     9,    11,     1,     1,    10,     4,
       2,     5,     2,     0,     4,     5,     5,     4,     6,     1,
       3,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     0,     5,     4,
       3,     0,     1,     1,     1,     1,     4,     9,     3,     0,
       7,     1,     3,     1,     4,     2,     1,     3,     2,     8,
       5,     0,     4,     3,     0,     3,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     1,     2,     0,     8,     1,     3,     1,
       1,     3,     5,     5,     2,     1,     3,     7,     1,     1,
       0,     3,     2,     2,     2,     0,     2,     2,     1,     1,
       3,     3,     1,     2,     4,     4,     2,     3,     5,     5,
       1,     1,     9,     9,     1,     2,     4,     4,     4,     2,
       2,     3,     1,     3,     6,     1,     0,     2,     1,     0,
       3,     3,     4,     4,     4,     4,     3,     2,     1,     1,
       0,     1,     1,     0,     1,     5,     1,     0,     1,     0,
       3,     1,     3,     4,     3,     2,     2,     1,     1,     1,
       0,     2,     4,     5,     2,     3,     1,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     1,     3,     0,     1,
       3,     1,     1,     1,     1,     1,     2,     4,     4,     5,
       2,     0,     1,     3,     1,     0,     1,     2,     3,     2,
       4,     2,     3,     2,     0,     2,     3,     2,     0,     1,
       3,     2,     3,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     1,     4,     5,     4,     0,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     6,     4,     0,     2,     6,     2,     1,
       3,     4,     0,     2,     0,     2,     0,     2,     4,     0,
       1,     0,     1,     3,     3,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     1,     2,     3,     3,     0,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     1,
       3,     0,     1,     1,     1,     1,     5,     2,     1,     1,
       1,     1,     5,     2,     2,     2,     1,     3,     3,     2,
       1,     0,     3,     0,     5,     2,     5,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     0,     1,     4,     1,     3,
       3,     5,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     3,
       3,     2,     2,     3,     5,     4,     6,     3,     5,     4,
       6,     4,     6,     5,     7,     3,     2,     4,     2,     3,
       3,     4,     3,     4,     3,     4,     5,     6,     6,     7,
       6,     7,     6,     7,     3,     4,     4,     6,     2,     3,
       4,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     2,
       5,     6,     6,     7,     3,     4,     1,     1,     2,     4,
       1,     1,     1,     2,     2,     2,     2,     1,     1,     4,
       3,     5,     6,     8,     6,     6,     4,     4,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     5,     0,     5,     0,     2,     0,     1,
       3,     3,     2,     2,     0,     6,     1,     0,     3,     0,
       2,     2,     0,     1,     4,     2,     2,     2,     2,     2,
       4,     3,     5,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     3,
       1,     3,     3,     3,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     3,     2,
       3,     0,     3,     3,     2,     2,     1,     0,     2,     2,
       3,     2,     1,     1,     3,     5,     1,     2,     4,     2,
       0,     1,     0,     1,     2,     2,     2,     3,     5,     1,
       2,     0,     2,     1,     0,     1,     1,     1,     3,     3,
       1,     0,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     6,     2,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     2,     4,     3,     2,     1,
       1,     1,     1,     1,     0,     8,     2,     5,     3,     2,
       2,     3,     7,     1,     1,     1,     0,     2,     2,     1,
       0,     1,     3,     1,     2,     0,     2,     0,     2,     0,
       1,     3,     4,     3,     1,     1,     1,     1,     2,     0,
       2,     4,     0,     2,     2,     2,     1,     1,     7,     3,
       1,     1,     1,     1,     2,     0,     1,     3,     3,     3,
       3,     0,     4,     5,     5,     0,     1,     1,     1,     2,
       2,     1,     2,     0,     7,     0,     5,     0,     4,     2,
       2,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     2,     1,     3,     2,     2,
       3,     0,     5,     1,     0,     5,     2,     2,     1,     1,
       1,     2,     2,     3,     1,     2,     2,     3,     3,     4,
       2,     1,     2,     1,     1,     2,     2,     3,     1,     1,
       1,     1,     0,     1,     3,     5,     0,     2,     0,     1,
       2,     3,     2,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     2,     2,     3,     0,     1,     2,     1,     4,
       3,     4,     3,     2,     1,     3,     1,     1,     1,     1,
       2,     2,     1,     2,     2,     1,     1,     1,     4,     4,
       4,     4,     4,     1,     0,     3,     3,     4,     1,     3,
       3,     4,     1,     3,     3,     1,     1,     1,     6,     1,
       3,     3,     6,     1,     3,     3,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     4,     1,     1,
       4,     4,     3,     0,     7,     1,     0,     0,     7,     3,
       4,     3,     1,     1,     1,     2,     3,     5,     2,     5,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       0,     1,     2,     1,     2,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     1,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     2,     3,     1,
       3,     3,     3,     3,     3,     3,     1,     1,     4,     0,
       2,     2,     1,     1,     2,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1558 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30433 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1560 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30439 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1562 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30445 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1564 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30451 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1566 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30457 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1568 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30463 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1570 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30469 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30475 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1574 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30481 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1576 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30487 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1578 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30493 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1580 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30499 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1582 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30505 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1584 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30511 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1586 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30517 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1588 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30523 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1590 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30529 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30535 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1594 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30541 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1596 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30547 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1598 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30553 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30559 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30565 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30571 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30577 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30583 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30589 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30595 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30601 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1616 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30607 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1618 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 30629 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30635 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30641 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30647 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30653 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30659 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30665 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30671 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30677 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1652 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30683 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1654 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30689 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30695 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30701 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30707 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30713 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30719 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30725 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30731 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30737 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30743 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30749 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30755 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30761 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30767 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30773 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30779 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30785 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30791 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30797 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30803 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30809 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30815 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30821 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1700 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 30829 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 30835 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30841 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 30847 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 30853 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1712 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30859 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1714 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30865 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30871 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30877 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30883 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30889 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1724 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30895 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1726 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30901 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1728 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30907 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30913 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30919 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30925 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1736 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30931 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1738 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30937 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1740 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30943 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1742 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30949 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1744 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30955 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1746 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30961 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1748 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30967 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1750 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30973 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1752 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 30979 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1754 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30985 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1756 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 30991 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1758 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30997 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1760 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31003 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1762 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31009 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1764 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31015 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1766 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31021 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1768 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31027 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1770 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31033 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1772 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31039 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1774 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31045 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1776 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31051 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1778 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 31062 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31068 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31074 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31080 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1791 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31086 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1793 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31092 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1795 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31098 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31104 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31110 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31116 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31122 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31128 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1807 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31138 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31144 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31150 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31156 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31162 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1821 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31168 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31174 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1825 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31180 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1827 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31186 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1829 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31196 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1835 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31210 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1845 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31218 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1849 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31228 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1855 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31236 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1859 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 31250 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1869 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31264 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1878 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 31270 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1880 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31288 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1894 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31299 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1901 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31309 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1907 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 31324 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1918 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31334 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1924 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31347 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1933 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31358 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1940 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31368 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1946 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 31381 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1955 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31392 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1962 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31403 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1969 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31409 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31417 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31425 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31433 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31440 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31448 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31455 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31463 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31470 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 31478 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 31486 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 31494 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 31502 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 31510 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 31518 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 31526 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 31534 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31542 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31550 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 31558 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 31566 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 31574 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 31582 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 31590 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31598 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31606 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31613 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 31621 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31629 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31637 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31645 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31653 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 31661 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 31669 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 31677 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 31685 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31693 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 31701 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 31709 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 31717 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 31725 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 31733 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31741 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31749 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2215 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31758 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2220 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31767 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31775 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31782 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31790 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31797 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31805 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31813 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31821 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31829 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31837 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31845 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 31853 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 31861 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 31869 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 31877 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 31885 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31893 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 31901 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 31909 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 31917 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31925 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 31933 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 31941 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2336 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 31950 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 31958 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 31966 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 31974 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 31982 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 31990 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 31998 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 32006 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32014 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32022 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32030 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32038 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32046 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2401 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32060 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 32068 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 32076 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 32084 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 32092 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 32100 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 32108 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 32116 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32124 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32132 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32140 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32148 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32156 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32164 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32172 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 32180 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32188 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32196 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32203 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32211 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32219 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32227 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32235 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 32243 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 32251 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 32259 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32267 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32275 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32283 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32291 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32299 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32307 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 32315 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 32323 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 32331 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 32339 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2594 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 32348 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32356 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32364 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32372 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 32380 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 32388 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 32396 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 32404 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 32412 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 32420 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 32428 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 32436 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32444 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32452 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32460 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32468 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32476 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32484 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32492 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32500 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32508 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32516 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32524 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32532 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32540 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32548 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32556 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32564 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32572 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32580 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32588 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 32596 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32604 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 32612 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 32620 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 32628 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 32636 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 32644 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 32652 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32660 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32668 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32676 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32684 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32692 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32700 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 32708 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32716 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32724 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 32732 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 32740 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 32748 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 32756 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 32764 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 32772 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 32780 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 32788 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 32796 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 32804 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 32812 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 32820 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 32828 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 32836 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 32844 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 32852 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 32860 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 32868 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 32876 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 32884 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 32892 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 32900 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 32908 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 32916 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32924 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32932 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 32940 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 32948 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 32956 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 32964 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 32972 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32980 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 32988 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 32996 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 33004 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 33012 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33019 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33027 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33034 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33042 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33049 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33057 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 33065 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33073 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 33081 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33089 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 33097 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33104 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33112 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33120 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33128 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33136 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33144 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33152 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33160 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33168 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33176 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33184 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33192 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33200 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33208 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3111 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 33217 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 33225 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3124 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33237 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33245 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33253 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 33261 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 33269 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33276 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33284 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 33292 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 33300 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33308 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33316 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33324 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33331 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33339 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 33347 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 33355 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33363 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33371 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 33379 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 33387 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33395 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33403 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 33411 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 33419 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 33427 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 33435 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 33443 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33451 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33458 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 33466 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33473 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 33481 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33488 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 33496 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33503 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33511 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33519 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33527 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33535 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33543 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 33551 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33559 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33566 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33574 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33582 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33590 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33598 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33606 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33614 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33622 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 33630 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 33638 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 33646 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 33654 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 33662 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 33670 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 33678 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33685 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33693 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33700 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33708 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33715 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33723 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33731 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33739 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33747 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33755 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33763 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33771 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33779 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33787 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33795 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 33803 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33811 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33818 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33826 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33834 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33842 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33850 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 33858 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33866 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33874 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33882 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 33890 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 33898 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33906 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 33914 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 33922 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 33930 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 33938 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33946 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 33954 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 33962 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33969 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 33977 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 33985 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 33993 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 34001 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 34009 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34017 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34025 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34033 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34041 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34049 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34057 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34065 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34073 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34081 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34089 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 34097 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34104 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34112 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34119 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34127 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34135 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34143 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 34151 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3738 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 34160 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 34168 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34175 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34183 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34191 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34199 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34207 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34215 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34222 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34230 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34238 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34246 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34254 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34261 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 34269 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 34277 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 34285 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34293 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34301 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 34309 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 34317 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34325 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34332 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34340 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34348 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 34356 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34363 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 34371 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 34379 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 34387 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34394 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34402 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34409 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 34417 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34424 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34432 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34440 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 34448 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 34456 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34463 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34471 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34479 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34487 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34495 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34502 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34510 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34518 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34526 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34534 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34542 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34550 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34557 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34565 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34573 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 34581 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 34589 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 34597 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34605 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 34613 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 34621 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 34629 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 34637 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 34645 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34653 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 34661 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34669 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 34677 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34684 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34692 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 34700 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34708 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34716 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34724 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 34732 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34740 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 34748 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34755 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34763 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34771 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 34779 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34786 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 34794 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 34802 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34810 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34817 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34825 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34833 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 34841 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34848 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34856 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 34864 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34871 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 34879 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 34887 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34895 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34903 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34911 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34918 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 34926 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 34934 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 34942 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 34950 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34958 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34965 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 34973 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34981 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34989 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 34997 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 35005 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 35013 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 35021 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35029 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35037 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35045 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35053 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 35061 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 35069 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 35077 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 35085 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 35093 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 35101 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 35109 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35117 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 35125 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 35133 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 35141 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35149 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35157 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35165 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 35173 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35181 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 35189 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 35197 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35205 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35213 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35221 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35229 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35237 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35244 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35252 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35260 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35268 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35276 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35284 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35291 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35299 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35307 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35315 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35323 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35331 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35339 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35347 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35355 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 35363 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35371 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35379 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35387 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35395 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35403 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35410 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35418 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 35426 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35434 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35441 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35449 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35457 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35465 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35473 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35481 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35489 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35497 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35505 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35513 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35521 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 35529 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 35537 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35545 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35552 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35560 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35568 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 35576 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35584 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35592 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35600 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35608 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35616 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35624 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35632 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35640 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35647 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35655 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35662 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35670 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35677 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35685 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35692 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 35700 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35707 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 35715 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 35723 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 35731 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 35739 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 35747 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35755 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35763 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 35771 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 35779 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 35787 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35795 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 35803 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 35811 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 35819 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 35827 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 35835 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 35843 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35851 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35858 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 35866 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35873 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 35881 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 35889 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35897 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35904 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35912 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35920 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35927 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35935 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35943 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35951 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35959 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 35967 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35974 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35981 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35989 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 35997 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36005 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36013 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36021 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 36029 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36037 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36045 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36053 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36061 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36069 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36077 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 36085 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36093 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 36101 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 36109 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36117 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 36125 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 36133 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 36141 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 36149 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5136 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36158 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5145 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36167 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36175 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36183 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36191 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36199 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 36207 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36215 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36223 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 36231 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36239 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36247 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36255 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36263 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36271 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36279 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36287 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36295 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36303 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36311 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36319 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36327 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36335 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36343 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36351 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36359 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36367 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36375 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36383 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36391 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36399 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36406 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36414 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36422 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36430 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 36438 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 36446 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 36454 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36461 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36469 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36477 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36485 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36493 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36501 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36509 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36517 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 36525 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36533 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36540 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 36548 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36555 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 36563 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 36571 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36578 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5429 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 36587 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36594 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 36602 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 36610 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 36618 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36626 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36634 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36642 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36650 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36658 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36666 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36674 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36682 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36690 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36698 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36706 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36714 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36722 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36730 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36738 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36746 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36754 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36762 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 36770 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 36778 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 36786 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 36794 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 36802 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 36810 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 36818 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 36826 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 36834 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 36842 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 36850 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 36858 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 36866 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 36874 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 36882 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36890 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36898 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36906 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36914 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 36922 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36930 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36938 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36946 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 36954 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 36962 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36969 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 36977 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 36985 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 36993 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37001 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37009 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37017 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37025 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37033 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37041 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37049 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37057 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37065 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37073 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37081 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37089 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37097 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 37105 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37113 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37121 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37129 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37137 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37145 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37153 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37161 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37169 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37177 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37185 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37193 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37201 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37209 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37217 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37225 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 37233 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 37241 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37249 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37257 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37265 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37273 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37281 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37289 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37297 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37305 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37313 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37321 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37329 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37337 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37345 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37353 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37361 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37368 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37376 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37384 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37392 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37400 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37408 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37416 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37424 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37432 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37440 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37448 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37456 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37464 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37472 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 37480 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 5972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 37488 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 5976 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 37496 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 5980 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 37506 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 5986 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 37516 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 5992 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 37526 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 5998 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 37536 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6004 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 37546 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6010 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 37556 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6016 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 37566 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6022 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 37576 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6032 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 37591 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6043 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37606 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6054 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37621 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6065 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37636 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6076 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37651 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6087 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37666 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6098 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37686 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6114 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37706 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6130 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37726 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6146 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37741 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6157 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37761 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6173 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37776 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6184 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37796 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6200 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37811 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 37819 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 37827 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37835 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37842 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37850 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37858 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37866 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37874 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 37882 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 37890 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37898 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37906 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37914 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37922 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 37930 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 37938 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 37946 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37954 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37962 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 37970 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 37978 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 37986 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 37994 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 38002 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 38010 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 38018 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38026 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 38034 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38042 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38050 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38058 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 38066 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 38074 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 38082 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38090 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38098 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38106 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 38114 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 38122 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38129 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38137 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38145 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38153 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38161 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38169 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38177 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 38185 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38192 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 38200 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38207 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38215 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38223 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38230 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 38238 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 38246 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 38254 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38262 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38270 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38278 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 38286 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 38294 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 38302 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 38310 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 38334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 38349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 38434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 38472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 38480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 38495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 38503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 38542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 38565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 38597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 38669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 38677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 38685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 38693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 38725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 38733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 38749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 38757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6861 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 38766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 38774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 38838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 38846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 38854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 38862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 38870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 38878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 38886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 38894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 38902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 38910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 38918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 38926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 38934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 38942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 38974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 38982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 39014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 39022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 39093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 39180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 39204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 39252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 39260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 39268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 39276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 39299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 39322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 39330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 39338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 39346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 39418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 39450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 39466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 39858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 39873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 39992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 40264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 40335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 40367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 40375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 40414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 40429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 40437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 40445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 40453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 40469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 40477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 40485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 40493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 40501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 40509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 40517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 40525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 40541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 40549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 40557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 40565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 40573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 40588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 40596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 40604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 40612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 40620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8043 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8048 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 40701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 40709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 40717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 40732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40755 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40763 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 40795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 40811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 40819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 40827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 40835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 40843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 40851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 40859 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 40874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 40890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 40906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 40914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 40922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 40930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 40954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 40962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 40970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 40994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 41002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41017 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41025 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41033 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41041 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41049 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 41057 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 41065 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41073 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41081 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 41105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 41113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 41240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 41248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 41316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 41332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8587 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 41485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8593 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 41495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 41548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 41619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 41659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 41682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 41697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 41743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 41758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 41766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 41774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 41782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 41790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 41798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 41806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 41814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 41822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 41837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 41845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 41908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 41916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8924 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 41993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8981 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 42013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 42028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 42036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 42044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 42052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9016 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 42063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 42071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 42079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42247 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42255 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42263 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 42271 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9186 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 42319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 42325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 42496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 42583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9366 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 42592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 42600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 42608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 42679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 42687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 42695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 42703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 42711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 42782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 42814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 42837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 42884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 42892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 42900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 42908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 42916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 42931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 42947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9673 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9680 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 43056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 43080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 43088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 43182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 43190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 43198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 43237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 43253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 43261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 43395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9960 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 43434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10003 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 43486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10005 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 43492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 43516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 43524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10027 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 43538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10037 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 43552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10047 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 43562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43681 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 43689 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 43697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 43705 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 43713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 43721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 43729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 43737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 43745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 43753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 43761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 43769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 43832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 43888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 43896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 43904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 43912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 43920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 43928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 43936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 43951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 43974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 43990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 43998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 44006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 44014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 44029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 44037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 44045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 44053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 44061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 44077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 44085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 44093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 44101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 44109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 44117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 44125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 44140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 44172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 44180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 44332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 44356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 44372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 44388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 44404 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44412 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 44420 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 44436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 44452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 44460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 44468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 44476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 44484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 44492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 44500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 44508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 44516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 44524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 44532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 44540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 44548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 44604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 44612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10675 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 44637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 44645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 44653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 44813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 44821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 44845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 44853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 44925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 44933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 44941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 44973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 45021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 45397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 45405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 45413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 45421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 45429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 45484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 45492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 45500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 45508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 45523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 45531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 45539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 45547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 45585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 45624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 45632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 45670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11292 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 45686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 45694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 45725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 45733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 45741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 45749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 45757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 45773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 45797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 45813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 45821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 45829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 45853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 45861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 45869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 45877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 45885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 45893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 45901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 45909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 45917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 45925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 45933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 45941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 45997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 46005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 46021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 46069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 46077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 46117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 46236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 46244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 46362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 46386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 46394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 46440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 46448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 46503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46518 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46526 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46534 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46550 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46558 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 46613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 12000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 12008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 12016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 12020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 46765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 46813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 46821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46841 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 46847 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12095 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 46869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 46877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 46901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 46909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 46965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 46973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 46981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 46989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 46997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 47005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 47013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 47021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 47029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 47037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 47045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 47053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 47061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 47069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 47077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 47085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 47093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 47101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 47109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 47117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 47125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 47133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 47141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 47149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 47157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 47165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 47173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 47181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 47189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 47197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 47205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 47213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 47221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 47229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 47237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 47245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 47253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 47261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 47269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 47277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 47285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 47293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 47301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 47309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 47325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 47333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 47349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 47357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 47365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 47373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 47381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 47389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 47397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 47405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 47413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 47421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 47429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 47437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 47445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 47453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 47461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 47477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 47485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 47501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 47517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 47525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 47533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 47541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 47549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 47557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 47565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 47573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 47581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 47589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 47597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 47605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 47613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 47621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 47629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 47637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 47645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 47653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 47661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 47669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 47677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 47685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 47693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 47701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 47709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 47717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 47725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 47733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 47741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 47749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 47757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 47765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 47773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 47781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 47789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 47797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 47805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 47813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 47821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 47829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 47837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 47845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 47853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 47861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 47869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 47877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 47885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 47893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 47901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 47909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 47917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 47925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 47933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 47941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 47949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 47957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 47965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 47973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 47981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 47989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 47997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 48005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 48013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 48021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 48037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 48045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 48053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 48061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 48069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 48077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 48085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 48093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 48101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 48109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 48117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 48125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 48133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 48141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 48149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 48157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 48165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 48173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 48181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 48189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 48197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 48205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 48213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 48221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 48229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 48237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 48245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 48253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 48261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 48269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 48277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 48285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 48293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 48301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 48309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 48317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 48325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 48333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 48341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 48349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 48357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 48365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 48373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 48381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 48389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 48397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 48405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 48413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 48421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 48429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 48437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 48445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 48453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 48461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 48469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 48477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 48485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 48493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 48501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 48509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 48517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 48525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 48533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 48541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 48549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 48557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 48565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 48573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 48581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 48589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 48597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 48605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 48613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 48621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 48629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 48637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 48645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 48653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 48661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 48669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 48677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 48685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 48693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 48701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 48709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 48717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 48725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 48733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 48741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 48749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 48757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 48765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 48773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 48781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 48789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 48797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 48805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 48813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 48821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 48829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 48837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 48845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 48853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 48861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 48869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 48877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 48885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 48893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 48901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 48909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 48917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 48925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 48933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 48941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 48949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 48957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 48965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 48973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 48981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 48989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 48997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 49005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 49013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 49021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 49029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 49037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 49053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 49069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 49077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 49085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 49093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 49101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 49109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 49117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 49125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 49133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 49141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 49165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 49173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 49181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 49189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 49197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 49205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 49213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 49221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 49229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 49237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 49253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 49261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 49277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 49285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 49293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 49301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 49309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 49325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 49333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 49341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 49349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 49357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 49365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 49373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 49381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 49389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 49397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 49405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 49413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 49421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 49429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 49437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 49445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 49453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 49469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 49477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 49485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 49493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 49501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 49517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 49525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 49533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 49541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 49549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 49557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 49565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 49573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 49581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 49589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 49597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 49605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 49613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 49621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 49629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 49637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 49645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 49653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 49661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 49669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 49677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 49685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 49693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 49701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 49709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 49717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 49725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 49733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 49741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 49749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 49757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 49765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 49773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 49781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 49789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 49797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 49805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 49813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 49821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 49829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 49837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 49845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 49853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 49861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 49869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 49877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 49885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 49893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 49901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 49909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 49917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 49925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 49933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 49941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 49949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 49957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 49965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 49973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 49981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 49989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 49997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 50005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 50013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 50021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 50029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 50037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 50045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 50077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 50085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 50093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 50101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 50117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 50133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 50141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 50149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 50157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 50165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 50173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13794 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 50179 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13797 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 50189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13803 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13804 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13805 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", yyout); }
#line 50207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13807 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
#line 50222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13819 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 50228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13820 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 50239 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13829 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 50253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 50259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 50265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 50271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 50277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13855 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 50293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13867 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 50313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13883 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 50321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13887 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 50334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13897 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13898 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13902 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 50360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13914 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 50371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13923 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 13926 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 13927 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 50395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 13928 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 50401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 13931 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 50407 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 13932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 13935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 13936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 50425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 13939 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 13940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 50437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 13944 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 50443 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 13946 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 13948 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 13950 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 13954 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 50472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 13961 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 50483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 13968 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 50501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 13984 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 50537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14018 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 50551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14031 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 50565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14035 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 50579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14047 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14049 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 50591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 50597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14053 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 50603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14057 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 50621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14078 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 50690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14139 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 50700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14153 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 50742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 50748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14162 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 50754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14163 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 50760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", yyout); }
#line 50766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14172 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 50776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14179 "preproc.y" /* yacc.c:1646  */
    {}
#line 50782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14181 "preproc.y" /* yacc.c:1646  */
    {}
#line 50788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14184 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 50818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 50824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 50836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14198 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 50846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14204 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 50858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14214 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 50872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14224 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 50880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14228 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 50894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14238 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 50902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14242 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 50910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14247 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 50916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14252 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 50928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14253 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 50934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14254 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 50940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 50946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 50952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14259 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 50958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14260 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 50964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14263 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 50970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 50976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14268 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 50988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14276 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 51009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14293 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14301 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14324 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 51158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14430 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 51194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 51200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14468 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 51218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14475 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 51229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14482 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14525 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14527 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 51291 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14533 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14542 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 51312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14548 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 51321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14555 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 51330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14560 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 51338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14565 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14566 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14569 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14570 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14571 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14572 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14573 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14574 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14576 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14584 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14591 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 51416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14594 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51422 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14595 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14596 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 51434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14597 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14598 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51446 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14600 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 51458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14608 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 51470 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14615 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 51476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14616 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 51482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14617 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 51488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14625 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51494 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14627 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 51505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14636 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 51594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14725 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 51609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 51621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 51627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14740 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 51636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 51654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 51660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 51666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 51672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 51678 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14763 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 51696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 51708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14780 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 51718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14787 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14788 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14791 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14796 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14801 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14808 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51769 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14813 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14820 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 51787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14829 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 51798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14835 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14839 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14840 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 51822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 51828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14842 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14843 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 51840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 51846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14854 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 51875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14861 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 51891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14873 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 51901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14879 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 51912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14886 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 51922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14893 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 51928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14894 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14907 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 51943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14918 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 51952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14929 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 51958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14937 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 51964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14942 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 51970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14950 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 51978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14956 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 51990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14964 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 51998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14969 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 52004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14977 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14984 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14988 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14996 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 15002 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 15011 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15016 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15026 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15036 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15047 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 52096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 15048 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 52102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15049 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 52108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15050 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 52114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 15051 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 52120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 15052 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 52126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 15053 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15054 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 52138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15055 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 52144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15056 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 52150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15057 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 52156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15058 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15059 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 52168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15060 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 52174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15061 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 52180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15069 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 52198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 52204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15081 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52222 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15089 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15095 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 52245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15105 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 52251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15106 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15113 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15119 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15183 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52339 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15189 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15195 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15203 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 52369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15209 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 52379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15215 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 52389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15221 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15227 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15233 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 52419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15239 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 52429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15245 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15251 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15261 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52455 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15262 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15265 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 52467 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 52473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 52479 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 52485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 52491 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15270 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 52497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15271 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 52503 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 52509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15273 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 52515 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 52521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 52527 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15276 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 52533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 52539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 52545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 52551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 52557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 52563 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 52569 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15283 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 52575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 52581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 52587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 52593 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 52599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15290 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 52605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15291 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 52611 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15292 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 52617 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15293 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 52623 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15294 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 52629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15295 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 52635 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15299 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 52641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15300 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 52647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 52653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 52659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 52665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15304 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 52671 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15305 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 52677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52689 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15314 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15317 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 52725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15318 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 52731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15331 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52737 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15332 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52743 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15333 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15334 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15335 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15336 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 52767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15337 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 52773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15342 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15343 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15344 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15345 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15346 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15347 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 52827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15356 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 52833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 52839 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15358 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 52845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15359 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 52851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15360 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 52857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 52863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15363 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15366 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15367 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15368 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15369 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52899 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15370 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 52905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52911 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 52935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 52941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 52947 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15382 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 52953 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 52959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 52965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15385 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 52971 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52977 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52983 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15404 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 52989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 52995 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15408 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53001 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53007 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53019 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53025 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15419 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 53034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15425 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15426 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15430 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 53052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15432 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 53058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15437 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 53070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15447 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 53083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15458 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 53092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15464 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15465 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15466 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15470 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 53145 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53163 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15510 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 53177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15520 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15530 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15539 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53211 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15540 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53217 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15543 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 15546 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 15547 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15551 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15553 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 53253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15560 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 53265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15568 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15571 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15575 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15576 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 53307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 53319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15581 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 53325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15582 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 53331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15583 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 53337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15586 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15587 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15588 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53355 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15589 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15590 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 53367 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15591 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 53373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15592 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 53379 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15593 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 53385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15594 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 53391 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15595 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15596 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 53403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15597 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 53409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15598 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15599 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53427 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15601 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 53433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15602 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 53439 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15603 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 53445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 53451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 15606 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 53463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 15607 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 53469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 15608 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 53475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 15609 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 53481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 15610 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 53487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 15611 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 53493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 15612 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 53499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 15613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 53505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 15614 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 15615 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 53517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 15616 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 15617 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 53529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 15618 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 15619 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 15620 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 15621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 53553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 15622 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 15623 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 53565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 15624 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 53571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 15625 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 15626 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 15627 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 15628 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 53595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 15629 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 15630 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 53607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 15631 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 53613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 15632 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53619 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 15633 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53625 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 15634 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 53631 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 15635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 53637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 15636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 53643 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 15637 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 53649 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 15638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 53655 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 15639 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 53661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 15640 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 53667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 15641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 53673 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 15644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 15645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 15646 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 53691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 15647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 53697 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 15650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 15651 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 15652 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 53715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 15653 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 53721 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 15654 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 53727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 15655 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 53733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 15656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 53739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 15657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53745 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 15658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53751 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 15659 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 53761 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 15666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53767 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 15667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53779 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 15669 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 15670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 15673 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 15674 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 15677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 15679 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 53822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 15689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 15690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53834 "preproc.c" /* yacc.c:1646  */
    break;


#line 53838 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15693 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"
